document.getElementById("load").style.display = "block";
document.getElementsByClassName("loadTxt")[0].innerText="正在加载...";
var isTest = false;
var id = "",
    platform = "",
    name = "",
    distance = "",
    imei = "",
    requestUrl = "",
    latitude = "",
    longitude = "",
    uid = "",
    netData,
    appVersion,
    req_code,
    tname="";
var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
var index = u.indexOf("Android");
var androidIndex=u.substr(index+8,1);
function fetchDeviceInfo(callBack) {
    if (isTest) {
        var json = '{"platform":"android","imei":"99000672608672","appVersion":"6.7.0"}';
        var obj = JSON.parse(json);
        callBack(obj);
        return
    }
    nativeDeviceInfo(callBack)
}
nativeIsTest(function (data) {
    isTest = data
});

function init() {
    fetchDeviceInfo(function (device) {
        if (device) {
            imei = device.imei;
            platform = device.platform;
            appVersion = device.appVersion;
            mqq.invoke('poi', 'getData', {},
                function (data) {
                    document.title=data.title;
                    uid = data.poiData.uid;
                    req_code=data.req_code;
                    if (data.poiData.point) {
                        latitude = data.poiData.point.mLatitudeE6 / 1000000;
                        longitude = data.poiData.point.mLongitudeE6 / 1000000
                    }
                    getNetworkData();
                });
        }
    })
}
window.onload = init();
/*****************************************请求接口**********************************************************/
function getNetworkData() {
    var myDate = new Date().getTime();
    var origin = imei + latitude +  longitude + appVersion + platform +req_code+"mobilemap" + myDate;
    origin = origin.substring(3, origin.length - 1);
    var sign = hex_md5(origin);
    // isTest = 0;
    if (isTest == "1") {
        requestUrl = "https://maptest.sparta.html5.qq.com/nearby?qt=get_rank&imei="+imei+"&lat="+latitude+"&lon="+longitude+"&req_code="+req_code+"&tm="+myDate+"&sign=" + sign+"&device="+platform+"&app_ver="+appVersion;
    } else {
        requestUrl = "https://syn0.map.qq.com/nearby?qt=get_rank&imei="+imei+"&lat="+latitude+"&lon="+longitude+"&req_code="+req_code+"&tm="+myDate+"&sign=" + sign +"&device="+platform+"&app_ver="+appVersion;
    }
    // alert(requestUrl)
    requestUrl+="&r="+Math.random();
    json.getData(requestUrl, renderData);
}
/*****************************************渲染数据**********************************************************/
function renderData(data) {
    document.getElementById("load").style.display = "none";
    // data.retCode = 1;
    if(data.retCode==0){
        if(data.pois.length>0){
            dataReport("near_rk_food1_e",{"rname":"food"});
            dataReport("near_rk_food2_e",{"rname":"hg"});
            dataReport("near_rk_travel1_e",{"rname":"scenic"});
            netData=data;
            var dataLength = data.pois.length;
            /*****************************************数据容错**********************************************************/
            function items(index) {
                document.getElementsByClassName("num")[index].innerText=index+1;
                if(isAndroid){
                    if(androidIndex<5){
                        document.getElementsByClassName("num")[index].style.lineHeight="0.20rem";
                    }else{
                        document.getElementsByClassName("num")[index].style.lineHeight="0.207rem";
                    }
                    document.getElementsByClassName("num")[index].style.paddingRight="0.01rem";
                    document.getElementsByClassName("price")[index].style.lineHeight="0.15rem";
                    document.getElementsByClassName("visit")[index].style.lineHeight="0.15rem";
                    document.getElementsByClassName("distance")[index].style.lineHeight="0.15rem";
                }
                document.getElementsByClassName("name")[index].innerText=data.pois[index].tNewRichInfo.rich.business_name;
                if(data.pois[index].tNewRichInfo.rich.head_pic){
                    document.getElementsByClassName("smallImg")[index].src=data.pois[index].tNewRichInfo.rich.head_pic;
                    document.getElementsByClassName("smallImg")[index].onerror=function () {
                        if(req_code=="2|1|220000|3000"){
                            document.getElementsByClassName("smallImg")[index].src="https://3gimg.qq.com/tencentMapTouch/app/around/sean.png";
                        }else{
                            document.getElementsByClassName("smallImg")[index].src="https://3gimg.qq.com/tencentMapTouch/app/around/food.png";
                        }

                    }
                }
                if(data.pois[index].tNewRichInfo.rich.heat_info){
                    document.getElementsByClassName("visit")[index].innerText="人气"+data.pois[index].tNewRichInfo.rich.heat_info;
                }else{
                    document.getElementsByClassName("visit")[index].style.display="none";
                }
                if(data.pois[index].tPOI.sDis){
                    document.getElementsByClassName("distance")[index].innerText=data.pois[index].tPOI.sDis+"米";
                }else{
                    document.getElementsByClassName("distance")[index].style.display="none";
                }
                if(data.pois[index].tNewRichInfo.rich.price){
                    document.getElementsByClassName("price")[index].innerText="¥"+data.pois[index].tNewRichInfo.rich.price;
                }else{
                    document.getElementsByClassName("price")[index].style.display="none";

                }
                if(!isNaN(data.pois[index].tNewRichInfo.rich.avg_rating)){
                    var starValue = data.pois[index].tNewRichInfo.rich.avg_rating;
                    for( var k = 0 ; k < 5 ; k++ ){
                        if( k+1 <= starValue ){
                            document.getElementsByClassName("starLevel")[index].getElementsByClassName("starRound")[k].src = "img/ic_start_round.png";
                        }else if ( k+1 > starValue && k+1-starValue === 0.5 ){
                            document.getElementsByClassName("starLevel")[index].getElementsByClassName("starRound")[k].src = "img/ic_halfstart_round.png";
                        }else{
                            document.getElementsByClassName("starLevel")[index].getElementsByClassName("starRound")[k].src = "img/ic_graystart_round.png";
                        }
                    }
                }
                if(data.pois[index].tNewRichInfo.rich.review_tag.length>0){
                    if(data.pois[index].tNewRichInfo.rich.review_tag[0].tag_name){
                        document.getElementsByClassName("tag1")[index].innerText=data.pois[index].tNewRichInfo.rich.review_tag[0].tag_name;
                    }else{
                        document.getElementsByClassName("tag1")[index].style.display="none";
                    }
                    if(data.pois[index].tNewRichInfo.rich.review_tag[1].tag_name){
                        document.getElementsByClassName("tag2")[index].innerText=data.pois[index].tNewRichInfo.rich.review_tag[1].tag_name;
                    }else{
                        document.getElementsByClassName("tag2")[index].style.display="none";
                    }
                    if(data.pois[index].tNewRichInfo.rich.review_tag[2].tag_name){
                        document.getElementsByClassName("tag3")[index].innerText=data.pois[index].tNewRichInfo.rich.review_tag[2].tag_name;
                    }else{
                        document.getElementsByClassName("tag3")[index].style.display="none";
                    }
                }else{
                    document.getElementsByClassName("tag")[index].style.display="none";
                }
            }
            for (var i=0;i<dataLength;i++){
                if(document.getElementsByClassName("list")[i]){
                    document.getElementsByClassName("list")[i].style.display="block";
                    items(i);
                }
            }
            clickItems();
        }else{
            document.getElementById("no").style.zIndex = "100";
            document.getElementById("failer").style.display = "none";
            document.getElementById("click").onclick=function () {
                document.getElementById("failer").style.zIndex = "-9999";
                document.getElementById("load").style.display = "block";
                document.getElementById("load").style.zIndex = "1000";
                getNetworkData();
            }
        }
    }else{
        document.getElementById("failer").style.zIndex = "100";
        document.getElementById("no").style.display = "none";
        document.getElementById("click").onclick=function () {
            document.getElementById("failer").style.zIndex = "-9999";
            document.getElementById("load").style.display = "block";
            document.getElementById("load").style.zIndex = "1000";
            getNetworkData();
        }
    }
}
/*******************************点击事件*****************************************************/
function clickItems() {
    var netArr1 = [];
    var loop = function loop(j) {
        name = netData.pois[j].tNewRichInfo.rich.business_name + "";
        uid = netData.pois[j].tPOI.sUid + "";
        address = netData.pois[j].tPOI.sAddr + "";
        lat = netData.pois[j].tNewRichInfo.rich.point.latitude + "";
        lng = netData.pois[j].tNewRichInfo.rich.point.longitude + "";
        dis = netData.pois[j].tPOI.sDis + "";
        foodList = { "name": name, "uid": uid,"point": { "mLatitudeE6": lat, "mLongitudeE6": lng }, "addr": address,"dis": dis };
        netArr1.push(foodList);
        document.getElementsByClassName("list")[j].addEventListener("click", function () {
            mqq.invoke("poi", "gotoPage", {
                "uri": "poiPage",
                "param": {
                    "poi": netArr1[j]
                }
            });
            if(req_code=="2|1|220000|3000"){
                tname="周边必去景点"
            }else if(req_code=="1|1|100000|2000"){
                tname="周边必吃美食"
            }else if(req_code=="1|2|101600|2000"){
                tname="最具人气火锅排行榜"
            }
            dataReport("near_rk_poilist_cl",{"request_id":netData.request_id,
                "SCity":netData.pois[j].tNewRichInfo.rich.city,
                "uid":netData.pois[j].tPOI.sUid,
                "pname": netData.pois[j].tNewRichInfo.rich.business_name,
                "index":j+1,
                "tname":tname
            });
        });
    };

    for (var j = 0; j < netData.pois.length; j++) {
        var name;
        var uid;
        var address;
        var lat;
        var lng;
        var dis;
        var foodList;
        loop(j);
    }
}