    //驾驶得分
    var totalScore;
    //速度指标得分
    var pv = 0;
    //加速度指标得分
    var pa = 0;
    //刹车指标得分
    var pb = 0;
    //转弯指标得分
    var pc = 0;
    //燃油效率得分
    var pe = 0;
    //油耗得分
    var pp = 0;
    //安全车速得分
    var pss = 0;
    //安全得分
    var ps = 0;
    //总的行车时间
    var totalTime = 0;
    //超速次数
    var overSpeedNum = 0;
    //超速索引字符串
    var overSpeedStr = "";
    //急加速次数
    var overPaNum = 0;
    //急加速索引字符串
    var overPaStr = "";
    //急刹车次数
    var overPbNum = 0;
    //急刹车索引字符串
    var overPbStr = "";
    //急转弯次数
    var overTurnNum = 0;
    //急转弯次数
    var overTurnStr = "";
    //行车距离
    var totalDistance = 0;
    //平均速度
    var averageSpeed = 0;
    //最大速度
    var maxSpeed = 0;
    //几星车手
    var n = 1;
    //转弯摩擦系数
    var u = 0.2;
    //折扣下限
    var disCount = 0.7;
    //时间间隔控制初始值设置为5分钟
    var time_d = 5 * 60;
    //分享标题
    var shareTitle = "";
    //摄像头超速个数
    var coverNum = 0;
    //摄像头超速索引字符串
    var coverStr = "";
    //摄像头总数
    var coverTotal = 0;
    //摄像头提示信息
    var coverInfo = "";
    //模板类型
    var tempType = "index";
    //导航类型
    var navType = ""
    //速度配置项
    var pvConfig = {
    	la: 85,
    	lb: {
    		lba: 85,
    		lbb: 75,
    		lbc: 65,
    		lbd: 55
    	},
    	lc: {
    		lca: 70,
    		lcb: 60,
    		lcc: 30,
    		lcd: 20
    	},
    	ld: {
    		lda: 65,
    		ldb: 60,
    		ldc: 20,
    		ldd: 10
    	},
    	le: {
    		lea: 60,
    		leb: 10,
    		lec: 0
    	}
    };
    //燃油效率低速配置项
    var peConfig = {
    	la: 90,
    	lb: 85,
    	lc: 65,
    	ld: 40,
    	le: 10
    };
    //急加速评分配置项
    var paConfig = {
    	la: 90,
    	lb: 87,
    	lc: 84,
    	ld: 81
    };
    //急刹车评分配置项
    var pbConfig = {
    	la: 90,
    	lb: 87,
    	lc: 84,
    	ld: 81
    };
    //急转弯评分配置项
    var pcConfig = {
    	la: {
    		laa: 95,
    		lab: 90,
    		lac: 85,
    		lad: 60,
    		lae: 40
    	},
    	lb: {
    		lba: 90,
    		lbb: 85,
    		lbc: 70,
    		lbd: 55,
    		lbe: 30
    	},
    	lc: {
    		lca: 90,
    		lcb: 85,
    		lcc: 70,
    		lcd: 30
    	},
    	ld: {
    		lda: 80,
    		ldb: 75,
    		ldc: 50,
    		ldd: 30
    	}
    };

    //2个随机数
    var r2 = Math.round(Math.random() * 10) % 2;
    //5个随机数
    var r5 = Math.round(Math.random() * 10) % 5;
    //4个随机数
    var r4 = Math.round(Math.random() * 10) % 4;
    //3个随机数
    var r3 = Math.round(Math.random() * 10) % 3;

    //计算速度指标得分
    var countPV = function (opt) {
    	if (opt && opt.length == 0) {
    		pv = 100;
    	} else {
    		if (navType == 1) {
    			var pvSum = [];
    			var pvSum_temp = 100;
    			for (var i = 0; i < opt.length; i++) {
    				var jsonObj = opt[i];
    				var max = jsonObj.maxSpeedLimit;
    				var average = jsonObj.sampleSpeed;
    				var s = countPVScore(max, average);
    				if (average <= max || max == 0) {
    					s = 100;
    				}
    				if (s < 100) {
    					overSpeedNum++;
    					overSpeedStr += i + ",";
    					pvSum.push(s);
    				}
    			}
    			for (var j = 0; j < pvSum.length; j++) {
    				pvSum_temp *= pvSum[j] / 100;
    			}
    			pv = Math.floor(pvSum_temp);
    		} else {
    			var sPV = 0;
    			var overTimeAll = 0;
    			var s_temp = 0;
    			var c_time = 0;
    			for (var i = 0; i < opt.length; i++) {
    				var jsonObj = opt[i];
    				var sTime = jsonObj.beginTimestamp;
    				var eTime = jsonObj.endTimestamp;
    				var max = jsonObj.maxSpeedLimit;
    				var average = jsonObj.sampleSpeed;
    				if (average > max) {
    					var tt = Math.round(eTime - sTime);
    					overTimeAll += tt;
    					sPV += countPVScore(max, average) * tt;
    					overSpeedNum++;
    					overSpeedStr += i + ",";
    				}
    			}
    			s_temp = sPV / overTimeAll;
    			c_time = overTimeAll / totalTime;
    			var pow_temp = Math.pow(c_time, 1 / overSpeedNum);
    			if (isNaN(pow_temp) || pow_temp > 1 || pow_temp <= 0) {
    				pow_temp = c_time;
    			}
    			pv = Math.floor(s_temp * pow_temp + 100 * (1 - pow_temp));
    		}
    	}
    }

    /**
     * 计算加速度指标得分
     */
    var countPA = function (opt) {
    	if (opt && opt.length == 0) {
    		pa = 100;
    	} else {
    		var paSum = [];
    		var paSum_temp = 100;
    		for (var i = 0; i < opt.length; i++) {
    			var jsonObj = opt[i];
    			var s = countAScore(jsonObj.maxAcceleration);
    			if (s < 100) {
    				overPaNum++;
    				overPaStr += i + ",";
    				paSum.push(s);
    			}
    		}
    		//paSum.sort(function(a,b){return a-b;});
    		for (var j = 0; j < paSum.length; j++) {
    			paSum_temp *= paSum[j] / 100;
    		}
    		pa = Math.floor(paSum_temp);
    	}
    }

    /**
     * 计算刹车指标得分
     */
    var countPB = function (opt) {
    	if (opt && opt.length == 0) {
    		pb = 100;
    	} else {
    		var pbSum = [];
    		var pbSum_temp = 100;
    		for (var i = 0; i < opt.length; i++) {
    			var jsonObj = opt[i];
    			var s = countBScore(jsonObj.maxAcceleration);
    			if (s < 100) {
    				overPbNum++;
    				overPbStr += i + ",";
    				pbSum.push(s);
    			}
    		}
    		//pbSum.sort(function(a,b){return a-b;});
    		for (var j = 0; j < pbSum.length; j++) {
    			pbSum_temp *= pbSum[j] / 100;
    		}
    		pb = Math.floor(pbSum_temp);
    	}
    }
    /**
     * 计算转弯指标得分
     */
    var countPC = function (opt) {
    	if (opt && opt.length == 0) {
    		pc = 100;
    	} else {
    		var pcSum = [];
    		var pcSum_temp = 100;
    		for (var i = 0; i < opt.length; i++) {
    			var jsonObj = opt[i];
    			var r = jsonObj.radius;
    			var max = jsonObj.maxSpeed;
    			var s = countTurn(r, max);
    			if (s < 100) {
    				overTurnNum++;
    				overTurnStr += i + ",";
    				pcSum.push(s);
    			}
    		}
    		//pcSum.sort(function(a,b){return a-b;});
    		for (var j = 0; j < pcSum.length; j++) {
    			pcSum_temp *= pcSum[j] / 100;
    		}
    		pc = Math.floor(pcSum_temp);
    	}
    }

    /**
     * 计算燃油效率得分
     */
    var countPE = function (opt) {
    	if (opt && opt.length == 0) {
    		pe = 100;
    	} else {
    		var sPE = [];
    		var time = [];
    		var overTimeAll = 0;
    		var e_temp = 0;
    		for (var i = 0; i < opt.length; i++) {
    			var jsonObj = opt[i];
    			var sTime = jsonObj.beginTimestamp;
    			var eTime = jsonObj.endTimestamp;
    			var max = jsonObj.maxSpeedLimit;
    			var average = jsonObj.averageSpeed;
    			if (average < max) {
    				var tt = Math.round(eTime - sTime);
    				time.push(tt);
    				overTimeAll += tt;
    				sPE.push(countPEScore(max, average));
    			}
    		}
    		for (var i = 0; i < sPE.length; i++) {
    			e_temp += time[i] / sPE[i];
    		}
    		pe = Math.floor(totalTime / ((totalTime - overTimeAll) / 100 + e_temp));
    	}
    }

    /**
     * 计算油耗得分
     */
    var countPP = function () {
    	pp = Math.floor(0.3 * pa + 0.3 * pb + 0.4 * pe);
    }

    /**
     * 计算安全得分ps
     */
    function countPS() {
    	ps = Math.floor(0.2 * pb + 0.2 * pa + 0.4 * pv + 0.2 * pc);
    }

    /**
     * 计算驾驶得分
     */
    var countTotalScore = function () {
    	totalScore = Math.floor(ps * 0.6 + pp * 0.4);
    }

    //计算超速得分
    var countPVScore = function (max, average) {
    	var score = 100;
    	var radio = countRatio(max, average);
    	max = max * 3.6;
    	average = average * 3.6;
    	if (radio > 0 && radio <= 0.1) {
    		score = pvConfig.la;
    	} else if (max <= 50) {
    		if (radio > 0.1 && radio <= 0.2) {
    			score = pvConfig.lb.lba;
    		} else if (radio > 0.2 && radio <= 0.5) {
    			score = pvConfig.lb.lbb;
    		} else if (radio > 0.5 && radio <= 0.7) {
    			score = pvConfig.lb.lbc;
    		} else {
    			score = pvConfig.lb.lbd;
    		}
    	} else if (max > 50 && max <= 80) {
    		if (radio > 0.1 && radio <= 0.2) {
    			score = pvConfig.lc.lca;
    		} else if (radio > 0.2 && radio <= 0.5) {
    			score = pvConfig.lc.lcb;
    		} else if (radio > 0.5 && radio <= 0.7) {
    			score = pvConfig.lc.lcc;
    		} else {
    			score = pvConfig.lc.lcd;
    		}
    	} else if (max > 80 && max <= 100) {
    		if (radio > 0.1 && radio <= 0.2) {
    			score = pvConfig.ld.lda;
    		} else if (radio > 0.2 && radio <= 0.5) {
    			score = pvConfig.ld.ldb;
    		} else if (radio > 0.5 && radio <= 0.7) {
    			score = pvConfig.ld.ldc;
    		} else {
    			score = pvConfig.ld.ldd;
    		}
    	} else if (max > 100) {
    		if (radio > 0.1 && radio <= 0.5) {
    			score = pvConfig.le.lea;
    		} else if (radio > 0.5 && radio <= 0.7) {
    			score = pvConfig.le.leb;
    		} else {
    			score = pvConfig.le.lec;
    		}
    	}
    	return score;
    }
    //计算超过比例的函数
    var countRatio = function (limit, value) {
    	return Math.abs(value - limit) / limit;
    }

    //计算加速度所在范围的得分
    var countAScore = function (value) {
    	var s = 100;
    	if (value > 2.2 && value <= 3) {
    		s = paConfig.la;
    	} else if (value > 3 && value <= 4) {
    		s = paConfig.lb;
    	} else if (value > 4 && value <= 5) {
    		s = paConfig.lc;
    	} else if (value > 5) {
    		s = paConfig.ld;
    	}
    	return s;
    }

    //计算刹车加速度所在范围的得分
    var countBScore = function (value) {
    	var s = 100;
    	if (value >= -3 && value < -2.2) {
    		s = pbConfig.la;
    	} else if (value >= -4 && value < -3) {
    		s = pbConfig.lb;
    	} else if (value >= -5 && value < -4) {
    		s = pbConfig.lc;
    	} else if (value < -5) {
    		s = pbConfig.ld;
    	}
    	return s;
    }

    /**
     * 根据转弯角度判断转弯类型
     */
    var judgeTurn = function (angle) {
    	var angle = Math.abs(angle);
    	if (angle > 45 && angle <= 135) {
    		return "right";
    	} else if (angle >= 225 && angle < 315) {
    		return "left";
    	} else if (angle > 135 && angle < 225) {
    		return "round";
    	} else {
    		return "no";
    	}
    }

    //计算转弯速度所在范围的得分
    var countTurn = function (r, max) {
    	var score = 100;
    	var v = Math.round(Math.sqrt(u * 9.8 * r));
    	var mv = v * 3.6;
    	if (max > v) {
    		var radio = countRatio(v, max);
    		if (mv > 0 && mv <= 20) {
    			if (radio > 0 && radio <= 0.1) {
    				score = pcConfig.la.laa;
    			} else if (radio > 0.1 && radio <= 0.2) {
    				score = pcConfig.la.lab;
    			} else if (radio > 0.2 && radio <= 0.5) {
    				score = pcConfig.la.lac;
    			} else if (radio > 0.5 && radio <= 0.7) {
    				score = pcConfig.la.lad;
    			} else {
    				score = pcConfig.la.lae;
    			}
    		} else if (mv > 20 && mv <= 40) {
    			if (radio > 0 && radio <= 0.1) {
    				score = pcConfig.lb.lba;
    			} else if (radio > 0.1 && radio <= 0.2) {
    				score = pcConfig.lb.lbb;
    			} else if (radio > 0.2 && radio <= 0.5) {
    				score = pcConfig.lb.lbc;
    			} else if (radio > 0.5 && radio <= 0.7) {
    				score = pcConfig.lb.lbd;
    			} else {
    				score = pcConfig.lb.lbe;
    			}
    		} else if (mv > 40 && mv <= 60) {
    			if (radio > 0 && radio <= 0.1) {
    				score = pcConfig.lc.lca;
    			} else if (radio > 0.1 && radio <= 0.2) {
    				score = pcConfig.lc.lcb;
    			} else if (radio > 0.2 && radio <= 0.5) {
    				score = pcConfig.lc.lcc;
    			} else {
    				score = pcConfig.lc.lcd;
    			}
    		} else {
    			if (radio > 0 && radio <= 0.1) {
    				score = pcConfig.ld.lda;
    			} else if (radio > 0.1 && radio <= 0.2) {
    				score = pcConfig.ld.ldb;
    			} else if (radio > 0.2 && radio <= 0.5) {
    				score = pcConfig.ld.ldc;
    			} else {
    				score = pcConfig.ld.ldd;
    			}
    		}
    	}
    	return score;
    }

    //计算低速油耗得分
    var countPEScore = function (min, average) {
    	var score = 100;
    	var radio = countRatio(min, average);
    	average = average * 3.6;
    	if (radio > 0 && radio <= 0.1) {
    		score = peConfig.la;
    	} else if (radio > 0.1 && radio <= 0.2) {
    		score = peConfig.lb;
    	} else if (radio > 0.2 && radio <= 0.5) {
    		score = peConfig.lc;
    	} else if (radio > 0.5 && radio <= 0.7) {
    		score = peConfig.ld;
    	} else {
    		score = peConfig.le;
    	}
    	return score;
    }

    //计算选手等级
    function countLevel(sv) {
    	var level = "";
    	shareTitle = sv + "分，";
    	if (sv < 45) {
    		level = "一星车手";
    		n = 1;
    		shareTitle += ["绳命如此辉煌，为了自己和他人，请小心驾驶~", "有钱，开车也不能这么任性哟"][r2];
    	} else if (sv >= 45 && sv < 50) {
    		level = "一星车手";
    		n = 1.5;
    		shareTitle += ["嗯，一定是路况的原因", "咳咳，今天的路况有点儿复杂……"][r2];
    	} else if (sv >= 50 && sv < 58) {
    		level = "二星车手";
    		n = 2;
    		shareTitle += ["有钱，开车也不能这么任性哟", "嗯，一定是路况的原因"][r2];
    	} else if (sv >= 58 && sv < 66) {
    		level = "二星车手";
    		n = 2.5;
    		shareTitle += ["咳咳，今天的路况有点儿复杂……"];
    	} else if (sv >= 66 && sv < 74) {
    		level = "三星车手";
    		n = 3;
    		shareTitle += ["初入江湖，各位大哥大姐，叔叔阿姨多关照", "革命成功一半，行车还须努力，三星君，请加油"][r2];
    	} else if (sv >= 74 && sv < 81) {
    		level = "三星车手";
    		n = 3.5;
    		shareTitle += ["离四星车手只有半步之遥，下次妥妥行"];
    	} else if (sv >= 81 && sv < 88) {
    		level = "四星车手";
    		n = 4;
    		shareTitle += ["出门前算了一卦，说我必得高分", "不要迷恋我，我只是个传说"][r2];
    	} else if (sv >= 88 && sv < 95) {
    		level = "四星车手";
    		n = 4.5;
    		shareTitle += ["我得瑟的车姿，是你不曾见过的风景，摆个Pose,相机走起", "不是所有的司机都可以拿四星车手"][r2];
    	} else if (sv >= 95) {
    		level = "五星车手";
    		n = 5;
    		shareTitle += ["瞬间走上人生巅峰，想想有点小激动,哈哈", "果然好身手，小伙伴们，来PK吧"][r2];
    	}
    	return level;
    }

    //显示提示语
    function countInfo(overPbNum, overPaNum, overSpeedNum, overTurnNum) {
    	var info = "";
    	var sArray = [overPbNum, overPaNum, overSpeedNum, overTurnNum];
    	var result = sArray[0];
    	var num = 0;
    	for (var i = 1; i < sArray.length; i++) {
    		if (sArray[i] > result) {
    			result = sArray[i];
    			num = i;
    		}
    	}
    	if (num == 0) {
    		info = ["刹车踩得有点猛哦，开车请集中注意力~", "刹车君：我喜欢柔情，不喜欢强踩", "刹车片都要被踩坏了啦！", "这路况，真是心疼刹车片"][r4];
    	} else if (num == 1) {
    		info = ["油门虽好，可不要猛踩喔", "猛踩油门费油，地球人都知道", "加速容易，节油不易，且踩且珍惜"][r3];
    	} else if (num == 2) {
    		info = ["珍惜驾照积分，远离超速行驶", "安全驾驶，远离超速~", "超速容易，罚单不易，且行且珍惜", "没有超速，就没有罚单~"][r4];
    	} else if (num == 3) {
    		info = ["那些打过的急转弯，都是你逝去的青春", "转弯转得这么急，可以去当飙车演员了~", "注意驾驶安全，转弯时要淡定哦"][r3];
    	}
    	if (totalScore == 100) {
    		info = ["高手不止是分数，更是一种技术", "驾驶是一种乐趣，高分是一种态度", "这分数，是不是可以得瑟一下呢？", "开得又稳又快，你的小伙伴们知道吗？", "瞧这车技，你是来抢头条的吧？"][r5];
    	} else if (totalScore >= 90 && totalScore < 100) {
    		info = ["高手不止是分数，更是一种技术", "驾驶是一种乐趣，高分是一种态度", "这分数，是不是可以得瑟一下呢？", "开得又稳又快，你的小伙伴们知道吗？", "瞧这车技，你是来抢头条的吧？"][r5];
    	} else if (totalScore >= 80 && totalScore < 90) {
    		info = ["没有什么能够阻挡，你对高分的向往", "万水千山总是情，拿这分数挺开心", "分不在高，够晒就行，这算炫耀吗？", "一不小心就拿这分，想想有点小激动", "在这样的分数面前，必须装作很平静"][r5];
    	}
    	return info;
    }

    //显示底部提示语
    function countBinfo(avg) {
    	var binfo = "";
    	if (avg > 0 && avg <= 10) {
    		binfo = ["以后再堵车，就忙里偷闲听听音乐吧", "堵车啊堵车，这磨人的小妖精！", "这堵车的画面，也是醉了~", "这路况真是可惜了您的车技呀！"][r4];
    	} else if (avg > 10 && avg <= 20) {
    		binfo = ["我只想安静地当个开慢车的美男子", "偶尔开慢点，感觉自己萌萌哒~", "这速度，想起了在驾校的菜鸟岁月~", "这路况真是可惜了您的车技呀！"][r4];
    	} else if (avg > 20 && avg <= 40) {
    		binfo = ["开车虽易，开快不易，且行且珍惜", "天降大任于司机也，必先快一会慢一会", "低调的车速，掩藏不了你渴望顺畅的心"][r3];
    	} else if (avg > 40) {
    		binfo = ["一路顺畅，当年路考也是这个速度呢~", "开车兜兜风，心情棒棒哒~", "不错不错，车速平稳，为你点赞~"][r3];
    	}
    	return binfo;
    }
    //计算摄像头信息
    function countCover(opt) {
    	if (opt && opt.length > 0) {
    		coverTotal = opt.length;
    		for (var i = 0; i < coverTotal; i++) {
    			var jsonObj = opt[i];
    			if (jsonObj.speed > jsonObj.limit && (jsonObj.cameraType == 3 || jsonObj.cameraType == 4)) {
    				coverNum++;
    				coverStr += i + ",";
    			}
    		}
    		if (coverTotal >= 10 && coverNum <= 0) {
    			tempType = "camera_normal";
    			coverInfo = ["一路开过来，开车真不容易啊!", "在摄像丛林中穿行，心态很重要!"][r2];
    			shareTitle = ["全程" + coverTotal + "个测速摄像头，真惊险啊！", "My God~测速摄像头敢来的更猛烈些吗？"][r2];
    		}
    		if (coverNum > 0) {
    			tempType = "camera_over";
    			coverInfo = ["脚没收住啊，祈祷没有被拍到", "真是防不慎防，希望没被拍到"][r2];
    			shareTitle = ["貌似超速了，会不会被拍啊?", "摄像头给我一次改过的机会吧!"][r2];
    		}
    	}
    }

    /*客户端获取参数
    	{
    	    "corner": []
    	    "acceleration": [],
    	    "deceleration": [],
    	    "totalTime": 135,       //时间（totalTime在此为tt默认单位为s）
    	    "averageSpeed": 11.9037,//平均速度（averageSpeed默认单位为m/s）
    	    "maxSpeed": 14.44444,   //最高速度（maxSpeed默认单位为m/s）
    	    "totalDistance": 1607,  //距离（totalDistance默认单位米）
    	    "electronic_eye": [],
    	    "overspeed": [
    	    ],
    	    "navType": 0,
    	    "slowspeed": []
    	}
    */
    var initData = function (obj, platform) {
    	if (obj) {
    		navType = obj.navType;
    		totalTime = obj.totalTime;
    		totalDistance = obj.totalDistance;
    		averageSpeed = obj.averageSpeed;
    		maxSpeed = obj.maxSpeed;
    		var totalD = totalDistance / 1000;
    		var average = Math.round(averageSpeed * 3.6);
    		var max = Math.round(maxSpeed * 3.6);
    		var tt = totalTime;
    		if (tt <= 60) {
    			tt = "1min";
    		} else if (tt < 3600 && tt > 60) {
    			tt = Math.round(tt / 60) + "min";
    		} else {
    			tt = Math.floor(tt / 3600) + "h" + Math.round((tt % 3600) / 60) + "min";
			}
			if (obj.overspeed) {
				countPV(obj.overspeed);
			}
			if (obj.acceleration) {
				countPA(obj.acceleration);
			}
			if (obj.deceleration) {
				countPB(obj.deceleration);
			}
			if (obj.corner) {
				countPC(obj.corner);
			}
			if (obj.slowspeed) {
				countPE(obj.slowspeed);
			}
    		countPP();
    		countPS();
    		countTotalScore();
    		//计算车手等级
    		var level = encodeURI(countLevel(totalScore));
    		countCover(obj.electronic_eye);
    		//显示提示语
    		var info = encodeURI(countInfo(overPbNum, overPaNum, overSpeedNum, overTurnNum));
    		var binfo = encodeURI(countBinfo(average));
    		var param; //传值方式

    		param = {
    			"totalScore": totalScore,
    			"level": level,
    			"pv": pv,
    			"pa": pa,
    			"pb": pb,
    			"pc": pc,
    			"pe": pe,
    			"pp": pp,
    			"pss": pss,
    			"ps": ps,
    			"info": info,
    			"overSpeedNum": overSpeedNum,
    			"overPaNum": overPaNum,
    			"overPbNum": overPbNum,
    			"overTurnNum": overTurnNum,
    			"totalDistance": totalD,
    			"averageSpeed": average,
    			"maxSpeed": max,
    			"totalTime": tt,
    			"n": n,
    			"overSpeedStr": overSpeedStr,
    			"overPaStr": overPaStr,
    			"overPbStr": overPbStr,
    			"overTurnStr": overTurnStr,
    			"binfo": binfo,
    			"shareTitle": encodeURI(shareTitle),
    			"coverTotal": coverTotal,
    			"coverNum": coverNum,
    			"coverStr": coverStr,
    			"coverInfo": encodeURI(coverInfo),
    			"tempType": tempType
    		};
    		// if (platform == "android") {

    		// } else {
    		// param = JSON.stringify(param);
    		// param = "totalScore=" + totalScore + "&level=" + level + "&pv=" + pv + "&pa=" + pa + "&pb=" + pb + "&pc=" + pc + "&pe=" + pe + "&pp=" + pp + "&pss=" + pss + "&ps=" + ps + "&info=" + info + "&overSpeedNum=" + overSpeedNum + "&overPaNum=" + overPaNum + "&overPbNum=" + overPbNum + "&overTurnNum=" + overTurnNum + "&totalDistance=" + totalD + "&averageSpeed=" + average + "&maxSpeed=" + max + "&totalTime=" + tt + "&n=" + n + "&overSpeedStr=" + overSpeedStr + "&overPaStr=" + overPaStr + "&overPbStr=" + overPbStr + "&overTurnStr=" + overTurnStr + "&binfo=" + binfo + "&shareTitle=" + encodeURI(shareTitle) + "&coverTotal=" + coverTotal + "&coverNum=" + coverNum + "&coverStr=" + coverStr + "&coverInfo=" + encodeURI(coverInfo) + "&tempType=" + tempType;
    		// }

    		return param;
    	}
    }