//参数定义
var id = "",
    platform = "",
    type = "",
    coType = "",
    name = "",
    address = "",
    distance = "",
    distanceType = "",
    hasStreetView = "",
    appVersion = "",
    credibility = "",
    operatePlaceColor = "",
    operatePlaceDes = "",
    paraString = [],
    paraObj = {},
    imei = "",
    hideStatus = false,
    routeMode = "",
    latitude = "",
    isOfflineData = "",
    isMyLocation = "",
    longitude = "",
    isFavorite = '',
    uid = "",
    isFuzzySearch = "",
    city = "",
    linesAry = [],
    dataSource = "",
    realtime="",
    realtimeNum = 0,
    num=0,
    etas = [];//请求国eta数据的线路

var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端

//更新收藏
mqq.addEventListener("updateData", updateDataCallback);
function updateDataCallback(obj) {
    obj.type = "updateFavorite";
    isFavorite = obj.param.isFavorite;
    id = obj.param.id;
    if (isFavorite == 1) {
        hideStatus = true;
        byClass("collectBtn").style.backgroundPosition = "-0.1rem 0";
        byClass("collectTxt").innerText = "已收藏";
    } else {
        hideStatus = false;
        byClass("collectBtn").style.backgroundPosition = "0 0";
        byClass("collectTxt").innerText = "收藏";
    }
}

var param = window.sessionStorage.getItem('param');
paraObj = JSON.parse(param);

/**
 * 解析URL参数逻辑
 */
function getUrlParam() {
    var url = location.href;
    paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
    if (paraString.length > 0) {
        var i, j;
        for (i = 0; j = paraString[i]; i++) {
            paraObj[j.substring(0, j.indexOf("="))] = encodeHTML(j.substring(j.indexOf("=") + 1, j.length));
        }
        if (paraObj.param) {
            // 安卓端参数从param字段中获取
            var decodeParam = decodeURIComponent(paraObj.param);
            loadedPage(JSON.parse(decodeParam));
        } else {
            // ios端参数从其他字段获取
            loadedPage(paraObj);
        }
    }
}

/**
 * 加载页面
 */
function loadedPage(paraObj) {
    // alert(JSON.stringify(paraObj))
    if (paraObj) {
        if(paraObj.realtime){
            realtime=paraObj.realtime;
        }

        if (paraObj.uid) {
            id = paraObj.uid;
        }
        if (paraObj.device) {
            platform = paraObj.device;
        }
        if (paraObj.type) {
            type = paraObj.type;
        }
        if (paraObj.coType) {
            coType = paraObj.coType;
        }
        if (paraObj.name) {
            name = decodeURIComponent(paraObj.name);
        }
        if (paraObj.hasStreetView) {
            hasStreetView = paraObj.hasStreetView;
        }
        if (paraObj.address) {
            address = decodeURIComponent(paraObj.address);
        }
        if (paraObj.distance) {
            distance = decodeURIComponent(paraObj.distance);
        }
        if (paraObj.distanceType != undefined) {
            distanceType = decodeURIComponent(paraObj.distanceType);
        }
        if (paraObj.strNPLColor ) {
            operatePlaceColor = decodeURIComponent(paraObj.strNPLColor);
        }
        if ( paraObj.strPOIErrInfo) {
            operatePlaceDes = decodeURIComponent(paraObj.strPOIErrInfo);
        }
        if (paraObj.imei) {
            imei = paraObj.imei;
        }
        if (paraObj.appVersion) {
            appVersion = paraObj.appVersion;
        }
        if (paraObj.latitude) {
            latitude = paraObj.latitude.toString();
        }
        if (paraObj.longitude) {
            longitude = paraObj.longitude.toString();
        }
        if (paraObj && paraObj.isOfflineData) {
            isOfflineData = paraObj.isOfflineData;
        }
        if (paraObj && paraObj.isMyLocation) {
            isMyLocation = paraObj.isMyLocation;
        }
        if (paraObj.uid) {
            uid = paraObj.uid;
        }
        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.city) {
            city = paraObj.city;
        }
        if (paraObj.dataSource) {
            dataSource = paraObj.dataSource;
        }
    }
    loadNativeData();
}

loadedPage(paraObj);

//getUrlParam();
/**
 * 将客户端传递的基础数据渲染到页面
 */
function loadNativeData() {
    if (operatePlaceDes) {
        //显示提示语
        byClass("credibility").innerText = operatePlaceDes;
        byClass("credibility").style.display = "block";
        //与提示语颜色保持一致
        if (operatePlaceColor) {
            if (operatePlaceColor.length > 7) {
                var tempColor = operatePlaceColor.substring(operatePlaceColor.length - 6);
                byClass("credibility").style.color = "#" + tempColor;
            } else {
                byClass("credibility").style.color = operatePlaceColor;
            }

            // byClass("credibility").style.color = operatePlaceColor;
        }
    }
    if (isMyLocation == '1') {
        byClass("nav").style.display = "block";
        byClass("navText").innerText = "从这走";
    }
    if (!isOfflineData) {
        //纠错
        if (dataSource == "none" || dataSource == "accurate" || dataSource == "anno" || dataSource == "nearby" || dataSource == "fuzzy" || dataSource == "") {
            byId("reportError").style.display="inline-block";
            byId("reportErrorEntrance").style.display="block";
        }
    } else {
        byId("reportErrorEntrance").style.display = "none";
    }
    if (name) {
        if (!coType) {
            if (type == 1) {
                byClass("poiName").innerText = name + '(公交站)';
            } else if (type == 2) {
                byClass("poiName").innerText = name + '(地铁站)';
            }
        } else {
            if (coType == 100) {
                byClass("poiName").innerText = name + '(公交站)';
            } else {
                byClass("poiName").innerText = name + '(地铁站)';
            }
        }
        //byClass("poiName").style.display = "block";
    }
    if (distance) {
        if (distance > 0) {
            // if(platform == 'android'){
            // byClass("distance").innerText = distance2Sring(distance);
            if (distanceType == '0') {
                byClass("distance").innerText = distance2Sring(distance) + '   ';
            } else if (distanceType == '1') {
                byClass("distance").innerText = '距你' + distance2Sring(distance) + '   ';
            } else {
                byClass("distance").innerText = '距查询位置' + distance2Sring(distance) + '   ';
            }
            // }
            // else{
            //     byClass("trafficAddress").innerText = distance2String(distance);
            // }
            byClass("trafficAddress").style.display = "inline-block";
        }
    }
    if (isTrue(hasStreetView)) {
        byClass("streetView").style.display = "inline-block";
    }
    // else {
    //修改两个按钮的位置
    //  byClass("shareBtn").style.left = "75%";
    // byClass("shareBtn").style.marginLeft = "-0.06rem";
    // byClass("collectBtn").style.left = "25%";
    // byClass("collectBtn").style.marginLeft = "-0.06rem";
    // }
  
}

/**
 * 从后台接口获取数据并渲染展现
 */
//alert("imei="+imei)
function getNetworkData() {
    // isTest = 0;
    if( isTest == 1 ){
        var requestUrl = "https://maptest.sparta.html5.qq.com/rtbus?qt=bus_stop_line_tag&stopUid="+id+"&isOnlyRealtimeLine=0&isNeedLineGroup=1&imei="+imei+"&osVersion="+platform+"&softVersion="+appVersion+"&strNettp=61.135.172.68&strSessionId=&strPf=&strMobver=&strUserNetType=WiFi&uAccIp=";
    } else {
        var requestUrl = "https://syn0.map.qq.com/rtbus?qt=bus_stop_line_tag&stopUid="+id+"&isOnlyRealtimeLine=0&isNeedLineGroup=1&imei="+imei+"&osVersion="+platform+"&softVersion="+appVersion+"&strNettp=61.135.172.68&strSessionId=&strPf=&strMobver=&strUserNetType=WiFi&uAccIp=";
    }
    // 公交站，显示途径线路
    json.getData(requestUrl, renderLineData);
}

/**
 * 将途径线路渲染到页面
 */
function renderLineData(data) {
    if ( data.stopTag && data.stopTag.linePairs && data.retCode == 0 ) {
        //全部线路数据
        var lines = data.stopTag.linePairs;
        //展示头部线路信息
        if (lines.length > 0) {
            byClass("trafficLines").innerText = lines.length + "条路线经过此站";
            byClass("trafficAddress").style.display = "block";
        }
        byClass("lineDetails").style.display = "block";
        if (coType == 100) {
            //获取公交线路实时信息
            function busReal() {
                var str = "";
                //先渲染不包含eta的全部线路信息
                for (var i = 0; i < lines.length; i++) {
                    var line = lines[i];
                    var realTimeStr = "";
                    var prices = [];
                    if( line.line1 && line.line1.startPrice ) prices.push(line.line1.startPrice);
                    if( line.line1 && line.line1.maxPrice ) prices.push(line.line1.maxPrice);
                    if( line.line2 && line.line2.startPrice ) prices.push(line.line2.startPrice);
                    if( line.line2 && line.line2.maxPrice ) prices.push(line.line2.maxPrice);
                    if( prices[0] ){
                        var lowest = (Math.min.apply(null,prices)/100).toFixed(1),
                            hightest = (Math.max.apply(null,prices)/100).toFixed(1),
                            priceStr = lowest == hightest ? lowest+'元' : lowest+"元~"+hightest+"元";
                    } else {
                        var priceStr = "0元";
                    }
                    //线路是否打上实时tag，由line1是否是实时决定
                    if( line.line1.isRealtimeLine == 1 ){
                        if( line.line1 && line.line2 && line.line1.name != line.line2.name ){
                            realtimeNum += 2;
                        } else {
                            realtimeNum += 1;
                        }
                        realTimeStr = "<span class='lineRealTime'></span>";
                        MtaH5.clickStat('map_poi_busstation_nextbus_show');
                    }
                    //记录实时公交类型线路数量
                    if( line.line1 && line.line2 && line.line1.name != line.line2.name ){//如果同一线路有两个不同名聚合方向，则拆成两个线路
                        str += "<li class='line'>";
                        str += "<div class='lineTitle'><span class='lineName'>" + line.line1.name + "</span>" + realTimeStr;
                        str += "<span class='linePrice'>票价" +priceStr+ "</span></div>";
                        str += "<div class='lineInfo' id=" + line.line1.uid + "><div class='lineDetail'><img class='dir-icon' src='img/ic_bus_dir.png'>";
                        str += "<p class='lineFromTo'><span>开往</span><span>"+ line.line1.to +"</span></p>";
                        if( line.line1.beginTime && line.line1.endTime ){
                            str += "<span class='beginTime'>首"+ line.line1.beginTime +"</span><span class='endTime'>末"+ line.line1.endTime +"</span></div>";
                        }
                        str += "<div class='bus-time'></div>";
                        str += "</div><div class='border'></div></li>";

                        str += "<li class='line'>";
                        str += "<div class='lineTitle'><span class='lineName'>" + line.line2.name + "</span>" + realTimeStr;
                        str += "<span class='linePrice'>票价" +priceStr+ "</span></div>";
                        str += "<div class='lineInfo' id=" + line.line2.uid + "><div class='lineDetail'><img class='dir-icon' src='img/ic_bus_dir.png'>";
                        str += "<p class='lineFromTo'><span>开往</span><span>"+ line.line2.to +"</span></p>";
                        if( line.line2.beginTime && line.line2.endTime ){
                            str += "<span class='beginTime'>首"+ line.line2.beginTime +"</span><span class='endTime'>末"+ line.line2.endTime +"</span></div>";
                        }
                        str += "<div class='bus-time'></div>";
                        str += "</div><div class='border'></div></li>";
                    } else {//如果只有一个聚合方向，就显示一个；如果有两个方向且同名，就显示两个聚合方向
                        str += "<li class='line'>";
                        str += "<div class='lineTitle'><span class='lineName'>" + line.line1.name + "</span>" + realTimeStr;
                        str += "<span class='linePrice'>票价" +priceStr+ "</span></div>";
                        if( line.line1 ){
                            str += "<div class='lineInfo' id=" + line.line1.uid + "><div class='lineDetail'><img class='dir-icon' src='img/ic_bus_dir.png'>";
                            str += "<p class='lineFromTo'><span>开往</span><span>"+ line.line1.to +"</span></p>";
                            if( line.line1.beginTime && line.line1.endTime ){
                                str += "<span class='beginTime'>首"+ line.line1.beginTime +"</span><span class='endTime'>末"+ line.line1.endTime +"</span></div>";
                            }
                            str += "<div class='bus-time hiding'></div></div>";
                        }
                        if( line.line2 ){
                            str += "<div class='lineInfo' id=" + line.line2.uid + "><div class='lineDetail'><img class='dir-icon' src='img/ic_bus_dir.png'>";
                            str += "<p class='lineFromTo'><span>开往</span><span>"+ line.line2.to +"</span></p>";
                            if( line.line2.beginTime && line.line2.endTime ){
                                str += "<span class='beginTime'>首"+ line.line2.beginTime +"</span><span class='endTime'>末"+ line.line2.endTime +"</span></div>";
                            }
                            str += "<div class='bus-time hiding'></div></div>";
                        }
                        str += "<div class='border'></div></li>";
                    }
                }
                byClass("lines").innerHTML = str;
                byClass("lines").style.display = "block";
                //添加点击详情跳转功能
                for (var l = 0,lineItems = document.getElementsByClassName("lineInfo"); l < lineItems.length; l++) {
                    lineItems[l].addEventListener("click", function () {
                        nativeLineDetail(this.id, name);
                        statistics(platform, 'busPoi', 'busRoute');
                        MtaH5.clickStat('map_poi_busstation_nextbus_click');
                    })
                }
                //如果属于实时类型的公交站
                if( realtime && realtime.status == 1 ){
                    byId("lineInfo").style.display = "block";
                    byClass("bus-title-animation").style.display="inline-block";
                    byId("realBusNum").innerText = realtimeNum;
                    getNewEta();
                }

                clearInterval(timer);
            }

            busReal();

            var timer = setInterval(function () {
                getNewEta();
            },30000);

            window.getNewEta = getNewEta;

        }
        if(isiOS){
            var lineNameItems = document.getElementsByClassName('lineName');
            for( var x = 0 ; x < lineNameItems.length ; x++ ){
                lineNameItems[x].style.lineHeight = "0.13rem";
            }
        }
        if(isAndroid){
            var lineNameItems2 = document.getElementsByClassName('lineDetail');
            for( var z = 0 ; z < lineNameItems2.length ; z++ ){
                lineNameItems2[z].style.lineHeight = "0.11rem";
            }
        }
    }
}
//  将分钟转换为XX小时XX分钟
function toHourMinute(minutes){
    if(minutes<60){
        return minutes+ "分钟";
    } else if(minutes%60 == 0){
        return (minutes/60)+"小时";
    }else {
        return (Math.floor(minutes/60) + "小时" + (minutes%60) + "分钟" );
    }
}


//根据当前一屏内的公交线路获取相应的eta，节省流量，优化性能
function getNewEta (type){
    var lineEles = document.getElementsByClassName("lineInfo"),//所有lineInfo元素
        screenEles = [],//当前屏幕内的所有lineInfo元素
        lineIds = [];//当前屏幕内所有lineInfo的id
    //获取当前一屏的所有lineInfo元素
    for( var j = 0 ; j < lineEles.length ; j++ ){
        //如果是实时公交才给客户端传入uid，否则非实时的无视
        if( lineEles[j].parentNode.getElementsByClassName('lineRealTime')[0] ){
            if( lineEles[j].getBoundingClientRect().top > -103 && lineEles[j].getBoundingClientRect().top < 640 ){
                screenEles.push( lineEles[j] );
                lineIds.push( lineEles[j].id );
            }
        }
    }
    //从客户端获取eta数据
    updateRealtimeBus(id, lineIds, function (data) {
        console.log(data)
        //更新时间
        var nowTime = new Date(),nowHour = nowTime.getHours(),nowMin = nowTime.getMinutes();
        var updateStr = nowHour + ':' + (nowMin<10?'0'+nowMin:nowMin);
        byClass('update').innerHTML = "更新于<span id='updatetime'>" + updateStr + "</span>";
        //点击刷新调用的时候才显示toast
        if( type === 1 ){
            if( num != 0 && data.shErrNo == "0"){
                nativeShowTips('刷新成功');
            }else if( num != 0 && data.shErrNo != "0"){
                nativeShowTips('刷新失败');
            }
        }
        //如果拉取eta成功则显示eta信息，否则eta处不渲染继续隐藏
        if( data.shErrNo == "0" ){
            for( var i = 0 ; i < data.lines.length ; i++ ){
                //如果是实时公交线路、并且有实时公交eta数据（如果eta显示实时但是后台显示非实时则以后台为优先级）
                if( data.lines[i].hasRealtimeBus === 1 && byId(data.lines[i].lineUid).parentNode.getElementsByClassName('lineRealTime')[0] ){
                    //eta文案展示逻辑
                    var str = "",
                        stopDistance = data.lines[i].distance || '0',
                        stopNum = data.lines[i].stopNum, stopStr = '',
                        etaTime = Math.ceil(data.lines[i].eat/60), etaStr = '',
                        thisStamp = new Date().getTime(),
                        thisLine = byId(data.lines[i].lineUid).getElementsByClassName("bus-time")[0];
                    if( stopNum >= 1 ){
                        stopStr = stopNum+'站';etaStr = '约'+toHourMinute(etaTime);
                    } else if ( stopNum == 0 ){
                        if( stopDistance > 50 ){
                            stopStr = '即将到站'; etaStr = '约'+etaTime+'分钟';
                        } else {
                            stopStr = '车已到站';
                        }
                    }
                    //如果初次刷新某线路的eta数据
                    if( etas.indexOf(data.lines[i].lineUid) < 0 ){
                        str += "<div class='bus-animation' data-stamp='"+thisStamp+"'></div><div class='bus-station'>";
                        str += "<span>" + stopStr + "</span><span>" + etaStr + "</span></div>";
                        thisLine.innerHTML = str;
                        thisLine.classList.remove("hiding");
                        etas.push(data.lines[i].lineUid);
                    } else {//如果某条line加载过eta并且和上次间隔大于1分钟才刷新，阻止频繁地请求数据和修改dom
                        if( byId(data.lines[i].lineUid).getElementsByClassName("bus-animation")[0] ){
                            var lastStamp = byId(data.lines[i].lineUid).getElementsByClassName("bus-animation")[0].getAttribute("data-stamp");
                            if( Math.ceil((thisStamp-lastStamp)/1000) > 30 ){
                                str += "<div class='bus-animation' data-stamp='"+thisStamp+"'></div><div class='bus-station'>";
                                str += "<span>" + stopStr + "</span><span>" + etaStr + "</span></div>";
                                thisLine.innerHTML = str;
                                thisLine.classList.remove("hiding");
                            }
                        }
                    }
                //如果该方向无eta数据，则看是否过运营时间来选择文案，（如果非实时线路直接隐藏，什么都不展示）
                } else if( data.lines[i].hasRealtimeBus === 0 && byId(data.lines[i].lineUid).parentNode.getElementsByClassName('lineRealTime')[0] ) {
                    var busEle = byId(data.lines[i].lineUid).getElementsByClassName("bus-time")[0];
                    var thisStamp = new Date(),thisHour = thisStamp.getHours(),thisMin = thisStamp.getMinutes();
                    var thisTimeStr = thisHour + ':' + thisMin;//当前时间，如“xx：xx”
                    var thisBegin = busEle.parentNode.getElementsByClassName('beginTime')[0].innerHTML.replace('首','');
                    var thisEnd = busEle.parentNode.getElementsByClassName('endTime')[0].innerHTML.replace('末','');
                    busEle.classList.add('bus-timeout');
                    //判断首班时间小于和大于末班时间两种情况
                    if( isEarlierThan(thisBegin,thisEnd) ){
                        //如果还在运营时间内则提示暂未发车，否则提示已过运营时间
                        if( isEarlierThan(thisBegin,thisTimeStr) && isEarlierThan(thisTimeStr,thisEnd) ){
                            busEle.innerHTML = "暂未发车";
                        } else {
                            busEle.innerHTML = "已过运营时间";
                        }
                    } else if( !isEarlierThan(thisBegin,thisEnd) ){//如果首班时间大于末班时间（夜车）
                        if( (isEarlierThan(thisBegin,thisTimeStr) && isEarlierThan(thisTimeStr,'24:00')) || (isEarlierThan('00:00',thisTimeStr) && isEarlierThan(thisTimeStr,thisEnd)) ){
                            busEle.innerHTML = "暂未发车";
                        } else {
                            busEle.innerHTML = "已过运营时间";
                        }
                    }
                    busEle.classList.remove('hiding');
                }
            }
        }
    });
}

//算法：比较AB:CD和EF:GH这样的时间谁更早(同一个24小时时间段内)，true前者<=后者，false前者>后者
function isEarlierThan(x,y){
    if( !(x.indexOf(':') > -1 && y.indexOf(':') > -1) ){
        return false;
    }
    var a = x.split(':'), b = y.split(':');
    if( !( a.length == 2 && b.length == 2 ) ){
        return false;
    }
    if( a[0] < b[0] ){
        return true;
    } else if( a[0] == b[0] && a[1] <= b[1] ){
        return true;
    } else {
        return false;
    }
}

window.addEventListener("load", function () {
    // FastClick.attach(document.body);
    // getUrlParam ();

    //随着用户滚屏，动态获取eta数据
    window.userScrollTimer = false;
    window.addEventListener("scroll",function(e){
        clearInterval(window.userScrollTimer);
        window.userScrollTimer = setTimeout(function(){
            getNewEta();
        },300)
    })

    byId("around").addEventListener("click", function () {
        nativeOpenAround();
        // statistics(platform, 'foodPoi', 'streetscape');
    }, false);

    //街景
    byId("streetView").addEventListener("click", function () {
        // alert("街景");
        nativeOpenVista(platform);
        if (coType == 100) {
            statistics(platform, 'busPoi', 'streetscape');
        } else if (coType == 200) {
            statistics(platform, 'subway', 'streetscape');
        }

    }, false);
    //纠错
    byId("reportError").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    byId("reportErrorEntrance").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    byClass("refresh").addEventListener("click", function () {
        // nativeShowTips('刷新成功');
        num++;
        getNewEta(1);
    }, false);
    //获取是否是测试环境
    nativeIsTest(function (data) {
        isTest = data;
    })
    //获取是否零流量,进行后台请求
    nativeIsOffline(function (data) {
        //有网络、高信度后台请求
        if (data == 0 && operatePlaceDes == "") {
            // alert("接口请求")
            getNetworkData();
        }
    })
    // 禁止鼠标右键、长按选择等事件
    document.oncontextmenu = new Function("event.returnValue=false");
    document.onselectstart = new Function("event.returnValue=false");
    document.documentElement.style.webkitTouchCallout = 'none';

    /**
     * 统计代码
     */
    var _mtac = {
        "performanceMonitor": 1
    };
    (function () {
        var mta = document.createElement("script");
        mta.src = "https://pingjs.qq.com/h5/stats.js?v2.0.4";
        mta.setAttribute("name", "MTAH5");
        mta.onload = function () {
            if (coType == 100) {
                statistics(platform, 'busPoi', 'show');
                statistics(platform, 'allPoi', 'show');
            } else if (coType == 200) {
                statistics(platform, 'subway', 'show');
                statistics(platform, 'allPoi', 'show');
            }
        };
        mta.setAttribute("sid", "500093594");
        mta.setAttribute("cid", "500108829");
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(mta, s);
    })();
});