//页面需要的客户端传过来的参数及其他自定义参数
var id = "", //poi:id
    type = "", //从客户端获取的参数判断入口
    platform = "", //平台
    name = "", //美食酒店名称
    address = "", //显示地址栏
    tel = "", //显示电话栏
    openTime = "", //显示营业时间
    distance = "", //显示地址栏的距离数
    hasStreetview = "", //街景
    star = "", //分数
    heat_info = "",
    paraObj = {},
    paraString,
    latitude = "",
    longitude = "",
    operatePlaceColor = "",
    operatePlaceDes = "",
    hideStatus = false,
    credibility = "",
    isOfflineData = "",
    isMyLocation = "",
    routeMode = "",
    isFavorite="",
    uid="",
    isFuzzySearch="",
    city="",
    dataSource="";
//更新收藏
mqq.addEventListener("updateData", updateDataCallback);
function updateDataCallback(obj) {
    // alert(JSON.stringify(obj));
    // alert("type="+obj.type);
    obj.type = "updateFavorite";
    isFavorite = obj.param.isFavorite;
    id = obj.param.id;
    if (isFavorite == 1) {
        hideStatus = true;
        byClass("collectBtn").style.backgroundPosition = "-0.1rem 0";
        byClass("collectTxt").innerText="已收藏";
    } else {
        hideStatus = false;
        byClass("collectBtn").style.backgroundPosition = "0 0";
        byClass("collectTxt").innerText="收藏";
    }
}
var param = window.sessionStorage.getItem('param');
    paraObj = JSON.parse(param);
/**
 * 解析URL参数逻辑
 */
function getUrlParam() {
    var url = location.href;
    paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
    if (paraString.length > 0) {
        var i, j;
        for (i = 0; j = paraString[i]; i++) {
            paraObj[j.substring(0, j.indexOf("="))] = encodeHTML(j.substring(j.indexOf("=") + 1, j.length));
        }
        if (paraObj.param) {
            // 安卓端参数从param字段中获取
            var decodeParam = decodeURIComponent(paraObj.param);
            loadedPage(JSON.parse(decodeParam));
        } else {
            // ios端参数从其他字段获取
            loadedPage(paraObj);
        }
    }
}
loadedPage(paraObj);
function loadedPage(paraObj) {
    if (paraObj) {
        if (paraObj.uid) {
            id = paraObj.uid;
        }
        if (paraObj.type != undefined) {
            type = paraObj.type;
        }
        if (paraObj.name) {
            name = decodeURIComponent(paraObj.name);
        }
        if (paraObj.address) {
            address = decodeURIComponent(paraObj.address);
        }
        if (paraObj.device) {
            platform = paraObj.device;
        }
        if (paraObj.tel) {
            tel = decodeURIComponent(paraObj.tel);
        }
        if (paraObj.star) {
            star = paraObj.star;
        }
        if (paraObj && paraObj.heat_info) {
            heat_info = paraObj.heat_info;
        }
        if (paraObj.openTime) {
            openTime = decodeURIComponent(paraObj.openTime);
        }
        if (paraObj.distance != undefined) {
            distance = decodeURIComponent(paraObj.distance);
        }
        if (paraObj.hasStreetView) {
            hasStreetview = paraObj.hasStreetView;
        }
        if (paraObj.latitude) {
            latitude = paraObj.latitude.toString();
        }
        if (paraObj.longitude) {
            longitude = paraObj.longitude.toString();
        }
        if (paraObj.strNPLColor && paraObj.strPOIErrInfo) {
            operatePlaceColor = decodeURIComponent(paraObj.strNPLColor);
            operatePlaceDes = decodeURIComponent(paraObj.strPOIErrInfo);
        }
        if (paraObj && paraObj.isOfflineData) {
            isOfflineData = paraObj.isOfflineData;
        }
        if (paraObj && paraObj.isMyLocation) {
            isMyLocation = paraObj.isMyLocation;
        }
        if (paraObj.uid) {
            uid = paraObj.uid;
        }
        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.city) {
            city = paraObj.city;
        }
        if(paraObj.dataSource){
            dataSource = paraObj.dataSource;
        }
    }
    setTimeout(function(){
        loadNativeData();
    },100);
}

//getUrlParam();

/**
 * 渲染客户端基础数据
 */
function loadNativeData() {
    if (operatePlaceDes) {
        //显示提示语
        byClass("credibility").innerText = operatePlaceDes;
        byClass("credibility").style.display = "block";
        //byClass("starLevel").style.display = "none";
        //byClass("desc").style.display = "none";
        //与提示语颜色保持一致
        if (operatePlaceColor) {
            if (operatePlaceColor.length > 7) {
                var tempColor = operatePlaceColor.substring(operatePlaceColor.length - 6);
               // alert(tempColor);
                byClass("credibility").style.color = "#" + tempColor;
            } else {
                byClass("credibility").style.color = operatePlaceColor;
            }

            // byClass("credibility").style.color = operatePlaceColor;
        }
    }
   
    if (name) {
        byClass("poiName").innerText = name;
    }
    if (address) {
        byClass("address").style.display = "block";
        byClass("addressName").innerText = address;
        /*if (distance > 0) {
            byClass("addressDis").style.display = "inline-block";
            byClass("addressDis").innerText = distance2Sring(distance);
        }*/
    }
    //旧版-打电话
    if (tel) {
        var arr = douhao_dou(tel).split("，");
        var phoneString = "";
        var aLength = arr.length;
        if (aLength) {
            if (aLength == 1) {
                phoneString += "<span class='phoneTxt'>电话：</span>";
                phoneString += "<span class='phone1'>" + arr[0].trim() + "</span>"
            } else if (aLength >= 2) {
                phoneString += "<span class='phoneTxt'>电话：</span>";
                phoneString += "<span class='phone1'>" + arr[0].trim() + "，</span>";
                phoneString += "<span class='phone2'>" + arr[1].trim() + "</span>";
            }
            byClass("phones").innerHTML = phoneString;
            byClass("phones").style.display = "block";
        }
        if (aLength > 0) {
            byClass("phone1").addEventListener("click", function () {
                //alert("打电话");
                // console.log(byClass("phone1").innerText)
                 nativeDial(platform, byClass("phone1").innerText);
                statistics(platform, 'foodPoi', 'tel');
            }, false);
            clipCopy(byClass("phone1"));
        }
        if (aLength > 1) {
            byClass("phone2").addEventListener("click", function () {
                // alert("打电话");
                // console.log(byClass("phone2").innerText)
                nativeDial(platform, byClass("phone2").innerText)
                statistics(platform, 'foodPoi', 'tel');
            }, false);
            clipCopy(byClass("phone2"));
        }
    }

    if (tel) {
        var arr = douhao_dou(tel).replace(new RegExp('，', 'g'), ';');
        var phoneString = "";
        var aLength = arr.length;
        if (aLength > 0) {
            byId("phone").classList.remove('hiding');
            byId("phone").addEventListener("click", function () {
                //alert("打电话");
                nativeDial(platform, arr);
                statistics(platform, 'commonPoi', 'tel');
            }, false);
        }
    }
   

    if (distance) {
        if (distance > 0) {
            byClass("address").style.display = "block";
            byClass("addressDis").style.display = "inline-block";
            // if(platform == 'android'){
                byClass("addressDis").innerText = distance2Sring(distance);
            // }
            // else{
            //     byClass("addressDis").innerText = distance2String(distance);
            // }
        }
    }
    if(isMyLocation == '1'){
        byClass("nav").style.display = "block";
        byClass("navText").innerText = "从这走";
    }
    //街景显示
    if (isTrue(hasStreetview)) {
        byId("streetView").classList.remove('hiding');
    }
    /**
     * 新增入口显示
     * 当且仅当为按压扎点时显示新增，否则显示纠错，二者为互斥关系  
    **/
    if (dataSource == "press") {
        byClass("addEntrance").style.display = "block";
    } else {
        //纠错
        byId("reportErrorEntrance").style.display="block";
    }
 
}

window.addEventListener("load", function () {
    // FastClick.attach(document.body);
    byId("around").addEventListener("click", function () {
        nativeOpenAround();
        // statistics(platform, 'foodPoi', 'streetscape');
    }, false);
  
    //街景
    byId("streetView").addEventListener("click", function () {
        //  alert("街景");
        nativeOpenVista(platform);
        statistics(platform, 'commonPoi', 'streetscape');
    }, false);
    //新增
    byId("addEntrance").addEventListener("click", function () {
        nativeAddpoi();
       
    }, false);
    byId("reportErrorEntrance").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    // 禁止鼠标右键、长按选择等事件
    document.oncontextmenu = new Function("event.returnValue=false");
    document.onselectstart = new Function("event.returnValue=false");
    document.documentElement.style.webkitTouchCallout = 'none';
    /**
     * 统计代码
     */
    var _mtac = {
        "performanceMonitor": 1
    };
    (function () {
        var mta = document.createElement("script");
        mta.src = "https://pingjs.qq.com/h5/stats.js?v2.0.4";
        mta.setAttribute("name", "MTAH5");
        mta.onload = function () {
            statistics(platform, 'commonPoi', 'show');
            statistics(platform, 'allPoi', 'show');
        }
        mta.setAttribute("sid", "500093594");
        mta.setAttribute("cid", "500108829");
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(mta, s);
    })();
});