//页面需要的客户端传过来的参数及其他自定义参数
var id = "", //poi:id
    type = "", //从客户端获取的参数判断入口
    platform = "", //平台
    name = "", //美食酒店名称
    star = "", //分数
    category = "", //美食系别，酒店星级
    price = "",
    place = "",
    address = "", //显示地址栏
    distance = "", //显示地址栏的距离数
    distanceType = "",
    tel = "", //显示电话栏
    openTime = "", //显示营业时间
    hasStreetview = "", //街景
    operatePlaceColor = "",
    operatePlaceDes = "",
    imei = "",
    appVersion = "",
    data_data = "",
    isTest = "",
    requestUrl = "",
    showOrHide_dian = true,
    showOrHide_type = true,
    paraObj = {},
    paraString,
    latitude = "",
    longitude = "",
    classes = "",
    routeMode = "",
    hideStatus = false,
    credibility = "",
    heat_info = ""; //访问人数
var equipsMore = [], //设施数据
    startTime = "", //开业时间
    decoratTime = '', //装修时间
    otherTimeUrl = "",
    hotelTitle = '',
    hotalStar = "",
    isOfflineData = "",
    isMyLocation = "",
    lowestPrice = "",
    isFavorite = '',
    uid="",
    isFuzzySearch="",
    city="",
    poiData = {},
    dataSource='';

//更新收藏
mqq.addEventListener("updateData", updateDataCallback);
function updateDataCallback(obj) {
    obj.type = "updateFavorite";
    isFavorite = obj.param.isFavorite;
    id = obj.param.id;
    if (isFavorite == 1) {
        hideStatus = true;
        byClass("collectBtn").style.backgroundPosition = "-0.2rem 0";
        byClass("collectTxt").innerText="已收藏";
    } else {
        hideStatus = false;
        byClass("collectBtn").style.backgroundPosition = "0 0";
        byClass("collectTxt").innerText="收藏";
    }
}
var param = window.sessionStorage.getItem('param');
    paraObj = JSON.parse(param);
    var poi = window.sessionStorage.getItem('poi');
    poiData = JSON.parse(poi);
// 格式化酒店平分数
function fomatFloat(src, pos) {
    return Math.round(src * Math.pow(10, pos)) / Math.pow(10, pos);
};
//解析URL参数逻辑
function getUrlParam() {
    var url = location.href;
    paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
    if (paraString.length > 0) {
        var i, j;
        for (i = 0; j = paraString[i]; i++) {
            paraObj[j.substring(0, j.indexOf("="))] = encodeHTML(j.substring(j.indexOf("=") + 1, j.length));
        }
        if (paraObj.param) {
            // 安卓端参数从param字段中获取
            var decodeParam = decodeURIComponent(paraObj.param);
            loadedPage(JSON.parse(decodeParam));
        } else {
            // ios端参数从其他字段获取
            loadedPage(paraObj);
        }
    }
}

function loadedPage(paraObj) {
    if (paraObj) {
        if (paraObj.uid) {
            id = paraObj.uid;
        }
        if (paraObj.type != undefined) {
            type = paraObj.type;
        }
        if (paraObj.device) {
            platform = paraObj.device;
        }
        if (paraObj.name) {
            name = decodeURIComponent(paraObj.name);
        }
        if (paraObj.star !== "") {
            star = paraObj.star;
        }
        if (paraObj.category) {
            category = decodeURIComponent(paraObj.category);
        }
        if (paraObj.price) {
            price = paraObj.price;
        }
        if (paraObj.place) {
            place = decodeURIComponent(paraObj.place);
        }
        if (paraObj.address) {
            address = decodeURIComponent(paraObj.address);
        }
        if (paraObj.distance) {
            distance = decodeURIComponent(paraObj.distance);
        }
        if (paraObj.distanceType != undefined) {
            distanceType = decodeURIComponent(paraObj.distanceType);
        }
        if (paraObj.tel) {
            tel = decodeURIComponent(paraObj.tel);
        }
        if (paraObj.openTime) {
            openTime = decodeURIComponent(paraObj.openTime);
        }
        if (paraObj.hasStreetView) {
            hasStreetview = paraObj.hasStreetView;
        }
        if (paraObj.strNPLColor ) {
            operatePlaceColor = decodeURIComponent(paraObj.strNPLColor);
        }
        if ( paraObj.strPOIErrInfo) {
            operatePlaceDes = decodeURIComponent(paraObj.strPOIErrInfo);
        }
        if (paraObj.latitude) {
            latitude = paraObj.latitude.toString();
        }
        if (paraObj.longitude) {
            longitude = paraObj.longitude.toString();
        }
        if (paraObj.credibility) {
            credibility = paraObj.credibility;
        }
        if (paraObj.imei) {
            imei = paraObj.imei;
        }
        if (paraObj.appVersion) {
            appVersion = paraObj.appVersion;
        }
        if (paraObj && paraObj.heat_info) {
            heat_info = paraObj.heat_info;
        }
        if (paraObj && paraObj.classes) {
            classes = paraObj.classes;
        }
        if (paraObj && paraObj.hotalStar) {
            hotalStar = paraObj.hotalStar;
        }
        if (paraObj && paraObj.lowestPrice) {
            lowestPrice = paraObj.lowestPrice;
        }
        if (paraObj && paraObj.isOfflineData) {
            isOfflineData = paraObj.isOfflineData;
        }
        if (paraObj && paraObj.isMyLocation) {
            isMyLocation = paraObj.isMyLocation;
        }
        if (paraObj.uid) {
            uid = paraObj.uid;
        }
        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.city) {
            city = paraObj.city;
        }
        if(paraObj.dataSource){
            dataSource = paraObj.dataSource;
        }
    }
    
    loadNativeData();
}

loadedPage(paraObj);

//getUrlParam();
// 渲染客户端基础数据
function loadNativeData() {
    if (operatePlaceDes) {
        //显示提示语
        byClass("credibility").innerText = operatePlaceDes;
        byClass("credibility").style.display = "block";
        byClass("starLevels").style.display = "none";
        byClass("desc").style.display = "none";
        //与提示语颜色保持一致
        if (operatePlaceColor != "") {

            if (operatePlaceColor.length > 7) {
                var tempColor = operatePlaceColor.substring(operatePlaceColor.length - 6);
                byClass("credibility").style.color = "#" + tempColor;
            } else {
                byClass("credibility").style.color = operatePlaceColor;
            }

            // byClass("credibility").style.color = operatePlaceColor;
        }
    }
    //酒店名字
    if (name) {
        byClass("poiName").innerText = name;
    }
    //酒店位置
    if (address) {
        byClass("address").style.display = "block";
        byClass("addressName").innerText = address;
    }
    //街景
    if (isTrue(hasStreetview)) {
        byId("streetView").classList.remove('hiding');
    }
    if(isMyLocation == '1'){
        byClass("navText").innerText = "从这走";
    }
    if(distance){
        if (distance > 0) {
            byClass("address").style.display = "block";
            byClass("addressDis").style.display = "inline-block";
            // byClass("addressDis").innerText = distance2Sring(distance);
            if (distanceType == '0') {
                byClass("addressDis").innerText = distance2Sring(distance) + '   ';
            } else if (distanceType == '1') {
                byClass("addressDis").innerText = '距你' + distance2Sring(distance) + '   ';
            } else {
                byClass("addressDis").innerText = '距查询位置' + distance2Sring(distance) + '   ';
            }
        }
    }
    
    if(!isOfflineData){
        //纠错
        if(dataSource=="none"||dataSource=="accurate"||dataSource=="anno"||dataSource=="nearby"||dataSource=="fuzzy"||dataSource==""){
            byId("reportError").style.display="inline-block";
            byId("reportErrorEntrance").style.display="block";
        }
    }else{
        byId("reportErrorEntrance").style.display="none";
    }

    var average = byClass('averagePrice');

    if (!operatePlaceDes) {
         //旧版-打电话
        if (tel) {
            var arr = douhao_dou(tel).split("，");
            var phoneString = "";
            var aLength = arr.length;
            if (aLength) {
                if (aLength == 1) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "</span>"
                } else if (aLength >= 2) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "，</span>";
                    phoneString += "<span class='phone2'>" + arr[1].trim() + "</span>";
                }
                byClass("phones").innerHTML = phoneString;
                byClass("phones").style.display = "block";
            }
            if (aLength > 0) {
                byClass("phone1").addEventListener("click", function () {
                    //alert("打电话");
                    // console.log(byClass("phone1").innerText)
                    nativeDial(platform, byClass("phone1").innerText);
                    statistics(platform, 'foodPoi', 'tel');
                }, false);
                clipCopy(byClass("phone1"));
            }
            if (aLength > 1) {
                byClass("phone2").addEventListener("click", function () {
                    // alert("打电话");
                    // console.log(byClass("phone2").innerText)
                    nativeDial(platform, byClass("phone2").innerText)
                    statistics(platform, 'foodPoi', 'tel');
                }, false);
                clipCopy(byClass("phone2"));
            }
        }
        if (star!=="") {
            if (Number(star) > 0) {
                byClass("starLevelHot").style.display = "inline-block";
                byClass("starLevelHot").innerText = fomatFloat((star) / 20, 1).toFixed(1) + "分"; //fomatFloat(star, 1).toFixed(1)
            }else{
                byClass("starLevelHot").style.display = "inline-block";
                byClass("starLevelHot").style.color = "#999999";
                byClass("starLevelHot").innerText = "暂无评分"
            }
        }
        //酒店星级
        if (hotalStar) {
            byClass("tags").style.display = "block";
            byClass('category').innerText = hotalStar;
        } else {
            //无星级显示类别
            if (category) {
                byClass("tags").style.display = "block";
                byClass('category').innerText = category;
            }
        }
        //-酒店起价
        if (lowestPrice && lowestPrice != "0") {
            average.style.display = "inline-block"
            average.innerText = "起价" + parseInt(lowestPrice) + "元";
        }
        //打电话
        if (tel) {
            var arr = douhao_dou(tel).replace(new RegExp('，', 'g'), ';');
            console.log(arr);
            var phoneString = "";
            var aLength = arr.length;
            if (aLength > 0) {
                byId("phone").classList.remove('hiding');
                byId("phone").addEventListener("click", function () {
                    //alert("打电话");
                    nativeDial(platform, arr);
                    statistics(platform, 'hotelPoi', 'tel');
                }, false);
            }
        }
        //营业时间
        if (openTime) {
            byClass("timeText").innerText = hen(quanjiao(openTime));
            byClass("timeText").style.display = "block";
            byClass("businessTime").style.display = "block";
        }
        //访问人数
        if (heat_info) {
            var reviewCount = byClass('hotelVisitor');
            reviewCount.style.display = "inline-block"
            reviewCount.innerText = heat_info + "人访问";
        }
        /**
        * poi标签
        * 算法：标签栏总宽度在设计稿固定，所以计算累加起来的tag中字宽、tag内字和边界间隙、tag间间隙这三者的宽度和，
        * 如果没超过总宽度则继续累加，否则终止累加开始渲染。具体参数用变量统一设置，避免魔术字符串耦合。
        */
        if ( (paraObj.categoryTag && paraObj.categoryTag[0]) || (paraObj.reviewTag && paraObj.reviewTag[0]) ) {
            var poiTagStr = '';
            var extremeWidth = 265;//设计稿极限宽度
            var tagsWidth = 0;//已累加的标签总宽度
            var wordWidth = 12;//单个文字宽度
            var tagSpace = 5;//胶囊间隙宽度
            if (paraObj.categoryTag && paraObj.categoryTag[0]) {
                if (paraObj.categoryTag[0].tag_name != '') {
                    var categoryWordNum = paraObj.categoryTag[0].tag_name.length;
                    poiTagStr += '<span class="category">';
                    if(paraObj.categoryTag[0].tagColor != ''){
                        poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.categoryTag[0].tagColor+'">' + paraObj.categoryTag[0].tag_name + '</div>';
                    }else{
                        poiTagStr += '<div class="categoryTxt" style="color:#CCCCCC">' + paraObj.categoryTag[0].tag_name + '</div>';
                    }
                    
                    if(paraObj.categoryTag[0].tagBorderColor != ''){
                        poiTagStr += '<div class="category-border" style="border-color:'+paraObj.categoryTag[0].tagBorderColor+'"></div>';
                    }else{
                        poiTagStr += '<div class="category-border" style="border-color:#CCCCCC"></div>';
                    }
                    poiTagStr += '</span>';
                    tagsWidth += (categoryWordNum * wordWidth + tagSpace * 3);
                }
                
            }
            //子标签
            if (paraObj.reviewTag && paraObj.reviewTag[0]) {
                for (var m = 0; m < paraObj.reviewTag.length; m++) {
                    if (paraObj.reviewTag[m].tag_name != '') {
                        var reviewWordNum = paraObj.reviewTag[m].tag_name.length;
                        if (tagsWidth < extremeWidth) {
                            poiTagStr += '<span class="review">';
                            if(paraObj.reviewTag[m].tagColor != ''){
                                poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.reviewTag[m].tagColor+'">' + paraObj.reviewTag[m].tag_name + '</div>';
                            }else{
                                poiTagStr += '<div class="categoryTxt" style="border-color:#CCCCCC">' + paraObj.reviewTag[m].tag_name + '</div>';
                            }
                           
                            if(paraObj.reviewTag[m].tagBorderColor != ''){
                                poiTagStr += '<div class="review-border" style="border-color:'+paraObj.reviewTag[m].tagBorderColor+'"></div>';
                            }else{
                                poiTagStr += '<div class="review-border" style="border-color:#CCCCCC"></div>';
                            }
                            poiTagStr += '</span>';
                            tagsWidth += (reviewWordNum * wordWidth + tagSpace * 3);
                        }
                    }
                   
                }
            }
            byClass('tags').innerHTML = poiTagStr;
            byClass('tags').classList.remove('hiding');
        }
    }
}
/**
 * 网络接口请求
 */
//isTest=true;
function getNetworkData() {
    if (isTest == "1") {
        requestUrl = "https://maptest.sparta.html5.qq.com/mobilemap?mmtype=rich&source=detail&type=json&cb=jsonpCallBack&ids=" + id + "&from=mobile2&hotel=1&imei=" + imei + "&device=" + platform + "&app_ver=" + appVersion + "&inter_ver=1.0";
    } else {
        requestUrl = "https://syn0.map.qq.com/mobilemap?mmtype=rich&source=detail&type=json&ids=" + id + "&from=mobile2&hotel=1&cb=jsonpCallBack&imei=" + imei + "&device=" + platform + "&app_ver=" + appVersion + "&inter_ver=1.0";
    }
    if (id != "") {
        //alert(requestUrl)
        json.getData(requestUrl, renderData);
    }
}
//将对象中数据有大到小排列--------------在酒店预订页调用
function compare(obj1, obj2) {
    var val1 = obj1.price
    var val2 = obj2.price
    if (val1 < val2) {
        return -1
    } else if (val1 > val2) {
        return 1
    } else {
        return 0
    }
}
/**
 * 网络接口请求渲染数据的回调函数
 */
function renderData(data) {
    data_data = data;
    //酒店预订
    for (var d in data) {
        if (d == "hotel_booking") {
            if (data.hotel_booking && data.hotel_booking.rooms) {
                if (data.hotel_booking.rooms.length > 0) {
                    document.getElementById("hotelBooking").style.display = "block";
                    byClass("bookingTime").innerHTML = data.hotel_booking.from_date + "-" + data.hotel_booking.end_date + "  1晚";
                    if (data.hotel_booking.rooms.length < 4) {
                        document.getElementById("showGroup").style.display = 'none'
                    }
                    //酒店列表渲染
                    var oneRoom = "<ul id='hotelLists'>";
                    hotel_booking_img = data.hotel_booking.rooms;
                    var allImgs = [];
                    for (var i = 0; i < data.hotel_booking.rooms.length; i++) {
                        var Area = data.hotel_booking.rooms[i].Area,
                            BedType = data.hotel_booking.rooms[i].BedType,
                            Capacity = data.hotel_booking.rooms[i].Capacity,
                            ImageUrl = data.hotel_booking.rooms[i].ImageUrl,
                            Name = data.hotel_booking.rooms[i].Name,
                            valid = data.hotel_booking.rooms[i].valid,
                            price = data.hotel_booking.rooms[i].price,
                            RoomId = data.hotel_booking.rooms[i].RoomId,
                            roomsUrl = data.hotel_booking.rooms[i].roomsUrl,
                            PaymentType = data.hotel_booking.rooms[i].PaymentType,
                            Floor = data.hotel_booking.rooms[i].Floor,
                            valueAdd = data.hotel_booking.rooms[i].valueAdd,
                            images = data.hotel_booking.rooms[i].ImageUrls;
                        var allImgArr = [];
                        if (images) {
                            for (var pics = 0; pics < images.length; pics++) {
                                allImgArr.push(delImgFormat(images[pics].pic_url));
                            }
                        } else {
                            allImgArr.push([]);
                        }
                        allImgs.push(allImgArr)
                        if (i < 3) {
                            oneRoom += '<li class="oneRoomTag" id="oneRoomTag' + i + '" style="display:block">'
                        } else {
                            oneRoom += '<li class="oneRoomTag isHide" id="oneRoomTag' + i + '" style="display:none">'
                        }
                        oneRoom += '<div class="oneRoom" id="oneRoom' + i + '">'
                        if (images) {
                            if (images.length > 0) {
                                if (images[0].pic_url) {
                                    var imgFirst = images[0].pic_url;
                                    oneRoom += '<img class="oneRoomImg" src="' + imgFirst + '" id="' + i + '" alt=""/>'
                                } else {
                                    oneRoom += '<img class="oneRoomImg" src="" alt="" />'
                                }
                            } else {
                                oneRoom += '<img class="oneRoomImg" src="" alt="" />'
                            }
                        } else {
                            oneRoom += '<img class="oneRoomImg" src="" alt="" />'
                        }
                        if (valid) {
                            if (valid == 0) {
                                oneRoom += '<div class="isFull">已满房</div>'
                            }
                        } else {
                            oneRoom += '<div class="isFull">已满房</div>'
                        }

                        oneRoom += '<div class="oneRoomDetail" id="Room' + i + '">'
                        if (Name) {
                            oneRoom += '<p class="oneRoomType">' + Name + '</p>'
                        } else {
                            oneRoom += '<p class="oneRoomType"></p>'
                        }
                        if (price) {
                            oneRoom += '<p class="oneRoomBig" id="oneRoomBig' + i + '"><span>￥' + price + '</span>起</p>'
                        }
                        var descStr = '';
                        if (Area) {
                            descStr += Area + '平米  '
                        }
                        if (BedType) {
                            descStr += BedType + '  '
                        }
                        if (Capacity) {
                            descStr += '  可入住' + Capacity + '人 '
                        }
                        if (Floor) {
                            descStr += Floor + '楼'
                        }
                        if (descStr) {
                            oneRoom += '<p class="soldNumber">' + descStr + '</p>'
                        } else {
                            oneRoom += '<p class="soldNumber">暂无详情</p>'
                        }
                        oneRoom += '</div>' + '</div>' +
                            '<div class="allPriceType" style="display:none">'
                        if (valueAdd) {
                            var arrPrice = valueAdd.sort(compare);
                            for (var k = 0; k < arrPrice.length; k++) {
                                oneRoom += '<div class="onePrice">' +
                                    '<div class="oneTypePrice">'
                                if (arrPrice[k].price) {
                                    oneRoom += '<p>￥' + arrPrice[k].price + '</p>'
                                } else {
                                    oneRoom += '<p>暂无详情</p>'
                                }
                                if (arrPrice[k].Description) {
                                    oneRoom += '<p>' + arrPrice[k].Description + '</p>'
                                } else {
                                    oneRoom += '<p>暂无详情</p>'
                                }
                                oneRoom += '</div>'
                                if (arrPrice[k].valid == 1) {
                                    oneRoom += '<div class="oneTypeBook">' +
                                        '<p class="noRoom" style=" background: #ED4E1F;color: #fff;" id="' + arrPrice[k].bookingUrl + '">订</p>'
                                    if (arrPrice[k].PaymentType) {
                                        if (arrPrice[k].PaymentType == "0") {
                                            oneRoom += '<p>到店付</p>'
                                        } else if (arrPrice[k].PaymentType == "1") {
                                            oneRoom += '<p>预付</p>'
                                        }
                                    } else {
                                        oneRoom += '<p></p>'
                                    }
                                } else if (arrPrice[k].valid == 0) {
                                    oneRoom += '<div class="oneTypeBook">' +
                                        '<p class="noRoom" style="opacity: 0.3">订完</p>'
                                    if (arrPrice[k].PaymentType) {
                                        if (arrPrice[k].PaymentType == "0") {
                                            oneRoom += '<p>到店付</p>'
                                        } else if (arrPrice[k].PaymentType == "1") {
                                            oneRoom += '<p>预付</p>'
                                        }
                                    } else {
                                        oneRoom += '<p></p>'
                                    }
                                }
                                oneRoom += '</div>' + '</div>'
                            }
                        }
                        oneRoom += '</div><div class="border"></div></li>';
                    }

                    oneRoom += "</ul>"
                    byClass("roomsDetail").innerHTML = oneRoom;
                    /*点击酒店图片进入大图*/
                    for (var dish = 0; dish < document.getElementsByClassName("oneRoomImg").length; dish++) {
                        document.getElementsByClassName("oneRoomImg")[dish].addEventListener("click", function () {
                            if (this.id) {
                                var id = this.id;
                                nativeCommentBigPic(allImgs[id], 0);
                            }
                            statistics(platform, 'hotelPoi', 'roomImg');
                        }, false)
                    }
                    /***************************点击展示不同价格类型的房间****************************/
                    for (var roomP = 0; roomP < document.getElementsByClassName("oneRoomDetail").length; roomP++) {
                        document.getElementsByClassName("oneRoomDetail")[roomP].addEventListener("click", function () {
                            console.log(this.parentElement.nextElementSibling)
                            if (this.parentElement.nextElementSibling.style.display == 'none') {
                                this.parentElement.nextElementSibling.style.display = 'block'
                                statistics(platform, 'hotelPoi', 'roomPrice');
                            } else {
                                this.parentElement.nextElementSibling.style.display = 'none'
                            }
                        }, false)
                    }
                    /*******************************点击预定房间************************************/
                    for (var roomN = 0; roomN < document.getElementsByClassName("noRoom").length; roomN++) {
                        document.getElementsByClassName("noRoom")[roomN].addEventListener("click", function () {
                            if (this.id) {
                                var urlId = this.id,
                                    urls;
                                if (urlId.indexOf('redirecturl') > 0) {
                                    var url = urlId.split("=")[1];
                                    urls = decodeURIComponent(url);
                                } else {
                                    urls = this.id;
                                }
                                nativeOnlineWebView(urls);
                                statistics(platform, 'hotelPoi', 'orderButton');
                            }
                        }, false)
                    }
                }
            }
        }
    }
    /***************************酒店介绍*  设施   团购*******************************/
    for (var a in data) {
        if (a == "subdetail") {
            //****************************酒店介绍********************
            if (data.subdetail && data.subdetail.introduction) {
                introduction = data.subdetail.introduction;
                document.getElementById("introHotel").style.display = "block";
                byClass("introduceText").innerHTML = data.subdetail.introduction;
                if (data.subdetail.introduction.length < 75) {
                    byId("hotelIntro").style.background = 'url("")';
                } else {
                    document.getElementById("introduceTitle").addEventListener("click", function () {
                        //alert("酒店介绍")
                        if (platform != "android") {
                            hotelUrl = "hotel_intro.html";
                            var hoteldetail = hotelUrl + "?introduction=" + introduction + '&startTime=' + startTime + '&decoratTime=' + decoratTime + '&hotelTitle=' + hotelTitle;
                        } else {
                            hotelUrl = "file:///android_asset/webpage/hotel_intro.html";
                            var hoteldetail = hotelUrl + "?introduction=" + encodeURIComponent(introduction) + '&startTime=' + encodeURIComponent(startTime) + '&decoratTime=' + encodeURIComponent(decoratTime) + '&hotelTitle=' + encodeURIComponent(hotelTitle);
                        }
                        nativeLocalWebView(hoteldetail);
                        statistics(platform, 'hotelPoi', 'introduce');
                    }, false);

                    document.getElementById("introduceText").addEventListener("click", function () {
                        //alert("酒店介绍")
                        if (platform != "android") {
                            hotelUrl = "hotel_intro.html";
                            var hoteldetail = hotelUrl + "?introduction=" + introduction + '&startTime=' + startTime + '&decoratTime=' + decoratTime + '&hotelTitle=' + hotelTitle;
                        } else {
                            hotelUrl = "file:///android_asset/webpage/hotel_intro.html";
                            var hoteldetail = hotelUrl + "?introduction=" + encodeURIComponent(introduction) + '&startTime=' + encodeURIComponent(startTime) + '&decoratTime=' + encodeURIComponent(decoratTime) + '&hotelTitle=' + encodeURIComponent(hotelTitle);
                        }
                        nativeLocalWebView(hoteldetail)
                        statistics(platform, 'hotelPoi', 'introduce');
                    }, false);
                }
            }
            //**************************-酒店开业时间************************
            if (data.subdetail && data.subdetail.start_time) {
                startTime = data.subdetail.start_time
            }
            //****************************-装修时间*******************
            if (data.subdetail && data.subdetail.decoration_time) {
                decoratTime = data.subdetail.decoration_time
            }
            /****************************酒店设施对应图标*************************/
            function getImg(str) {
                if (str == "免费停车") {
                    url = "img/ic_mianfeitingchechang.png"

                } else if (str == "免费WiFi") {
                    url = "img/ic_mianfeiwifi.png"

                } else if (str == "叫醒服务") {
                    url = "img/ic_jiaoxingfuwu.png"

                } else if (str == "洗衣服务") {
                    url = "img/ic_xiyi.png"

                } else if (str == "行李寄存") {
                    url = "img/ic_xinglituoyun.png"

                } else if (str == "送餐服务") {
                    url = "img/ic_songcanfuwu.png"

                } else if (str == "24小时前台") {
                    url = "img/ic_qiantai.png"

                } else if (str == "婴儿或儿童看护") {
                    url = "img/ic_ertongkanhu.png"

                } else if (str == "商务中心") {
                    url = "img/ic_shangwuzhongxin.png"

                } else if (str == "提供发票") {
                    url = "img/ic_fapiao.png"

                } else if (str == "大堂吧") {
                    url = "img/ic_datangba.png"

                } else if (str == "酒吧") {
                    url = "img/ic_jiuba.png"

                } else if (str == "咖啡厅") {
                    url = "img/ic_kafeiting.png"

                } else if (str == "租车服务") {
                    url = "img/ic_zuche.png"

                } else if (str == "多种语言服务人员") {
                    url = "img/ic_fanyi.png"

                } else if (str == "收费WiFi") {
                    url = "img/ic_shoufeiwifi.png"

                } else if (str == "收费停车") {
                    url = "img/ic_shoufeitingchechang.png"

                } else if (str == "免费接机服务") {
                    url = "img/ic_jiejifuwu.png"

                } else if (str == "会议设施") {
                    url = "img/ic_huiyisheshi.png"

                } else if (str == "外币兑换") {
                    url = "img/ic_waibiduihuan.png"
                } else if (str == "旅游服务") {
                    url = "img/ic_lvyoufuwu.png"
                } else if (str == "中餐厅") {
                    url = "img/ic_zhongcanting.png"
                } else if (str == "西餐厅") {
                    url = "img/ic_xicanting.png"
                }
            }
            if (data.subdetail && data.subdetail.amenities) {
                if (data.subdetail.amenities.length > 0) {
                    for (var item = 0; item < data.subdetail.amenities.length; item++) {
                        if (data.subdetail.amenities[item] == "免费停车" || data.subdetail.amenities[item] == "免费WiFi" || data.subdetail.amenities[item] == "叫醒服务" || data.subdetail.amenities[item] == "洗衣服务" || data.subdetail.amenities[item] == "行李寄存" || data.subdetail.amenities[item] == "送餐服务" || data.subdetail.amenities[item] == "24小时前台" || data.subdetail.amenities[item] == "婴儿或儿童看护" || data.subdetail.amenities[item] == "商务中心" || data.subdetail.amenities[item] == "提供发票" || data.subdetail.amenities[item] == "大堂吧" || data.subdetail.amenities[item] == "酒吧" || data.subdetail.amenities[item] == "咖啡厅" || data.subdetail.amenities[item] == "租车服务" || data.subdetail.amenities[item] == "多种语言服务人员" || data.subdetail.amenities[item] == "收费WiFi" || data.subdetail.amenities[item] == "收费停车" || data.subdetail.amenities[item] == "免费接机服务" || data.subdetail.amenities[item] == "会议设施" || data.subdetail.amenities[item] == "外币兑换" || data.subdetail.amenities[item] == "旅游服务" || data.subdetail.amenities[item] == "中餐厅" || data.subdetail.amenities[item] == "西餐厅") {
                            equipsMore.push(data.subdetail.amenities[item])
                        }
                    }
                    if (equipsMore.length > 0) {
                        document.getElementById("hotelAllEquip").style.display = "block";
                        var items = "<ul>";
                        var url = "";
                        if (equipsMore.length < 10) {
                            for (var item = 0; item < equipsMore.length; item++) {
                                getImg(equipsMore[item]);
                                var bgImg = "background: url(" + url + ") no-repeat left center;background-size:0.08rem 0.08rem;"
                                items += "<li style='" + bgImg + "'>" + equipsMore[item] + "</li>"
                            }
                        } else {
                            for (var item = 0; item < 9; item++) {
                                getImg(equipsMore[item]);
                                var bgImg = "background: url(" + url + ") no-repeat left center;background-size:0.08rem 0.08rem;"
                                items += "<li style='" + bgImg + "'>" + equipsMore[item] + "</li>"
                            }
                        }
                        items += "</ul>"
                        byClass("equipAbstract").innerHTML = items;
                    }
                }
            }

            if (data.subdetail && data.subdetail.rich_source_url) {
                otherTimeUrl = data.subdetail.rich_source_url;
            }
            //******************************评论标签********************************
            //alert(data.subdetail.review_tag)
            if (data.subdetail && data.subdetail.review_tag) {
                if (data.subdetail.review_tag.length > 0) {
                    byId("comment").style.display = "block";
                    var items = "";
                    for (var item = 0; item < data.subdetail.review_tag.length; item++) {
                        if(data.subdetail.review_tag[item].tag_type == "1"){
                            items += "<div class='commentType liGood'>"
                        }else{
                            items += "<div class='commentType liGood'>"
                        }

                         //评价标签
                         items += "  <span class='commentDesc'>" + data.subdetail.review_tag[item].tag_name + "</span>"
                        //评价条数
                        items += " <span class='commentNum number'>" + data.subdetail.review_tag[item].tag_num + "</span>"
                        items += " </div>"
                    }
                    byClass("commentTags").innerHTML = items;
                    byClass("commentTags").style.display = "block";
                    byClass("tagSplit").style.display = "block";
                }
            }
            //******************************团购优惠  展示***************************
            //alert(data.subdetail.group_buy)
            if (data.subdetail && data.subdetail.group_buy) {
                if (data.subdetail && data.subdetail.group_buy.length > 0) {
                    var group = data.subdetail.group_buy;
                    //销量递减排序
                    group.sort(function (o, p) {
                        return p.purchase_count - o.purchase_count
                    });
                    var items = "";
                   
                    for (var item = 0; item < group.length; item++) {
                       
                        if(item <= 2){
                            if(item == 2){
                                items += "<li class='groupOneDetail' style='display: block; border:none;' id=" + data.subdetail.group_buy[item].wap_url + ">"
                            }else{
                                items += "<li class='groupOneDetail' style='display: block' id=" + data.subdetail.group_buy[item].wap_url + ">"
                            }
                        }else{
                            items += "<li class='groupOneDetail needHide' style='display: none' id=" + data.subdetail.group_buy[item].wap_url + ">"
                        }
                        items += "<p class='groupType'>" + group[item].title + "</p>" +
                            "<p class='groupBuyPrice'>￥" + group[item].price + "<em>￥" + group[item].value + "</em><span>已售" + group[item].purchase_count + "份</span></p>" +
                            "</li>"
                    }
                    byClass("groupBuyDetail").innerHTML = items;
                    document.getElementById("recommendDishes").style.display = "block";
                    if (group.length > 3) {
                        document.getElementById("discountMore").style.display = "block"
                    }else{
                         document.getElementById("discountMore").style.display = "none"
                    }
                    //****************************进入某条团购订单******************
                    for (var dis = 0; dis < document.getElementsByClassName("groupOneDetail").length; dis++) {
                        document.getElementsByClassName("groupOneDetail")[dis].addEventListener("click", function () {
                            nativeOnlineWebView(this.id);
                            statistics(platform, 'hotelPoi', 'roomBuy');
                        })
                    }
                }
            }
        }
    }
    /***************************评论展示********************************/
    for (var b in data) {
        if (b == "comments_new") {
            if (data.comments != null) {
                if (data.comments_new != null) {
                    if (data.comments_new.comment_info && data.comments_new.comment_info.length > 0) {
                        document.getElementById("comment").style.display = "block";
                        if(data.comments_new.comment_info.length>1){
                            byId("mentTitleMore").style.display = "block";
                        }
                        if (data.comments_new.comment_info[0]) {
                            byClass("commentOne").style.display = "block";
                            var comments = "";
                            for (var comment = 0; comment < data.comments_new.comment_info[0].comment_content.length; comment++) {
                                comments += data.comments_new.comment_info[0].comment_content[comment]
                            }
                            byClass("commentContentOne").innerText = delKong(comments);
                            byClass("reviewerOne").innerText = data.comments_new.comment_info[0].comment_user;
                            byClass("timeSource").style.display = "block";
                            byClass("commentTimeOne").innerText = formatTime(data.comments_new.comment_info[0].comment_time);
                           
    
                            byId("dataSouce").innerText=data.comments_new.source_name;
                            var picUrlLists1 = [];
                            /* 评价图片*/
                            if (data.comments_new.comment_info[0].comment_pics.length > 0) {
                                str = "";
                                for (var j = 0; j < data.comments_new.comment_info[0].comment_pics.length; j++) {
                                    picUrlLists1.push(delImgFormat(data.comments_new.comment_info[0].comment_pics[j].pic_url))
                                    if (j < 4) {
                                        str += "<p class='commentImgs'><img class='commentPic1' id=" + j + " src=" + data.comments_new.comment_info[0].comment_pics[j].pic_url + "/></p>"
                                    }
                                }
                                byClass("commentPicsOne").innerHTML = str;
                                byClass("commentPicsOne").style.display = "block";
                            } else {
                                byClass("commentPicsOne").style.display = "none";
                            }
                            /* 评价等级*/
                            if (data.comments_new.comment_info[0].comment_score != "") {
                                /* 分数转化成星级（例如100分制，81~90为4.5星，91~100为5星） */
                                var commentStar1 = computerStar(data.comments_new.comment_info[0].comment_score);
                                console.log("评价分数=" + data.comments_new.comment_info[0].comment_score);
                                console.log("评价星级=" + commentStar1);
                                //byClass("commentLevelOne").style.display = "inline-block";
                                var s1 = parseInt(commentStar1);
                                var s2 = parseFloat(commentStar1);
                                if (s1 <= 5 && s2 <= 5) {
                                    for (var oneStar = 0; oneStar < s1; oneStar++) {
                                        document.getElementsByClassName("starLevelOne full")[oneStar].src = "img/ic_start.png?";
                                    }
                                    if (s2 - s1 > 0) {
                                        document.getElementsByClassName("starLevelOne full")[s1].src = "img/ic_halfstart.png?" + Math.random();
                                       // document.getElementsByClassName("starLevelOne full")[s1].style.display = "inline-block";
                                    }
                                }
                            }
                        }
                        /* 评价等级*/
                        if (data.comments_new.comment_info.length > 1) {
                            if (data.comments_new.comment_info[1]) {
                                byClass("commentTwo").style.display = "block";
                                var comments2 = "";
                                for (var comment2 = 0; comment2 < data.comments_new.comment_info[1].comment_content.length; comment2++) {
                                    comments2 += data.comments_new.comment_info[1].comment_content[comment2]
                                }
                                byClass("commentContentTwo").innerText = delKong(comments2);
                                byClass("reviewerTwo").innerText = data.comments_new.comment_info[1].comment_user;
                                byClass("commentTimeTwo").innerText = formatTime(data.comments_new.comment_info[1].comment_time);
                                byClass("timeSource2").style.display = "block";
                                byId("dataSouce2").innerText=data.comments_new.source_name;
                                var picUrlLists2 = [];
                                /* 评价图片*/
                                if (data.comments_new.comment_info[1].comment_pics.length > 0) {
                                    imgstr = "";
                                    for (var comPicsNum = 0; comPicsNum < data.comments_new.comment_info[1].comment_pics.length; comPicsNum++) {
                                        picUrlLists2.push(delImgFormat(data.comments_new.comment_info[1].comment_pics[comPicsNum].pic_url))
                                        if (comPicsNum < 4) {
                                            imgstr += "<p class='commentImgs'><img class='commentPic2' id=" + comPicsNum + " src=" + data.comments_new.comment_info[1].comment_pics[comPicsNum].pic_url + " /></p>"
                                        }
                                    }
                                    byClass("commentPicsTwo").innerHTML = imgstr;
                                    byClass("commentPicsTwo").style.display = "block";
                                } else {
                                    byClass("commentPicsTwo").style.display = "none";
                                }
                                if (data.comments_new.comment_info[1].comment_score != "") {
                                    /* 分数转化成星级 */
                                    var commentStar2 = computerStar(data.comments_new.comment_info[1].comment_score);
                                    byClass("commentLevelOne").style.display = "inline-block";
                                    var star1 = parseInt(commentStar2);
                                    var star2 = parseFloat(commentStar2);
                                    if (star1 <= 5 && star2 <= 5) {
                                        for (var twoStar = 0; twoStar < star1; twoStar++) {
                                            document.getElementsByClassName("starLevelTwo full")[twoStar].src = "img/ic_start.png?";
                                        }
                                        if (star2 - star1 > 0) {
                                            document.getElementsByClassName("starLevelTwo full")[star1].src = "img/ic_halfstart.png?" + Math.random();
                                            //document.getElementsByClassName("starLevelTwo full")[star1].style.display = "inline-block";
                                        }
                                    }
                                }
                            }
                        }
                        if (document.getElementsByClassName("commentPic1").length > 0) {
                            //点击评论图片，进入评论大图
                            for (var pic = 0; pic < document.getElementsByClassName("commentPic1").length; pic++) {
                                document.getElementsByClassName("commentPic1")[pic].addEventListener("click", function () {
                                    nativeCommentBigPic(picUrlLists1, this.id);
                                })
                            }
                        }
                        if (document.getElementsByClassName("commentPic2").length > 0) {
                            //点击评论图片，进入评论大图
                            for (var pic2 = 0; pic2 < document.getElementsByClassName("commentPic2").length; pic2++) {
                                document.getElementsByClassName("commentPic2")[pic2].addEventListener("click", function () {
                                    nativeCommentBigPic(picUrlLists2, this.id);
                                })
                            }
                        }
                        /**  数据来源跳转   */
                        for (var one = 0; one < document.getElementsByClassName("fangtianxia").length; one++) {
                            document.getElementsByClassName("fangtianxia")[one].addEventListener("click",function(){
                                mqq.invoke('common', 'gotoPage', {
                                    'uri': 'onlineWebViewInteract', // 要跳转的界面唯一标识
                                    'param': // 跳转所需的参数，跳转到不同的界面，需要的参数不同
                                    {
                                        'url': data.comments_new.comment_url,
                                        'hideBrowserTitle': '0'
                                    }
                                });
                            },false)
                        }
                    }
                }

            }
        }
    }

    //新增停车场
    for(var d in data){
        if(d == "round"){
            if (data.round && data.round.park) {
                if(data.round.park.length > 0){
                    //alert(JSON.stringify(aa))
                    var arr = [];
                    document.getElementById("areaInfo").style.display="block";
                    var str = "";
                    var infoList = data.round.park;

                    if(infoList.length>3){
                        infoList.length=3
                    }
                    for(var i = 0; i<infoList.length;i++){
                        
                        if(infoList[i].park_info){
                            if(infoList[i].park_info.status == "1" && infoList[i].park_info.left){
                                infoList[i].park_info.statusColor = "#ff15BC19"
                            }else if(infoList[i].park_info.status == "1"){
                                infoList[i].park_info.statusColor = "#ffff0000"
                            }else{
                                infoList[i].park_info.statusColor = ""
                            }
                        }
                        var aa = {};
                        aa.addr = infoList[i].address;
                        aa.distance = infoList[i].distance;
                        if(infoList[i].park_info){
                            aa.parkInfo =JSON.parse(change(JSON.stringify(infoList[i].park_info)));
                        }
                        aa.name = infoList[i].name;
                        aa.cotype=1401;
                        aa.uid = infoList[i].rawid;
                        aa.point={
                            "mLatitudeE6": infoList[i].lat * 1000000,
                            "mLongitudeE6": infoList[i].lng * 1000000
                        };
                       
                        if(i>2){
                            str+="<li class='parkAreaInfo hiding' id='"+JSON.stringify(aa)+"'";
                        }else{
                            str+="<li class='parkAreaInfo' id='"+JSON.stringify(aa)+"'";
                        }
                        str+='<div class="titp">'+infoList[i].name+'</div>';
                        str+='<div class="parkDes">';
                        str+='<div>'+ '距此' + distance2Sring(infoList[i].distance)+'</div>';
                        str+='<div class="matingAddr">'+infoList[i].address+'</div>';
                        str+='</div>';
                        if(infoList[i].park_info){
                            var info = infoList[i].park_info;
                                if(info.type || info.charge_now || info.status == "1"){
                                    //alert(JSON.stringify(info.charge_now))
                                   if(info.charge_now || info.status == "1"){
                                        str +='<div class="parkTag">';
                                        if(info.type){
                                            str+='<div class="tipTags">';
                                            str+='<div class="parkTip">'+info.type+'</div>';
                                            str+='<div class="review-border"></div>';
                                            str+='</div>';
                                        }
    
                                        if(info.status == "1"){
                                            if(info.left){
                                                str+="<div class='moreSeats'>剩余车位"+info.left+"</div>"
                                            }else{
                                                str+="<div class='moreSeats' style='color:red'>车位已满</div>"
                                            }
                                        }
                                        if(info.charge_now){
                                            var charge_now=info.charge_now;
                                            str+="<div class='parkFee'>"+charge_now.type+" "+charge_now.time+" "+charge_now.fee+"</div>"
                                        }
                                        str +="</div>"
                                    }                                 
                                }
                            }
                            str +="</li>"
                    }
                    document.getElementById("areaSeatInfo").innerHTML = str;
                    
                    /*******************************点击预定进入第三方页面************************************/
                    for (var one = 0; one < document.getElementsByClassName("parkAreaInfo").length; one++) {

                        document.getElementsByClassName("parkAreaInfo")[one].addEventListener("click", function() {

                            //alert(this.id)
                            mqq.invoke('poi', 'gotoPage', {
                                'uri': 'poiPage',
                                'param': {'poi':JSON.parse(this.id)}
                            });

                        }, false)
                    }
                }
            }
        }
    }
}
/*
 * 客户端点击预定走到对应的预定区域
 * */
function naver() {
    var obj = document.getElementById('hotelBooking');
    var oPos = obj.offsetTop;
    window.scrollTo(0, oPos);
}

window.addEventListener("load", function () {
    // FastClick.attach(document.body);
    //getUrlParam();
    byId("aroundPark").addEventListener("click", function() {
        // alert("周边停车场");
        dianxinToPage("停车场","",poiData,"detail");
        
    }, false);
    //街景
    document.getElementById("streetView").addEventListener("click", function () {
        nativeOpenVista(platform);
        statistics(platform, 'hotelPoi', 'streetscape');
    }, false);
   
    byId("around").addEventListener("click", function () {
        nativeOpenAround();
        // statistics(platform, 'foodPoi', 'streetscape');
    }, false);
   
    //点击纠错
    byId("reportError").addEventListener("click", function () {
        //alert("纠错")
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    byId("reportErrorEntrance").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    //获取是否是测试环境
    nativeIsTest(function (data) {
        isTest = data;
    })
    //loadNativeData();
    //获取是否零流量,进行后台请求
    nativeIsOffline(function (data) {
        //有网络、高信度后台请求
        if (data == 0 && operatePlaceDes == "") {
            getNetworkData();
        }
    })
    //点击评论头部，进入评论详情
    document.getElementById("commentTitle").addEventListener("click", function () {
        //alert("评论详情");
        nativeOpenComment(platform, id)
        statistics(platform, 'hotelPoi', 'hotelCommentAll');
    }, false);
    byId("commentContentTwo").addEventListener("click", function () {
        //alert("评论详情222");
        nativeOpenComment(platform, id)
        statistics(platform, 'hotelPoi', 'hotelComment');
    }, false);
    byId("commentContentOne").addEventListener("click", function () {
        //alert("评论详情111");
        nativeOpenComment(platform, id)
        statistics(platform, 'hotelPoi', 'hotelComment');
    }, false);
    byId("mentTitleMore").addEventListener("click", function () {
        nativeOpenComment(platform, id);
        // statistics(platform, 'communityPoi', 'communityCommentAll');
    }, false);
    //点击去其它的日期
    document.getElementById("otherTime").addEventListener("click", function () {
        //alert("查看其它日期"+otherTimeUrl);
        nativeOnlineWebView(otherTimeUrl)
        statistics(platform, 'hotelPoi', 'orderOtherDate');
    }, false);
    //点击设施详情
    document.getElementById("equipTitle").addEventListener("click", goToHotelDetail, false);
    document.getElementById("equipAbstract").addEventListener("click", goToHotelDetail, false);
    //点击查看更多
    document.getElementById("discountMore").addEventListener("click", showMore, false);
    document.getElementById("showGroup").addEventListener("click", showMoreType, false);

    /**
     * 团购点击
     */
    function showMore() {
        if (showOrHide_dian) {
            showOrHide_dian = false;
            for (var i = 0; i < document.getElementsByClassName("groupOneDetail needHide").length; i++) {
                document.getElementById("discountMore").style.background = "url(img/arrow_up_more.png) no-repeat center center"
                document.getElementById("discountMore").style.backgroundSize = "0.09rem 0.09rem";
                document.getElementsByClassName("groupOneDetail")[2].style.borderBottom = "1px solid #E5E5E5";
                document.getElementsByClassName("groupOneDetail needHide")[i].style.display = "block"
            }
        } else {
            showOrHide_dian = true;
            for (var s = 0; s < document.getElementsByClassName("groupOneDetail needHide").length; s++) {
                document.getElementById("discountMore").style.background = "url(img/arrow_down_more.png) no-repeat center center"
                document.getElementById("discountMore").style.backgroundSize = "0.09rem 0.09rem";
                document.getElementsByClassName("groupOneDetail")[2].style.borderBottom = "none";
                document.getElementsByClassName("groupOneDetail needHide")[s].style.display = "none";
                statistics(platform, 'hotelPoi', 'roomBuyAll');
            }
        }

    }
    /*
        查看酒店
    */
    function showMoreType() {
        if (showOrHide_type) {
            showOrHide_type = false;
            for (var i = 0; i < document.getElementsByClassName("oneRoomTag isHide").length; i++) {
                document.getElementById("showGroup").style.background = "url(img/arrow_up_more.png) no-repeat center center"
                document.getElementById("showGroup").style.backgroundSize = "0.09rem 0.09rem"
                document.getElementsByClassName("oneRoomTag isHide")[i].style.display = "block"
            }
        } else {
            showOrHide_type = true;
            for (var s = 0; s < document.getElementsByClassName("allPriceType").length; s++) {
                document.getElementsByClassName("allPriceType")[s].style.display = "none"
            }
            for (var s = 0; s < document.getElementsByClassName("oneRoomTag isHide").length; s++) {
                document.getElementById("showGroup").style.background = "url(img/arrow_down_more.png) no-repeat center center"
                document.getElementById("showGroup").style.backgroundSize = "0.09rem 0.09rem"
                document.getElementsByClassName("oneRoomTag isHide")[s].style.display = "none";
                statistics(platform, 'hotelPoi', 'showRoomAll');
            }
        }
    }
    /**
     * -----------酒店设施详情equipsMore  severMore
     */
    function goToHotelDetail() {
        //alert("设施详情")
        var hotelUrl = "";
        if (platform != "android") {
            hotelUrl = "hotel_equip.html";
        } else {
            hotelUrl = "file:///android_asset/webpage/hotel_equip.html";
        }
        var hoteldetail = hotelUrl + "?equipsMore=" + JSON.stringify(equipsMore) + '&hotelTitle=' + hotelTitle;
        nativeLocalWebView(hoteldetail);
        statistics(platform, 'hotelPoi', 'facilities');
    }

    // 禁止鼠标右键、长按选择等事件
    document.oncontextmenu = new Function("event.returnValue=false");
    document.onselectstart = new Function("event.returnValue=false");
    document.documentElement.style.webkitTouchCallout = 'none';
    /**
     * 统计代码
     */
    var _mtac = {
        "performanceMonitor": 1
    };
    (function () {
        var mta = document.createElement("script");
        mta.src = "https://pingjs.qq.com/h5/stats.js?v2.0.4";
        mta.setAttribute("name", "MTAH5");
        mta.onload = function () {
            statistics(platform, 'hotelPoi', 'show');
            statistics(platform, 'allPoi', 'show');
        }
        mta.setAttribute("sid", "500093594");
        mta.setAttribute("cid", "500108829");
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(mta, s);
    })();
});