//页面需要的客户端传过来的参数及其他自定义参数
var id = "", //poi:id
    type = "", //从客户端获取的参数判断入口
    platform = "", //平台
    name = "", //美食酒店名称
    address = "", //显示地址栏
    tel = "", //显示电话栏
    openTime = "", //显示营业时间
    distance = "", //显示地址栏的距离数
    distanceType = "",
    hasStreetview = "", //街景
    star = "", //分数
    category = "", // 星级
    heat_info = "",
    price = "",
    paraObj = {},
    paraString,
    latitude = "",
    longitude = "",
    operatePlaceColor = "",
    operatePlaceDes = "",
    hideStatus = false,
    credibility = "",
    isOfflineData = "",
    isMyLocation = "",
    routeMode = "",
    isFavorite="",
    uid="",
    isFuzzySearch="",
    city="",
    dataSource="",
    isTest,
    id = "",
    imei="";
var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
//更新收藏
mqq.addEventListener("updateData", updateDataCallback);
function updateDataCallback(obj) {
    // alert(JSON.stringify(obj));
    // alert("type="+obj.type);
    obj.type = "updateFavorite";
    isFavorite = obj.param.isFavorite;
    id = obj.param.id;
    if (isFavorite == 1) {
        hideStatus = true;
        byClass("collectBtn").style.backgroundPosition = "-0.1rem 0";
        byClass("collectTxt").innerText="已收藏";
    } else {
        hideStatus = false;
        byClass("collectBtn").style.backgroundPosition = "0 0";
        byClass("collectTxt").innerText="收藏";
    }
}
var param = window.sessionStorage.getItem('param');
paraObj = JSON.parse(param);
/**
 * 解析URL参数逻辑
 */

function getUrlParam() {
    var url = location.href;
    paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
    if (paraString.length > 0) {
        var i, j;
        for (i = 0; j = paraString[i]; i++) {
            paraObj[j.substring(0, j.indexOf("="))] = encodeHTML(j.substring(j.indexOf("=") + 1, j.length));
        }
        if (paraObj.param) {
            // 安卓端参数从param字段中获取
            var decodeParam = decodeURIComponent(paraObj.param);
            loadedPage(JSON.parse(decodeParam));
        } else {
            // ios端参数从其他字段获取
            loadedPage(paraObj);
        }
    }
}
loadedPage(paraObj);
function loadedPage(paraObj) {
    if (paraObj) {
        if (paraObj.uid) {
            id = paraObj.uid;
        }
        if (paraObj.type != undefined) {
            type = paraObj.type;
        }
        if (paraObj.name) {
            name = decodeURIComponent(paraObj.name);
        }
        if (paraObj.address) {
            address = decodeURIComponent(paraObj.address);
        }
        if (paraObj.device) {
            platform = paraObj.device;
        }
        if (paraObj.star) {
            star = paraObj.star;
        }
        if (paraObj.category) {
            category = decodeURIComponent(paraObj.category);
        }
        if (paraObj.ticketPrice) {
            price = paraObj.ticketPrice;
        }
        if (paraObj && paraObj.heat_info) {
            heat_info = paraObj.heat_info;
        }
        if (paraObj.tel) {
            tel = decodeURIComponent(paraObj.tel);
        }
        if (paraObj.openTime) {
            openTime = decodeURIComponent(paraObj.openTime);
        }
        if (paraObj.distance != undefined) {
            distance = decodeURIComponent(paraObj.distance);
        }
        if (paraObj.distanceType != undefined) {
            distanceType = decodeURIComponent(paraObj.distanceType);
        }
        if (paraObj.hasStreetView) {
            hasStreetview = paraObj.hasStreetView;
        }
        if (paraObj.latitude) {
            latitude = paraObj.latitude.toString();
        }
        if (paraObj.longitude) {
            longitude = paraObj.longitude.toString();
        }
        if (paraObj.strNPLColor ) {
            operatePlaceColor = decodeURIComponent(paraObj.strNPLColor);
        }
        if ( paraObj.strPOIErrInfo) {
            operatePlaceDes = decodeURIComponent(paraObj.strPOIErrInfo);
        }
        if (paraObj && paraObj.isOfflineData) {
            isOfflineData = paraObj.isOfflineData;
        }
        if (paraObj && paraObj.isMyLocation) {
            isMyLocation = paraObj.isMyLocation;
        }
        if (paraObj.uid) {
            uid = paraObj.uid;
        }
        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.city) {
            city = paraObj.city;
        }
        if(paraObj.dataSource){
            dataSource = paraObj.dataSource;
        }
        if (paraObj.imei) {
            imei = paraObj.imei;
        }
    }
    loadNativeData();
}

//getUrlParam();

/**
 * 渲染客户端基础数据
 */
function loadNativeData() {
    if (operatePlaceDes) {
        //显示提示语
        byClass("credibility").innerText = operatePlaceDes;
        byClass("credibility").style.display = "block";
        //byClass("starLevel").style.display = "none";
        //byClass("desc").style.display = "none";
        //与提示语颜色保持一致
        if (operatePlaceColor) {
            if (operatePlaceColor.length > 7) {
                var tempColor = operatePlaceColor.substring(operatePlaceColor.length - 6);
                // alert(tempColor);
                byClass("credibility").style.color = "#" + tempColor;
            } else {
                byClass("credibility").style.color = operatePlaceColor;
            }
        }
    }
  
    if (name) {
        byClass("poiName").innerText = name;
    }
    if (address) {
        byClass("address").style.display = "block";
        byClass("addressName").innerText = address;
        /*if (distance > 0) {
            byClass("addressDis").style.display = "inline-block";
            byClass("addressDis").innerText = distance2Sring(distance);
        }*/
    }
    if(!isOfflineData){
        //纠错
        if(dataSource=="none"||dataSource=="accurate"||dataSource=="anno"||dataSource=="nearby"||dataSource=="fuzzy"||dataSource==""){
            byId("reportError").style.display="inline-block";
            byId("reportErrorEntrance").style.display="block";
        }
    }else{
        byId("reportErrorEntrance").style.display="none";
    }
     //旧版-打电话
     if (tel) {
        var arr = douhao_dou(tel).split("，");
        var phoneString = "";
        var aLength = arr.length;
        if (aLength) {
            if (aLength == 1) {
                phoneString += "<span class='phoneTxt'>电话：</span>";
                phoneString += "<span class='phone1'>" + arr[0].trim() + "</span>"
            } else if (aLength >= 2) {
                phoneString += "<span class='phoneTxt'>电话：</span>";
                phoneString += "<span class='phone1'>" + arr[0].trim() + "，</span>";
                phoneString += "<span class='phone2'>" + arr[1].trim() + "</span>";
            }
            byClass("phones").innerHTML = phoneString;
            byClass("phones").style.display = "block";
        }
        if (aLength > 0) {
            byClass("phone1").addEventListener("click", function () {
                //alert("打电话");
                // console.log(byClass("phone1").innerText)
                nativeDial(platform, byClass("phone1").innerText);
                statistics(platform, 'foodPoi', 'tel');
            }, false);
            clipCopy(byClass("phone1"));
        }
        if (aLength > 1) {
            byClass("phone2").addEventListener("click", function () {
                // alert("打电话");
                // console.log(byClass("phone2").innerText)
                nativeDial(platform, byClass("phone2").innerText)
                statistics(platform, 'foodPoi', 'tel');
            }, false);
            clipCopy(byClass("phone2"));
        }
    }
    
    //打电话
    if (tel) {
        var arr = douhao_dou(tel).replace(new RegExp('，', 'g'), ';');
        var phoneString = "";
        var aLength = arr.length;
        if (aLength > 0) {
            byId("phone").classList.remove('hiding');
            byId("phone").addEventListener("click", function () {
                //alert("打电话");
                nativeDial(platform, arr);
                statistics(platform, 'commonPoi', 'tel');
            }, false);
        }
    }
    //营业时间
    if (openTime) {
        byClass("timeText").innerText = hen(quanjiao(openTime));
        byClass("timeText").style.display = "block";
        byClass("businessTime").style.display = "block";
    }
    //地址
    if (distance) {
        if (distance > 0) {
            byClass("address").style.display = "block";
            byClass("addressDis").style.display = "inline-block";
            // if(platform == 'android'){
            byClass("addressDis").innerText = distance2Sring(distance);
            // }
            // else{
            //     byClass("addressDis").innerText = distance2String(distance);
            // }
        }
    }
    if(isMyLocation == '1'){
        byClass("nav").style.display = "block";
        byClass("navText").innerText = "从这走";
    }
    // 街景的显示
    if (isTrue(hasStreetview)) {
        byId("streetView").classList.remove('hiding');
    }
    if (star && star>0 ) {
        byClass("starLevel").style.display = "inline-block";
        star = computerStar(star);
        var num1 = parseInt(star);
        var num2 = parseFloat(star);
        if (num1 <= 5 && num2 <= 5) {
            for (var i = 0; i < num1; i++) {      
                document.getElementsByClassName("full")[i].src = "img/ic_start.png";
            }
            if (num2 - num1 >= 0.5) {
                document.getElementsByClassName("full")[num1].src = "img/ic_halfstart.png?" + Math.random();
            }     
        }
    }
    if (price && price != "0") {
        var average = byClass('averagePrice');
        average.innerText = "票价" + parseInt(price) + "元起";
        average.style.display = "inline-block";
    }
    //访问人数
    if (heat_info) {
        var reviewCount = byClass('visitor');
        reviewCount.innerText = heat_info + "人访问";
        reviewCount.style.display = "inline-block";
    }
    /**
    * poi标签
    * 算法：标签栏总宽度在设计稿固定，所以计算累加起来的tag中字宽、tag内字和边界间隙、tag间间隙这三者的宽度和，
    * 如果没超过总宽度则继续累加，否则终止累加开始渲染。具体参数用变量统一设置，避免魔术字符串耦合。
    */
    if ( (paraObj.categoryTag && paraObj.categoryTag[0]) || (paraObj.reviewTag && paraObj.reviewTag[0]) ) {
        var poiTagStr = '';
        var extremeWidth = 265;//设计稿极限宽度
        var tagsWidth = 0;//已累加的标签总宽度
        var wordWidth = 12;//单个文字宽度
        var tagSpace = 5;//胶囊间隙宽度
        if (paraObj.categoryTag && paraObj.categoryTag[0]) {
            if (paraObj.categoryTag[0].tag_name != '') {
                var categoryWordNum = paraObj.categoryTag[0].tag_name.length;
                poiTagStr += '<span class="category">';
                if(paraObj.categoryTag[0].tagColor != ''){
                    poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.categoryTag[0].tagColor+'">' + paraObj.categoryTag[0].tag_name + '</div>';
                }else{
                    poiTagStr += '<div class="categoryTxt" style="color:#CCCCCC">' + paraObj.categoryTag[0].tag_name + '</div>';
                }
                
                if(paraObj.categoryTag[0].tagBorderColor != ''){
                    poiTagStr += '<div class="category-border" style="border-color:'+paraObj.categoryTag[0].tagBorderColor+'"></div>';
                }else{
                    poiTagStr += '<div class="category-border" style="border-color:#CCCCCC"></div>';
                }
                poiTagStr += '</span>';
                tagsWidth += (categoryWordNum * wordWidth + tagSpace * 3);
            }
            
        }
        //子标签
        if (paraObj.reviewTag && paraObj.reviewTag[0]) {
            for (var m = 0; m < paraObj.reviewTag.length; m++) {
                if (paraObj.reviewTag[m].tag_name != '') {
                    var reviewWordNum = paraObj.reviewTag[m].tag_name.length;
                    if (tagsWidth < extremeWidth) {
                        poiTagStr += '<span class="review">';
                        if(paraObj.reviewTag[m].tagColor != ''){
                            poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.reviewTag[m].tagColor+'">' + paraObj.reviewTag[m].tag_name + '</div>';
                        }else{
                            poiTagStr += '<div class="categoryTxt" style="border-color:#CCCCCC">' + paraObj.reviewTag[m].tag_name + '</div>';
                        }
                       
                        if(paraObj.reviewTag[m].tagBorderColor != ''){
                            poiTagStr += '<div class="review-border" style="border-color:'+paraObj.reviewTag[m].tagBorderColor+'"></div>';
                        }else{
                            poiTagStr += '<div class="review-border" style="border-color:#CCCCCC"></div>';
                        }
                        poiTagStr += '</span>';
                        tagsWidth += (reviewWordNum * wordWidth + tagSpace * 3);
                    }
                }
               
            }
        }
        byClass('tags').innerHTML = poiTagStr;
        byClass('tags').classList.remove('hiding');
    }
}


/**
 * 渲染猫眼电影数据
 * */

var movieUrl;
function getMovieNetworkData() {
    if(isTest=="1"){
        // https://maptest.sparta.html5.qq.com/nearby?qt=get_movieInfo&uid=11488264327859153184&imei=867391033094181
        movieUrl="https://maptest.sparta.html5.qq.com/nearby?qt=get_movieInfo&uid="+id+"&imei="+ imei
    }else{
        movieUrl="https://syn0.map.qq.com/nearby?qt=get_movieInfo&uid="+id+"&imei="+ imei
    }
    // alert(movieUrl);
    json.getData(movieUrl,renderMovieData);
}

function renderMovieData(data) {
    // alert(JSON.stringify(data));
    if(data.shErrNo == 0&&data.movies_info&&data.movies_info!=""){
        if(data.movies_info.movies&&data.movies_info.movies.length>0){
            var movieStr="";
            byId("movieModel").style.display = "block";
            // alert(data.movies_info.movies.length)
            for(var i=0;i<data.movies_info.movies.length;i++){
                byClass("movie-img-ul").style.width=0.03+0.51*data.movies_info.movies.length+"rem";
                movieStr+=" <li class=\"movie-img\" id="+data.movies_info.movies[i].id+">" +
                    "       <div class=\"movie-img-border\"><img src=" + data.movies_info.movies[i].pic_url + " alt='' onerror=' a(this);function a(b){ b.src =\"img/default_movie_img.png\";}' ></div>  " +
                    "          <div class=\"movie-img-name\">"+data.movies_info.movies[i].name+"</div>" +
                    "          <div class=\"movie-img-des\"><span class=\"movie-img-store\">"+
                    (data.movies_info.movies[i].sc == 0 ? '新片' : data.movies_info.movies[i].sc+'分') +
                    "</span><span class=\"movie-img-time\">"+data.movies_info.movies[i].dur+"分钟</span></div>" +
                    "        </li>";
            }
            byClass("movie-img-ul").innerHTML = movieStr;
            byId("movieResource").innerText="数据来源于"+data.cinema.hall.source+" 以上信息仅供参考";

            var movieImgs = document.getElementsByClassName("movie-img");
            for(var movie=0;movie<movieImgs.length;movie++){
                movieImgs[movie].addEventListener("click",function () {
                    var movieUrl="https://m.maoyan.com/shows/"+data.cinema.data_sources[0].id+"?_v_=yes&movieId="+this.id;
                    nativeOnlineWebView(movieUrl);
                    statistics(platform, 'movie', 'tomaoyan');
                })
            }
        }
    }
    if(data.shErrNo == 0&&data.cinema&&data.cinema.hall&&data.cinema.hall.info!=""){
        if(data.cinema.hall.hall_tags&&data.cinema.hall.hall_tags.length>0){
            byId("theatreModel").style.display = "block";
            var theatreStr="";
            for(var j=0;j<data.cinema.hall.hall_tags.length;j++){
                theatreStr+="<span class=\"theatre-tag\">"+data.cinema.hall.hall_tags[j]+"</span>"
            }
            byClass("theatre-tags").innerHTML = theatreStr;
        }
        if(data.cinema.hall&&data.cinema.hall.source){
            byClass("theatre-resource").innerText="数据来源于"+data.cinema.hall.source+" 以上信息仅供参考"
        }
    }
    if( isAndroid ){
        var theatres = document.getElementsByClassName('theatre-tag');
        for( var y = 0 ; y < theatres.length ; y++ ){
            theatres[y].style.padding = "0.02rem 0.03rem 0 0.03rem";
        }
    }
}

window.addEventListener("load", function () {
    //周边
    byId("around").addEventListener("click", function () {
        nativeOpenAround();
        // statistics(platform, 'foodPoi', 'streetscape');
    }, false);
   
    //街景
    byId("streetView").addEventListener("click", function () {
        //  alert("街景");
        nativeOpenVista(platform);
        statistics(platform, 'commonPoi', 'streetscape');
    }, false);
    //纠错
    byId("reportError").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    byId("reportErrorEntrance").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    /*byClass("theatre-arrow").addEventListener("click",function () {
        var movieUrl="";
        if (platform != "android") {
            movieUrl = "movieInfo.html";
        } else {
            movieUrl = window.location.href;
            var lastIndex = movieUrl.lastIndexOf("/");
            movieUrl = movieUrl.substr(0,lastIndex)+"/movieInfo.html";
        }
        var movieUrldetail = movieUrl + "?imei=" + imei + '&uid=' + id + '&title=' + name;
        nativeLocalWebView(movieUrldetail);
    });*/

    //获取是否是测试环境
    nativeIsTest(function (data) {
        // alert("isTest="+data)
        isTest = data;
    });
    //获取是否零流量,进行后台请求
    nativeIsOffline(function (data) {
        //有网络、高信度后台请求
        // alert("网络状态="+data)
        if (data == 0 && operatePlaceDes == "") {
            // alert(data)
            getMovieNetworkData()
        }
    });
    // 禁止鼠标右键、长按选择等事件
    document.oncontextmenu = new Function("event.returnValue=false");
    document.onselectstart = new Function("event.returnValue=false");
    document.documentElement.style.webkitTouchCallout = 'none';
    /**
     * 统计代码
     */
    var _mtac = {
        "performanceMonitor": 1
    };
    (function () {
        var mta = document.createElement("script");
        mta.src = "https://pingjs.qq.com/h5/stats.js?v2.0.4";
        mta.setAttribute("name", "MTAH5");
        mta.onload = function () {
            statistics(platform, 'commonPoi', 'show');
            statistics(platform, 'allPoi', 'show');
        }
        mta.setAttribute("sid", "500093594");
        mta.setAttribute("cid", "500108829");
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(mta, s);
    })();
});