//页面需要的客户端传过来的参数及其他自定义参数
var id = "", //poi:id
type = "", //从客户端获取的参数判断入口
platform = "", //平台
name = "", //名称
category = "", //系别
address = "", //显示地址栏
distance = "", //显示地址栏的距离数
distanceType = "",
tel = "", //显示电话栏
openTime = "", //显示营业时间
hasStreetview = "", //街景
operatePlaceColor = "",
operatePlaceDes = "",
imei = "",
appVersion = "",
isTest = "",
requestUrl = "",
showOrHide_dian = true,
showOrHide_type = true,
paraObj = {},
paraString,
latitude = "",
longitude = "",
heat_info = "",
classes = "",
routeMode = "",
hideStatus = false,
isOfflineData = "",
isMyLocation = "",
isFavorite = '',
uid="",
isFuzzySearch="",
city='';
hallType="",
hasTelecomOrder ="",
poiData = {},
parkInfo = {},
dataSource="";
//更新收藏
mqq.addEventListener("updateData", updateDataCallback);
function updateDataCallback(obj) {
    // alert(JSON.stringify(obj));
    // alert("type="+obj.type);
    obj.type = "updateFavorite";
    isFavorite = obj.param.isFavorite;
    id = obj.param.id;
    if (isFavorite == 1) {
        hideStatus = true;
        byClass("collectBtn").style.backgroundPosition = "-0.1rem 0";
        byClass("collectTxt").innerText="已收藏";
    } else {
        hideStatus = false;
        byClass("collectBtn").style.backgroundPosition = "0 0";
        byClass("collectTxt").innerText="收藏";
    }
}

var param = window.sessionStorage.getItem('param');
paraObj = JSON.parse(param);
var poi = window.sessionStorage.getItem('poi');
poiData = JSON.parse(poi);
//alert(poi);
/**
* 解析URL参数逻辑
*/
function getUrlParam() {
    var url = location.href;
    paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
    if (paraString.length > 0) {
        var i, j;
        for (i = 0; j = paraString[i]; i++) {
            paraObj[j.substring(0, j.indexOf("="))] = encodeHTML(j.substring(j.indexOf("=") + 1, j.length));
        }
        if (paraObj.param) {
            // 安卓端参数从param字段中获取
            var decodeParam = decodeURIComponent(paraObj.param);
            loadedPage(JSON.parse(decodeParam));
        } else {
            // ios端参数从其他字段获取
            loadedPage(paraObj);
        }
    }
}
loadedPage(paraObj);

function loadedPage(paraObj) {
    if (paraObj) {
        if (paraObj.uid) {
            id = paraObj.uid;
        }
        if (paraObj.type) {
            type = paraObj.type;
        }
        if (paraObj.device) {
            platform = paraObj.device;
        }
        if (paraObj.name) {
            name = decodeURIComponent(paraObj.name);
        }
        if (paraObj.category) {
            category = decodeURIComponent(paraObj.category);
        }

        if (paraObj.address) {
            address = decodeURIComponent(paraObj.address);
        }
        if (paraObj.distance) {
            distance = decodeURIComponent(paraObj.distance);
        }
        if (paraObj.distanceType != undefined) {
            distanceType = decodeURIComponent(paraObj.distanceType);
        }
        if (paraObj.tel) {
            tel = decodeURIComponent(paraObj.tel);
        }
        if (paraObj.openTime) {
            openTime = decodeURIComponent(paraObj.openTime);
        }
        if (paraObj.hasStreetView) {
            hasStreetview = paraObj.hasStreetView;
        }
        if (paraObj.hasTelecomOrder) {
            hasTelecomOrder = paraObj.hasTelecomOrder;
        }
        if (paraObj.strNPLColor ) {
            operatePlaceColor = decodeURIComponent(paraObj.strNPLColor);
        }
        if ( paraObj.strPOIErrInfo) {
            operatePlaceDes = decodeURIComponent(paraObj.strPOIErrInfo);
        }
        if (paraObj.latitude) {
            latitude = paraObj.latitude.toString();

        }
        if (paraObj.longitude) {
            longitude = paraObj.longitude.toString();
        }
        if (paraObj.imei) {
            imei = paraObj.imei;
        }
        if (paraObj.appVersion) {
            appVersion = paraObj.appVersion;
        }
        if (paraObj && paraObj.heat_info) {
            heat_info = paraObj.heat_info;
        }
        if (paraObj && paraObj.classes) {
            classes = paraObj.classes;
        }
        if (paraObj && paraObj.isOfflineData) {
            isOfflineData = paraObj.isOfflineData;
        }
        if (paraObj && paraObj.isMyLocation) {
            isMyLocation = paraObj.isMyLocation;
        }

        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.city) {
            city = paraObj.city;
        }
        if (paraObj.parkInfo) {
            parkInfo = paraObj.parkInfo;
        }
        if(paraObj.dataSource){
            dataSource = paraObj.dataSource;
        }
    }
    loadNativeData();
}

/**
* 渲染客户端基础数据
*/
function loadNativeData() {

    if (operatePlaceDes) {
        //显示提示语
        byClass("credibility").innerText = operatePlaceDes;
        byClass("credibility").style.display = "block";
        //与提示语颜色保持一致
        if (operatePlaceColor) {
            if (operatePlaceColor.length > 7) {
                var tempColor = operatePlaceColor.substring(operatePlaceColor.length - 6);
                // alert(tempColor);
                byClass("credibility").style.color = "#" + tempColor;
            } else {
                byClass("credibility").style.color = operatePlaceColor;
            }
            // byClass("credibility").style.color = operatePlaceColor;
        }
    }
    if (name) {
        byClass("poiName").innerText = name;
    }
    if (address) {
        byClass("address").style.display = "block";
        byClass("addressName").innerText = address;
    }
    if(!isOfflineData){
        //纠错
        if(dataSource=="none"||dataSource=="accurate"||dataSource=="anno"||dataSource=="nearby"||dataSource=="fuzzy"||dataSource==""){
            byId("reportError").style.display="inline-block";
            byId("reportErrorEntrance").style.display="block";
        }
    }else{
        byId("reportErrorEntrance").style.display="none";
    }
    if (distance) {
        if (distance > 0) {
            byClass("address").style.display = "block";
            byClass("addressDis").style.display = "inline-block";
            // byClass("addressDis").innerText = distance2Sring(distance);
            if (distanceType == '0') {
                byClass("addressDis").innerText = distance2Sring(distance) + '   ';
            } else if (distanceType == '1') {
                byClass("addressDis").innerText = '距你' + distance2Sring(distance) + '   ';
            } else {
                byClass("addressDis").innerText = '距查询位置' + distance2Sring(distance) + '   ';
            }
        }
    }
    if (isMyLocation == '1') {
        byClass("nav").style.display = "block";
        byClass("navText").innerText = "从这走";
    }
    if (isTrue(hasStreetview)) {
        byId("streetView").classList.remove('hiding');
    }
    if (!operatePlaceDes) {
        // if (category) {
        //     byClass("category").style.display = "inline-block";
        //     byClass('category').innerText = category;
        // } else {
        //     //无显示类别
        //     if (classes) {
        //         byClass('category').innerText = classes;
        //     }
        // }
        //alert(JSON.stringify(parkInfo))

         //旧版-打电话
         if (tel) {
            var arr = douhao_dou(tel).split("，");
            var phoneString = "";
            var aLength = arr.length;
            if (aLength) {
                if (aLength == 1) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "</span>"
                } else if (aLength >= 2) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "，</span>";
                    phoneString += "<span class='phone2'>" + arr[1].trim() + "</span>";
                }
                byClass("phones").innerHTML = phoneString;
                byClass("phones").style.display = "block";
            }
            if (aLength > 0) {
                byClass("phone1").addEventListener("click", function () {
                    //alert("打电话");
                    // console.log(byClass("phone1").innerText)
                    nativeDial(platform, byClass("phone1").innerText);
                    statistics(platform, 'foodPoi', 'tel');
                }, false);
                clipCopy(byClass("phone1"));
            }
            if (aLength > 1) {
                byClass("phone2").addEventListener("click", function () {
                    // alert("打电话");
                    // console.log(byClass("phone2").innerText)
                    nativeDial(platform, byClass("phone2").innerText)
                    statistics(platform, 'foodPoi', 'tel');
                }, false);
                clipCopy(byClass("phone2"));
            }
        }

        if(parkInfo.type){
            byClass("tags").style.display = "block";
            byClass("category").style.display = "inline-block";
            byClass('category').innerText = parkInfo.type + "停车场";
        }
        
        //电话
        if (tel) {
            var arr = douhao_dou(tel).replace(new RegExp('，', 'g'), ';');
            var phoneString = "";
            var aLength = arr.length;
            if (aLength > 0) {
                byId("phone").classList.remove('hiding');
                byId("phone").addEventListener("click", function () {
                    //alert("打电话");
                    nativeDial(platform, arr);
                }, false);
            }
        }
        //营业时间
        if (openTime) {
            byClass("timeText").innerText = hen(quanjiao(openTime));
            byClass("timeText").style.display = "block";
            byClass("businessTime").style.display = "block";
        }

        //访问人数
        if (heat_info) {
            var reviewCount = byClass('visitor');
            reviewCount.innerText = heat_info + "人访问";
            reviewCount.style.display = "inline-block";
        }

    }
    /**
    * poi标签
    * 算法：标签栏总宽度在设计稿固定，所以计算累加起来的tag中字宽、tag内字和边界间隙、tag间间隙这三者的宽度和，
    * 如果没超过总宽度则继续累加，否则终止累加开始渲染。具体参数用变量统一设置，避免魔术字符串耦合。
    */
    if ( (paraObj.categoryTag && paraObj.categoryTag[0]) || (paraObj.reviewTag && paraObj.reviewTag[0]) ) {
        var poiTagStr = '';
        var extremeWidth = 265;//设计稿极限宽度
        var tagsWidth = 0;//已累加的标签总宽度
        var wordWidth = 12;//单个文字宽度
        var tagSpace = 5;//胶囊间隙宽度
        if (paraObj.categoryTag && paraObj.categoryTag[0]) {
            if (paraObj.categoryTag[0].tag_name != '') {
                var categoryWordNum = paraObj.categoryTag[0].tag_name.length;
                poiTagStr += '<span class="category">';
                if(paraObj.categoryTag[0].tagColor != ''){
                    poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.categoryTag[0].tagColor+'">' + paraObj.categoryTag[0].tag_name + '</div>';
                }else{
                    poiTagStr += '<div class="categoryTxt" style="color:#CCCCCC">' + paraObj.categoryTag[0].tag_name + '</div>';
                }
                
                if(paraObj.categoryTag[0].tagBorderColor != ''){
                    poiTagStr += '<div class="category-border" style="border-color:'+paraObj.categoryTag[0].tagBorderColor+'"></div>';
                }else{
                    poiTagStr += '<div class="category-border" style="border-color:#CCCCCC"></div>';
                }
                poiTagStr += '</span>';
                tagsWidth += (categoryWordNum * wordWidth + tagSpace * 3);
            }
            
        }
        //子标签
        if (paraObj.reviewTag && paraObj.reviewTag[0]) {
            for (var m = 0; m < paraObj.reviewTag.length; m++) {
                if (paraObj.reviewTag[m].tag_name != '') {
                    var reviewWordNum = paraObj.reviewTag[m].tag_name.length;
                    if (tagsWidth < extremeWidth) {
                        poiTagStr += '<span class="review">';
                        if(paraObj.reviewTag[m].tagColor != ''){
                            poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.reviewTag[m].tagColor+'">' + paraObj.reviewTag[m].tag_name + '</div>';
                        }else{
                            poiTagStr += '<div class="categoryTxt" style="border-color:#CCCCCC">' + paraObj.reviewTag[m].tag_name + '</div>';
                        }
                       
                        if(paraObj.reviewTag[m].tagBorderColor != ''){
                            poiTagStr += '<div class="review-border" style="border-color:'+paraObj.reviewTag[m].tagBorderColor+'"></div>';
                        }else{
                            poiTagStr += '<div class="review-border" style="border-color:#CCCCCC"></div>';
                        }
                        poiTagStr += '</span>';
                        tagsWidth += (reviewWordNum * wordWidth + tagSpace * 3);
                    }
                }
               
            }
        }
        byClass('tags').innerHTML = poiTagStr;
        byClass('tags').classList.remove('hiding');
    }
    if(parkInfo){

        var info = parkInfo;
        //alert(info.status)

        if(info.total){
            document.getElementById("allPark").innerHTML = info.total;
            document.getElementById("parkInfo").style.display="block";
            if(info.status == "0"){
                document.getElementById("leftParkArea").style.display="none";
                document.getElementById("blankArea").style.display="none";
            }else{
                if(!info.left){
                    document.getElementById("leftPark").style.color = "red";
                    document.getElementById("leftPark").style.fontSize = "0.1rem";
                    document.getElementById("leftPark").innerHTML = "已满";
                }else{
                    document.getElementById("leftPark").innerHTML = info.left;
                }
            }
        }else{
            document.getElementById("seatsInfo").style.display="none";
        }
        //alert(info.freeTime)
        if(info.freeTime){
            document.getElementById("serverInfo").style.display="block";
            document.getElementById("timeArea").style.display="block";
            document.getElementById("freeTime").innerHTML = info.freeTime;
            document.getElementById("parkInfo").style.display="block";
        }
        if (info.charges && info.charges.length > 0) {
            document.getElementById("serverInfo").style.display="block";
            document.getElementById("parkCharge").style.display="block";
            var str = "";
            var infoList = info.charges;
            for(var i = 0; i<infoList.length;i++){
                str += "<p>"
                if(infoList[i].type){
                    str += "<span>"+infoList[i].type+"</span>"
                }
                if(infoList[i].time){
                    str += "<span>"+infoList[i].time+"</span>"
                }
                if(infoList[i].fee){
                    str += "<span>"+infoList[i].fee+"</span>"
                }
                str += "</p>"
            }
            document.getElementById("parkCharge").innerHTML = str;
            document.getElementById("parkInfo").style.display="block";
        }

    }
  
}
/**
* 网络接口请求
*/
//var isTest = "1";
//getNetworkData();
function getNetworkData() {
    if (isTest == "1") {
        //requestUrl = "http://sso.cs0309.3g.qq.com/mobilemap?mmtype=rich&source=detail&type=json&cb=jsonpCallBack&ids=" + '13220693009288658121' + "&from=mobile2&hotel=1&imei=" +  'JHSDFSJHDF' + "&device=" + 'android' + "&app_ver=" + '7.0.2' + "&inter_ver=1.0";
        requestUrl = "http://maptest.sparta.html5.qq.com/mobilemap?mmtype=rich&source=detail&type=json&cb=jsonpCallBack&ids=" + id + "&from=mobile2&hotel=1&imei=" +  imei + "&device=" + platform + "&app_ver=" + appVersion + "&inter_ver=1.0";
    } else {
        //requestUrl = "http://sso.cs0309.3g.qq.com/mobilemap?mmtype=rich&source=detail&type=json&cb=jsonpCallBack&ids=" + id + "&from=mobile2&hotel=1&imei=" +  imei + "&device=" + platform + "&app_ver=" + appVersion + "&inter_ver=1.0";
        requestUrl = "https://syn0.map.qq.com/mobilemap?mmtype=rich&source=detail&type=json&ids=" + id + "&from=mobile2&hotel=1&cb=jsonpCallBack&imei=" + imei + "&device=" + platform + "&app_ver=" + appVersion + "&inter_ver=1.0";
    }
    //json.getData(requestUrl, renderData);
    if (id != "") {
        //alert(requestUrl)    
        json.getData(requestUrl, renderData);
    }
}
/**
* 网络接口请求渲染数据的回调函数
*/
//renderData();
function renderData(data) {
    //  var data = {
            
    //         "round": {
    //             "park": [
    //                 {
    //                     "address": "北京市海淀区北四环西路66", 
    //                     "distance": 48, 
    //                     "head_pic": "http://shp.qpic.cn/mapbigdata/0/44d035bcaba77f9bd576c91a13f6487f/0", 
    //                     "lat": "39.98409", 
    //                     "lng": "116.30806", 
    //                     "name": "中国技术交易大厦停车场", 
    //                     "rawid": "923603267239140603"
    //                 }, 
    //                 {
    //                     "address": "北京市海淀区海淀北二街10号", 
    //                     "distance": 91, 
    //                     "lat": "39.9838", 
    //                     "lng": "116.30848", 
    //                     "name": "泰鹏大厦-地下停车场", 
    //                     "rawid": "6473944256270383967"
    //                 }, 
    //                 {
    //                     "address": "北京市海淀区彩和坊路9号", 
    //                     "distance": 95, 
    //                     "lat": "39.9833", 
    //                     "lng": "116.30786", 
    //                     "name": "基督教堂(彩和坊路)-停车场", 
    //                     "rawid": "16036601745359971977"
    //                 }
    //             ], 
    //             "scenery": [
    //                 {
    //                     "address": "北京市海淀区求知路附近", 
    //                     "avg_rating": "3.5", 
    //                     "distance": 974, 
    //                     "head_pic": "http://shp.qpic.cn/mapbigdata/0/00ec40905420590bd321934a9ebca9f7/0", 
    //                     "heat_info": "11", 
    //                     "lat": "39.9928", 
    //                     "lng": "116.306", 
    //                     "name": "塞万提斯像", 
    //                     "rawid": "11005531620776547404", 
    //                     "rich_category2": "景点公园附属"
    //                 }, 
    //                 {
    //                     "address": "北京市海淀区中直东路(近万泉河路)", 
    //                     "avg_rating": "3.5", 
    //                     "distance": 975, 
    //                     "head_pic": "http://shp.qpic.cn/mapbigdata/0/50a38eab0f81713e141534b0d79dada4/0", 
    //                     "heat_info": "25", 
    //                     "lat": "39.9915", 
    //                     "lng": "116.30133", 
    //                     "name": "万泉文化公园", 
    //                     "rawid": "11867675825380336434", 
    //                     "rich_category2": "公园"
    //                 }, 
    //                 {
    //                     "address": "北京市海淀区彩和坊路9号", 
    //                     "distance": 94, 
    //                     "heat_info": "4321", 
    //                     "lat": "39.98327", 
    //                     "lng": "116.30765", 
    //                     "name": "基督教堂(彩和坊路)", 
    //                     "rawid": "7246616758286733108", 
    //                     "rich_category2": "教堂"
    //                 }
    //             ], 
    //             "traffic": [
    //                 {
    //                     "distance": 190, 
    //                     "lat": "39.982460", 
    //                     "line": "快速直达专线37,快速直达专线126,快速直达专线127等4条线路", 
    //                     "lng": "116.306908", 
    //                     "name": "海淀大街西口", 
    //                     "rawid": "10003981804139470630"
    //                 }, 
    //                 {
    //                     "distance": 768, 
    //                     "lat": "39.984079", 
    //                     "line": "地铁4号线大兴线", 
    //                     "lng": "116.316496", 
    //                     "name": "中关村", 
    //                     "rawid": "10003165434580477031"
    //                 }
    //             ]
    //         }
    //     }
    // //数据获取
    //alert(JSON.stringify(data))
    for(var d in data){
        if(d == "round"){
            if (data.round && data.round.park) {
                if(data.round.park.length > 0){
                    //alert(JSON.stringify(aa))
                    var arr = [];
                    document.getElementById("areaInfo").style.display="block";
                    var str = "";
                    var infoList = data.round.park;

                    if(infoList.length>3){
                        infoList.length=3
                    }
                    for(var i = 0; i<infoList.length;i++){
                        
                        if(infoList[i].park_info){
                            if(infoList[i].park_info.status == "1" && infoList[i].park_info.left){
                                infoList[i].park_info.statusColor = "#ff15BC19"
                            }else if(infoList[i].park_info.status == "1"){
                                infoList[i].park_info.statusColor = "#ffff0000"
                            }else{
                                infoList[i].park_info.statusColor = ""
                            }
                        }
                        var aa = {};
                        aa.addr = infoList[i].address;
                        aa.distance = infoList[i].distance;
                        if(infoList[i].park_info){
                            aa.parkInfo =JSON.parse(change(JSON.stringify(infoList[i].park_info)));
                        }
                        aa.name = infoList[i].name;
                        aa.cotype=1401;
                        aa.uid = infoList[i].rawid;
                        aa.point={
                            "mLatitudeE6": infoList[i].lat * 1000000,
                            "mLongitudeE6": infoList[i].lng * 1000000
                        };
                       
                        if(i>2){
                            str+="<li class='parkAreaInfo hiding' id='"+JSON.stringify(aa)+"'";
                        }else{
                            str+="<li class='parkAreaInfo' id='"+JSON.stringify(aa)+"'";
                        }
                        str+='<div class="titp">'+infoList[i].name+'</div>';
                        str+='<div class="parkDes">';
                        str+='<div>'+ '距此' + distance2Sring(infoList[i].distance)+'</div>';
                        str+='<div class="matingAddr">'+infoList[i].address+'</div>';
                        str+='</div>';
                        if(infoList[i].park_info){
                            var info = infoList[i].park_info;
                                if(info.type || info.charge_now || info.status == "1"){
                                    //alert(JSON.stringify(info.charge_now))
                                   if(info.charge_now || info.status == "1"){
                                        str +='<div class="parkTag">';
                                        if(info.type){
                                            str+='<div class="tipTags">';
                                            str+='<div class="parkTip">'+info.type+'</div>';
                                            str+='<div class="review-border"></div>';
                                            str+='</div>';
                                        }
    
                                        if(info.status == "1"){
                                            if(info.left){
                                                str+="<div class='moreSeats'>剩余车位"+info.left+"</div>"
                                            }else{
                                                str+="<div class='moreSeats' style='color:red'>车位已满</div>"
                                            }
                                        }
                                        if(info.charge_now){
                                            var charge_now=info.charge_now;
                                            str+="<div class='parkFee'>"+charge_now.type+" "+charge_now.time+" "+charge_now.fee+"</div>"
                                        }
                                        str +="</div>"
                                    }                                 
                                }
                            }
                            str +="</li>"
                    }
                    document.getElementById("areaSeatInfo").innerHTML = str;
                    
                    /*******************************点击预定进入第三方页面************************************/
                    for (var one = 0; one < document.getElementsByClassName("parkAreaInfo").length; one++) {

                        document.getElementsByClassName("parkAreaInfo")[one].addEventListener("click", function() {

                            //alert(this.id)
                            mqq.invoke('poi', 'gotoPage', {
                                'uri': 'poiPage',
                                'param': {'poi':JSON.parse(this.id)}
                            });

                        }, false)
                    }
                }
            }
        }
    }
    if (data && data.subdetail && data.subdetail.park_info && data.subdetail.park_info.leftFrom) {
        byClass('dataSource').innerHTML = data.subdetail.park_info.leftFrom;
    }
}
window.addEventListener("load", function() {
// FastClick.attach(document.body);
byId("around").addEventListener("click", function () {
    nativeOpenAround();
    // statistics(platform, 'ct189', 'streetscape');
}, false);

//街景
byId("streetView").addEventListener("click", function() {
    //  alert("街景");
    nativeOpenVista(platform);
    //statistics(platform, 'ct189', 'streetscape');
}, false);
//纠错
byId("reportError").addEventListener("click", function() {
    // alert("纠错");
    nativeReportError();
    //statistics(platform, 'allPoi', 'error');
}, false);
byId("reportErrorEntrance").addEventListener("click", function () {
    // alert("纠错");
    nativeReportError();
    statistics(platform, 'allPoi', 'error');
}, false);
byId("aroundPark").addEventListener("click", function() {
    // alert("周边停车场");
    dianxinToPage("停车场","",poiData,"detail");

}, false);

//获取是否是测试环境
nativeIsTest(function(data) {
        //alert("isTest="+data)
        isTest = data;
    })
    //loadNativeData();
    //获取是否零流量,进行后台请求
nativeIsOffline(function(data) {

        //有网络、高信度后台请求
        if (data == 0 && operatePlaceDes == "") {
            //alert("网络状态="+data)
            getNetworkData();
        }
    })
    // 禁止鼠标右键、长按选择等事件
document.oncontextmenu = new Function("event.returnValue=false");
document.onselectstart = new Function("event.returnValue=false");
document.documentElement.style.webkitTouchCallout = 'none';

/**
 * 统计代码
 */
var _mtac = {
    "performanceMonitor": 1
};
(function() {
    var mta = document.createElement("script");
    mta.src = "https://pingjs.qq.com/h5/stats.js?v2.0.4";
    mta.setAttribute("name", "MTAH5");
    mta.onload = function() {
        //statistics(platform, 'ct189', 'show');
        statistics(platform, 'allPoi', 'show');
    }
    mta.setAttribute("sid", "500093594");
    mta.setAttribute("cid", "500108829");
    var s = document.getElementsByTagName("script")[0];
    s.parentNode.insertBefore(mta, s);
})();
});