//参数定义
var id = "",
    platform = "",
    type = "",
    coType = "",
    name = "",
    address = "",
    distance = "",
    distanceType = "",
    hasStreetView = "",
    appVersion = "",
    credibility = "",
    operatePlaceColor = "",
    operatePlaceDes = "",
    paraString = [],
    paraObj = {},
    imei = "",
    hideStatus = false,
    routeMode = "",
    latitude = "",
    isOfflineData = "",
    isMyLocation = "",
    longitude = "",
    isFavorite = '',
    uid = "",
    isFuzzySearch = "",
    city = "",
    linesAry = [],
    dataSource = "",
    realtime="",
    num=0,
    etas = [];//请求国eta数据的线路

var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
 
//更新收藏
mqq.addEventListener("updateData", updateDataCallback);
function updateDataCallback(obj) {
    obj.type = "updateFavorite";
    isFavorite = obj.param.isFavorite;
    id = obj.param.id;
    if (isFavorite == 1) {
        hideStatus = true;
        byClass("collectBtn").style.backgroundPosition = "-0.1rem 0";
        byClass("collectTxt").innerText = "已收藏";
    } else {
        hideStatus = false;
        byClass("collectBtn").style.backgroundPosition = "0 0";
        byClass("collectTxt").innerText = "收藏";
    }
}

var param = window.sessionStorage.getItem('param');
paraObj = JSON.parse(param);

/**
 * 解析URL参数逻辑
 */
function getUrlParam() {
    var url = location.href;
    paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
    if (paraString.length > 0) {
        var i, j;
        for (i = 0; j = paraString[i]; i++) {
            paraObj[j.substring(0, j.indexOf("="))] = encodeHTML(j.substring(j.indexOf("=") + 1, j.length));
        }
        if (paraObj.param) {
            // 安卓端参数从param字段中获取
            var decodeParam = decodeURIComponent(paraObj.param);
            loadedPage(JSON.parse(decodeParam));
        } else {
            // ios端参数从其他字段获取
            loadedPage(paraObj);
        }
    }
}

/**
 * 加载页面
 */
function loadedPage(paraObj) {
    // alert(JSON.stringify(paraObj))
    if (paraObj) {
        if(paraObj.realtime){
            realtime=paraObj.realtime;
        }

        if (paraObj.uid) {
            id = paraObj.uid;
        }
        if (paraObj.device) {
            platform = paraObj.device;
        }
        if (paraObj.type) {
            type = paraObj.type;
        }
        if (paraObj.coType) {
            coType = paraObj.coType;
        }
        if (paraObj.name) {
            name = decodeURIComponent(paraObj.name);
        }
        if (paraObj.hasStreetView) {
            hasStreetView = paraObj.hasStreetView;
        }
        if (paraObj.address) {
            address = decodeURIComponent(paraObj.address);
        }
        if (paraObj.distance) {
            distance = decodeURIComponent(paraObj.distance);
        }
        if (paraObj.distanceType != undefined) {
            distanceType = decodeURIComponent(paraObj.distanceType);
        }
        if (paraObj.strNPLColor ) {
            operatePlaceColor = decodeURIComponent(paraObj.strNPLColor);
        }
        if ( paraObj.strPOIErrInfo) {
            operatePlaceDes = decodeURIComponent(paraObj.strPOIErrInfo);
        }
        if (paraObj.imei) {
            imei = paraObj.imei;
        }
        if (paraObj.appVersion) {
            appVersion = paraObj.appVersion;
        }
        if (paraObj.latitude) {
            latitude = paraObj.latitude.toString();
        }
        if (paraObj.longitude) {
            longitude = paraObj.longitude.toString();
        }
        if (paraObj && paraObj.isOfflineData) {
            isOfflineData = paraObj.isOfflineData;
        }
        if (paraObj && paraObj.isMyLocation) {
            isMyLocation = paraObj.isMyLocation;
        }
        if (paraObj.uid) {
            uid = paraObj.uid;
        }
        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.city) {
            city = paraObj.city;
        }
        if (paraObj.dataSource) {
            dataSource = paraObj.dataSource;
        }
    }
    loadNativeData();
}

loadedPage(paraObj);

//getUrlParam();
/**
 * 将客户端传递的基础数据渲染到页面
 */
function loadNativeData() {
    if (operatePlaceDes) {
        //显示提示语
        byClass("credibility").innerText = operatePlaceDes;
        byClass("credibility").style.display = "block";
        //与提示语颜色保持一致
        if (operatePlaceColor) {
            if (operatePlaceColor.length > 7) {
                var tempColor = operatePlaceColor.substring(operatePlaceColor.length - 6);
                byClass("credibility").style.color = "#" + tempColor;
            } else {
                byClass("credibility").style.color = operatePlaceColor;
            }

            // byClass("credibility").style.color = operatePlaceColor;
        }
    }
    if (isMyLocation == '1') {
        byClass("nav").style.display = "block";
        byClass("navText").innerText = "从这走";
    }
    if (!isOfflineData) {
        //纠错
        if (dataSource == "none" || dataSource == "accurate" || dataSource == "anno" || dataSource == "nearby" || dataSource == "fuzzy" || dataSource == "") {
            byId("reportError").style.display = "inline-block";
            byId("reportErrorEntrance").style.display="block";
        }
    } else {
        byId("reportErrorEntrance").style.display = "none";
    }
    if (name) {
        if (!coType) {
            if (type == 1) {
                byClass("poiName").innerText = name + '(公交站)';
            } else if (type == 2) {
                byClass("poiName").innerText = name + '(地铁站)';
            }
        } else {
            if (coType == 100) {
                byClass("poiName").innerText = name + '(公交站)';
            } else {
                byClass("poiName").innerText = name + '(地铁站)';
            }
        }
        //byClass("poiName").style.display = "block";
    }
    if (distance) {
        if (distance > 0) {
            // if(platform == 'android'){
            // byClass("distance").innerText = distance2Sring(distance);
            if (distanceType == '0') {
                byClass("distance").innerText = distance2Sring(distance) + '   ';
            } else if (distanceType == '1') {
                byClass("distance").innerText = '距你' + distance2Sring(distance) + '   ';
            } else {
                byClass("distance").innerText = '距查询位置' + distance2Sring(distance) + '   ';
            }
            // }
            // else{
            //     byClass("trafficAddress").innerText = distance2String(distance);
            // }
            byClass("trafficAddress").style.display = "inline-block";
        }
    }
    if (isTrue(hasStreetView)) {
        byId("streetView").classList.remove('hiding');
    }
   
}

/**
 * 从后台接口获取数据并渲染展现
 */
//alert("imei="+imei)
function getNetworkData() {
    // 1.途径路线的后台接口
    // isTest = 0;
    if( isTest == 1 ){
        var requestUrl = "https://mapservice.sparta.html5.qq.com/?s=2&fm=0&uid=" + id + "&tp=1&qt=dt&imei=" + imei + "&device=" + platform + "&app_ver=" + appVersion + "&referer=qqmap_app&output=jsonp&rich_source=index&rich=mobile&cb=afda";
    } else {
        var requestUrl = "https://search.map.qq.com/?s=2&fm=0&uid=" + id + "&tp=1&qt=dt&imei=" + imei + "&device=" + platform + "&app_ver=" + appVersion + "&referer=qqmap_app&output=jsonp&rich_source=index&rich=mobile&cb=afda";
    }
    // 地铁站，显示途径线路
    json.getData(requestUrl, renderLineData);
}

/**
 * 将途径线路渲染到页面
 */
function renderLineData(data) {
    // alert("data="+JSON.stringify(data.detail))
    if (data.detail != null) {
        // alert("data="+JSON.stringify(data))
        if (data.detail.poi.lines) {
            var lines = data.detail.poi.lines;
            //展示头部线路信息
            if (lines.length > 0) {
                byClass("trafficLines").innerText = lines.length + "条路线经过此站";
                byClass("trafficLines").style.display = "inline-block";
            }
            //展示具体线路信息
            byClass("lineDetails").style.display = "block";
            // alert(byClass("reportText").length)
            if (coType == 100) {
                for (var i = 0; i < lines.length; i++) {//默认先取前十个
                    linesAry.push(lines[i].uid);
                }
                //获取公交线路实时信息
                function busReal() {
                    var str = "";
                    //先渲染不包含eta的全部线路信息
                    for (var i = 0; i < lines.length; i++) {
                        str += "<li class='line' id=" + lines[i].uid + ">";
                        str += " <span class='lineName' style='background-color:" + lines[i].line_color + "'>" + lines[i].name + "</span>";
                        str += " <div class='lineDetail'>";
                        str += "<p class='lineFromTo'><span class='from'>" + lines[i].from + "<i class='mark'>-</i></span>";
                        str += "<span class='to'>" + lines[i].to + "</span></p>";
                        if( (lines[i].satime !== "") && (lines[i].eatime) !== "" ){
                            str += "<span class='beginTime'>首" + lines[i].satime + "</span>";
                            str += "<span class='endTime'>末" + lines[i].eatime + "</span>";
                        }
                        str += "</div><div class='bus-time' ><span class='bus-animation'></span>";
                        str += "<span class='minutes'>0</span>分钟/<span class='stops'>0</span>站后进站</div><div class='border'></div>";
                    }
                    byClass("lines").innerHTML = str;
                    byClass("lines").style.display = "block";
                    //添加点击详情跳转功能
                    for (var l = 0; l < document.getElementsByClassName("line").length; l++) {
                        document.getElementsByClassName("line")[l].addEventListener("click", function () {
                            nativeLineDetail(this.id, name);
                            statistics(platform, 'busPoi', 'busRoute');
                        })
                    }
                    //如果属于实时类型的公交站
                    if( realtime && realtime.status == 1 ){
                        byId("lineInfo").style.display = "block";
                        byClass("bus-title-animation").style.display="inline-block";
                        byId("realBusNum").innerText = realtime.num;
                        //传入线路uid，从客户端动态获取eta数据
                        getNewEta();
                    }

                    clearInterval(timer);
                }

                busReal();

                var timer = setInterval(function () {
                    getNewEta();
                },60000);

                window.getNewEta = getNewEta;

            } else if (coType == 200) {
                var str='';
                for (var i = 0; i < lines.length; i++) {
                    str += "<li class='line' id=" + lines[i].uid + ">";
                    str += " <span class='lineName' style='background-color:" + lines[i].line_color + "'>" + lines[i].name + "</span>";
                    str += " <div class='lineDetail'>";
                    str += "<p class='lineFromTo'><span class='from'>" + lines[i].from + "<i class='mark'>-</i></span>";
                    str += "<span class='to'>" + lines[i].to + "</span></p>";
                    if((lines[i].satime!=="")&&(lines[i].eatime)!==""){
                        str += "<span class='beginTime'>首" + lines[i].satime + "</span>";
                        str += "<span class='endTime'>末" + lines[i].eatime + "</span>";
                    }
                    str += " </div><div class='border'></div></li>";
                }
                byClass("lines").innerHTML = str;
                byClass("lines").style.display = "block";
                for (var l = 0; l < document.getElementsByClassName("line").length; l++) {
                    //地铁线路颜色改变
                    if (document.getElementsByClassName("lineName")[l].innerText == "地铁10号线") {
                        //document.getElementsByClassName("lineName")[l].style.backgroundColor="red";
                    }
                    document.getElementsByClassName("line")[l].addEventListener("click", function () {
                        // alert(this.id)
                        nativeLineDetail(this.id, name);
                        statistics(platform, 'subway', 'subwayRoute');

                    })
                }
            }
            if(isiOS){
                var lineNameItems = document.getElementsByClassName('lineName');
                for( var x = 0 ; x < lineNameItems.length ; x++ ){
                    lineNameItems[x].style.lineHeight = "0.13rem";
                }
            }
        }
    }
}

//根据当前一屏内的公交线路获取相应的eta，节省流量，优化性能
function getNewEta (type){
    var lineEles = document.getElementsByClassName("line"),//所有line元素
        screenEles = [],//当前屏幕内的所有line元素
        lineIds = [];//当前屏幕内所有line的id
    //获取当前一屏的所有line元素
    for( var j = 0 ; j < lineEles.length ; j++ ){
        if( lineEles[j].getBoundingClientRect().top > -103 && lineEles[j].getBoundingClientRect().top < 640 ){
            screenEles.push( lineEles[j] );
            lineIds.push( lineEles[j].id );
        }
    }
    //从客户端获取eta数据
    updateRealtimeBus(id, lineIds, function (data) {
        if( type === 1 ){//点击刷新调用的时候才显示toast
            if( num != 0 && data.shErrNo == "0"){
                nativeShowTips('刷新成功');
            }else if( num != 0 && data.shErrNo == "1"){
                nativeShowTips('刷新失败');
            }
        }
        for( var i = 0 ; i < data.lines.length ; i++ ){
            if( data.lines[i].hasRealtimeBus === 1 ){
                if( etas.indexOf(data.lines[i].lineUid) < 0 ){//初次刷新某线路的eta数据
                    var str = "";
                    var thisStamp = new Date().getTime();
                    if( data.lines[i].stopNum == 0 ){
                        str += "<span class='bus-animation' data-stamp='"+thisStamp+"'></span>";
                        str += "<span>" + Math.ceil(data.lines[i].eat/60) + "</span>分钟/即将到站</div>";
                    }
                    else {
                        str += "<span class='bus-animation' data-stamp='"+thisStamp+"'></span>";
                        str += "<span>" + Math.ceil(data.lines[i].eat/60) + "</span>分钟/<span>" + data.lines[i].stopNum + "</span>站后进站</div>";
                    }
                    byId(data.lines[i].lineUid).getElementsByClassName("bus-time")[0].innerHTML = str;
                    byId(data.lines[i].lineUid).getElementsByClassName("bus-time")[0].style.display = "block";
                    etas.push(data.lines[i].lineUid);
                }
                else {//如果某条line加载过eta并且和上次间隔大于1分钟才刷新，阻止频繁地请求数据和修改dom
                    var lastStamp = byId(data.lines[i].lineUid).getElementsByClassName("bus-animation")[0].getAttribute("data-stamp"),
                        thisStamp = new Date().getTime();
                    if( Math.ceil((thisStamp-lastStamp)/1000) > 60 ){
                        var str = "";
                        if( data.lines[i].stopNum == 0 ){
                            str += "<span class='bus-animation' data-stamp='"+thisStamp+"'></span>";
                            str += "<span>" + Math.ceil(data.lines[i].eat/60) + "</span>分钟/即将到站</div>";
                        }
                        else {
                            str += "<span class='bus-animation' data-stamp='"+thisStamp+"'></span>";
                            str += "<span>" + Math.ceil(data.lines[i].eat/60) + "</span>分钟/<span>" + data.lines[i].stopNum + "</span>站后进站</div>";
                        }
                        byId(data.lines[i].lineUid).getElementsByClassName("bus-time")[0].innerHTML = str;
                        byId(data.lines[i].lineUid).getElementsByClassName("bus-time")[0].style.display = "block";
                    }
                }
            } 
        }
    });
}

window.addEventListener("load", function () {
    // FastClick.attach(document.body);
    // getUrlParam ();

    //随着用户滚屏，动态获取eta数据
    window.userScrollTimer = false;
    window.addEventListener("scroll",function(e){
        clearInterval(window.userScrollTimer);
        window.userScrollTimer = setTimeout(function(){
            getNewEta();
        },300)
    })

    //周边
    byId("around").addEventListener("click", function () {
        nativeOpenAround();
        // statistics(platform, 'foodPoi', 'streetscape');
    }, false);

    //街景
    byId("streetView").addEventListener("click", function () {
        // alert("街景");
        nativeOpenVista(platform);
        if (coType == 100) {
            statistics(platform, 'busPoi', 'streetscape');
        } else if (coType == 200) {
            statistics(platform, 'subway', 'streetscape');
        }

    }, false);
    //纠错
    byId("reportError").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    byId("reportErrorEntrance").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    byClass("refresh").addEventListener("click", function () {
        // nativeShowTips('刷新成功');
        num++;
        getNewEta(1);
    }, false);
    //获取是否是测试环境
    nativeIsTest(function (data) {
        isTest = data;
    })
    //获取是否零流量,进行后台请求
    nativeIsOffline(function (data) {
        //有网络、高信度后台请求
        if (data == 0 && operatePlaceDes == "") {
            // alert("接口请求")
            getNetworkData();
        }
    })
    // 禁止鼠标右键、长按选择等事件
    document.oncontextmenu = new Function("event.returnValue=false");
    document.onselectstart = new Function("event.returnValue=false");
    document.documentElement.style.webkitTouchCallout = 'none';

    /**
     * 统计代码
     */
    var _mtac = {
        "performanceMonitor": 1
    };
    (function () {
        var mta = document.createElement("script");
        mta.src = "https://pingjs.qq.com/h5/stats.js?v2.0.4";
        mta.setAttribute("name", "MTAH5");
        mta.onload = function () {
            if (coType == 100) {
                statistics(platform, 'busPoi', 'show');
                statistics(platform, 'allPoi', 'show');
            } else if (coType == 200) {
                statistics(platform, 'subway', 'show');
                statistics(platform, 'allPoi', 'show');
            }
        };
        mta.setAttribute("sid", "500093594");
        mta.setAttribute("cid", "500108829");
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(mta, s);
    })();
});