/**
 * Created by v_mqguan on 2016/7/25.
 */
(function (window) {
    /**
     * 添加参数处理，解决XSS漏洞
     */
    var encodeHTML = function () {
        var temp_dom = document.createElement("div");
        return function (txt) {
            var t = document.createTextNode(txt),
                res = temp_dom.appendChild(t).parentNode.innerHTML;
            temp_dom.innerHTML = "";
            return res;
        }
    }();
    var paraObj = {};
    /**
     * 封装jsonp跨域请求
     */
    var json = {
        // getData: function (url, callback) {
        //     var funName = getFunName();
        //     url += "&cb=window." + funName;
        //     window[funName] = function () {
        //         try {
        //             delete window[funName]
        //         } catch (e) {
        //         }
        //         callback && callback.apply(null, arguments);
        //     };
        getData: function (url, callback, obj) {
            var funName = getFunName();
            url += "&cb=window." + funName;
            var timer = setTimeout(function () {
                script.parentNode.removeChild(script);
                window[funName]({
                    "retCode": -1
                });
            }, 5000);
            window[funName] = function () {
                clearTimeout(timer);
                timer = null;
                try {
                    delete window[funName]
                } catch (e) {
                }
                callback && callback.apply(obj, arguments);
            };
            var script = document.createElement('script');
            script.src = url;
            script.id = 'SOSOWMJSONP';
            script.type = 'text/javascript';
            var head = document.getElementsByTagName('head')[0];
            head.appendChild(script);
            //alert('aa')
        },
        //清除script标签避免内存泄露
        delTag: function () {
            var script;
            script = document.getElementById('SOSOWMJSONP');
            script.parentNode.removeChild(script);
            // 浏览器不会回收这些属性所指向的对象.
            //手动删除它以免内存泄漏.
            for (var prop in script) {
                delete script[prop];
            }
        }
    };
    //随机数的初始值
    var random = 0;
    /**
     * 获取随机的函数名称
     */
    var getFunName = function () {
        return "abcdefg_" + (++random);
    };
    window.paraObj = paraObj;
    window.encodeHTML = encodeHTML;
    window.json = json;
}(window));
