(function () {
    var btnFlag = false;
    var resultPoiName="";
    var placeName="";
    var hasBusiness = false;
    var hasShopFront = false;
    var positionIndex='shopFront';
    var palceNameValue = byClass("root-place-content");
    var telValue= byClass("root-tel-num");
    var questionValue = byClass("root-question-inp");
    var phoneNumValue = byClass("root-phone-num");
    var normalTotal = 3;
    var u = navigator.userAgent;
    var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
    var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
  /*******************************初始化时获取设备信息***************************************/
    function getReportInfo(callback) {
        mqq.invoke("ugc","getReportInfo",{},function(result){
           /* result.poiName //poi名称，新增可以为空，纠错必须有值
            result.poiAddr //poi地址，新增可以为空，纠错必须有值
            result.type  //上报类型，初定1为新增、2为纠错，后面可能根据后台的字段定义做修改*/
           callback(result);
        });
    }

    getReportInfo(function (result) {
        // alert(JSON.stringify(result));
        if (result.poiName) {
            byClass("root-place-content").value=result.poiName;
            byClass("root-place-content").classList.remove("root-place-content-holder");
            resultPoiName = result.poiName;
        }
        if (result.poiAddr) {
            byClass("root-add-place-content").style.display = "block";
            byClass("root-add-place-content").value = result.poiAddr;
        }
        // if (result.btnFlag) {
        //     headChangeValue(result.btnFlag);
        // }
        if (result.poiTel) {
            telValue.value = result.poiTel;
        }

        if (result.desc) {
            questionValue.value = result.desc;
        }

        if (result.contacts) {
            phoneNumValue.value = result.contacts;
        }

        if (result.isMerchant) {
            btnFlag = result.isMerchant;
            headChangeValue(result.isMerchant);
        }

        if (result.imgList && Array.isArray(result.imgList) && 0 < result.imgList.length) {
            var imgs = document.getElementsByClassName("imgbig");
            for (var img = 0; img < result.imgList.length; img++) {
                if (img == normalTotal) {
                    break;
                }
                imgs[img].style.display = "inline-block";
                imgs[img].style.backgroundImage = "url(" + result.imgList[img] + ")";
            }
            if (result.imgList.length == normalTotal) {
                byId("imgadd").classList.add("hiding");
            }
        }

        if (result.mShopFrontPicPaths && Array.isArray(result.mShopFrontPicPaths) && 0 < result.mShopFrontPicPaths.length) {
            var tmpPhotoElement = byClass("root-door-photo");
            var tmpElement = byClass("root-photo-add-door");
            tmpPhotoElement.style["background-image"] = "url(" + result.mShopFrontPicPaths[0]+ ")";
            tmpPhotoElement.classList.remove("hiding");
            tmpElement.classList.add("hiding");
            hasShopFront = true;
        } else {
            var tmpPhotoElement = byClass("root-door-photo");
            var tmpElement = byClass("root-photo-add-door");
            tmpPhotoElement.classList.add("hiding");
            tmpElement.classList.remove("hiding");
            hasShopFront = false;
        }

        if (result.mLicensePicPaths && Array.isArray(result.mLicensePicPaths) && 0 < result.mLicensePicPaths.length) {
            var tmpPhotoElement = byClass("root-business-photo");
            var tmpElement = byClass("root-photo-business-door");
            tmpPhotoElement.style["background-image"] = "url(" + result.mLicensePicPaths[0]+ ")";
            tmpPhotoElement.classList.remove("hiding");
            tmpElement.classList.add("hiding");
            hasBusiness = true;
        } else {
            var tmpPhotoElement = byClass("root-business-photo");
            var tmpElement = byClass("root-photo-business-door");
            tmpPhotoElement.classList.add("hiding");
            tmpElement.classList.remove("hiding");
            hasBusiness = false;
        }

        if(isiOS){
            byClass('root-header-name').style.verticalAlign = "top";
            byClass('root-header-button').style.verticalAlign = "top";
        }

        checkButtonStatus();
    });

    /***********************************是否是该地商户***************************************/
    function headChangeValue(value) {
        if (!value) {
            byClass("root-header-circle").style.left = "0";
            byClass("root-header-button").style.backgroundColor = "#ffffff";
            byClass("root-img").style.display = "block";
            byClass("root-photo").style.display = "none";
            // btnFlag = false;
        } else {
            byClass("root-header-circle").style.left = "0.17rem";
            byClass("root-header-button").style.backgroundColor = "#4875FD";
            byClass("root-header-circle").style.backgroundColor = "#ffffff";
            byClass("root-img").style.display = "none";
            byClass("root-photo").style.display = "block";
            // btnFlag = true;
        }
        checkButtonStatus();
    }

    byId("headerBtn").addEventListener("click", function(e){
        btnFlag = !btnFlag;
        headChangeValue(btnFlag);
    });

    /*************************************地点名称点击事件****************************************************/
    function placeClick(e) {
        e.stopPropagation();
        e.preventDefault();
        mqq.invoke("ugc","searchPoi",{
            "type": 11,
            "poiName": byClass("root-place-content").value,
            "poiAddr": byClass("root-add-place-content").value,
            "isMerchant": btnFlag,
            "poiTel": telValue.value,
            "desc": questionValue.value,
            "contacts": phoneNumValue.value
        }, function(result) {
            if (result && result.poiName){
                resultPoiName = result.poiName;
                if (result.poiName) {
                    // byClass("root-place-content").classList.remove("root-place-content-holder");
                    // byClass("root-place-content").innerText = result.poiName;
                    byClass("root-place-content").value = result.poiName;
                }
                    
                checkButtonStatus();
            }
        });
    }

    // byClass("root-place-content").addEventListener("touchstart", placeClick);
    // byClass("root-place-content").addEventListener("focus", placeClick);
    byClass("root-place-content").addEventListener("click", placeClick);

    /***********************************添加位置***************************************/
   document.getElementsByClassName("root-add-place-reselect")[0].addEventListener("click", function () {
       mqq.invoke("ugc", "getPlace", {}, function (result) {
           if (result && result.placeName) {
               // alert(JSON.stringify(result))
               placeName = result.placeName;
               byClass('root-place-content-holder').style.display = "none";
                 byClass("root-add-place-content").style.display = "block";
                 byClass("root-add-place-content").value = result.placeName;
                 checkButtonStatus();
             }
         });
    });


    /***********************************添加照片***************************************/
    var imgs = document.getElementsByClassName("imgbig");
    var imgList="";
    document.getElementById("imgadd").addEventListener("click", function () {
        if (imgList.length >= normalTotal){
            document.getElementById("imgadd").style.display = "none";
            // mqq.invoke("ugc", "showToast",{
            //     'text':"最多添加三张照片",
            //     'duration':1
            // });
        } else {
            document.getElementById("imgadd").style.display = "inline-block";
            mqq.invoke("ugc", "takePicture", { position:"normal", maxCount:3}, function (result) {
                if (result) {
                    imgList = result.filePaths;
                    if (imgList && imgList.length >= normalTotal) {
                        document.getElementById("imgadd").style.display = "none";
                        // mqq.invoke("ugc", "showToast",{
                        //     'text':"最多添加三张照片",
                        //     'duration':1
                        // });
                    } else {
                        document.getElementById("imgadd").style.display = "inline-block";
                    }
                    for (var img = 0; img < imgList.length; img++) {
                        if (img == normalTotal) {
                            break;
                        }
                
                        imgs[img].style.display = "inline-block";
                        imgs[img].style.backgroundImage = "url(" + imgList[img] + ")";
                    }
                }
            });
        }

    });
    for (var delImg = 0; delImg < imgs.length; delImg++) {
        (function (index) {
            imgs[index].addEventListener("click", function () {
                mqq.invoke("ugc", "showPicture", {index: index, position: "normal"}, function (result) {
                    if (result) {
                        imgList = result.filePaths;
                        if (imgList && imgList.length >= normalTotal) {
                            document.getElementById("imgadd").style.display = "none";
                        } else {
                            document.getElementById("imgadd").style.display = "inline-block";
                        }
                        for (var n = 0; n < imgs.length; n++) {
                            if (n >= imgList.length) {
                                imgs[n].style.display = "none";
                            } else {
                                imgs[n].style.display = "inline-block";
                                imgs[n].style.backgroundImage = "url(" + imgList[n] + ")";
                            }
                        }
                    }
                });
            })
        })(delImg);
    }
    document.getElementsByClassName("root-photo-add-door")[0].addEventListener("click",function () {
        mqq.invoke("ugc", "takePicture", {position:"shopFront",maxCount:1}, function (result) {
            if (result) {
                imgList = result.filePaths;
      
                if (imgList && imgList.length > 1) {
                    mqq.invoke("ugc", "showToast",{
                        'text':"最多添加一张照片",
                        'duration':1
                    });
                }
                if (imgList && 0 < imgList.length) {
                    hasShopFront = true;
                } else {
                    hasShopFront = false;
                }

                var tmpPhotoElement = byClass("root-door-photo");
                tmpPhotoElement.style["background-image"] = "url(" + imgList[0]+ ")";
                tmpPhotoElement.classList.remove("hiding");

                var tmpElement = byClass("root-photo-add-door");
                tmpElement.classList.add("hiding");

                checkButtonStatus();

                // byClass("root-img").style.display = "block";
                // byClass("root-photo").style.display = "none";
                // for (var img = 0; img < imgList.length; img++) {
                    // imgs[img].style.display = "inline-block";
                    // imgs[img].style.backgroundImage = "url(" + imgList[img] + ")";
                // }
            }
        });
    });
    document.getElementsByClassName("root-photo-business-door")[0].addEventListener("click",function () {
        positionIndex='licence';
        mqq.invoke("ugc", "takePicture", {position:"license",maxCount:1}, function (result) {
            if (result) {
                imgList = result.filePaths;

                if (imgList && imgList.length > 1) {
                    mqq.invoke("ugc", "showToast",{
                        'text':"最多添加一张照片",
                        'duration':1
                    });
                }

                if (imgList && 0 < imgList.length) {
                    hasBusiness = true;
                } else {
                    hasBusiness = false;
                }

                var tmpPhotoElement = byClass("root-business-photo");
                tmpPhotoElement.style["background-image"] = "url(" + imgList[0]+ ")";
                tmpPhotoElement.classList.remove("hiding");

                var tmpElement = byClass("root-photo-business-door");
                tmpElement.classList.add("hiding");

                checkButtonStatus();

                // byClass("root-img").style.display = "block";
                // byClass("root-photo").style.display = "none";
                // for (var img = 0; img < imgList.length; img++) {
                //     imgs[img].style.display = "inline-block";
                //     imgs[img].style.backgroundImage = "url(" + imgList[img] + ")";
                // }
            }
        });
    });

    document.querySelector(".root-door-photo").addEventListener("click", function(e){
        console.log('root-door-photo');
        mqq.invoke("ugc", "showPicture", {index: 0, position: "shopFront" }, function (result) {
            if (result) {
                imgList = result.filePaths;

                var tmpPhotoElement = byClass("root-door-photo");
                var tmpElement = byClass("root-photo-add-door");
                if (imgList && 0 < imgList.length) {
                    tmpPhotoElement.style["background-image"] = "url(" + imgList[0]+ ")";
                    tmpPhotoElement.classList.remove("hiding");
                    tmpElement.classList.add("hiding");
                    hasShopFront = true;
                } else {
                    tmpPhotoElement.classList.add("hiding");
                    tmpElement.classList.remove("hiding");
                    hasShopFront = false;
                }
                checkButtonStatus();
                
                // for (var n = 0; n < imgs.length; n++) {
                //     if (n >= imgList.length) {
                //         imgs[n].style.display = "none";
                //     } else {
                //         imgs[n].style.display = "inline-block";
                //         imgs[n].style.backgroundImage = "url(" + imgList[n] + ")";
                //     }
                // }
            }
        });
    });

    document.querySelector(".root-business-photo").addEventListener("click", function(e){
        console.log('root-business-photo');
        mqq.invoke("ugc", "showPicture", {index: 0, position: "license" }, function (result) {
            if (result) {
                imgList = result.filePaths;

                var tmpPhotoElement = byClass("root-business-photo");
                var tmpElement = byClass("root-photo-business-door");

                if (imgList && 0 < imgList.length) {
                    tmpPhotoElement.style["background-image"] = "url(" + imgList[0]+ ")";
                    tmpPhotoElement.classList.remove("hiding");
                    tmpElement.classList.add("hiding");
                    hasBusiness = true;
                } else {
                    tmpPhotoElement.classList.add("hiding");
                    tmpElement.classList.remove("hiding");
                    hasBusiness = false;
                }
                checkButtonStatus();
                // for (var n = 0; n < imgs.length; n++) {
                //     if (n >= imgList.length) {
                //         imgs[n].style.display = "none";
                //     } else {
                //         imgs[n].style.display = "inline-block";
                //         imgs[n].style.backgroundImage = "url(" + imgList[n] + ")";
                //     }
                // }
            }
        });
    });

    // check手机号码
    function checkPhoneNumber(value) {
        if (value) {
            if(11!=value.length) {
                mqq.invoke("ugc", "showToast",{
                    'text':"请输入正确的电话号码",
                    'duration':1
                });
                return false;
            } else {
                var tmp = value.substring(0, 1);
                if (tmp!=1) {
                    mqq.invoke("ugc", "showToast",{
                        'text':"请输入正确的电话号码",
                        'duration':1
                    });
                    return false;
                }
                if (!(/\d{11}/.test(value))) {
                    mqq.invoke("ugc", "showToast",{
                        'text':"请输入正确的电话号码",
                        'duration':1
                    });
                    return false;
                }
            }
            return true;
        }
        return false;
    }

    // 检查提交按钮状态
    function checkButtonStatus() {
        var rc = checkPhoneNumber(phoneNumValue.value);
        var positionVal = byClass("root-add-place-content").value;
        placeName = byClass("root-place-content").value;
        if (placeName && resultPoiName && positionVal) {
            rc = rc && true;
        } else {
            rc = false;
        }

        if (btnFlag) {
            rc = rc && hasBusiness && hasShopFront;
        }

        if(rc){
            byClass("root-submit-btn").style.opacity= "1";
            document.getElementsByClassName("root-submit-btn")[0].removeAttribute("disabled");
        }else{
            byClass("root-submit-btn").style.opacity= "0.4";
            document.getElementsByClassName("root-submit-btn")[0].setAttribute("disabled", "disabled");
        }
        return rc;
    }

    /**
     * 提交按钮点击事件
     * */
    document.getElementsByClassName("root-submit-btn")[0].addEventListener("click", function () {
        var rc = checkButtonStatus();
        if (!rc) {
            return;
        }
        mqq.invoke("ugc", "reportPoiData", {
            "type": 11,
            "isMerchant": btnFlag,
            "poiName": palceNameValue.value,
            "poiAddr": byClass("root-add-place-content").value,
            "poiTel": telValue.value,
            "desc": questionValue.value,
            "contacts": phoneNumValue.value
        });
    });

    document.querySelector(".root-phone-num").addEventListener("keyup", function(e){
       if (e.target.value.length == 11) {
        checkButtonStatus();
       } else {
        byClass("root-submit-btn").style.opacity= "0.4";
        document.getElementsByClassName("root-submit-btn")[0].setAttribute("disabled", "disabled");
       }
    });
})();