(function () {
    var errType = document.getElementsByClassName("root-err-content");
    var errTypeIcon = document.getElementsByClassName("root-err-icon");
    var desVal = byClass("des-content");
    var phoneVal = byId("rootPhone");
    var placeNameVal = byId("placeName");
    var placePhone=byId("rootPhone");
    var placeTime= byId("placeTime");
    var placeTel = byId("placeTel");
    var positionIndex=1;
    var placeName;
    var correctType;
    var selectedErrorTypeIndex = -1;

    function getReportInfo(callback) {
        mqq.invoke("ugc","getReportInfo",{},function(result){
            callback(result);
        });
    }

    function displayNone(className) {
        byClass(className).style.display = "none";
    }

    function displayBlock(className) {
        byClass(className).style.display = "block";
    }

    function keyUp(ele,i) {
       ele.onkeyup = function () {
           btnDisplay(i);
       };
    }

    /***********************************提交按钮显示隐藏判断***************************************/
    function btnDisplay(index) {
        // keyUp(placePhone, index);
        if ((index==0&&placePhone.value !="")||(index==3&&placePhone.value !="")){
            btnClick();
        }else if(index==1&&placePhone.value !=""&&placeName!=""){
            btnClick();
        }else if(index==2&&placePhone.value !=""&&(placeName!=""||placeTel!="")){
            btnClick();
        }
        else{
            document.getElementsByClassName("des-button")[0].setAttribute("disabled", "disabled");
        }
    }

    // check手机号码
    function checkPhoneNumber(value, isShowToast) {
        if (value) {
            if(11 != value.length) {
                if (isShowToast) {
                    mqq.invoke("ugc", "showToast",{
                        'text':"请输入正确的电话号码",
                        'duration':1
                    });
                }
                return false;
            } else {
                var tmp = value.substring(0, 1);
                if (tmp != 1) {
                    if (isShowToast) {
                        mqq.invoke("ugc", "showToast",{
                            'text':"请输入正确的电话号码",
                            'duration':1
                        });
                    }
                    return false;
                }
                if (!(/\d{11}/.test(value))) {
                    mqq.invoke("ugc", "showToast",{
                        'text':"请输入正确的电话号码",
                        'duration':1
                    });
                    return false;
                }
            }
            return true;
        }
        return false;
    }

    /***********************************高亮按钮点击事件***************************************/
    function btnClick() {
        var rc = false;
        if (selectedErrorTypeIndex == -1) {
            rc = false;
        } else {
            switch(selectedErrorTypeIndex) {
                case 0:
                rc = true;
                break;
                case 1:
                rc = byClass("root-add-place-content").value?true:false;
                break;
                case 2:
                var tmp = [];
                tmp.push(document.querySelector("#placeName").value == window.getReportInfo.poiName);
                tmp.push(document.querySelector(".root-add-place-content").value == window.getReportInfo.poiAddr);
                tmp.push(document.querySelector("#placeTel").value == window.getReportInfo.poiTel);
                tmp.push(document.querySelector("#placeTime").value == window.getReportInfo.openTime);
                // rc = (placeNameVal.value || placeTel.value || placeTime.value || byClass("root-add-place-content").value)?true:false;
                console.log(tmp);
                rc = -1<tmp.indexOf(false);
                console.log(rc);
                break;
                case 3:
                rc = true;
                break;
            }
        }
        if (rc) {
            rc = checkPhoneNumber(phoneVal.value);
        }
        
        if (rc) {
            byClass("des-button").style.opacity= "1";
            document.getElementsByClassName("des-button")[0].removeAttribute("disabled");
            checkPhoneNumber(phoneVal.value, true);
        } else {
            byClass("des-button").style.opacity= ".4";
            document.getElementsByClassName("des-button")[0].setAttribute("disabled", "disabled");
        }
    }

    function clickEvent() {
        placeNameVal.addEventListener("keyup", function(e){
            btnClick();
        });
        placeTel.addEventListener("keyup", function(e){
            btnClick();
        });
        placeTime.addEventListener("keyup", function(e){
            btnClick();
        });
        byClass("root-add-place-content").addEventListener("keyup", function(e){
            btnClick();
        });
        // 联系人增加按键事件
        byId("rootPhone").addEventListener("keyup", function (e) {
            if(e.target.value.length == 11) {
                btnClick();
            } else {
                byClass("des-button").style.opacity= ".4";
                document.getElementsByClassName("des-button")[0].setAttribute("disabled", "disabled");
            }
        });

        /*******************************地点错误类型************************************/
        for (var i = 0; i < errType.length; i++) {
            (function (index) {
                errType[index].addEventListener("click", function () {
                    if(errTypeIcon[index].style.backgroundImage=="url(\"img/err_icon.png\")"){
                        selectedErrorTypeIndex = -1;
                        errTypeIcon[index].style.backgroundImage = "url(\"img/err_icon_gray.png\")";
                    }else{
                        for(var j=0;j<errType.length;j++){
                            errTypeIcon[j].style.backgroundImage = "url(\"img/err_icon_gray.png\")";
                        }
                        errTypeIcon[index].style.backgroundImage = "url(\"img/err_icon.png\")";
                        selectedErrorTypeIndex = index;
                    }
                    if (window.getReportInfo && window.getReportInfo.poiAddr) {
                        byClass("root-add-place-content").value = window.getReportInfo.poiAddr;
                    }
                    document.querySelector("#root-position-title-star").classList.add("hidden");
                    if(index==0){
                        correctType="地点不存在";
                        displayNone("root-position");
                        displayNone("root-place");
                        displayNone("root-position");
                        displayNone("root-tel");
                        displayNone("root-time");
                        btnDisplay(0);
                    } else if(index==1){
                        correctType="位置错误";
                        displayBlock("root-position");
                        displayNone("root-place");
                        displayNone("root-tel");
                        displayNone("root-time");
                        document.querySelector("#root-position-title-star").classList.remove("hidden");
                        byClass("root-add-place-content").value = "";
                        btnDisplay(1);
                    }else if(index==2){
                        correctType="信息错误";
                        displayBlock("root-place");
                        displayBlock("root-position");
                        displayBlock("root-tel");
                        displayBlock("root-time");
                        btnDisplay(2);
                    }else if(index==3){
                        correctType="地点仍在运营";
                        displayNone("root-position");
                        displayNone("root-place");
                        displayNone("root-position");
                        displayNone("root-tel");
                        displayNone("root-time");
                        btnDisplay(3);
                    }
                });
            })(i);
        }

        /***********************************添加照片***************************************/
        var imgs = document.getElementsByClassName("imgbig");
        var imgList="";
        var normalTotal = 3;
        document.getElementById("imgadd").addEventListener("click", function () {
            if(imgList.length >= normalTotal){
                document.getElementById("imgadd").style.display = "none";
                // mqq.invoke("ugc","showToast",{
                //     'text':"最多添加三张照片",
                //     'duration':1
                // });
            }else{
                document.getElementById("imgadd").style.display = "inline-block";
                mqq.invoke("ugc", "takePicture", {position: "normal", maxCount: 3 }, function (result) {
                    if (result) {
                        imgList = result.filePaths;
                        if (imgList&& imgList.length >= normalTotal) {
                            document.getElementById("imgadd").style.display = "none";
                            // mqq.invoke("ugc", "showToast",{
                            //     'text':"最多添加三张照片",
                            //     'duration':1
                            // });
                        } else {
                            document.getElementById("imgadd").style.display = "inline-block";
                        }
                        for (var img = 0; img < imgList.length; img++) {
                            if (img == normalTotal) {
                                break;
                            }
                            imgs[img].style.display = "inline-block";
                            imgs[img].style.backgroundImage = "url(" + imgList[img] + ")";
                        }
                    }
                });
            }

        });
        for (var delImg = 0; delImg < imgs.length; delImg++) {
            (function (index) {
                imgs[index].addEventListener("click", function () {
                    mqq.invoke("ugc", "showPicture", {index: index, position:"normal"}, function (result) {
                        if (result) {
                            imgList = result.filePaths;
                            if (imgList && imgList.length >= normalTotal) {
                                document.getElementById("imgadd").style.display = "none";
                            } else {
                                document.getElementById("imgadd").style.display = "inline-block";
                            }
                            for (var n = 0; n < imgs.length; n++) {
                                if (n >= imgList.length) {
                                    imgs[n].style.display = "none";
                                } else {
                                    imgs[n].style.display = "inline-block";
                                    imgs[n].style.backgroundImage = "url(" + imgList[n] + ")";
                                }
                            }
                        }
                    });
                });
            })(delImg);
        }

        /***********************************添加位置***************************************/
        document.getElementsByClassName("root-place-select")[0].addEventListener("click", function () {
            mqq.invoke("ugc", "getPlace", {}, function (result) {
                if (result && result.placeName) {
                    placeName = result.placeName;
                    byClass("root-add-place-content").style.display = "block";
                    byClass("root-add-place-content").value = result.placeName;
                    btnClick();
                }
            });
        });

        document.getElementById("des-button").addEventListener("click", function (e) {
            var rc = checkPhoneNumber(phoneVal.value);
            if (!rc) {
                return;
            }

            if (placeNameVal.value || placeTel.value || placeTime.value || byClass("root-add-place-content").value) {
                mqq.invoke("ugc", "reportPoiData", {
                    "type": 12,
                    "tag": correctType,
                    "poiName": placeNameVal.value,
                    "poiTel": placeTel.value,
                    "openTime": placeTime.value,
                    "poiAddr": byClass("root-add-place-content").value,
                    "desc": desVal.value,
                    "contacts": phoneVal.value
                });
            }
        });
    }


    function main() {
       
        getReportInfo(function (result) {
            if (result) {
                window.getReportInfo = result;
                if(result.poiName){
                    byClass("root-poi-name").innerText=result.poiName;
                    byId("placeName").value=result.poiName;
                } else {
                    byClass("root-poi-name").innerText="";
                }
                if(result.poiAddr){
                    byClass("root-poi-place").innerText=result.poiAddr;
                    byClass("root-add-place-content").style.display = "block";
                    byClass("root-add-place-content").value = result.poiAddr;
                } else {
                    byClass("root-poi-place").innerText="";
                }
                if(result.poiTel){
                    byId("placeTel").value=result.poiTel;
                }
                if(result.openTime){
                    byId("placeTime").value=result.openTime;
                }
                if (result.contacts) {
                    byId("rootPhone").value = result.contacts;
                }
                // document.getElementsByClassName("des-button")[0].setAttribute("disabled", "disabled");
                btnClick();
            }
        });
        clickEvent();
    }
    main();
})();