(function () {
    var type;
    var place;
    var isNav;
    var isNight;
    var loads = document.getElementsByClassName("loads");
    var infos = document.getElementsByClassName("infos");
    var placeName = document.getElementById("position-txt").innerText;
    var target;

    /**
     * 改变当前元素的CSS类名
     * className为当前元素id名称
     * name为css的类名
     * */
    function getColorName(className, name) {
        document.getElementById(className).className = name;
    }

    /**
     * 改变当前元素的文本内容
     * className为当前元素id名称
     * text为文本内容
     * */
    function getInnerText(className, text) {
        document.getElementById(className).innerText = text;
    }

    function btnClick(load, info) {
        // document.getElementById("button").addEventListener("click", function () {
        document.getElementById("button").onclick =  function () {
            // alert(JSON.stringify(load));
            // alert(JSON.stringify(info));
            // alert(JSON.stringify(value.value));
            var value = document.getElementById("des-content");
            placeName = document.getElementById("position-txt").innerText;
            if (!placeName) {
                return;
            }
            mqq.invoke("ugc", "reportData", {
                'tag': load,
                'detail': info.toString(),
                'desc': value.value
            });
        };
    }

    function getReportInfo(callback) {
        mqq.invoke("ugc", "getReportInfo", {}, function (result) {
            callback(result);
        });
    }

    getReportInfo(function (result) {
        // alert(JSON.stringify(result))
        type = result.type;
        isNav = result.isNav;
        isNight = result.isNight;
        place = result.place;
        // isNav = 0;
        //  isNight = 1;
        document.getElementById("position-txt").innerText = place||"";
        mqq.invoke("ugc","getLocationPlace",{},function(result){
            if (result && result.placeName){
                document.getElementById("position-txt").innerText=result.placeName;
            }
        })
        /**************************************type不同的模版5种类型******************************************/
        if (type == "3") {
            getInnerText("type", "封路");
            getInnerText("positionTitle", "封路");
            document.getElementById("root-detail").style.display = "block";
            document.getElementById("des-content").setAttribute("placeholder", "请描述封路时间、封路原因等");
        } else if (type == "2") {
            getInnerText("type", "拥堵");
            getInnerText("positionTitle", "拥堵");
            document.getElementById("des-content").setAttribute("placeholder", "请描述拥堵的详情等");
        } else if (type == "6") {
            getInnerText("type", "事故");
            getInnerText("positionTitle", "事故");
            document.getElementById("des-content").setAttribute("placeholder", "请描述事故相关内容等");
        } else if (type == "5") {
            getInnerText("type", "施工");
            getInnerText("positionTitle", "施工");
            document.getElementById("root-detail").style.display = "block";
            document.getElementById("des-content").setAttribute("placeholder", "请描述施工结束时间等");
        } else if (type == "7") {
            getInnerText("type", "管制");
            getInnerText("positionTitle", "管制");
            document.getElementById("des-content").setAttribute("placeholder", "请描述管制的时长、原因等");
        } else if(type=="11"){
            window.location.href="add.html";
            return;
        } else if(type=="12"){
            window.location.href="err.html";
            return;
        }

        document.getElementById("select-load").style.display = "block";
        document.getElementById("root-img").style.display = "block";
        document.getElementById("question-des").style.display = "block";
        

        /******************************显示当前位置************************************/
        document.getElementById("root-position").addEventListener("click", function () {
            mqq.invoke("ugc", "getPlace", {}, function (result) {
                if (result && result.placeName) {
                    document.getElementById("position-txt").innerText = result.placeName;
                    if (selectedLoadArray.length > 0) {
                        getColorName("button", "button-select");
                        document.getElementById("button").removeAttribute("disabled");
                    } else {
                        getColorName("button", "des-button hiding");
                    }
                }
            });
        }, false);
        /***********************************兼容夜景导航*****************************************************/
        if ((isNav == "0" && isNight == "0") || (isNav == "0" && isNight == "1")) {
            document.getElementById("height").style.display="block";
            document.getElementById("button").style.display = "block";
            document.body.style.backgroundColor="#ffffff";
            document.getElementById("btn-bg").style.backgroundColor = "#ffffff";
            var selectedLoadArray = [];
            var selectedInfoArray = [];
            document.getElementById("root-position").style.display = "block";
            document.getElementById("des-title").style.display = "block";
            document.getElementById("des-content").style.display = "block";
            document.getElementById("border4").classList.remove("hiding");
            
            /*******************************车道选择************************************/
            for (var load = 0; load < loads.length; load++) {
                (function (index) {
                    loads[index].addEventListener("click", function () {
                        placeName = document.getElementById("position-txt").innerText;
                        if (type == "3" || type == "5") {
                            if (selectedInfoArray.length > 0 && placeName) {
                                getColorName("button", "button-select");
                                document.getElementById("button").removeAttribute("disabled");
                            }
                        } else {
                            if (placeName) {
                                getColorName("button", "button-select");
                            }
                            document.getElementById("button").removeAttribute("disabled");
                        }
                        if (loads[index].className.indexOf("select") > 0) {
                            loads[index].classList.remove("select");

                            for (var arr = 0; arr < selectedLoadArray.length; arr++) {
                                if (selectedLoadArray[arr] == loads[index].getElementsByClassName("lighter-content")[0].innerText) {
                                    selectedLoadArray.splice(arr, 1);
                                    if (type == "3" || type == "5") {
                                        if (selectedLoadArray.length <= 0) {
                                            getColorName("button", "des-button");
                                            document.getElementById("button").setAttribute("disabled", "disabled");
                                        }
                                    } else {
                                        if (selectedLoadArray.length <= 0) {
                                            getColorName("button", "des-button");
                                            document.getElementById("button").setAttribute("disabled", "disabled");
                                        }
                                    }
                                }
                            }
                        } else {
                            loads[index].classList.add("select");
                            selectedLoadArray.push(loads[index].getElementsByClassName("lighter-content")[0].innerText);
                        }
                    }, false);
                })(load);
            }

            /****************************详情****************************************/
            for (var info = 0; info < infos.length; info++) {
                (function (index) {
                    infos[index].addEventListener("click", function () {
                        placeName = document.getElementById("position-txt").innerText;
                        if (type == "3" || type == "5") {
                            if (selectedLoadArray.length > 0 && placeName) {
                                document.getElementById("button").className = "button-select";
                                document.getElementById("button").removeAttribute("disabled");
                            }
                        }
                        if (infos[index].className.indexOf("selected") > 0) {
                            infos[index].classList.remove("selected");
                            selectedInfoArray.length--;
                            if (selectedInfoArray.length <= 0) {
                                getColorName("button", "des-button");
                                document.getElementById("button").setAttribute("disabled", "disabled");
                            }
                        } else {
                            for (var k = 0; k < infos.length; k++) {
                                infos[k].classList.remove("selected");
                                selectedInfoArray.splice(k, 1);
                            }
                            infos[index].classList.add("selected");
                            selectedInfoArray.push(infos[index].getElementsByClassName("lighter-content")[0].innerText);
                        }
                    }, false);
                })(info);
            }
// 详情描述
            var Inp = document.getElementById("des-content");
            Inp.onkeyup = function (){              
                if(Inp.value.length > 300 ){
                    mqq.invoke("ugc","showToast",{
                        'text':"已达上限，不可继续输入",
                        'duration':1,
                    });
                }    
            }

            btnClick(selectedLoadArray, selectedInfoArray)

        }
        if (isNav == "1" && isNight == "0") {
            var selectedLoadArrayDay = [];
            var selectedInfoArrayDay = [];
            document.getElementById("btn-bg").style.position = "fixed";
            document.getElementById("btn-bg").style.bottom = "0";
            document.getElementById("btn-bg").style.paddingTop="0.18rem";
            document.getElementById("btn-bg").style.paddingBottom="0";
            document.getElementById("button").style.display = "block";
            document.body.style.backgroundColor="#ffffff";
            document.getElementById("btn-bg").style.backgroundColor = "#ffffff";
            document.querySelector("#imgArray").style.marginBottom="0.58rem";
            for (var loadDay = 0; loadDay < loads.length; loadDay++) {
                loads[loadDay].classList.add("loads-day");
                (function (index) {
                    loads[index].addEventListener("click", function () {
                        if (type == "3" || type == "5") {
                            if (selectedInfoArrayDay.length > 0) {
                                document.getElementById("button").className = "button-select";
                                document.getElementById("button").removeAttribute("disabled");
                            }
                        } else {
                            document.getElementById("button").className = "button-select";
                            document.getElementById("button").removeAttribute("disabled");
                        }
                        if (loads[index].className.indexOf("select") > 0) {
                            loads[index].classList.remove("select");
                            for (var arr = 0; arr < selectedLoadArrayDay.length; arr++) {
                                if (selectedLoadArrayDay[arr] == loads[index].getElementsByClassName("lighter-content")[0].innerText) {
                                    selectedLoadArrayDay.splice(arr, 1);

                                    if (type == "3" || type == "5") {
                                        if (selectedLoadArrayDay.length <= 0) {
                                            getColorName("button", "des-button");
                                            document.getElementById("button").setAttribute("disabled", "disabled");
                                        }
                                    } else {
                                        if (selectedLoadArrayDay.length <= 0) {
                                            getColorName("button", "des-button");
                                            document.getElementById("button").setAttribute("disabled", "disabled");
                                        }
                                    }

                                }
                            }
                        } else {
                            loads[index].classList.add("select");
                            selectedLoadArrayDay.push(loads[index].getElementsByClassName("lighter-content")[0].innerText);
                        }
                    }, false);
                })(loadDay);
            }

            for (var nav = 0; nav < infos.length; nav++) {
                infos[nav].classList.add("infos-day");
                (function (index) {
                    infos[index].addEventListener("click", function () {
                        if (type == "3" || type == "5") {
                            if (selectedLoadArrayDay.length > 0) {
                                document.getElementById("button").className = "button-select";
                                document.getElementById("button").removeAttribute("disabled");
                            }
                        }
                        if (infos[index].className.indexOf("selected") > 0) {
                            infos[index].classList.remove("selected");
                            selectedInfoArrayDay.length--;
                            if (selectedInfoArrayDay.length <= 0) {
                                getColorName("button", "des-button");
                                document.getElementById("button").setAttribute("disabled", "disabled");
                            }
                        } else {
                            for (var k = 0; k < infos.length; k++) {
                                infos[k].classList.remove("selected");
                                selectedInfoArrayDay.splice(k, 1);
                            }
                            infos[index].classList.add("selected");
                            selectedInfoArrayDay.push(infos[index].getElementsByClassName("lighter-content")[0].innerText);
                        }
                    }, false);
                })(nav);
            }

            btnClick(selectedLoadArrayDay, selectedInfoArrayDay);

        }
        if (isNav == "1" && isNight == "1") {
            document.documentElement.style.backgroundColor = "rgb(69, 69, 74)";
            document.getElementsByClassName('img-title')[0].style.color = "#FFFFFF";
            document.getElementById("button").style.display = "block";
            document.getElementById("btn-bg").style.position = "fixed";
            document.getElementById("btn-bg").style.bottom = "0";
            document.getElementById("btn-bg").style.paddingTop="0.18rem";
            document.getElementById("btn-bg").style.backgroundColor="#45454A";
            document.querySelector("#imgArray").style.marginBottom="0.58rem";
            document.body.style.backgroundColor="#45454A"
            var selectedLoadArrayNight = [];
            var selectedInfoArrayNight = [];
            getColorName("select-load", "select-load-night");
            getColorName("root-img", "root-img-night");
            getColorName("question-des", "question-des-night");
            getColorName("border1", "border-night");
            getColorName("border2", "border-night");
            getColorName("border3", "border-night");
            getColorName("imgadd", "img5-night");
            document.getElementById("root-detail").style.backgroundColor = "#45454A";
            document.getElementById("root-detail").style.color = "#FFFFFF";

            for (var loadNight = 0; loadNight < loads.length; loadNight++) {
                loads[loadNight].classList.add("load-info-night");
                loads[loadNight].classList.add("loads-day");
                (function (index) {
                    loads[index].addEventListener("click", function () {
                        if (type == "3" || type == "5") {
                            if (selectedInfoArrayNight.length > 0) {
                                document.getElementById("button").className = "button-select";
                                document.getElementById("button").removeAttribute("disabled");
                            }
                        } else {
                            document.getElementById("button").className = "button-select";
                            document.getElementById("button").removeAttribute("disabled");
                        }
                        if (loads[index].className.indexOf("select-night") > 0) {
                            loads[index].classList.remove("select-night");
                            for (var arr = 0; arr < selectedLoadArrayNight.length; arr++) {
                                if (selectedLoadArrayNight[arr] == loads[index].getElementsByClassName("lighter-content")[0].innerText) {
                                    selectedLoadArrayNight.splice(arr, 1);

                                    if (type == "3" || type == "5") {
                                        if (selectedLoadArrayNight.length <= 0) {
                                            getColorName("button", "des-button");
                                            document.getElementById("button").setAttribute("disabled", "disabled");
                                        }
                                    } else {
                                        if (selectedLoadArrayNight.length <= 0) {
                                            getColorName("button", "des-button");
                                            document.getElementById("button").setAttribute("disabled", "disabled");
                                        }
                                    }
                                }
                            }
                        } else {
                            loads[index].classList.add("select-night");
                            selectedLoadArrayNight.push(loads[index].getElementsByClassName("lighter-content")[0].innerText);
                        }
                    }, false);
                })(loadNight);
            }
            for (var infoN = 0; infoN < infos.length; infoN++) {
                infos[infoN].classList.add("infos-night");
                infos[infoN].classList.add("infos-day");
                (function (index) {
                    infos[index].addEventListener("click", function () {
                        if (type == "3" || type == "5") {
                            if (selectedLoadArrayNight.length > 0) {
                                document.getElementById("button").className = "button-select";
                                document.getElementById("button").removeAttribute("disabled");
                            }
                        }
                        if (infos[index].className.indexOf("selected-night") > 0) {
                            infos[index].classList.remove("selected-night");
                            selectedInfoArrayNight.length--;
                            if (selectedInfoArrayNight.length <= 0) {
                                getColorName("button", "des-button");
                                document.getElementById("button").setAttribute("disabled", "disabled");
                            }
                        } else {
                            for (var k = 0; k < infos.length; k++) {
                                infos[k].classList.remove("selected-night");
                                selectedInfoArrayNight.splice(k, 1);
                            }
                            infos[index].classList.add("selected-night");
                            selectedInfoArrayNight.push(infos[index].getElementsByClassName("lighter-content")[0].innerText);
                        }
                    }, false);
                })(infoN);
            }
            btnClick(selectedLoadArrayNight, selectedInfoArrayNight);
        }


        /***********************************添加照片***************************************/
        var imgs = document.getElementsByClassName("imgbig");
        document.getElementById("imgadd").addEventListener("click", function () {
            mqq.invoke("ugc", "takePicture", {}, function (result) {
                if (result) {
                    var imgList = result.filePaths;
                    for (var img = 0; img < imgList.length; img++) {
                        if (imgList.length >= 9) {
                            document.getElementById("imgadd").style.display = "none";
                        }
                        imgs[img].style.display = "inline-block";
                        imgs[img].style.backgroundImage = "url(" + imgList[img] + ")";

                    }
                }
            });
        });
        for (var delImg = 0; delImg < imgs.length; delImg++) {
            (function (index) {
                imgs[index].addEventListener("click", function () {
                    mqq.invoke("ugc", "showPicture", {index: index}, function (result) {
                        if (result) {
                            var imgListD = result.filePaths;
                            if (imgListD.length < 9) {
                                document.getElementById("imgadd").style.display = "inline-block";
                            }
                            for (var n = 0; n < imgs.length; n++) {
                                if (n >= imgListD.length) {
                                    imgs[n].style.display = "none"
                                } else {
                                    imgs[n].style.display = "inline-block";
                                    imgs[n].style.backgroundImage = "url(" + imgListD[n] + ")";
                                }
                            }
                        }
                    })
                })
            })(delImg);
        }
    });
})();