(function () {
    // 驾车问题配置
    var score_trouble_info = [
        '非常不满意，各方面都很差',
        '不满意，比较差',
        '体验还可以，但仍需改善',
        '不错哦，细节方面还可以提高',
        '非常棒的导航'
    ];
    var trouble_text_pool = [
        ['路线很差','播报很糟','电子眼缺失','道路不通','目的地错误','定位错误','界面太丑','操作难用'],
        ['路线不好','播报不好','电子眼错误','道路缺失','目的地错误','定位差','界面不好看','操作复杂'],
        ['路线还行','播报正常','电子眼正常','道路正确','目的地准确','定位还行','界面一般','操作不复杂'],
        ['推荐路线好','播报清晰','电子眼全','道路全面','目的地准确','定位较准','界面较好','操作便捷'],
        ['推荐路线优','播报准确贴心','电子眼准','道路全面','目的地准确','定位很准','界面简洁美观','操作很便捷']
    ];

    // 步行行问题配置
    var walk_trouble_info = [
        '非常不满意，各方面都很差',
        '不满意，比较差',
        '体验还可以，但仍需改善',
        '不错哦，细节方面还可以提高',
        '非常棒的导航'
    ];
    var walk_trouble_text_pool = [
        ['路线很差','播报错误','道路不通','目的地错误','定位错误','界面太丑', '操作难用', '其它'],
        ['路线绕路','播报不好','道路缺失','目的地搬迁','定位有偏差','界面不好看','操作复杂','其它'],
        ['路线正常','播报正常','道路正确','目的地准确','定位良好','界面一般','操作不复杂','其它'],
        ['推荐路线好','播报清晰','道路全面','目的地准确','定位较准','界面较好','操作便捷','其它'],
        ['推荐路线优','播报准确贴心','道路全面','目的地准确','定位很准','界面简洁美观','操作高效','其它']
    ];

    // 骑行问题配置
    var cycling_trouble_info = [
        '非常不满意，各方面都很差',
        '不满意，比较差',
        '体验还可以，但仍需改善',
        '不错哦，细节方面还可以提高',
        '非常棒的导航'
    ];
    var cycling_trouble_text_pool = [
        ['路线很差','播报很糟','电子眼缺失','道路不通','目的地错误','定位错误'],
        ['路线不好','播报不好','电子眼错误','道路缺失','目的地错误','定位差','界面不好看','操作复杂'],
        ['路线还行','播报正常','电子眼正常','道路正确','目的地准确','定位还行','界面一般','操作不复杂'],
        ['推荐路线好','播报清晰','电子眼全','道路全面','目的地准确','定位较准','界面较好','操作便捷'],
        ['推荐路线优','播报准确贴心','电子眼准','道路全面','目的地准确','定位很准','界面简洁美观','操作很便捷']
    ];

    var base_info_data = {
        distance: {
            value: "--",
            unit: "公里",
            alias: "里程"
        },
        time: {
            value: "--",
            unit: "分钟",
            alias: "用时"
        },
        speed: {
            value: "--",
            unit: "公里/小时",
            alias: "速度"
        },
        maxSpeed: {
            value: "--",
            unit: "公里/小时",
            alias: "最高速"
        }
    };

    // 星级文案
    var star_tip_text = [
        "请别失望，我们一定吊打产品经理，加班加点提升体验！",
        "您的反馈已经收到，我们将高度重视并及时做出改进！",
        "您反馈的问题已经提交工作人员分析处理，感谢您的支持",
        "很抱歉离您的要求还有一点差距，我们会继续努力",
        "感谢支持！您的肯定是我们前进的最大动力"
    ];

    // 驾车导航关怀语句
    var care_tip_text = [
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~",
        "腾讯地图陪伴您的旅程，下次见哦~"
    ];

    // 步骑导航关怀语句
    var cw_care_tip_text = [
        "腾讯地图陪伴您的旅程，下次见哦~",
        "每一段路程都值得为您记录",
        "每一段路程都值得为您记录",
        "导航中多次偏离路线，点击星星评价一下吧"
    ];

    window.bid = base_info_data;
    window.sti = score_trouble_info;
    window.ttp = trouble_text_pool;
    window.stt = star_tip_text;
    window.ctt = care_tip_text;

    window.wti = walk_trouble_info;
    window.wttp = walk_trouble_text_pool;
    window.cttp = cycling_trouble_text_pool;
    window.cwctt = cw_care_tip_text;
})();