//页面需要的客户端传过来的参数及其他自定义参数
var id = "", //poi:id
    type = "", //从客户端获取的参数判断入口
    platform = "", //平台
    name = "", //美食酒店名称
    category = "", //美食系别，酒店星级
    price = "",
    address = "", //显示地址栏
    distance = "", //显示地址栏的距离数
    distanceType = "",
    tel = "", //显示电话栏
    openTime = "", //显示营业时间
    hasStreetview = "", //街景
    operatePlaceColor = "",
    operatePlaceDes = "",
    imei = "",
    appVersion = "",
    isTest = "",
    requestUrl = "",
    showOrHide_dian = true,
    paraObj = {},
    paraString,
    latitude = "",
    longitude = "",
    uid = "",
    isFuzzySearch = "",
    heat_info = "",
    classes = "",
    routeMode = "",
    hideStatus = false,
    isOfflineData = "",
    isMyLocation = "",
    menus = [],
    coType = '',
    city = '',
    isFavorite = '',
    isFuzzySearch = '',
    in_ma = "",
    poiData = {},
    dataSource = "",
    isInside = "";
mqq.addEventListener("updateData", updateDataCallback);

function updateDataCallback(obj) {
    obj.type = "updateFavorite";
    isFavorite = obj.param.isFavorite;
    id = obj.param.id;
    if (isFavorite == 1) {
        hideStatus = true;
        byClass("collectBtn").style.backgroundPosition = "-0.1rem 0";
        byClass("collectTxt").innerText = "已收藏";
    } else {
        hideStatus = false;
        byClass("collectBtn").style.backgroundPosition = "0 0";
        byClass("collectTxt").innerText = "收藏";
    }
}

var param = window.sessionStorage.getItem('param');
paraObj = JSON.parse(param);
// alert(param)
var poi = window.sessionStorage.getItem('poi');
poiData = JSON.parse(poi);
/**
 * 解析URL参数逻辑
 */
var aa;

function getUrlParam() {
    // aa = new Date().getTime()
    var url = location.href;
    paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
    if (paraString.length > 0) {
        var i, j;
        for (i = 0; j = paraString[i]; i++) {
            paraObj[j.substring(0, j.indexOf("="))] = encodeHTML(j.substring(j.indexOf("=") + 1, j.length));
        }
        if (paraObj.param) {
            // 安卓端参数从param字段中获取
            var decodeParam = decodeURIComponent(paraObj.param);
            loadedPage(JSON.parse(decodeParam));
        } else {
            // ios端参数从其他字段获取
            loadedPage(paraObj);
        }
    }
}

loadedPage(paraObj);

function loadedPage(paraObj) {
    if (paraObj) {
        if (paraObj.uid) {
            id = paraObj.uid;
        }
        if (paraObj.type) {
            type = paraObj.type;
        }
        if (paraObj.coType) {
            coType = paraObj.coType;
        }
        if (paraObj.device) {
            platform = paraObj.device;
        }
        if (paraObj.name) {
            name = decodeURIComponent(paraObj.name);
        }
        if (paraObj.category) {
            category = decodeURIComponent(paraObj.category);
        }
        if (paraObj.price) {
            price = paraObj.price;
        }
        if ( paraObj.isInside == 0 || paraObj.isInside == false ) {
            isInside = paraObj.isInside;
        }
        if (paraObj.in_ma) {
            in_ma = paraObj.in_ma;
        }
        if (paraObj.address) {
            address = decodeURIComponent(paraObj.address);
        }
        if (paraObj.distance) {
            distance = decodeURIComponent(paraObj.distance);
        }
        if (paraObj.distanceType != undefined) {
            distanceType = decodeURIComponent(paraObj.distanceType);
        }
        if (paraObj.tel) {
            tel = decodeURIComponent(paraObj.tel);
        }
        if (paraObj.openTime) {
            openTime = decodeURIComponent(paraObj.openTime);
        }
        if (paraObj.hasStreetView) {
            hasStreetview = paraObj.hasStreetView;
        }
        if (paraObj.strNPLColor ) {
            operatePlaceColor = decodeURIComponent(paraObj.strNPLColor);
        }
        if ( paraObj.strPOIErrInfo) {
            operatePlaceDes = decodeURIComponent(paraObj.strPOIErrInfo);
        }
        if (paraObj.latitude) {
            latitude = paraObj.latitude.toString();

        }
        if (paraObj.longitude) {
            longitude = paraObj.longitude.toString();
        }
        if (paraObj.uid) {
            uid = paraObj.uid;

        }
        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.imei) {
            imei = paraObj.imei;
        }
        if (paraObj.appVersion) {
            appVersion = paraObj.appVersion;
        }
        if (paraObj && paraObj.heat_info) {
            heat_info = paraObj.heat_info;
        }
        if (paraObj && paraObj.classes) {
            classes = paraObj.classes;
        }
        if (paraObj && paraObj.isOfflineData) {
            isOfflineData = paraObj.isOfflineData;
        }
        if (paraObj && paraObj.isMyLocation) {
            isMyLocation = paraObj.isMyLocation;
        }
        if (paraObj.city) {
            city = paraObj.city;
        }
        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.dataSource) {
            dataSource = paraObj.dataSource;
        }
    }
    loadNativeData();
}

/**
 * 渲染客户端基础数据
 */
function loadNativeData() {
    if (operatePlaceDes) {
        //显示提示语
        byClass("credibility").innerText = operatePlaceDes;
        byClass("credibility").style.display = "block";
        byClass("starLevel").style.display = "none";
        byClass("desc").style.display = "none";
        //与提示语颜色保持一致
        if (operatePlaceColor) {
            if (operatePlaceColor.length > 7) {
                var tempColor = operatePlaceColor.substring(operatePlaceColor.length - 6);
                byClass("credibility").style.color = "#" + tempColor;
            } else {
                byClass("credibility").style.color = operatePlaceColor;
            }
        }
    }
    if (name) {
        byClass("poiName").innerText = name;
    }
    if (address) {
        byClass("address").style.display = "block";
        byClass("addressName").innerText = address;
    }
    if (isMyLocation == '1') {
        byClass("nav").style.display = "block";
        byClass("navText").innerText = "从这走";
    }
    if (distance) {
        // alert(distance)
        if (distance > 0) {
            byClass("address").style.display = "block";
            byClass("addressDis").style.display = "inline-block";
            // byClass("addressDis").innerText = distance2Sring(distance);
            if (distanceType == '0') {
                byClass("addressDis").innerText = distance2Sring(distance) + '   ';
            } else if (distanceType == '1') {
                byClass("addressDis").innerText = '距你' + distance2Sring(distance) + '   ';
            } else {
                byClass("addressDis").innerText = '距查询位置' + distance2Sring(distance) + '   ';
            }
        }
    }
    if (isTrue(hasStreetview)) {
        byId("streetView").classList.remove('hiding');
    }

    if (!isOfflineData) {
        //纠错
        if (dataSource == "none" || dataSource == "accurate" || dataSource == "anno" || dataSource == "nearby" || dataSource == "fuzzy" || dataSource == "") {
            byId("reportError").style.display="inline-block";
            byId("reportErrorEntrance").style.display="block";
        }
    } else {
        byId("reportErrorEntrance").style.display = "none";
    }

    if (!operatePlaceDes) {
         //旧版打电话逻辑
         if (tel) {
            var arr = douhao_dou(tel).split("，");
            var phoneString = "";
            var aLength = arr.length;
            if (aLength) {
                if (aLength == 1) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "</span>"
                } else if (aLength >= 2) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "，</span>";
                    phoneString += "<span class='phone2'>" + arr[1].trim() + "</span>";
                }
                byClass("phones").innerHTML = phoneString;
                byClass("phones").style.display = "block";
            }
            if (aLength > 0) {
                byClass("phone1").addEventListener("click", function () {
                    //alert("打电话");
                    // console.log(byClass("phone1").innerText)
                    nativeDial(platform, byClass("phone1").innerText);
                    statistics(platform, 'foodPoi', 'tel');
                }, false);
                clipCopy(byClass("phone1"));
            }
            if (aLength > 1) {
                byClass("phone2").addEventListener("click", function () {
                    // alert("打电话");
                    // console.log(byClass("phone2").innerText)
                    nativeDial(platform, byClass("phone2").innerText)
                    statistics(platform, 'foodPoi', 'tel');
                }, false);
                clipCopy(byClass("phone2"));
            }
        }
        if (category) {
            byClass('category').innerText = category;
        } else {
            //无菜系显示类别
            if (classes) {
                byClass('category').innerText = classes;
            }
        }

        if (price && price != "0") {
            var average = byClass('averagePrice');
            average.innerText = "人均" + parseInt(price) + "元";
            average.style.display = "inline-block";
        }
       //打电话
       if (tel) {
        var arr = douhao_dou(tel).replace(new RegExp('，', 'g'), ';');
        var phoneString = "";
        var aLength = arr.length;
        if (aLength > 0) {
            byId("phone").classList.remove('hiding');
            byId("phone").addEventListener("click", function () {
                //alert("打电话");
                nativeDial(platform, arr);
            }, false);
        }
    }
        // // 营业时间
        // if (openTime) {
        //     byClass("timeText").innerText = hen(quanjiao(openTime));
        //     byClass("timeText").style.display = "block";
        //     byClass("businessTime").style.display = "block";
        // }
        // //访问人数
        if (heat_info) {
            var reviewCount = byClass('visitor');
            reviewCount.innerText = heat_info + "人访问";
            reviewCount.style.display = "inline-block";
        }
        /**
        * poi标签
        * 算法：标签栏总宽度在设计稿固定，所以计算累加起来的tag中字宽、tag内字和边界间隙、tag间间隙这三者的宽度和，
        * 如果没超过总宽度则继续累加，否则终止累加开始渲染。具体参数用变量统一设置，避免魔术字符串耦合。
        */
        if ( (paraObj.categoryTag && paraObj.categoryTag[0]) || (paraObj.reviewTag && paraObj.reviewTag[0]) ) {
            var poiTagStr = '';
            var extremeWidth = 265;//设计稿极限宽度
            var tagsWidth = 0;//已累加的标签总宽度
            var wordWidth = 12;//单个文字宽度
            var tagSpace = 5;//胶囊间隙宽度
            if (paraObj.categoryTag && paraObj.categoryTag[0]) {
                if (paraObj.categoryTag[0].tag_name != '') {
                    var categoryWordNum = paraObj.categoryTag[0].tag_name.length;
                    poiTagStr += '<span class="category">';
                    if(paraObj.categoryTag[0].tagColor != ''){
                        poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.categoryTag[0].tagColor+'">' + paraObj.categoryTag[0].tag_name + '</div>';
                    }else{
                        poiTagStr += '<div class="categoryTxt" style="color:#CCCCCC">' + paraObj.categoryTag[0].tag_name + '</div>';
                    }
                    
                    if(paraObj.categoryTag[0].tagBorderColor != ''){
                        poiTagStr += '<div class="category-border" style="border-color:'+paraObj.categoryTag[0].tagBorderColor+'"></div>';
                    }else{
                        poiTagStr += '<div class="category-border" style="border-color:#CCCCCC"></div>';
                    }
                    poiTagStr += '</span>';
                    tagsWidth += (categoryWordNum * wordWidth + tagSpace * 3);
                }
                
            }
            //子标签
            if (paraObj.reviewTag && paraObj.reviewTag[0]) {
                for (var m = 0; m < paraObj.reviewTag.length; m++) {
                    if (paraObj.reviewTag[m].tag_name != '') {
                        var reviewWordNum = paraObj.reviewTag[m].tag_name.length;
                        if (tagsWidth < extremeWidth) {
                            poiTagStr += '<span class="review">';
                            if(paraObj.reviewTag[m].tagColor != ''){
                                poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.reviewTag[m].tagColor+'">' + paraObj.reviewTag[m].tag_name + '</div>';
                            }else{
                                poiTagStr += '<div class="categoryTxt" style="border-color:#CCCCCC">' + paraObj.reviewTag[m].tag_name + '</div>';
                            }
                           
                            if(paraObj.reviewTag[m].tagBorderColor != ''){
                                poiTagStr += '<div class="review-border" style="border-color:'+paraObj.reviewTag[m].tagBorderColor+'"></div>';
                            }else{
                                poiTagStr += '<div class="review-border" style="border-color:#CCCCCC"></div>';
                            }
                            poiTagStr += '</span>';
                            tagsWidth += (reviewWordNum * wordWidth + tagSpace * 3);
                        }
                    }
                   
                }
            }
            byClass('tags').innerHTML = poiTagStr;
            byClass('tags').classList.remove('hiding');
        }
    }
   
}

/**
 * 网络接口请求
 */
function getNetworkData() {
    // alert("isTest"+isTest);
    // isTest = 1;
    if (isTest == "1") {
        requestUrl = "https://maptest.sparta.html5.qq.com/mobilemap?mmtype=rich&source=detail&type=json&ids=" + id + "&from=mobile2&hotel=1&cb=jsonpCallBack&imei=" + imei + "&device=" + platform + "&app_ver=" + appVersion + "&inter_ver=1.0";
    } else {
        requestUrl = "https://syn0.map.qq.com/mobilemap?mmtype=rich&source=detail&type=json&ids=" + id + "&from=mobile2&hotel=1&cb=jsonpCallBack&imei=" + imei + "&device=" + platform + "&app_ver=" + appVersion + "&inter_ver=1.0";
    }
    /****************************2016.06.06新增poi：id为空判断********************************/
    if (id != "") {
        // alert("接口请求"+ requestUrl)
        json.getData(requestUrl, renderData);
    }
}

/**
 * 网络接口请求渲染数据的回调函数
 */
function renderData(data) {
//  alert(JSON.stringify(data));
    //航站楼展示
    for (var a in data) {
        if (a == "child_node") {
            if (data.child_node.terminal != null) {
                byId("terminal").style.display = "block";
                // alert(JSON.stringify(data.child_node.terminal))
                var terminalLength = data.child_node.terminal.length;
                var terminals = "";
                if (terminalLength > 9) {
                    for (var terminal = 0; terminal < 9; terminal++) {
                        terminals += "<li class='terminalList'><span>" + data.child_node.terminal[terminal].name + "</span></li>";
                    }
                } else {
                    for (var terminal = 0; terminal < terminalLength; terminal++) {
                        terminals += "<li class='terminalList'><span>" + data.child_node.terminal[terminal].name + "</span></li>";

                    }
                }
                byClass("terminalContent").innerHTML = terminals;

                var array = [];
                //点击进入出入口
                var olis = document.getElementsByClassName("terminalList");
                var _loop = function _loop(i) {
                    name = data.child_node.terminal[i].name + "";
                    rawid = data.child_node.terminal[i].rawid + "";
                    address = data.child_node.terminal[i].address + "";
                    lat = data.child_node.terminal[i].lat + "";
                    lng = data.child_node.terminal[i].lng + "";
                    // alert(lat)

                    latm = lat * Math.pow(10, 6);
                    lngm = lng * Math.pow(10, 6);

                    if (!address) {
                        address = "";
                    }
                    poiData1 = {
                        "name": name,
                        "uid": rawid,
                        "addr": address,
                        "point": {"mLatitudeE6": latm, "mLongitudeE6": lngm}
                    };
                    array.push(poiData1);
                    olis[i].addEventListener("click", function () {
                        nativeOpenPoiPage(array[i]);
                    }, false);
                };

                for (var i = 0; i < olis.length; i++) {
                    var name;
                    var rawid;
                    var address;
                    var lat;
                    var lng;
                    var latm;
                    var lngm;
                    var poiData1;

                    _loop(i);
                }
            }
        }
    }

    //设施查询
    // alert(JSON.stringify(data.indoor_guide))
    for (var b in data) {
        if (b == "indoor_guide") {
            if (data.indoor_guide.all_cat != null) {
                statistics(platform, 'trfc', 'showFaci');
                byId("queryFacilities").style.display = "block";
                var queryFacilitiesLength = data.indoor_guide.all_cat.length;
                var queryFacilitieStr = "";
                var arr2 = [];
                var text = [];
                if (queryFacilitiesLength > 9) {
                    for (var j = 0; j < 9; j++) {
                        queryFacilitieStr += "<li class='queryFacilitiesList'><span>" + data.indoor_guide.all_cat[j] + "</span></li>";
                    }
                } else {
                    for (var j = 0; j < queryFacilitiesLength; j++) {
                        queryFacilitieStr += "<li class='queryFacilitiesList'><span>" + data.indoor_guide.all_cat[j] + "</span></li>";
                        text1 = data.indoor_guide.all_cat[j]
                        var name = data.indoor_guide.all_cat[j].name + "";
                        var rawid1 = data.indoor_guide.all_cat[j].rawid + "";
                        var address1 = data.indoor_guide.all_cat[j].address + "";
                        var lat1 = data.indoor_guide.all_cat[j].lat + "";
                        var lng1 = data.indoor_guide.all_cat[j].lng + "";
                        var latm = lat1 * Math.pow(10, 6);
                        var lngm = lng1 * Math.pow(10, 6)
                        if (!address1) {
                            address1 = "";
                        }
                        // var poiData1={"name":name,"uid":rawid,"addr":address,"point":{"mLatitudeE6" : latm,"mLongitudeE6":lngm}};
                        var poiData2 = {
                            "name": 1,
                            "uid": rawid1,
                            "addr": address1,
                            "point": {"mLatitudeE6": latm, "mLongitudeE6": lngm}
                        };
                        arr2.push(poiData2);
                        text.push(text1)
                    }
                }
                byClass("queryFacilitiesContent").innerHTML = queryFacilitieStr;


                //点击进入出入口
                var olis = document.getElementsByClassName("queryFacilitiesList");
                var _loop = function _loop(i) {
                    olis[i].addEventListener("click", function () {
                        statistics(platform, 'trfc', 'clkFaci');
                        nativeOpenIndoor(in_ma, text[i], "");
                    }, false);
                };

                for (var i = 0; i < olis.length; i++) {
                    _loop(i);
                }
            }
        }
    }

    //停车场展示
    for(var d in data){
        if(d == "round"){
            if (data.round && data.round.park) {
                if(data.round.park.length > 0){
                    //alert(JSON.stringify(aa))
                    var arr = [];
                    document.getElementById("areaInfo").style.display="block";
                    var str = "";
                    var infoList = data.round.park;

                    if(infoList.length>3){
                        infoList.length=3
                    }
                    for(var i = 0; i<infoList.length;i++){
                        
                        if(infoList[i].park_info){
                            if(infoList[i].park_info.status == "1" && infoList[i].park_info.left){
                                infoList[i].park_info.statusColor = "#ff15BC19"
                            }else if(infoList[i].park_info.status == "1"){
                                infoList[i].park_info.statusColor = "#ffff0000"
                            }else{
                                infoList[i].park_info.statusColor = ""
                            }
                        }
                        var aa = {};
                        aa.addr = infoList[i].address;
                        aa.distance = infoList[i].distance;
                        if(infoList[i].park_info){
                            aa.parkInfo =JSON.parse(change(JSON.stringify(infoList[i].park_info)));
                        }
                        aa.name = infoList[i].name;
                        aa.cotype=1401;
                        aa.uid = infoList[i].rawid;
                        aa.point={
                            "mLatitudeE6": infoList[i].lat * 1000000,
                            "mLongitudeE6": infoList[i].lng * 1000000
                        };
                       
                        if(i>2){
                            str+="<li class='parkAreaInfo hiding' id='"+JSON.stringify(aa)+"'";
                        }else{
                            str+="<li class='parkAreaInfo' id='"+JSON.stringify(aa)+"'";
                        }
                        str+='<div class="titp">'+infoList[i].name+'</div>';
                        str+='<div class="parkDes">';
                        str+='<div>'+ '距此' + distance2Sring(infoList[i].distance)+'</div>';
                        str+='<div class="matingAddr">'+infoList[i].address+'</div>';
                        str+='</div>';
                        if(infoList[i].park_info){
                            var info = infoList[i].park_info;
                                if(info.type || info.charge_now || info.status == "1"){
                                    //alert(JSON.stringify(info.charge_now))
                                   if(info.charge_now || info.status == "1"){
                                        str +='<div class="parkTag">';
                                        if(info.type){
                                            str+='<div class="tipTags">';
                                            str+='<div class="parkTip">'+info.type+'</div>';
                                            str+='<div class="review-border"></div>';
                                            str+='</div>';
                                        }
    
                                        if(info.status == "1"){
                                            if(info.left){
                                                str+="<div class='moreSeats'>剩余车位"+info.left+"</div>"
                                            }else{
                                                str+="<div class='moreSeats' style='color:red'>车位已满</div>"
                                            }
                                        }
                                        if(info.charge_now){
                                            var charge_now=info.charge_now;
                                            str+="<div class='parkFee'>"+charge_now.type+" "+charge_now.time+" "+charge_now.fee+"</div>"
                                        }
                                        str +="</div>"
                                    }                                 
                                }
                            }
                            str +="</li>"
                    }
                    document.getElementById("areaSeatInfo").innerHTML = str;
                    
                    /*******************************点击预定进入第三方页面************************************/
                    for (var one = 0; one < document.getElementsByClassName("parkAreaInfo").length; one++) {

                        document.getElementsByClassName("parkAreaInfo")[one].addEventListener("click", function() {

                            //alert(this.id)
                            mqq.invoke('poi', 'gotoPage', {
                                'uri': 'poiPage',
                                'param': {'poi':JSON.parse(this.id)}
                            });

                        }, false)
                    }
                }
            }
        }
    }
    //评论展示
    // alert(JSON.stringify(data.comments_new))
    for (var d in data) {
        if (d == "comments_new") {
            if (data.comments_new != null) {
                // alert(JSON.stringify(data.comments_new.comment_info));
                if (data.comments_new.comment_info && data.comments_new.comment_info.length > 0) {
                    byId("comment").style.display = "block";
                    if(data.comments_new.comment_info.length>1){
                        byId("mentTitleMore").style.display = "block";
                    }
                    var commentInfo = data.comments_new.comment_info;
                    if (commentInfo[0]) {
                        byClass("commentLi commentOne").style.display = "block";
                        var comments = "";
                        for (var comment = 0; comment < commentInfo[0].comment_content.length; comment++) {
                            comments += commentInfo[0].comment_content[comment]
                        }
                        byClass("commentContentOne").innerText = delKong(comments);
                        byClass("reviewerOne").innerText = commentInfo[0].comment_user;
                        byClass("timeSource").style.display = "block";
                        byClass("commentTimeOne").innerText = formatTime(commentInfo[0].comment_time);

                        byId("dataSouce").innerText=data.comments_new.source_name;
                        var picUrlLists1 = [];
                        /* 评价图片*/
                        if (commentInfo[0].comment_pics.length > 0) {
                            str = "";
                            for (var j = 0; j < commentInfo[0].comment_pics.length; j++) {
                                picUrlLists1.push(delImgFormat(commentInfo[0].comment_pics[j].pic_url))
                                if (j < 4) {
                                    str += "<p class='commentImgs'>"
                                    str += " <img class='commentPic commentPic1' id=" + j + " src=" + formatImg(commentInfo[0].comment_pics[j].pic_url) + " />"
                                    str += "</p>"
                                }
                            }
                            byClass("commentPicsOne").innerHTML = str;
                            byClass("commentPicsOne").style.display = "block";
                        }
                        /* 评价等级*/
                        if (commentInfo[0].comment_score != "") {
                            /* 分数转化成星级（例如100分制，81~90为4.5星，91~100为5星） */
                            var commentStar1 = computerStar(commentInfo[0].comment_score);
                            // console.log("评价分数=" + data.comments_new.comment_info[0].comment_score);
                            // console.log("评价星级=" + commentStar1);
                            byClass("commentLevelOne").style.display = "inline-block";
                            var s1 = parseInt(commentStar1);
                            var s2 = parseFloat(commentStar1);
                            if (s1 <= 5 && s2 <= 5) {
                                for (var oneStar = 0; oneStar < s1; oneStar++) {
                                    //document.getElementsByClassName("starLevelOne full")[oneStar].style.display = "inline-block";
                                    document.getElementsByClassName("starLevelOne full")[oneStar].src = "img/ic_start.png";
                                }
                                if (s2 - s1 > 0) {
                                    document.getElementsByClassName("starLevelOne full")[s1].src = "img/ic_halfstart.png?" + Math.random();
                                    //document.getElementsByClassName("starLevelOne full")[s1].style.display = "inline-block";
                                }
                            }
                        }
                    }
                    if (commentInfo.length > 1) {
                        if (commentInfo[1]) {
                            byClass("commentTwo").style.display = "block";
                            var comments2 = "";
                            for (var comment2 = 0; comment2 < data.comments_new.comment_info[1].comment_content.length; comment2++) {
                                comments2 += data.comments_new.comment_info[1].comment_content[comment2]
                            }
                            byClass("commentContentTwo").innerText = delKong(comments2);
                            byClass("reviewerTwo").innerText = commentInfo[1].comment_user;
                            byClass("commentTimeTwo").innerText = formatTime(commentInfo[1].comment_time);
                            byClass("timeSource2").style.display = "block";
                            byId("dataSouce2").innerText=data.comments_new.source_name;
                            var picUrlLists2 = [];
                            /* 评价图片*/
                            if (commentInfo[1].comment_pics.length > 0) {
                                str = "";
                                for (var comPicsNum = 0; comPicsNum < commentInfo[1].comment_pics.length; comPicsNum++) {
                                    picUrlLists2.push(delImgFormat(commentInfo[1].comment_pics[comPicsNum].pic_url))
                                    if (comPicsNum < 4) {
                                        str += "<p class='commentImgs'>"
                                        str += " <img class='commentPic commentPic2 ' id=" + comPicsNum + " src=" + formatImg(commentInfo[1].comment_pics[comPicsNum].pic_url) + " />"
                                        str += "</p>"
                                    }
                                }
                                byClass("commentPicsTwo").innerHTML = str;
                                byClass("commentPicsTwo").style.display = "block";
                            }
                            if (commentInfo[1].comment_score != "") {
                                /* 分数转化成星级 */
                                var commentStar2 = computerStar(commentInfo[1].comment_score);
                                byClass("commentLevelOne").style.display = "inline-block";
                                var star1 = parseInt(commentStar2);
                                var star2 = parseFloat(commentStar2);
                                if (star1 <= 5 && star2 <= 5) {
                                    for (var twoStar = 0; twoStar < star1; twoStar++) {
                                        //document.getElementsByClassName("starLevelTwo full")[twoStar].style.display = "inline-block";
                                        document.getElementsByClassName("starLevelTwo full")[twoStar].src = "img/ic_start.png";
                                    }
                                    if (star2 - star1 > 0) {
                                        document.getElementsByClassName("starLevelTwo full")[star1].src = "img/ic_halfstart.png?" + Math.random();
                                        // document.getElementsByClassName("starLevelTwo full")[star1].style.display = "inline-block";
                                    }
                                }
                            }
                        }
                    }
                    if (document.getElementsByClassName("commentPic1").length > 0) {
                        //点击评论图片，进入评论大图
                        for (var pic = 0; pic < document.getElementsByClassName("commentPic1").length; pic++) {
                            document.getElementsByClassName("commentPic1")[pic].addEventListener("click", function () {
                                // alert("评论大图");
                                // console.log(picUrlLists1);
                                //console.log(this.id);
                                nativeCommentBigPic(picUrlLists1, this.id);
                            })
                        }
                    }
                    if (document.getElementsByClassName("commentPic2").length > 0) {
                        //点击评论图片，进入评论大图
                        for (var pic2 = 0; pic2 < document.getElementsByClassName("commentPic2").length; pic2++) {
                            document.getElementsByClassName("commentPic2")[pic2].addEventListener("click", function () {
                                // alert("评论大图");
                                //console.log(picUrlLists2);
                                //console.log(this.id);
                                nativeCommentBigPic(picUrlLists2, this.id);
                            })
                        }
                    }
                    /**  数据来源跳转   */
                    for (var one = 0; one < document.getElementsByClassName("fangtianxia").length; one++) {
                        document.getElementsByClassName("fangtianxia")[one].addEventListener("click",function(){
                            mqq.invoke('common', 'gotoPage', {
                                'uri': 'onlineWebViewInteract', // 要跳转的界面唯一标识
                                'param': // 跳转所需的参数，跳转到不同的界面，需要的参数不同
                                {
                                    'url': data.comments_new.comment_url,
                                    'hideBrowserTitle': '0'
                                }
                            });
                        },false)
                    }
                }
            }
        }
    }

    //楼层导览
    for (var f in data) {
        if (f == "indoor_guide") {
            if (data.indoor_guide && data.indoor_guide.floor_info_list.length > 0 && ( (paraObj.isInside == 0 || paraObj.isInside == false) && in_ma != "" )) {
                statistics(platform, 'trfc', 'showFloor');
                byId("floor").style.display = "block";
                var floorLength = data.indoor_guide.floor_info_list.length;
                var floorStr = "";
                var arr6 = [];
                for (var i = 0; i < floorLength; i++) {
                    var str = '';
                    for (var z = 0; z < data.indoor_guide.floor_info_list[i].all_cat.length; z++) {
                        str += "<span class='floorDes'>" + data.indoor_guide.floor_info_list[i].all_cat[z] + "</span>";
                    }
                    floorStr += " <li class='floorList'><div class='floorNum'>" + data.indoor_guide.floor_info_list[i].name + "</div>" + "<div class='floorRight'><div class='floorName'>" + data.indoor_guide.floor_info_list[i].alias + "</div><div class='floorDes' id='floorDes'>" + str + "</div></div><div class='border'></div></li>";
                }
                byClass("floorContent").innerHTML = floorStr;
                //点击进入出入口
                var olis = document.getElementsByClassName("floorList");
                var nameArr = [];
                var _loop = function _loop(i) {
                    name2 = data.indoor_guide.floor_info_list[i].name;
                    nameArr.push(name2);
                    olis[i].addEventListener("click", function () {
                        // alert(JSON.stringify(nameArr[i]))
                        statistics(platform, 'trfc', 'clkFloor');
                        nativeOpenIndoor(in_ma, "", nameArr[i]);
                    }, false);
                };

                for (var i = 0; i < olis.length; i++) {
                    var name2;
                    _loop(i);
                }

                //判断楼层别名是否显示
                var floorAlias = document.getElementsByClassName("floorName");
                for (var j = 0; j < floorLength; j++) {
                    if (!data.indoor_guide.floor_info_list[j].alias) {
                        // alert(floorAlias[j].style.height)
                        floorAlias[j].style.height = "0";
                        floorAlias[j].style.marginTop = "0.04rem"
                    }
                }
            }
        }
    }

    // 热力图展示  alert(JSON.stringify(data.hotMapUrl));
    for (var g in data) {
        if (g == "hotMapUrl") {
            if (data.hotMapUrl != "") {
                byId("hotMain").style.display = "none";
                //热力图入口曝光埋点
                statistics(platform, 'airfieldPoi', 'map_poi_pd_s_he');
                byId("addressMap").innerText = data.subdetail.name;
                
                // 当点击入口时进入对应的热力图展示页面
                byId("hotMain").addEventListener("click",function(){
                    //进行mtaH5埋点，再进行跳转到相对应的热力图页面
                    statistics(platform, 'airfieldPoi', 'map_poi_pd_s_hc');
                    mqq.invoke('poi', 'gotoPage', {
                        "uri": "onlineWebView",
                        "param":{url: data.hotMapUrl}
                    });
                },false);
            }
        }
    }

    //周边交通展示
    // alert(JSON.stringify(data.round.traffic));
    for (var e in data) {
        if (e == "round") {
            if (data.round.traffic && data.round.traffic.length > 0) {
                statistics(platform, 'trfc', 'showTraffic');
                var arr5 = [];
                byId("traffic").style.display = "block";
                if (data.round.traffic[0]) {
                    byId("trafficList").style.display = "block";
                    byId("trafficName").innerText = data.round.traffic[0].name;
                    if (!data.round.traffic[0].distance) {
                        byId("kilo").style.display = "none";
                    } else {
                        byId("kilo").innerText = parseInt(data.round.traffic[0].distance) + "米";
                    }
                    var linesArray = data.round.traffic[0].line.split(",");
                    var str1 = '';
                    for (var l = 0; l < linesArray.length; l++) {
                        str1 += "<span class='bus'>" + linesArray[l] + "</span>";
                    }
                    byId("lines1").innerHTML = str1;
                    // alert(linesArray)
                    if (!linesArray) {
                        byId("lines1").style.display = "none"
                    }
                }
                if (data.round.traffic[1]) {
                    byId("trafficList1").style.display = "block";
                    byId("trafficName1").innerText = data.round.traffic[1].name;
                    if (!data.round.traffic[1].distance) {
                        byId("kilo1").style.display = "none";
                    } else {
                        byId("kilo1").innerText = parseInt(data.round.traffic[1].distance) + "米";
                    }
                    var linesArray1 = data.round.traffic[1].line.split(",");
                    var str2 = '';
                    for (var y = 0; y < linesArray1.length; y++) {
                        str2 += "<span class='bus'>" + linesArray1[y] + "</span>"
                    }
                    byId("lines2").innerHTML = str2;
                }
                if (data.round.traffic[2]) {
                    byId("trafficList2").style.display = "block";
                    byId("trafficName2").innerText = data.round.traffic[2].name;
                    if (!data.round.traffic[2].distance) {
                        byId("kilo2").style.display = "none";
                    } else {
                        byId("kilo2").innerText = parseInt(data.round.traffic[2].distance) + "米";
                    }
                    var linesArray2 = data.round.traffic[2].line.split(",");
                    var str3 = '';
                    for (var z = 0; z < linesArray2.length; z++) {
                        str3 += "<span class='bus'>" + linesArray2[z] + "</span>";
                    }
                    byId("lines3").innerHTML = str3;
                }
                //点击周边交通
                var olis2 = document.getElementsByClassName("trafficList");
                var _loop = function _loop(i) {
                    name2 = data.round.traffic[i].name + "";
                    rawid2 = data.round.traffic[i].rawid + "";
                    lat2 = data.round.traffic[i].lat + "";
                    lng2 = data.round.traffic[i].lng + "";
                    latm = lat2 * Math.pow(10, 6);
                    lngm = lng2 * Math.pow(10, 6);
                    dis = data.round.traffic[i].distance;
                    if (!data.round.traffic[i].distance) {
                        dis = '';
                    }
                    poiData3 = {
                        "name": name2,
                        "uid": rawid2,
                        "addr": "",
                        "point": {"mLatitudeE6": latm, "mLongitudeE6": lngm},
                        "dis": dis
                    };

                    arr5.push(poiData3);
                    olis2[i].addEventListener("click", function () {
                        statistics(platform, 'trfc', 'clkTraffic');
                        nativeOpenPoiPage(arr5[i]);
                    }, false);
                };

                for (var i = 0; i < data.round.traffic.length; i++) {
                    var name2;
                    var rawid2;
                    var lat2;
                    var lng2;
                    var latm;
                    var lngm;
                    var dis;
                    var poiData3;

                    _loop(i);
                }
            }
        }
    }

}

window.addEventListener("load", function () {
    // FastClick.attach(document.body);
   
    //搜周边
    byId("around").addEventListener("click", function () {
        // nativeShare();
        nativeOpenAround();
        statistics(platform, 'trfc', 'near');
    }, false);
   
    //街景
    byId("streetView").addEventListener("click", function () {
        nativeOpenVista(platform);
        statistics(platform, 'trfc', 'streetscape');
    }, false);
    byId("aroundPark").addEventListener("click", function () {
        // alert("周边停车场");
        dianxinToPage("停车场", "", poiData, "detail");
        statistics(platform, 'trfc', 'clkParking');
    }, false);

    //纠错
    byId("reportError").addEventListener("click", function () {
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    byId("reportErrorEntrance").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    //获取是否是测试环境
    nativeIsTest(function (data) {
        /// alert("isTest="+data)
        isTest = data;
    });
    //获取是否零流量,进行后台请求
    nativeIsOffline(function (data) {
        //有网络、高信度后台请求
        //alert("网络状态="+data)
        if (data == 0 && operatePlaceDes == "") {
            getNetworkData();
        }
    });
    //点击评论头部，进入评论详情
    byId("commentTitle").addEventListener("click", function () {
        nativeOpenComment(platform, id);
        // statistics(platform, 'communityPoi', 'communityCommentAll');
    }, false);
    byId("commentContentTwo").addEventListener("click", function () {
        nativeOpenComment(platform, id);
        // statistics(platform, 'communityPoi', 'communityCommentAll');
    }, false);
    byId("commentContentOne").addEventListener("click", function () {
        nativeOpenComment(platform, id);
        // statistics(platform, 'communityPoi', 'communityCommentAll');
    }, false);
    byId("mentTitleMore").addEventListener("click", function () {
        nativeOpenComment(platform, id);
        // statistics(platform, 'communityPoi', 'communityCommentAll');
    }, false);
    // 禁止鼠标右键、长按选择等事件
    document.oncontextmenu = new Function("event.returnValue=false");
    document.onselectstart = new Function("event.returnValue=false");
    document.documentElement.style.webkitTouchCallout = 'none';
    /**
     * 统计代码
     */
    var _mtac = {
        "performanceMonitor": 1
    };
    (function () {
        var mta = document.createElement("script");
        mta.src = "https://pingjs.qq.com/h5/stats.js?v2.0.4";
        mta.setAttribute("name", "MTAH5");
        mta.onload = function () {
            statistics(platform, 'trfc', 'show');
            statistics(platform, 'allPoi', 'show');
        };
        mta.setAttribute("sid", "500093594");
        mta.setAttribute("cid", "500108829");
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(mta, s);
    })();
});