//页面需要的客户端传过来的参数及其他自定义参数
var id = "", //poi:id
type = "", //从客户端获取的参数判断入口
platform = "", //平台
name = "", //美食酒店名称
category = "", //美食系别，酒店星级
price = "",
address = "", //显示地址栏
distance = "", //显示地址栏的距离数
distanceType = "",
tel = "", //显示电话栏
openTime = "", //显示营业时间
hasStreetview = "", //街景
operatePlaceColor = "",
operatePlaceDes = "",
imei = "",
appVersion = "",
isTest = "",
requestUrl = "",
showOrHide_dian = true,
paraObj = {},
paraString,
latitude = "",
longitude = "",
uid = "",
isFuzzySearch = "",
heat_info = "",
classes = "",
routeMode = "",
hideStatus = false,
isOfflineData = "",
isMyLocation = "",
menus = [],
isFavorite = "",
city = "",
poiData = {},
dataSource = "",

synopsisNav = 0,
coordinateNav = 0,
commentaryNav = 0,
peripheryNav = 0,
displayNavs = 0,

/*  周边接口的wd */
wd = "";
var poi = window.sessionStorage.getItem('poi');
poiData = JSON.parse(poi);

var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端

//更新收藏
mqq.addEventListener("updateData", updateDataCallback);

function updateDataCallback(obj) {
    obj.type = "updateFavorite";
    isFavorite = obj.param.isFavorite;
    id = obj.param.id;
    if (isFavorite == 1) {
        hideStatus = true;
        byClass("collectBtn").style.backgroundPosition = "-0.1rem 0";
        byClass("collectTxt").innerText = "已收藏";
    } else {
        hideStatus = false;
        byClass("collectBtn").style.backgroundPosition = "0 0";
        byClass("collectTxt").innerText = "收藏";
    }
}

mqq.addEventListener("clientScroll", handleClientScroll);

function handleClientScroll() {
    handleScroll();
}

var param = window.sessionStorage.getItem('param');
paraObj = JSON.parse(param);
//测试开
// paraObj = JSON.parse('{"device":"android","imei":"123456789012345677","appVersion":"8.1.8","uid":"13643973856708174787","realtime":{"num":0,"status":0},"type":0,"name":"新龙城","address":"北京市昌平区南店北路","coType":1501,"isInside":0,"in_ma":"","tel":"010-82940386","classes":"房产小区:住宅区:住宅小区","distance":"9581","latitude":40068947,"longitude":116324259,"hasStreetView":false,"credibility":0,"strNPLColor":"","strPOIErrInfo":"","price":0,"star":60,"category":"住宅小区","openTime":"周一至周日 全天","businessInfo":{"currOpenTime":"","openStatus":"","openStatusColor":"","openTimeDetail":[],"bShow":0},"heat_info":"1.2万","hotalStar":"","lowestPrice":0,"ticketPrice":0,"scenceGrade":"","isOfflineData":false,"isFuzzySearch":false,"city":"北京市","hasTelecomOrder":false,"parkInfo":{"chargeAll":"","chargeDayNight":"","chargeOther":"","charges":[],"freeTime":"","nowCharge":{"fee":"","time":"","type":""},"status":"","statusColor":"","type":"","left":0,"total":0},"categoryTag":[{"tagColor":"","tag_name":"住宅小区","tag_type":"","tag_num":0}],"reviewTag":[],"dataSource":"accurate","isMyLocation":"0"}')
// var poi = window.sessionStorage.getItem('poi');
// poiData = JSON.parse(poi);

/**
* 解析URL参数逻辑
*/
function getUrlParam() {
    var url = location.href;
    paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
    if (paraString.length > 0) {
        var i, j;
        for (i = 0; j = paraString[i]; i++) {
            paraObj[j.substring(0, j.indexOf("="))] = encodeHTML(j.substring(j.indexOf("=") + 1, j.length));
        }
        if (paraObj.param) {
            // 安卓端参数从param字段中获取
            var decodeParam = decodeURIComponent(paraObj.param);
            loadedPage(JSON.parse(decodeParam));
        } else {
            // ios端参数从其他字段获取
            loadedPage(paraObj);
        }
    }
}

loadedPage(paraObj);

function loadedPage(paraObj) {
    // console.log(paraObj)
    if (paraObj) {
        if (paraObj.uid) {
            id = paraObj.uid;
        }
        if (paraObj.type) {
            type = paraObj.type;
        }
        if (paraObj.device) {
            platform = paraObj.device;
        }
        if (paraObj.name) {
            name = decodeURIComponent(paraObj.name);
        }
        if (paraObj.category) {
            category = decodeURIComponent(paraObj.category);
        }
        if (paraObj.price) {
            price = paraObj.price;
        }
        if (paraObj.address) {
            address = decodeURIComponent(paraObj.address);
        }
        if (paraObj.distance) {
            distance = decodeURIComponent(paraObj.distance);
        }
        if (paraObj.distanceType != undefined) {
            distanceType = decodeURIComponent(paraObj.distanceType);
        }
        if (paraObj.tel) {
            tel = decodeURIComponent(paraObj.tel);
        }
        if (paraObj.openTime) {
            openTime = decodeURIComponent(paraObj.openTime);
        }
        if (paraObj.hasStreetView) {
            hasStreetview = paraObj.hasStreetView;
        }
        if (paraObj.strNPLColor) {
            operatePlaceColor = decodeURIComponent(paraObj.strNPLColor);
        }
        if (paraObj.strPOIErrInfo) {
            operatePlaceDes = decodeURIComponent(paraObj.strPOIErrInfo);
        }
        if (paraObj.latitude) {
            latitude = paraObj.latitude.toString();

        }
        if (paraObj.longitude) {
            longitude = paraObj.longitude.toString();
        }
        if (paraObj.uid) {
            uid = paraObj.uid;
        }
        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.imei) {
            imei = paraObj.imei;
        }
        if (paraObj.appVersion) {
            appVersion = paraObj.appVersion;
        }
        if (paraObj && paraObj.heat_info) {
            heat_info = paraObj.heat_info;
        }
        if (paraObj && paraObj.classes) {
            classes = paraObj.classes;
        }
        if (paraObj && paraObj.isOfflineData) {
            isOfflineData = paraObj.isOfflineData;
        }
        if (paraObj && paraObj.isMyLocation) {
            isMyLocation = paraObj.isMyLocation;
        }
        if (paraObj.city) {
            city = paraObj.city;
        }
        if (paraObj.dataSource) {
            dataSource = paraObj.dataSource;
        }
    }
    //alert(isMyLocation)
    loadNativeData();
}

//getUrlParam();
/**
* 渲染客户端基础数据
*/
function loadNativeData() {
    if (operatePlaceDes) {
        //显示提示语
        byClass("credibility").innerText = operatePlaceDes;
        byClass("credibility").style.display = "block";
        // byClass("starLevel").style.display = "none";
        byClass("desc").style.display = "none";
        //与提示语颜色保持一致
        if (operatePlaceColor) {
            if (operatePlaceColor.length > 7) {
                var tempColor = operatePlaceColor.substring(operatePlaceColor.length - 6);
                byClass("credibility").style.color = "#" + tempColor;
            } else {
                byClass("credibility").style.color = operatePlaceColor;
            }
        }
    }
    if (name) {
        byClass("poiName").innerText = name;
    }
    if (address) {
        byClass("address").style.display = "block";
        byClass("addressName").innerText = address;
    }
    if (isMyLocation == '1') {
        byClass("nav").style.display = "block";
        byClass("navText").innerText = "从这走";
    }
    if (distance) {
        if (distance > 0) {
            byClass("address").style.display = "block";
            byClass("addressDis").style.display = "inline-block";
            // byClass("addressDis").innerText = distance2Sring(distance);
            if (distanceType == '0') {
                byClass("addressDis").innerText = distance2Sring(distance) + '   ';
            } else if (distanceType == '1') {
                byClass("addressDis").innerText = '距你' + distance2Sring(distance) + '   ';
            } else {
                byClass("addressDis").innerText = '距查询位置' + distance2Sring(distance) + '   ';
            }
        }
    }
    if (isTrue(hasStreetview)) {
        byId("streetView").classList.remove('hiding');
    }
    if (!isOfflineData) {
        //纠错
        if (dataSource == "none" || dataSource == "accurate" || dataSource == "anno" || dataSource == "nearby" || dataSource == "fuzzy" || dataSource == "") {
            // byId("reportError").style.display="inline-block";
            byId("reportErrorEntrance").style.display = "block";
        }
    } else {
        byId("reportErrorEntrance").style.display = "none";
    }
    if (!operatePlaceDes) {
        //旧版-打电话
        if (tel) {
            var arr = douhao_dou(tel).split("，");
            var phoneString = "";
            var aLength = arr.length;
            if (aLength) {
                if (aLength == 1) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "</span>"
                } else if (aLength >= 2) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "，</span>";
                    phoneString += "<span class='phone2'>" + arr[1].trim() + "</span>";
                }
                byClass("phones").innerHTML = phoneString;
                byClass("phones").style.display = "block";
            }
            if (aLength > 0) {
                touchClick(".phone1", function () {
                    //alert("打电话");
                    // console.log(byClass("phone1").innerText)
                    nativeDial(platform, byClass("phone1").innerText);
                    statistics(platform, 'foodPoi', 'tel');
                });
                clipCopy(byClass("phone1"));
            }
            if (aLength > 1) {
                touchClick(".phone2", function () {
                    // alert("打电话");
                    // console.log(byClass("phone2").innerText)
                    nativeDial(platform, byClass("phone2").innerText)
                    statistics(platform, 'foodPoi', 'tel');
                });
                clipCopy(byClass("phone2"));
            }
        }
        if (category) {
            byClass('category').innerText = category;
        } else {
            //无菜系显示类别
            if (classes) {
                byClass('category').innerText = classes;
            }
        }
        if (price && price != "0") {
            var average = byClass('averagePrice');
            average.innerText = "人均" + parseInt(price) + "元";
            average.style.display = "inline-block";
        }
        //打电话
        if (tel) {
            var arr = douhao_dou(tel).replace(new RegExp('，', 'g'), ';');
            var phoneString = "";
            var aLength = arr.length;
            if (aLength > 0) {
                byId("phone").classList.remove('hiding');
                byId("phone").addEventListener("click", function () {
                    //alert("打电话");
                    nativeDial(platform, arr);
                }, false);
            }
        }
        //营业时间
        // if (openTime) {
        //     byClass("timeText").innerText = hen(quanjiao(openTime));
        //     byClass("timeText").style.display = "block";
        //     byClass("businessTime").style.display = "block";
        // }
        // //访问人数
        if (heat_info) {
            var reviewCount = byClass('visitor');
            reviewCount.innerText = heat_info + "人访问";
            reviewCount.style.display = "inline-block";
        }

        /**
         * poi标签
         * 算法：标签栏总宽度在设计稿固定，所以计算累加起来的tag中字宽、tag内字和边界间隙、tag间间隙这三者的宽度和，
         * 如果没超过总宽度则继续累加，否则终止累加开始渲染。具体参数用变量统一设置，避免魔术字符串耦合。
         */
        if ((paraObj.categoryTag && paraObj.categoryTag[0]) || (paraObj.reviewTag && paraObj.reviewTag[0])) {
            var poiTagStr = '';
            var extremeWidth = 265; //设计稿极限宽度
            var tagsWidth = 0; //已累加的标签总宽度
            var wordWidth = 12; //单个文字宽度
            var tagSpace = 5; //胶囊间隙宽度
            var borderColor="#4F6CDE";
            //主标签       
            if (paraObj.categoryTag && paraObj.categoryTag[0]) {
                if (paraObj.categoryTag[0].tag_name != '') {
                    var categoryWordNum = paraObj.categoryTag[0].tag_name.length;
                    poiTagStr += '<span class="category">';
                    if(paraObj.categoryTag[0].tagColor != ''){
                        poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.categoryTag[0].tagColor+'">' + paraObj.categoryTag[0].tag_name + '</div>';
                    }else{
                        poiTagStr += '<div class="categoryTxt" style="color:#CCCCCC">' + paraObj.categoryTag[0].tag_name + '</div>';
                    }
                    
                    if(paraObj.categoryTag[0].tagBorderColor != ''){
                        poiTagStr += '<div class="category-border" style="border-color:'+paraObj.categoryTag[0].tagBorderColor+'"></div>';
                    }else{
                        poiTagStr += '<div class="category-border" style="border-color:#CCCCCC"></div>';
                    }
                    poiTagStr += '</span>';
                    tagsWidth += (categoryWordNum * wordWidth + tagSpace * 3);
                }
                
            }
            //子标签
            if (paraObj.reviewTag && paraObj.reviewTag[0]) {
                for (var m = 0; m < paraObj.reviewTag.length; m++) {
                    if (paraObj.reviewTag[m].tag_name != '') {
                        var reviewWordNum = paraObj.reviewTag[m].tag_name.length;
                        if (tagsWidth < extremeWidth) {
                            poiTagStr += '<span class="review">';
                            if(paraObj.reviewTag[m].tagColor != ''){
                                poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.reviewTag[m].tagColor+'">' + paraObj.reviewTag[m].tag_name + '</div>';
                            }else{
                                poiTagStr += '<div class="categoryTxt" style="border-color:#CCCCCC">' + paraObj.reviewTag[m].tag_name + '</div>';
                            }
                        
                            if(paraObj.reviewTag[m].tagBorderColor != ''){
                                poiTagStr += '<div class="review-border" style="border-color:'+paraObj.reviewTag[m].tagBorderColor+'"></div>';
                            }else{
                                poiTagStr += '<div class="review-border" style="border-color:#CCCCCC"></div>';
                            }
                            poiTagStr += '</span>';
                            tagsWidth += (reviewWordNum * wordWidth + tagSpace * 3);
                        }
                    }
                
                }
            }
            byClass('tags').innerHTML = poiTagStr;
            byClass('tags').classList.remove('hiding');
        }
    }

}

//isTest=true;
/**
* 网络接口请求
*/
function getNetworkData() {
    // isTest = 1;
    if (isTest == "1") {
        requestUrl = "https://maptest.sparta.html5.qq.com/mobilemap?mmtype=detail&type=5&uid=" + id;
        // alert(requestUrl)
    } else {
        requestUrl = "https://syn0.map.qq.com/mobilemap?mmtype=detail&type=5&uid=" + id;
    }
    /****************************2016.06.06新增poi：id为空判断********************************/
    if (id != "") {
        //alert("接口请求"+ requestUrl)
        json.getData(requestUrl, renderData);
    }
}

/**
* 房产信息接口请求
*/
var houseUrl;

function getHouseNetworkData() {
    if (isTest == "1") {
        //https://maptest.sparta.html5.qq.com/mobilemap?mmtype=detail&type=5&uid=16746735274828371340
        houseUrl = 'https://maptest.sparta.html5.qq.com/mobilemap?mmtype=detail&type=5&uid=' + id;
    } else {
        houseUrl = "https://syn0.map.qq.com/mobilemap?mmtype=detail&type=5&uid=" + id
    }
    json.getData(houseUrl, renderHouseData);
}

/**
*   周边接口请求
*       https://maptest.sparta.html5.qq.com/nearby?qt=get_roundDetail&wd=%E5%8C%97%E4%BA%AC%E5%B8%82&px=116307600&py=39984244&rn=20&pn=0&tBoundLeftTop_x=116274446&tBoundLeftTop_y=40029401&tBoundRightButtom_x=116340759&tBoundRightButtom_y=39939071&app_ver=8.3.0.19&imei=074CD0B1­CCF1­40F4­8CEF­32E6AB2C0B5E&device=iOS12.1&uip=61.135.172.70
*/
var aroundUrl;

function getHouseAroundData(wd,lon,lat) {
    if (isTest == "1") {
        aroundUrl = "https://maptest.sparta.html5.qq.com/nearby?qt=get_roundDetail&wd=" + wd + "&px=" + longitude + "&py=" + latitude + "&rn=10&pn=0&app_ver=" + appVersion + "&imei=" + imei + "&device=" + platform + "&uip=61.135.172.70"
    } else {
        aroundUrl = "https://syn0.map.qq.com/nearby?qt=get_roundDetail&wd=" + wd + "&px=" + longitude + "&py=" + latitude + "&rn=10&pn=0&app_ver=" + appVersion + "&imei=" + imei + "&device=" + platform + "&uip=61.135.172.70"
    }
    if (id != "") {
        if (wd == "酒店") {
            json.getData(aroundUrl, renderAroundHotelData);
        } else if (wd == "超市" || wd == "幼儿园" || wd == "小学" || wd == "中学" || wd == "医院" || wd == "公交地铁") {
            json.getData(aroundUrl, renderAroundData);
        } else if (wd == "停车场") {
            json.getData(aroundUrl, renderAroundParkData);
        } else if (wd == "美食" || wd == "电影院" || wd == "商场") {
            json.getData(aroundUrl, renderAroundFoodData);
        }

    }
}

/**
*   周边配套tab、周边吃喝玩乐    备注--数据必须在 >3的情况下显示 “查看更多周边/附近 XXX”
*/

var txt, eatTxt,lon=true;

function Tabs(tabType) {
    txt = "超市";
    eatTxt = "美食";
    var tab = document.getElementById(tabType);
    var titleList = tab.getElementsByTagName("span");
    for (var i = 0; i < titleList.length; i++) {
        titleList[i].index = i;
        touchClick(titleList[i], function (e) {
            // if(lon){
            //     longitude=longitude*1000000;
            //     latitude=latitude*1000000;
            //     lon=false;
            // }
        
            txt = e.currentTarget.innerText;
            eatTxt = e.currentTarget.innerText;
            /*  增加选中样式  */
            for (var j = 0; j < titleList.length; j++) {
                if (e.currentTarget == titleList[j]) {
                    titleList[j].classList.add("select");
                } else {
                    titleList[j].classList.remove("select");
                }
            }
            /*  此处判断底部更多XX的样式  */
            if (e.currentTarget.innerText == "美食" || e.currentTarget.innerText == "电影院" || e.currentTarget.innerText == "商场") {
                byId("commonContent").innerHTML = "";
                /* 数据请求过程中添加加载态 */
                byId("noData1").style.display = "none";
                byId("failer1").style.display = "none";
                byId("load1").style.display = "block";
                byId("EntertainMore").style.display = "none"
                /* 进行接口请求返回数据  */
                getHouseAroundData(eatTxt);

                
                byClass("EntertainMore").innerText = "查看更多周边" + eatTxt;
                byId("EntertainMore").style.display = "block";

                mapDataReport("poi_details_near_switchTab",{"uid":id,"sname":eatTxt});
            } else {
                byId("matingContent").innerHTML = "";
                byId("noData").style.display = "none"
                byId("failer").style.display = "none";
                byId("load").style.display = "block";
                byId("matingMore").style.display = "none";
                /* 进行接口请求返回数据  */
                getHouseAroundData(txt);

                byClass("aroundMoreTab").innerText = "查看更多附近" + txt;
                byId("matingMore").style.display = "block";

                mapDataReport("poi_bld_nearPeitaoClkLabel",{"uid":id,"sname":txt});
            }
        },{isElement:true});
    }

}
Tabs("commendRound");
Tabs("commonEntertain");





/***************************************     小区概况       **************************************************/
function renderHouseData(data) {
    if (data.shErrNo == 0 && data.houseInfo != undefined && data.houseInfo != "") {
        statistics(platform, 'bld', 'fangtianxiaData');
        //[【楼盘信息】卡片
        //建筑类型
        // var str="",arr=[];
        // for( var a in data.houseInfo.tags){
        //     if(data.houseInfo.tags[a]!=null&&data.houseInfo.tags[a].length>0){
        //         arr.push(data.houseInfo.tags[a][0])
        //         arr.join("/");
        //         console.log(arr.join("/"))
        //         byId("houseModel").style.display = "block";
        //         byId("houseModel").classList.remove('hiding');
        //         byClass("list1").style.display = "block";
        //         byId("houseInfoType").style.display = "block";
        //         byId("houseInfoFinishType").innerText =  arr.join("/");
        //         byId('synopsis').classList.remove('hiding');
        //         byId('commonNav').classList.remove('hiding');
        //     }
        // }
        if (data.houseInfo.build_category != undefined && data.houseInfo.build_category != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list1").style.display = "block";
            byId("houseInfoType").style.display = "block";
            byId("houseInfoFinishType").innerText =  data.houseInfo.build_category;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }
        if (data.houseInfo.finish_date != undefined && data.houseInfo.finish_date != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list1").style.display = "block";
            byId("houseInfoTime").style.display = "block";
            byId("houseInfoFinishTime").innerText = data.houseInfo.finish_date;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }
        if (data.houseInfo.dimension != undefined && data.houseInfo.dimension != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list1").style.display = "block";
            byId("houseInfoDimension").style.display = "block";
            byId("houseInfoDimen").innerText = data.houseInfo.dimension;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }
        if (data.houseInfo.virescence_rate != undefined && data.houseInfo.virescence_rate != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list1").style.display = "block";
            byId("houseInfoVirescence").style.display = "block";
            byId("houseInfoVirescences").innerText = data.houseInfo.virescence_rate;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }
        if (data.houseInfo.developer != undefined && data.houseInfo.developer != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list1").style.display = "block";
            byId("houseInfoDeveloper").style.display = "block";
            byId("houseDeveloper").innerText = data.houseInfo.developer;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }

        //【物业服务】卡片
        if (data.houseInfo.property_company != undefined && data.houseInfo.property_company != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list2").style.display = "block";
            byId("PropertyCompany").style.display = "block";
            byId("PropertyInfoCompany").innerText = data.houseInfo.property_company;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }
        if (data.houseInfo.property_tel != undefined && data.houseInfo.property_tel != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list2").style.display = "block";
            byId("PropertyTel").style.display = "block";
            byId("PropertyInfoTel").innerText = data.houseInfo.property_tel;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }
        if (data.houseInfo.property_fee != undefined && data.houseInfo.property_fee != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list2").style.display = "block";
            byId("houseInfoFee").style.display = "block";
            byId("houseInfoPropertyFee").innerText = data.houseInfo.property_fee;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }
        //供暖类型
        if (data.houseInfo.heating_mode != undefined && data.houseInfo.heating_mode != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list2").style.display = "block";
            byId("PropertyTypeHeat").style.display = "block";
            byId("PropertyTypeHeating").innerText = data.houseInfo.heating_mode;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }

        if (data.houseInfo.layout != undefined && data.houseInfo.layout != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list2").style.display = "block";
            byId("PropertyInternal").style.display = "block";
            byId("PropertyInfoInternal").innerText = data.houseInfo.layout;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }
        //【停车管理】卡片
        if (data.houseInfo.park_desc != undefined && data.houseInfo.park_desc != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list3").style.display = "block";
            byId("houseInfoPark").style.display = "block";
            byId("houseParkDes").innerText = data.houseInfo.park_desc;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }
        if (data.houseInfo.park_ratio != undefined && data.houseInfo.park_ratio != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list3").style.display = "block";
            byId("parkInfoRatio").style.display = "block";
            byId("parkInfoRatios").innerText = data.houseInfo.park_ratio;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }
        if (data.houseInfo.park_fee != undefined && data.houseInfo.park_fee != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list3").style.display = "block";
            byId("parkInfoFee").style.display = "block";
            byId("parkInfoFees").innerText = data.houseInfo.park_fee;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }

        if(data.houseInfo.park_desc != ""){
            if(data.houseInfo.park_ratio == ""&&data.houseInfo.park_fee==""){
                byId("houseParkDes").classList.remove("house-info-list2");
                byId("houseParkDes").classList.add("house-infoList2")
            }
        }







        //【小区简介】卡片
        if (data.houseInfo.proj_desc != undefined && data.houseInfo.proj_desc != "") {
            byId("houseModel").style.display = "block";
            byId("houseModel").classList.remove('hiding');
            byClass("list4").style.display = "block";
            byId("proDesc").innerText = data.houseInfo.proj_desc;
            byId('synopsis').classList.remove('hiding');
            if (!synopsisNav) {
                displayNavs = displayNavs + 1;
            }
            synopsisNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
        }

        byClass("house-from").innerHTML = '数据来自<span class="fangtianxia">房天下</span>';
        touchClick(".fangtianxia", function (e) {
            // window.location.href = data.info.domain;
            mapDataReport("poi_bld_clkDataSource",{"uid":id,"sname":"房天下"});
            mqq.invoke('common', 'gotoPage', {
                'uri': 'onlineWebViewInteract', // 要跳转的界面唯一标识
                'param': // 跳转所需的参数，跳转到不同的界面，需要的参数不同
                {
                    'url': data.houseInfo.content_url,
                    'hideBrowserTitle': '0'
                }
            });
        });

        // 卡片滚动库，异步加载
        var mySwiper = new Swiper('.swiper-container', {
            width: 1.4 * abc * 200, //设置固定宽度
        });

    }

}

/***************************************     周边配套       **************************************************/
function renderAroundData(data) {
    if (txt == "超市" || txt == "幼儿园" || txt == "小学" || txt == "中学" || txt == "医院" || txt == "公交地铁") {
        aroundMating();
    }
    function aroundMating() {
        /**
         * 检测网络异常
         */
        if (!window.navigator.onLine) {
            byId("noData").style.display = "none"
            byId("load").style.display = "none";
            byClass("matingContent").style.display = "none";
            byId("failer").style.display = "block";
            // 埋点： 网络异常
            mapDataReport('poi_bld_nearPeitaoNetworkAn', {
                'uid': id,
                "sname": eatTxt
            })
            return;
        }
        if (data && data.poi && data.poi.length > 0) {
            /*  请求完毕后 移除加载态 */
            byId("load").style.display = "none";
            byId("noData").style.display = "none";
            byId("failer").style.display = "none";
            byId("commendRound").style.display = "block";
            byId("commendRound").classList.remove('hiding');
            byId('coordinate').classList.remove('hiding');
            if (!coordinateNav) {
                displayNavs = displayNavs + 1;
            }
            coordinateNav = 1;
            if (displayNavs > 2) {
                byId('commonNav').classList.remove('hiding');
            }
            var matingData = data.poi
            var tPOIStr = "";
            for (var i = 0; i < matingData.length; i++) {
                var objMating = {};
                objMating.addr = matingData.address;
                objMating.sDis = data.poi[i].tPOI.sDis;
                if (data.poi[i].tPOI.lines) {
                    objMating.lines = JSON.parse(change(JSON.stringify(data.poi[i].tPOI.lines)));
                }
                objMating.name = matingData.business_name;
                
                if(txt == "公交地铁"){
                    objMating.cotype = 100;
                }else  if(txt == "超市"){
                    objMating.cotype = 902;
                }else  if(txt == "医院"){
                    objMating.cotype = 1601;
                }else{
                    objMating.cotype = 800;
                }
                objMating.uid = data.poi[i].tPOI.sUid;
                objMating.name = data.poi[i].tPOI.sName;
                objMating.point = {
                    "mLatitudeE6": data.poi[i].tPOI.tPoint.latitude ,
                    "mLongitudeE6": data.poi[i].tPOI.tPoint.longitude 
                };
                if (i > 2) {
                    tPOIStr += "<li class='matingList hiding' id='"+JSON.stringify(objMating)+"'>";
                    byId("matingMore").style.display = "block";
                } else {
                    tPOIStr += "<li class='matingList' id='"+JSON.stringify(objMating)+"'>";
                }

                tPOIStr += "<div class='titp'>" + matingData[i].tPOI.sName + "</div>";
                /* 判断如果选中的tab类型为“公交地铁”则渲染的HTML与非“公交地铁”的不同  */
                // console.log(txt)
                if (txt != "公交地铁") {

                    /*  调用HTML渲染方法  (除-公交地铁的DOM元素)*/
                    tPOIStr += "<div class='parkDes'>";
                    tPOIStr += "<div>" + "距此" + distance2Sring(matingData[i].tPOI.sDis) + "</div>";
                    tPOIStr += "<div class='matingAddr'>" + matingData[i].tPOI.sShortAddr + "</div>";
                    tPOIStr += "</div>";
                } else {
                    //渲染--公交地铁的DOM元素
                    tPOIStr += "<div class='busDes'>";
                    tPOIStr += "<div>" + "距此" + distance2Sring(matingData[i].tPOI.sDis) + "</div>";
                    tPOIStr += "<div class='lines' id='lines"+ (i + 1) +"'>";
                    tPOIStr += "<ul>";
                    for (var j = 0; j < matingData[i].lines.length; j++) {
                        if (j > 3) {
                            tPOIStr += "<li class='trafficBus hiding' style='background:"+ matingData[i].lines[j].strColor +"'>"+ matingData[i].lines[j].strName + "</li>";
                        } else {
                            if(matingData[i].lines[j].strName.length>=9){
                                tPOIStr += "<li class='trafficBus hiding' style='background:"+ matingData[i].lines[j].strColor +"'>"+ matingData[i].lines[j].strName + "</li>";
                            }else{
                                tPOIStr += "<li class='trafficBus' style='background:"+ matingData[i].lines[j].strColor +"'>"+ matingData[i].lines[j].strName + "</li>";
                            }
                        }
                    }
                    tPOIStr += "</ul></div>";
                    tPOIStr += "</div>";
                }
                tPOIStr += "<div class='border-bottom'></div>";
                tPOIStr += "</li>";
            }
            byId("matingContent").innerHTML = tPOIStr;
            byClass("matingContent").style.display = "block";
        }else{
            /*  无数据返回结果  */
            mapDataReport('poi_bld_nearPeitaoNoresult', {
                'uid': id,
                "sname": eatTxt
            })
            document.getElementById("noData").style.display = "block";
            document.getElementById("load").style.display = "none";
            document.getElementById("failer").style.display = "none";
        }
    }

    /*******************************点击单个进入第三方页面************************************/
    for (var two = 0; two < document.getElementsByClassName("matingList").length; two++) {
        touchClick(document.getElementsByClassName("matingList")[two], function (e) {
            // mapDataReport("poi_bld_nearPeitaoClkCont",{"uid":data.poi[two].tPOI.sUid,"sname":txt});
            mapDataReport('poi_bld_nearPeitaoClkCont', {
                'uid': id,
                "sname": eatTxt
            })
            mqq.invoke('poi', 'gotoPage', {
                'uri': 'poiPage',
                'param': {
                    'poi': JSON.parse(e.currentTarget.id)
                }
            });
        },{isElement:true});
    }
    /*  点击查看附近更多XXX   */
    touchClick("#matingMore", function () {
        mapDataReport("poi_bld_nearPeitaoClkMore",{"uid":id,"sname":txt});
        dianxinToPage(txt, "", poiData, "discover");
    });
}

/**
* 网络接口请求渲染数据的回调函数 ---热力图、评论、周边快查
*/
function renderData(data) {

// //展示出入口
// for (var a in data) {
//     if (a == "child_node") {
//         if (data.child_node.entrance != null) {
//             statistics(platform, 'bld', 'showPassway');
//             byId("in_outward").style.display = "none";
//             var arr1=[];
//             var entraceLength = data.child_node.entrance.length;
//             var entraces = "";
//             if (entraceLength > 9) {
//                 for (var entrace = 0; entrace < 9; entrace++) {
//                     entraces += "<li class='entrace'><span>" + data.child_node.entrance[entrace].name + "</span></li>";
//                     var name = data.child_node.entrance[entrace].name + "";
//                     // alert(JSON.stringify(name));
//                     var rawid = data.child_node.entrance[entrace].rawid + "";
//                     // var address=data.child_node.entrance[entrance].address+"";
//                     var lat = data.child_node.entrance[entrace].lat + "";
//                     var lng = data.child_node.entrance[entrace].lng + "";
//                     var latm = lat * Math.pow(10, 6);
//                     var lngm = lng * Math.pow(10, 6);
//                     var poiData1 = { "name": name, "uid": rawid, "point": { "mLatitudeE6": latm, "mLongitudeE6": lngm } };
//                     arr1.push(poiData1)
//                 }
//             }
//             else {
//                 for (var entrace = 0; entrace < entraceLength; entrace++) {
//                     entraces += "<li class='entrace'><span>" + data.child_node.entrance[entrace].name + "</span></li>";
//                     var name = data.child_node.entrance[entrace].name + "";
//                     // alert(JSON.stringify(name));
//                     var rawid = data.child_node.entrance[entrace].rawid + "";
//                     // var address=data.child_node.entrance[entrance].address+"";
//                     var lat = data.child_node.entrance[entrace].lat + "";
//                     var lng = data.child_node.entrance[entrace].lng + "";
//                     var latm = lat * Math.pow(10, 6);
//                     var lngm = lng * Math.pow(10, 6);
//                     var poiData1 = { "name": name, "uid": rawid, "point": { "mLatitudeE6": latm, "mLongitudeE6": lngm } };
//                     arr1.push(poiData1)
//                 }
//             }
//             byClass("in_outward_content").innerHTML = entraces;
//             //点击进入出入口
//             var olis = document.getElementsByClassName("entrace");
//             var _loop = function _loop(i) {
//                 olis[i].index = i;
//                 olis[i].addEventListener("click", function () {
//                     statistics(platform, 'bld', 'clkPassway');
//                     nativeOpenPoiPage(arr1[i]);
//                 }, false);
//             };

//             for (var i = 0; i < olis.length; i++) {
//                 _loop(i);
//             }
//         }
//     }
// }


/**
 *  展示 评论
 */
    // 老接口
    // for (var c in data) {
    //     if (c == "comments_new") {
    //         if (data.comments_new != null) {
    //             if (data.comments_new.comment_info && data.comments_new.comment_info.length > 0) {
    //                 byId("comment").style.display = "block";
    //                 byId('comment').classList.remove('hiding');
    //                 byId('commentary').classList.remove('hiding');
    //                 if (!commentaryNav) {
    //                     displayNavs = displayNavs + 1;
    //                 }
    //                 commentaryNav = 1;
    //                 if (displayNavs > 2) {
    //                     byId('commonNav').classList.remove('hiding');
    //                 }
    //                 // byId("comment").style.paddingBottom = ".025rem";
    //                 if(data.comments_new.comment_info.length>1){
    //                     byId("mentTitleMore").style.display = "block";
    //                 }
    //                 var commentInfo = data.comments_new.comment_info;
    //                 if (commentInfo[0]) {
    //                     byClass("commentLi commentOne").style.display = "block";
    //                     var comments = "";
    //                     for (var comment = 0; comment < commentInfo[0].comment_content.length; comment++) {
    //                         comments += commentInfo[0].comment_content[comment]
    //                     }
    //                     byClass("commentContentOne").innerText = delKong(comments);
    //                     byClass("reviewerOne").innerText = commentInfo[0].comment_user;
    //                     byClass("commentTimeOne").innerText = formatTime(commentInfo[0].comment_time);
    //                     byId("dataSouce").innerText=data.comments_new.source_name;
    //                     byClass("timeSource").style.display = "block";
    //                     var picUrlLists1 = [];
    //                     /* 评价图片*/
    //                     if (commentInfo[0].comment_pics.length > 0) {
    //                         str = "";
    //                         for (var j = 0; j < commentInfo[0].comment_pics.length; j++) {
    //                             picUrlLists1.push(delImgFormat(commentInfo[0].comment_pics[j].pic_url))
    //                             if (j < 4) {
    //                                 str += "<p class='commentImgs'>"
    //                                 str += " <img class='commentPic commentPic1' id=" + j + " src=" + formatImg(commentInfo[0].comment_pics[j].pic_url) + " />"
    //                                 str += "</p>"
    //                             }
    //                         }
    //                         byClass("commentPicsOne").innerHTML = str;
    //                         byClass("commentPicsOne").style.display = "block";
    //                     }
    //                     /* 评价等级*/
    //                     if (commentInfo[0].comment_score != "") {
    //                         /* 分数转化成星级（例如100分制，81~90为4.5星，91~100为5星） */
    //                         var commentStar1 = computerStar(commentInfo[0].comment_score);
    //                         // console.log("评价分数=" + data.comments_new.comment_info[0].comment_score);
    //                         // console.log("评价星级=" + commentStar1);
    //                         byClass("commentLevelOne").style.display = "inline-block";
    //                         var s1 = parseInt(commentStar1);
    //                         var s2 = parseFloat(commentStar1);
    //                         if (s1 <= 5 && s2 <= 5) {
    //                             for (var oneStar = 0; oneStar < s1; oneStar++) {
    //                                 //document.getElementsByClassName("starLevelOne full")[oneStar].style.display = "inline-block";
    //                                 document.getElementsByClassName("starLevelOne full")[oneStar].src = "img/ic_start.png";
    //                             }
    //                             if (s2 - s1 > 0) {
    //                                 document.getElementsByClassName("starLevelOne full")[s1].src = "img/ic_halfstart.png?" + Math.random();
    //                                 //document.getElementsByClassName("starLevelOne full")[s1].style.display = "inline-block";
    //                             }
    //                         }
    //                     }
    //                 }
    //                 if (commentInfo.length > 1) {
    //                     if (commentInfo[1]) {
    //                         byClass("commentTwo").style.display = "block";
    //                         var comments2 = "";
    //                         for (var comment2 = 0; comment2 < data.comments_new.comment_info[1].comment_content.length; comment2++) {
    //                             comments2 += data.comments_new.comment_info[1].comment_content[comment2]
    //                         }
    //                         byClass("commentContentTwo").innerText = delKong(comments2);
    //                         byClass("reviewerTwo").innerText = commentInfo[1].comment_user;
    //                         byClass("commentTimeTwo").innerText = formatTime(commentInfo[1].comment_time);
    //                         byId("dataSouce2").innerText=data.comments_new.source_name;
    //                         byClass("timeSource2").style.display = "block";
    //                         var picUrlLists2 = [];
    //                         /* 评价图片*/
    //                         if (commentInfo[1].comment_pics.length > 0) {
    //                             str = "";
    //                             for (var comPicsNum = 0; comPicsNum < commentInfo[1].comment_pics.length; comPicsNum++) {
    //                                 picUrlLists2.push(delImgFormat(commentInfo[1].comment_pics[comPicsNum].pic_url))
    //                                 if (comPicsNum < 4) {
    //                                     str += "<p class='commentImgs'>"
    //                                     str += " <img class='commentPic commentPic2 ' id=" + comPicsNum + " src=" + formatImg(commentInfo[1].comment_pics[comPicsNum].pic_url) + " />"
    //                                     str += "</p>"
    //                                 }
    //                             }
    //                             byClass("commentPicsTwo").innerHTML = str;
    //                             byClass("commentPicsTwo").style.display = "block";
    //                         }
    //                         if (commentInfo[1].comment_score != "") {
    //                             /* 分数转化成星级 */
    //                             var commentStar2 = computerStar(commentInfo[1].comment_score);
    //                             byClass("commentLevelOne").style.display = "inline-block";
    //                             var star1 = parseInt(commentStar2);
    //                             var star2 = parseFloat(commentStar2);
    //                             if (star1 <= 5 && star2 <= 5) {
    //                                 for (var twoStar = 0; twoStar < star1; twoStar++) {
    //                                     //document.getElementsByClassName("starLevelTwo full")[twoStar].style.display = "inline-block";
    //                                     document.getElementsByClassName("starLevelTwo full")[twoStar].src = "img/ic_start.png";
    //                                 }
    //                                 if (star2 - star1 > 0) {
    //                                     document.getElementsByClassName("starLevelTwo full")[star1].src = "img/ic_halfstart.png?" + Math.random();
    //                                     // document.getElementsByClassName("starLevelTwo full")[star1].style.display = "inline-block";
    //                                 }
    //                             }
    //                         }
    //                     }
    //                 }
    //                 if (document.getElementsByClassName("commentPic1").length > 0) {
    //                     //点击评论图片，进入评论大图
    //                     for (var pic = 0; pic < document.getElementsByClassName("commentPic1").length; pic++) {
    //                         touchClick(document.getElementsByClassName("commentPic1")[pic], function (e) {
    //                             // alert("评论大图");
    //                             // console.log(picUrlLists1);
    //                             //console.log(this.id);
    //                             nativeCommentBigPic(picUrlLists1, e.currentTarget.id);
    //                         },{isElement:true});
    //                     }
    //                 }
    //                 if (document.getElementsByClassName("commentPic2").length > 0) {
    //                     //点击评论图片，进入评论大图
    //                     for (var pic2 = 0; pic2 < document.getElementsByClassName("commentPic2").length; pic2++) {
    //                         touchClick(document.getElementsByClassName("commentPic2")[pic2], function (e) {
    //                             // alert("评论大图");
    //                             //console.log(picUrlLists2);
    //                             //console.log(this.id);
    //                             nativeCommentBigPic(picUrlLists2, e.currentTarget.id);
    //                         },{isElement:true});
    //                     }
    //                 }
                    
    //                 for (var one = 0; one < document.getElementsByClassName("fangtianxia").length; one++) {
    //                     touchClick(document.getElementsByClassName("fangtianxia")[one], function(){
    //                         mqq.invoke('common', 'gotoPage', {
    //                             'uri': 'onlineWebViewInteract', // 要跳转的界面唯一标识
    //                             'param': // 跳转所需的参数，跳转到不同的界面，需要的参数不同
    //                             {
    //                                 'url': data.comments_new.comment_url,
    //                                 'hideBrowserTitle': '0'
    //                             }
    //                         });
    //                     },{isElement:true});
    //                 }
    //             }
    //         }
    //     }
    // }


    // 新接口
    for (var c in data) {
        if (c == "houseInfo") {
            if (data.houseInfo != null) {
                if (data.houseInfo.comment && data.houseInfo.comment.length > 0) {
                    byId("comment").style.display = "block";
                    byId('comment').classList.remove('hiding');
                    byId('commentary').classList.remove('hiding');
                    if (!commentaryNav) {
                        displayNavs = displayNavs + 1;
                    }
                    commentaryNav = 1;
                    if (displayNavs > 2) {
                        byId('commonNav').classList.remove('hiding');
                    }
                    // byId("comment").style.paddingBottom = ".025rem";
                    if(data.houseInfo.comment.length>1){
                        byId("mentTitleMore").style.display = "block";
                    }
                    var commentInfo = data.houseInfo.comment;
                    if (commentInfo[0]) {
                        byClass("commentLi commentOne").style.display = "block";
                        var comments = "";
                        for (var comment = 0; comment < commentInfo[0].comment_content.length; comment++) {
                            comments += commentInfo[0].comment_content[comment]
                        }
                        byClass("commentContentOne").innerText = delKong(comments);
                        byClass("reviewerOne").innerText = commentInfo[0].comment_user;
                        byClass("commentTimeOne").innerText = formatTime(commentInfo[0].comment_time);
                        byId("dataSouce").innerText=commentInfo[0].comment_name;
                        byClass("timeSource").style.display = "block";
                        var picUrlLists1 = [];
                        /* 评价图片*/
                        if (commentInfo[0].comment_pics.length > 0) {
                            str = "";
                            for (var j = 0; j < commentInfo[0].comment_pics.length; j++) {
                                picUrlLists1.push(delImgFormat(commentInfo[0].comment_pics[j].pic_url))
                                if (j < 4) {
                                    str += "<p class='commentImgs'>"
                                    str += " <img class='commentPic commentPic1' id=" + j + " src=" + formatImg(commentInfo[0].comment_pics[j].pic_url) + " />"
                                    str += "</p>"
                                }
                            }
                            byClass("commentPicsOne").innerHTML = str;
                            byClass("commentPicsOne").style.display = "block";
                        }
                        /* 评价等级*/
                        if (commentInfo[0].comment_score != "") {
                            /* 分数转化成星级（例如100分制，81~90为4.5星，91~100为5星） */
                            var commentStar1 = commentInfo[0].comment_score;
                            // console.log("评价分数=" + data.comments_new.comment_info[0].comment_score);
                            // console.log("评价星级=" + commentStar1);
                            byClass("commentLevelOne").style.display = "inline-block";
                            var s1 = parseInt(commentStar1);
                            var s2 = parseFloat(commentStar1);
                            if (s1 <= 5 && s2 <= 5) {
                                for (var oneStar = 0; oneStar < s1; oneStar++) {
                                    //document.getElementsByClassName("starLevelOne full")[oneStar].style.display = "inline-block";
                                    document.getElementsByClassName("starLevelOne full")[oneStar].src = "img/ic_start.png";
                                }
                                if (s2 - s1 > 0) {
                                    document.getElementsByClassName("starLevelOne full")[s1].src = "img/ic_halfstart.png?" + Math.random();
                                    //document.getElementsByClassName("starLevelOne full")[s1].style.display = "inline-block";
                                }
                            }
                        }
                    }
                    if (commentInfo.length > 1) {
                        if (commentInfo[1]) {
                            byClass("commentTwo").style.display = "block";
                            var comments2 = "";
                            for (var comment2 = 0; comment2 < commentInfo[1].comment_content.length; comment2++) {
                                comments2 += commentInfo[1].comment_content[comment2]
                            }
                            byClass("commentContentTwo").innerText = delKong(comments2);
                            byClass("reviewerTwo").innerText = commentInfo[1].comment_user;
                            byClass("commentTimeTwo").innerText = formatTime(commentInfo[1].comment_time);
                            byId("dataSouce2").innerText=commentInfo[1].comment_name;
                            byClass("timeSource2").style.display = "block";
                            var picUrlLists2 = [];
                            /* 评价图片*/
                            if (commentInfo[1].comment_pics.length > 0) {
                                str = "";
                                for (var comPicsNum = 0; comPicsNum < commentInfo[1].comment_pics.length; comPicsNum++) {
                                    picUrlLists2.push(delImgFormat(commentInfo[1].comment_pics[comPicsNum].pic_url))
                                    if (comPicsNum < 4) {
                                        str += "<p class='commentImgs'>"
                                        str += " <img class='commentPic commentPic2 ' id=" + comPicsNum + " src=" + formatImg(commentInfo[1].comment_pics[comPicsNum].pic_url) + " />"
                                        str += "</p>"
                                    }
                                }
                                byClass("commentPicsTwo").innerHTML = str;
                                byClass("commentPicsTwo").style.display = "block";
                            }
                            if (commentInfo[1].comment_score != "") {
                                /* 分数转化成星级 */
                                var commentStar2 = commentInfo[1].comment_score;
                                byClass("commentLevelOne").style.display = "inline-block";
                                var star1 = parseInt(commentStar2);
                                var star2 = parseFloat(commentStar2);
                                if (star1 <= 5 && star2 <= 5) {
                                    for (var twoStar = 0; twoStar < star1; twoStar++) {
                                        //document.getElementsByClassName("starLevelTwo full")[twoStar].style.display = "inline-block";
                                        document.getElementsByClassName("starLevelTwo full")[twoStar].src = "img/ic_start.png";
                                    }
                                    if (star2 - star1 > 0) {
                                        document.getElementsByClassName("starLevelTwo full")[star1].src = "img/ic_halfstart.png?" + Math.random();
                                        // document.getElementsByClassName("starLevelTwo full")[star1].style.display = "inline-block";
                                    }
                                }
                            }
                        }
                    }
                    if (document.getElementsByClassName("commentPic1").length > 0) {
                        //点击评论图片，进入评论大图
                        for (var pic = 0; pic < document.getElementsByClassName("commentPic1").length; pic++) {
                            touchClick(document.getElementsByClassName("commentPic1")[pic], function (e) {
                                // alert("评论大图");
                                // console.log(picUrlLists1);
                                //console.log(this.id);
                                nativeCommentBigPic(picUrlLists1, e.currentTarget.id);
                            },{isElement:true});
                        }
                    }
                    if (document.getElementsByClassName("commentPic2").length > 0) {
                        //点击评论图片，进入评论大图
                        for (var pic2 = 0; pic2 < document.getElementsByClassName("commentPic2").length; pic2++) {
                            touchClick(document.getElementsByClassName("commentPic2")[pic2], function (e) {
                                // alert("评论大图");
                                //console.log(picUrlLists2);
                                //console.log(this.id);
                                nativeCommentBigPic(picUrlLists2, e.currentTarget.id);
                            },{isElement:true});
                        }
                    }
                    
                    for (var one = 0; one < document.getElementsByClassName("fangtianxia").length; one++) {
                        touchClick(document.getElementsByClassName("fangtianxia")[one], function(){
                            // mqq.invoke('common', 'gotoPage', {
                            //     'uri': 'onlineWebViewInteract', // 要跳转的界面唯一标识
                            //     'param': // 跳转所需的参数，跳转到不同的界面，需要的参数不同
                            //     {
                            //         'url': data.comments_new.comment_url,
                            //         'hideBrowserTitle': '0'
                            //     }
                            // });
                            mapDataReport("poi_details_commentAll",{"uid":id})
                            nativeOpenComment(platform, id);
                        },{isElement:true});
                    }
                }
            }
        }
    }

    // 热力图展示  alert(JSON.stringify(data.hotMapUrl));
    // for (var f in data) {
    //     if (f == "hotMapUrl") {
    //         if (data.hotMapUrl != "") {
    //             byId("hotMain").style.display = "none";
    //             //热力图入口曝光埋点
    //             statistics(platform, 'buildingsPoi', 'map_poi_pd_s_he');
    //             byId("addressMap").innerText = data.subdetail.name;

    //             // 当点击入口时进入对应的热力图展示页面
    //             touchClick("#hotMain", function () {
    //                 //进行热力图入口点击mtaH5埋点，再进行跳转到相对应的热力图页面
    //                 statistics(platform, 'buildingsPoi', 'map_poi_pd_s_hc');
    //                 mqq.invoke('poi', 'gotoPage', {
    //                     "uri": "onlineWebView",
    //                     "param": {
    //                         url: data.hotMapUrl
    //                     }
    //                 });
    //             });
    //         }
    //     }
    // }


    /**
     *    周边快查 
     */

    if (poiData && poiData.point.mLatitudeE6 && poiData.point.mLongitudeE6) {
        // if (poiData.point) {
        //     latitude = poiData.point.mLatitudeE6 / 1000000;
        //     longitude = poiData.point.mLongitudeE6 / 1000000
        // }
        var listItem = document.getElementsByClassName("listItem");
        var iconTxtArr = [];

        for (var i = 0; i < listItem.length; i++) {
            (function(i){
                checkItem = document.getElementsByClassName("checkItem")[i].innerText;
                iconTxtArr.push(checkItem);
                touchClick(listItem[i], function () {
                    // 埋点: 周边快查
                    mapDataReport('poi_details_nearquickcheck', {
                        'uid': id,
                        "searchname": iconTxtArr[i]
                    })
                    dianxinToPage(iconTxtArr[i], "", poiData, "discover");
                },{isElement:true});
            })(i)
        }
        touchClick("#listItems", function () {
            mapDataReport("poi_details_nearquickcheckmore",{"uid":id});
            moreToPage();
        });
    }
}


/***************************************     周边停车场       **************************************************/
function renderAroundParkData(data) {
    if (data && data.poi && data.poi.length > 0) {
        document.getElementById("areaInfo").style.display = "block";
        byId('areaInfo').classList.remove('hiding');
        byId('periphery').classList.remove('hiding');
        if (!peripheryNav) {
            displayNavs = displayNavs + 1;
        }
        peripheryNav = 1;
        if (displayNavs > 2) {
            byId('commonNav').classList.remove('hiding');
        }
        statistics(platform, 'bld', 'showParking');
        var parkStr = "";
        for (var i = 0; i < data.poi.length; i++) {
            var parkData = data.poi[i].tNewRichInfo.rich;
            var obj = {};
            obj.addr = parkData.address;
            obj.sDis = data.poi[i].tPOI.sDis;
            if (parkData.parkInfo) {
                obj.parkInfo = JSON.parse(change(JSON.stringify(parkData.parkInfo)));
            }
            obj.name = parkData.business_name;
            obj.cotype = 1401;
            obj.uid = data.poi[i].tPOI.sUid;
            obj.point = {
                "mLatitudeE6": parkData.point.latitude ,
                "mLongitudeE6": parkData.point.longitude 
            };
            if (i > 1) {
                parkStr += "<li class='parkAreaInfo hiding' id='" + JSON.stringify(obj) + "'";
            } else {
                parkStr += "<li class='parkAreaInfo' id='" + JSON.stringify(obj) + "'";
            }
            parkStr += "<div class='titp'>" + parkData.business_name + "</div>";
            parkStr += "<div class='parkDes'>";
            parkStr += "<div>" + "距此" + distance2Sring(data.poi[i].tPOI.sDis) + "</div>";
            parkStr += "<div class='matingAddr'>"+ parkData.address +"</div>";
            parkStr += "</div>";
            if (parkData.parkInfo) {
                if (parkData.parkInfo.type || parkData.parkInfo.nowCharge || parkData.parkInfo.status == "1") {
                    if (parkData.parkInfo.nowCharge || parkData.parkInfo.status == "1") {
                        parkStr += "<div class='parkTag'>";
                        if (parkData.parkInfo.type) {
                            parkStr += "<div class='tipTags'>";
                            parkStr += "<div class='parkTip'>" + parkData.parkInfo.type + "</div>";
                            parkStr += "<div class='review-border'></div>";
                            parkStr += "</div>";
                        }

                        if (parkData.parkInfo.status == "1") {
                            if (parkData.parkInfo.left) {
                                parkStr += "<div class='moreSeats'>剩余车位" + parkData.parkInfo.left + "</div>";
                            } else {
                                parkStr += "<div class='moreSeats' style='color:red'>车位已满</div>"
                            }
                        }
                        if (parkData.parkInfo.nowCharge && parkData.parkInfo.nowCharge.type != "" || parkData.parkInfo.nowCharge.time != "" || parkData.parkInfo.nowCharge.fee != "") {
                            var charge_now = parkData.parkInfo.nowCharge;
                            parkStr += "<div class='parkFee'>" + charge_now.type + " " + charge_now.time + " " + charge_now.fee + "</div>"
                        }
                        parkStr += "</div>";
                    }
                }
            }
            parkStr+="<div class='border'></div>";
            parkStr += "</li>";
        }
        byId("areaSeatInfo").innerHTML = parkStr;

        /*******************************点击预定进入第三方页面************************************/
        for (var one = 0; one < document.getElementsByClassName("parkAreaInfo").length; one++) {
            touchClick(document.getElementsByClassName("parkAreaInfo")[one], function (e) {
                // mapDataReport("poi_details_nearParking",{"uid":data.poi[one].tPOI.sUid})
                // 埋点: 停车场
                mapDataReport('poi_details_nearParking', {
                    'uid': id
                })
                mqq.invoke('poi', 'gotoPage', {
                    'uri': 'poiPage',
                    'param': {
                        'poi': JSON.parse(e.currentTarget.id)
                    }
                });
            },{isElement:true});
        }
    }

}


/***************************************     周边吃喝玩乐       **************************************************/
function renderAroundFoodData(data) {
    if (eatTxt == "美食" || eatTxt == "电影院" || eatTxt == "商场") {
        /**
         * 检测网络异常
         */
        if (!window.navigator.onLine) {
            byId("noData1").style.display = "none"
            byId("load1").style.display = "none";
            byClass("commonContent").style.display = "none";
            byId("failer1").style.display = "block";
            mapDataReport('poi_details_near_switchTabNetworkAn', {
                'uid': id,
                "barname": eatTxt
            })
            return;
        }
        if (data && data.poi && data.poi.length > 0) {
            /*  请求完毕后 移除加载态 */
            byId("load1").style.display = "none";
            byId("noData1").style.display = "none";
            byId("failer1").style.display = "none";
            byId("commonEntertain").style.display = "block";
            var eatStr = "";
            for (var i = 0; i < data.poi.length; i++) {
                var eatData = data.poi[i].tNewRichInfo.rich;

                var objEat={};

                objEat.addr = eatData.address;
                objEat.sDis = data.poi[i].tPOI.sDis;
                objEat.head_pic=eatData.head_pic
                if (eatData.review_tag) {
                    objEat.review_tag = JSON.parse(change(JSON.stringify(eatData.review_tag)));
                }
                if (eatData.categoryTag) {
                    objEat.categoryTag = JSON.parse(change(JSON.stringify(eatData.categoryTag)));
                }
                objEat.name = eatData.business_name;
                objEat.user_star_level=eatData.user_star_level;
                objEat.price=eatData.price
                objEat.lowest_price=eatData.lowest_price;
                if(eatTxt == "美食"){
                    objEat.cotype = 600;
                }else if(eatTxt == "电影院"){
                    objEat.cotype = 1701;
                }else if(eatTxt == "商场"){
                    objEat.cotype = 900;
                }
                objEat.uid = data.poi[i].tPOI.sUid;
                objEat.point = {
                    "mLatitudeE6": eatData.point.latitude ,
                    "mLongitudeE6": eatData.point.longitude 
                };
                if (i > 2) {
                    eatStr += "<li class='commonList hiding' id='"+JSON.stringify(objEat)+"'>";
                    byId("EntertainMore").style.display = "block";
                } else {
                    eatStr += "<li class='commonList' id='"+JSON.stringify(objEat)+"'>";
                }
                eatStr += "<div class='commonPicture' id='commonPicture'>";
                if (eatData.head_pic) {
                    eatStr += "<img src='"+ formatImg(eatData.head_pic) +"/0' alt='' />";
                } else {
                    if (eatTxt == "美食") {
                        eatStr += "<img src='img/bg_food_nopic.png' alt='' />";
                    }else{
                        eatStr += "<img src='img/defaultImg.png' alt='' />";
                    }

                }

                eatStr += "</div>";
                eatStr += "<div class='commonInfo' >";
                eatStr += "<div class='listName' id='listName'>" + eatData.business_name + "</div>";
                eatStr += '<div class="des">';

                if (eatData.user_star_level && eatData.user_star_level > 0) {
                    eatStr += "<div class='starLevel noright'>";
                    star = computerStar(eatData.user_star_level);
                    var num1 = parseInt(star);
                    var num2 = parseFloat(star);

                    if (num1 <= 5 && num2 <= 5) {
                        for (var j = 0; j < num1; j++) {
                            // document.getElementsByClassName("full")[i].src = "img/ic_start.png";
                            eatStr += "<img  class='full hiding relaxStar' src='img/ic_start.png' alt='' />";
                        }
                        if (num2 - num1 >= 0.5) {
                            // document.getElementsByClassName("full")[num1].src = "img/ic_halfstart.png?" + Math.random();
                            eatStr += "<img  class='full hiding relaxStar' src='img/ic_halfstart.png' alt='' />";
                        }
                        var startNum = parseInt(5 - num1 - (num2 - num1))
                        for (var t = 0; t < startNum; t++) {
                            eatStr += "<img  class='full hiding relaxStar' src='img/ic_graystart.png' alt='' />";
                        }
                    }
                }
                eatStr += "</div>";
                eatStr += "<div class='listDes'>";
                if (eatData.price || eatData.lowest_price) {
                    if (eatTxt == "美食") {
                        eatStr += "<span class='listAvg'>人均" + eatData.price + "元</span>";
                    } else {
                        eatStr += "<span class='listAvg'>人均" + eatData.lowest_price + "元</span>";
                    }
                }
                if (data.poi[i].tPOI.sDis) {
                    eatStr += "<span class='listDis'>距此" + distance2Sring(data.poi[i].tPOI.sDis) + "</span>";
                }
                eatStr += "</div>";
                eatStr += "</div>";
                if ((eatData.categoryTag && eatData.categoryTag[0]) || (eatData.categoryTag && eatData.categoryTag[0])) {
                    eatStr += "<div class='tags' id='aroundTags'>";
                    var extremeWidth = 145; //设计稿极限宽度
                    var tagsWidth = 0; //已累加的标签总宽度
                    var wordWidth = 12; //单个文字宽度
                    var tagSpace = 5; //胶囊间隙宽度
                    //主标签       
                    if (eatData.categoryTag && eatData.categoryTag[0]) {
                        if (eatData.categoryTag[0].tag_name != '') {
                            // byId("aroundTags").classList.remove("hiding");
                            var categoryWordNum = eatData.categoryTag[0].tag_name.length;
                            eatStr += "<span class='review'>";
                            eatStr += "<div class='categoryTxt'>" + eatData.categoryTag[0].tag_name + "</div>";
                            eatStr += "<div class='review-border'></div>";
                            eatStr += "</span>";
                            tagsWidth += (categoryWordNum * wordWidth + tagSpace * 3);
                        }
                    }
                    //子标签
                    if (eatData.review_tag && eatData.review_tag[0]) {
                        for (var m = 0; m < eatData.review_tag.length; m++) {
                            if (eatData.review_tag[m].tag_name != '') {
                                // byId("aroundTags").classList.remove("hiding");
                                var reviewWordNum = eatData.review_tag[m].tag_name.length;
                                if (tagsWidth < extremeWidth) {
                                    eatStr += "<span class='review'>";
                                    eatStr += "<div class='categoryTxt'>" + eatData.review_tag[m].tag_name + "</div>";
                                    eatStr += "<div class='review-border'></div>";
                                    eatStr += "</span>";
                                    tagsWidth += (reviewWordNum * wordWidth + tagSpace * 3);
                                }
                            }
                        }
                    }
                    eatStr += "</div>";
                }
                //营业时间处理
                var openTime = data.poi[i].tNewRichInfo.businessInfo
                if ((openTime && openTime.openTimeDetail[0])) {
                    eatStr += "<div class='showPrompt'>";
                    // eatStr+='<div class="timePrompt">即将大洋</div>';
                    if (openTime && openTime.openTimeDetail[0]) {
                        if (Array.isArray(openTime.openTimeDetail) && openTime.openTimeDetail[0]) {
                            for (var n = 0; n < openTime.openTimeDetail.length; n++) {
                                //根据空格切分营业时间字符串中的汉字和数字部分
                                var item = openTime.openTimeDetail[n].trim(),
                                    spaceIndex = item.indexOf(" "),
                                    title = "",
                                    period = "";
                                if (spaceIndex < 0) { //只有时间，没有汉字
                                    period = item;
                                    eatStr += "<div class='timecard'>" + period + "</div>";
                                    // renderStr += "<div class='timeText'><span class='timeTitle'>"+title+"</span><div class='timePeriod' style='padding-left:0'>"+period+"</div></div>";
                                } else { //有汉字和时间
                                    title = item.substring(0, spaceIndex);
                                    period = item.substring(spaceIndex);
                                    eatStr += "<div class='timecard'>" + period + "</div>";
                                    // renderStr += "<div class='timeText'><span class='timeTitle'>"+title+"</span><div class='timePeriod'>"+period+"</div></div>";
                                }
                            }
                        }
                    }
                }
                eatStr += "</div>";
                eatStr += "</div>";
                eatStr += "<div class='border-bottom'></div>";
                eatStr += "</li>";
            }
            byId("commonContent").innerHTML = eatStr;

            /*******************************点击预定进入第三方页面************************************/
            for (var one = 0; one < document.getElementsByClassName("commonList").length; one++) {
                touchClick(document.getElementsByClassName("commonList")[one], function (e) {
                    // 埋点： 美食，电影院，商场
                    if (eatTxt == "美食") {
                        mapDataReport('poi_details_nearFood', {
                            'uid': id
                        })
                    }
                    if (eatTxt == "电影院") {
                        mapDataReport('poi_details_nearFilm', {
                            'uid': id
                        })
                    }
                    if (eatTxt == "商场") {
                        mapDataReport('poi_details_nearShopping', {
                            'uid': id
                        })
                    }
                    mqq.invoke('poi', 'gotoPage', {
                        'uri': 'poiPage',
                        'param': {
                            'poi': JSON.parse(e.currentTarget.id)
                        }
                    });
                },{isElement:true});
            }
        }else{
            /*  无数据返回结果  */
            document.getElementById("load1").style.display = "none";
            document.getElementById("failer1").style.display = "none";
            document.getElementById("noData1").style.display = "block";
            // 埋点： 无数据
            mapDataReport('poi_details_near_switchTabNoresult', {
                'uid': id,
                "barname": eatTxt
            })
        }
    }
    touchClick("#EntertainMore", function () {
        if (eatTxt == '美食') {
            mapDataReport('poi_details_nearFoodmore', {
                'uid': id
            })
        }
        if (eatTxt == '电影院') {
            mapDataReport('poi_details_nearFilmmore', {
                'uid': id
            })
        }
        if (eatTxt == '商场') {
            mapDataReport('poi_details_nearShoppingmore', {
                'uid': id
            })
        }
        dianxinToPage(eatTxt, "", poiData, "discover");
    });
}


/***************************************     周边酒店       **************************************************/
function renderAroundHotelData(data) {
    if (data && data.poi && data.poi.length > 0) {
        var hotelData = data.poi;
        var tHotelStr = "";
        byId("hotelCard").style.display = "block";
        for (var k = 0; k < hotelData.length; k++) {
            var richHotel = hotelData[k].tNewRichInfo.rich;

            var objHotel = {};
            objHotel.addr = richHotel.address;
            objHotel.sDis = data.poi[k].tPOI.sDis;
            if (richHotel.categoryTag) {
                objHotel.categoryTag = JSON.parse(change(JSON.stringify(richHotel.categoryTag)));
            }
            objHotel.name = richHotel.business_name;
            objHotel.lowest_price = richHotel.lowest_price;
            objHotel.avg_rating = richHotel.avg_rating;
            objHotel.cotype = 700;
            objHotel.uid = data.poi[k].tPOI.sUid;
            objHotel.point = {
                "mLatitudeE6": richHotel.point.latitude ,
                "mLongitudeE6": richHotel.point.longitude 
            };

            // id="'+JSON.stringify(objHotel)+'"
            if (k > 4) {
                if (k == 5) {
                    tHotelStr += "<li class='cardList cardMore'><div class='cardMore' id='cardMore'>点击查看更多</div></li>";
                }
                tHotelStr += "<li class='cardList hiding' id='" + JSON.stringify(objHotel) + "'>";

            } else {
                tHotelStr += "<li class='cardList cardItem' id='" + JSON.stringify(objHotel) + "'>";
            }
            tHotelStr += "<div class='cardPiture'>";
            if (richHotel.head_pic) {
                tHotelStr += "<img src='" + formatImg(richHotel.head_pic) + "/0' alt='' />";
            } else {
                tHotelStr += "<img src='img/bg_hotel_nopic.png' alt='' />";
            }
            tHotelStr += "<div class='img-border'></div>";
            tHotelStr += "</div>";
            if (k != 5) {
                tHotelStr += "<div class='cardName'>" + richHotel.business_name + "</div>";
                tHotelStr += "<div class='listDes strScore'>";
                if (richHotel.avg_rating) {
                    tHotelStr += "<span class='starLevelHot'>" + (richHotel.avg_rating).toFixed(1) + "分</span>";
                }
                if (richHotel.lowest_price) {
                    tHotelStr += "<span id='listAvg'>" + richHotel.lowest_price + "元起</span>";
                }
                tHotelStr += "</div>";
                tHotelStr += "<div class='tags'>";
                //主标签       
                if (richHotel.categoryTag && richHotel.categoryTag[0]) {
                    if (richHotel.categoryTag[0].tag_name != '') {
                        tHotelStr += "<span class='review'>";
                        tHotelStr += "<div class='categoryTxt'>" + richHotel.categoryTag[0].tag_name + "</div>";
                        tHotelStr += "<div class='review-border'></div>";
                        tHotelStr += "</span>";
                    }
                }
                if (data.poi[k].tPOI.sDis) {
                    tHotelStr += "<span class='tagAddr'>" + "距此" + distance2Sring(data.poi[k].tPOI.sDis) + "</span>";
                }
                tHotelStr += "</div>";
                tHotelStr += "</li>";
            }


        }
        byId("commonRoundCard").innerHTML = tHotelStr;

        /*******************************点击单个进入第三方页面************************************/
        for (var two = 0; two < document.getElementsByClassName("cardItem").length; two++) {
            touchClick(document.getElementsByClassName("cardItem")[two], function (e) {
                // 埋点：周边酒店
                mapDataReport('poi_details_nearHotel', {
                    'uid': id
                })
                mapDataReport('poi_details_nearHotelcross', {
                    'uid': id
                })
                mqq.invoke('poi', 'gotoPage', {
                    'uri': 'poiPage',
                    'param': {
                        'poi': JSON.parse(e.currentTarget.id)
                    }
                });
            },{isElement:true});
        }

        touchClick("#cardMore", function () {
            mapDataReport("poi_details_nearHotelmore",{"uid":id})
            // 埋点：周边酒店更多
            mapDataReport('poi_details_nearHotelmore', {
                'uid': id
            })
            dianxinToPage("酒店", "", poiData, "discover");
        });
    }
}

// 锚点跳转相关变量
var navScrollTimer;
var navBarDefaultHeight = 0.46 * abc * 200; // 压缩前的导航栏高度
// var navs = document.querySelectorAll('.commonAnchor:not(.hiding)');
var scrollTop1 = 0;
var scrollTop2 = 0;
var timer = null;
// 点击titleBar: delay = true
// 手动滑动：delay = false
var delay = false;

function changeTitleBar() {
    // 回顶部按钮超过2屏高度时显示
    var sTop = document.documentElement.scrollTop || document.body.scrollTop || window.pageYOffset; // 兼容性
    var scHeight = window.screen.height;
    var navTxts = document.querySelectorAll('.navTxt:not(.hiding)');
    var navBar = document.getElementById("commonNav");
    var navs = document.querySelectorAll('.commonAnchor:not(.hiding)');
    var moveLines = document.querySelectorAll('.navTxt:not(.hiding) .moveLine');
    var navTitles = document.querySelectorAll('.navTxt:not(.hiding) .txtItem');
    var minusHeight = 0.195 * 200 * abc;
    if (sTop >= scHeight * 2) {
        byId("backTop").classList.remove('hiding');
    } else {
        byId("backTop").classList.add('hiding');
    }
    // if (navTxts && navTxts.length < 3) {
    //     byId("commonNav").style.display = 'none';
    // }
    function hiddenLines() {
        for (var i = 0; i < moveLines.length; i++) {
            moveLines[i].style.display = 'none';
        }
    }
    // 导航栏底部蓝线滚动逻辑
    if (navTxts.length == 5) {
        if (navs[0] && (sTop >= navs[0].offsetTop - navBar.offsetHeight && sTop < navs[1].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[0].offsetLeft + 'px';
            hiddenLines();
            moveLines[0] && (moveLines[0].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[0]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[0].innerHTML
                })
            }
        } else if (navs[1] &&  (sTop >= navs[1].offsetTop - navBar.offsetHeight && sTop < navs[2].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[1].offsetLeft + 'px';
            hiddenLines();
            moveLines[1] && (moveLines[1].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[1]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[1].innerHTML
                })
            }
        } else if (navs[2] && (sTop >= navs[2].offsetTop - navBar.offsetHeight && sTop < navs[3].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[2].offsetLeft + 'px';
            hiddenLines();
            moveLines[2] && (moveLines[2].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[2]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[2].innerHTML
                })
            }
        } else if (navs[3] && (sTop >= navs[3].offsetTop - navBar.offsetHeight && sTop < navs[4].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[3].offsetLeft + 'px';
            hiddenLines();
            moveLines[3] && (moveLines[3].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[3]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[3].innerHTML
                })
            }
        } else if (navs[4] && (sTop >= navs[4].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[4].offsetLeft + 'px';
            hiddenLines();
            moveLines[4] && (moveLines[4].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[4]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[4].innerHTML
                })
            }
        }
    }
    if (navTxts.length == 4) {
        if (navs[0] && (sTop >= navs[0].offsetTop - navBar.offsetHeight && sTop < navs[1].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[0].offsetLeft + 'px';
            hiddenLines();
            moveLines[0] && (moveLines[0].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[0]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[0].innerHTML
                })
            }
        } else if (navs[1] &&  (sTop >= navs[1].offsetTop - navBar.offsetHeight && sTop < navs[2].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[1].offsetLeft + 'px';
            hiddenLines();
            moveLines[1] && (moveLines[1].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[1]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[1].innerHTML
                })
            }
        } else if (navs[2] && (sTop >= navs[2].offsetTop - navBar.offsetHeight && sTop < navs[3].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[2].offsetLeft + 'px';
            hiddenLines();
            moveLines[2] && (moveLines[2].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[2]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[2].innerHTML
                })
            }
        } else if (navs[3] && (sTop >= navs[3].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[3].offsetLeft + 'px';
            hiddenLines();
            moveLines[3] && (moveLines[3].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[3]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[3].innerHTML
                })
            }
        }
    }
    if (navTxts.length == 3) {
        if (navs[0] && (sTop >= navs[0].offsetTop - navBar.offsetHeight && sTop < navs[1].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[0].offsetLeft + 'px';
            hiddenLines();
            moveLines[0] && (moveLines[0].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[0]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[0].innerHTML
                })
            }
        } else if (navs[1] &&  (sTop >= navs[1].offsetTop - navBar.offsetHeight && sTop < navs[2].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[1].offsetLeft + 'px';
            hiddenLines();
            moveLines[1] && (moveLines[1].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[1]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[1].innerHTML
                })
            }
        } else if (navs[2] && (sTop >= navs[2].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[2].offsetLeft + 'px';
            hiddenLines();
            moveLines[2] && (moveLines[2].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[2]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[2].innerHTML
                })
            }
        }
    }

    if (navTxts.length == 2) {
        if (navs[0] && (sTop >= navs[0].offsetTop - navBar.offsetHeight && sTop < navs[1].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[0].offsetLeft + 'px';
            hiddenLines();
            moveLines[0] && (moveLines[0].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[0]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[0].innerHTML
                })
            }
        } else if (navs[1] && (sTop >= navs[1].offsetTop - navBar.offsetHeight)) {
            // byId('slides').style.left = navTxts[1].offsetLeft + 'px';
            hiddenLines();
            moveLines[1] && (moveLines[1].style.display = 'block');
            // 埋点：上报五大类
            if (navTitles[1]) {
                mapDataReport('poi_details_showcard', {
                    'uid': id,
                    "cardtitle": navTitles[1].innerHTML
                })
            }
        }
    }
    
    /**
     * 导航条icon滚动到页面顶部的瞬间，变为吸顶模式
     * 此时滚动的距离大于导航卡片的offsetTop加上icon的高度加上icon与文字的间隔(0.195rem)
     */
    if (sTop >= navBar.offsetTop + minusHeight) {
        // 导航卡片吸顶成为导航条时样式
        byClass("commonNav").classList.add("commonNav-fixed");
        //导航条下划线初始位置
        // if (!byId("slides").style.left) {
        //     byId("slides").style.left = document.querySelector('.navTxt').offsetLeft + "px";
        // }
        // 出现导航栏的一瞬间要补上padding，否则页面会向上位移一定高度，影响体验
        byClass('poiMain').style.paddingTop = navBarDefaultHeight + "px";
    } else {
        byClass("commonNav").classList.remove("commonNav-fixed");
        byClass('poiMain').style.paddingTop = 0;
        hiddenLines();
    }
}

function isScrollEnd() {
    function isScrollEnd() {
        scrollTop2 = document.documentElement.scrollTop || document.body.scrollTop || window.pageYOffset;
        if(scrollTop2 == scrollTop1) {
            console.log('滚动结束了');
            changeTitleBar();
        }
    }
}

// 锚点跳转逻辑
function navScroll () {
    var navBoxChild = document.querySelectorAll('.navTxt');
    var textChild = document.querySelectorAll('.commonAnchor');
    var averSpeed = 30;
    for (var i = 0; i < navBoxChild.length; i++) {
        (function(index) {
            // 点击导航按钮
            touchClick(navBoxChild[index], function (e) {
                console.log('dian ji');
                if (byClass("commonNav").classList.contains("commonNav-fixed")) {
                    // 埋点： 吸顶
                    mapDataReport('poi_details_top_navbar', {
                        'uid': id,
                        "barname": navBoxChild[index].querySelector('.txtItem').innerHTML
                    })
                } else {
                    // 埋点： 未吸顶
                    mapDataReport('poi_details_fs_navbar', {
                        'uid': id,
                        "barname": navBoxChild[index].querySelector('.txtItem').innerHTML 
                    })
                }
                if (e.currentTarget.querySelector('.moveLine')) {
                    var moveLines = document.querySelectorAll('.navTxt .moveLine');
                    for (var i = 0; i < moveLines.length; i++) {
                        moveLines[i].style.display = 'none';
                    }
                    e.currentTarget.querySelector('.moveLine').style.display = 'block';
                }
                if (delay) {
                    // 正在因为点击titleBar滑动，禁止点击
                    return;
                }
                delay = true;
                var navBarHeight = document.getElementById("commonNav").offsetHeight;
                clearInterval(navScrollTimer);
                navScrollTimer = setInterval(function () {
                    if (getScrollTop() + navBarHeight <= textChild[index].offsetTop) {
                        // 往上滚
                        setScrollTop(getScrollTop() + averSpeed);
                        if (getScrollTop() + navBarHeight >= textChild[index].offsetTop) {
                            var minusHeight = 0;
                            if (byId('commonNav').className.indexOf('commonNav-fixed') < 0) {
                                minusHeight = abc * 200 * 0.265; // 0.265是宽版导航栏与压缩版导航栏的rem差值
                            }
                            setScrollTop(textChild[index].offsetTop - document.getElementById("commonNav").offsetHeight + minusHeight);
                            clearInterval(navScrollTimer);
                            delay = false;
                        }
                    } else {
                        // 往下滚
                        setScrollTop(getScrollTop() - averSpeed);
                        if (getScrollTop() + navBarHeight <= textChild[index].offsetTop) {
                            setScrollTop(textChild[index].offsetTop - document.getElementById("commonNav").offsetHeight);
                            clearInterval(navScrollTimer);
                            delay = false;
                        }
                    }
                    // console.log(getScrollTop(), navBarHeight, textChild[index].offsetTop)
                }, 10);
                // 调用客户端接口
                console.log('ddddd');
                mqq.invoke("poi", "hideTopImage", {}, function() {
                    console.log('dddddddddddddd');  
                })
            },{isElement:true});
        })(i)
    }
}

// 页面滚动事件
var firstScroll = true;
function handleScroll (event) {
    if (firstScroll) {
        // 埋点： 展现
        firstScroll = false;
        mapDataReport('poi_details_behavior', {
            'uid': id
        })
    }
    if (delay) {
        clearTimeout(timer);
        timer = setTimeout(isScrollEnd, 120);
        scrollTop1 = document.documentElement.scrollTop || document.body.scrollTop || window.pageYOffset;
    } else {
        changeTitleBar();
    }
}

// 页面加载结束
window.onload = (function () {
    // 埋点： 展现
    if (poiData) {
        mapDataReport('poi_details_show', {
            'uid': id,
            "request_id": poiData.requestId || '',
            "SCity": poiData.city || '',
            "pname": poiData.name || ''
        })
    }
    if (!window.navigator.onLine) {
        document.querySelector('.poiMain').classList.add('noNetWorkContainer');
        document.querySelector('#reportErrorEntrance').style.display = 'none';
        document.querySelector('.noNetWork').style.display = 'block';
        touchClick('#noNetWorkBtn', function(e) {
            document.querySelector('.noNetWorkInfo').style.display = 'none';
            document.querySelector('.noNetWorkLoading').style.display = 'block';
            window.location.reload();
        })
        return;
    }
    // var vConsole = new VConsole();
    document.querySelector('#commonCheck').style.display = 'block';
    // ios存在scroll触发率低的问题，同时引入touchmove提高触发频率
    window.addEventListener('touchmove', handleScroll);
    window.addEventListener('scroll', handleScroll);

    // 锚点滚动
    navScroll();

    // 触发回顶部事件
    touchClick("#backTop", function () {
        var timer = setInterval(function () {
            setScrollTop(getScrollTop() - 50);
            if (getScrollTop() <= 0) {
                setScrollTop(0);
                clearInterval(timer);
            }
        }, 10);
    });

    // 小区概况详情页
    var buildUrl = "";
    var infoPageChange = function () {
        statistics(platform, 'cli', 'fangtianxiaData');
        mapDataReport("poi_bld_introMore",{"uid":id});
        if (platform != "android") {
            buildUrl = "buildinfo.html";
        } else {
            buildUrl = window.location.href;
            var lastIndex = buildUrl.lastIndexOf("/");
            buildUrl = buildUrl.substr(0, lastIndex) + "/buildinfo.html";
        }
        var buildUrldetail = buildUrl + "?imei=" + imei + '&uid=' + id + '&title=' + name;
        nativeLocalWebView(buildUrldetail);
    };
    touchClick(".house-arrow", infoPageChange);
    touchClick("#commend", infoPageChange);
    var houseInfoTxt=[];
    for(var k=0;k<document.getElementsByClassName("house-info").length;k++){
        (function(index) {
            console.log(index)
            var item = document.getElementsByClassName("house-info")[index];
            console.log(item)
            mapDataReport("poi_bld_introCross",{"uid":id});
            touchClick(item, function(){
                var houseText=document.getElementsByClassName("select-list")[index].innerText;
                houseInfoTxt.push(houseText);
                mapDataReport("poi_bld_introClick",{"uid":id,"sname":houseInfoTxt[index]});
            },{isElement:true});
        })(k)
    }

    //周边
    touchClick("#around", function () {
        nativeOpenAround();
        statistics(platform, 'bld', 'near');
    });
    // 周边酒店--箭头
    touchClick("#aroundHotel", function () {
        dianxinToPage("酒店", "", poiData, "detail");
        mapDataReport("poi_details_nearHotel",{"uid":id})
    });
    //街景
    touchClick("#streetView", function () {
        nativeOpenVista(platform);
        statistics(platform, 'bld', 'streetscape');
    });
    touchClick("#aroundPark", function () {
        // alert("周边停车场");
        dianxinToPage("停车场", "", poiData, "detail");
        statistics(platform, 'bld', 'clkParking');
        mapDataReport("poi_details_nearParkingmore",{"uid":id})
    });
    //纠错
    touchClick("#reportError", function () {
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
        mapDataReport("poi_details_bottom_errorEorr",{"uid":id})
    });
    touchClick("#reportErrorEntrance", function () {
        mapDataReport('poi_details_bottom_errorEorr', {
            'uid': id
        })
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    });
    touchClick("#failer", function() {
        window.location.reload();
    });
    touchClick("#failer1", function() {
        window.location.reload();
    });

    //获取是否是测试环境
    nativeIsTest(function (data) {
        /// alert("isTest="+data)
        isTest = data;
    });
    //获取是否零流量,进行后台请求
    nativeIsOffline(function (data) {
        //有网络、高信度后台请求
        //alert("网络状态="+data)
        if (data == 0) {
            getNetworkData();
            getHouseNetworkData();
            getHouseAroundData("超市");
            getHouseAroundData("酒店");
            getHouseAroundData("停车场");
            getHouseAroundData("美食");
            // getHouseAroundData("景点");
        }
    });
    //测试开
    // getNetworkData();
    // getHouseNetworkData();
    // getHouseAroundData("超市");
    // getHouseAroundData("酒店");
    // getHouseAroundData("停车场");
    // getHouseAroundData("美食");
    //点击【评论头部】以及【查看更多评论】，进入评论详情
    function clickComment() {
        mapDataReport("poi_details_commentAll",{"uid":id})
        nativeOpenComment(platform, id);
    }
    touchClick("#mentTitleMore", function(){
        clickComment();
    });
    touchClick("#commentTitle", clickComment);

    touchClick("#commentContentTwo", function () {
        nativeOpenComment(platform, id);
        // statistics(platform, 'communityPoi', 'communityCommentAll');
        mapDataReport("poi_details_comment",{"uid":id})
    });
    touchClick("#commentContentOne", function () {
        nativeOpenComment(platform, id);
        // statistics(platform, 'communityPoi', 'communityCommentAll');
        mapDataReport("poi_details_comment",{"uid":id})
    });
    // 禁止鼠标右键、长按选择等事件
    document.oncontextmenu = new Function("event.returnValue=false");
    document.onselectstart = new Function("event.returnValue=false");
    document.documentElement.style.webkitTouchCallout = 'none';
    /**
     * 统计代码
     */
    var _mtac = {
        "performanceMonitor": 1
    };
    (function () {
        var mta = document.createElement("script");
        mta.src = "https://pingjs.qq.com/h5/stats.js?v2.0.4";
        mta.setAttribute("name", "MTAH5");
        mta.onload = function () {
            statistics(platform, 'bld', 'show');
            statistics(platform, 'allPoi', 'show');
        };
        mta.setAttribute("sid", "500093594");
        mta.setAttribute("cid", "500108829");
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(mta, s);
    })();
})();