
//页面需要的客户端传过来的参数及其他自定义参数
var id = "", //poi:id
    type = "", //从客户端获取的参数判断入口
    platform = "", //平台
    name = "", //美食酒店名称
    star = "", //分数
    category = "", //美食系别，酒店星级
    price = "",
    address = "", //显示地址栏
    distance = "", //显示地址栏的距离数
    distanceType = "",
    tel = "", //显示电话栏
    openTime = "", //显示营业时间
    businessInfo = {}, //显示营业时间(时间段详细版)
    hasStreetview = "", //街景
    operatePlaceColor = "",
    operatePlaceDes = "",
    imei = "",
    appVersion = "",
    isTest = "",
    requestUrl = "",
    showOrHide_dian = true,
    paraObj = {},
    paraString,
    latitude = "",
    longitude = "",
    heat_info = "",
    classes = "",
    routeMode = "",
    hideStatus = false,
    isOfflineData = "",
    isMyLocation = "",
    menus = [],
    isFavorite = '',
    uid="",
    isFuzzySearch="",
    city='',
    poiData = {},
    dataSource="";

var u = navigator.userAgent;
var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
    

//更新收藏
// function updateData() {
// }

mqq.addEventListener("updateData", updateDataCallback);
function updateDataCallback(obj) {
    // alert(JSON.stringify(obj));
    // alert("type="+obj.type);
    obj.type = "updateFavorite";
    isFavorite = obj.param.isFavorite;
    id = obj.param.id;
    if (isFavorite == 1) {
        hideStatus = true;
        byClass("collectBtn").style.backgroundPosition = "-0.1rem 0";
        byClass("collectTxt").innerText="已收藏";
    }else{
        hideStatus = false;
        byClass("collectBtn").style.backgroundPosition = "0 0";
        byClass("collectTxt").innerText="收藏";
    }
}
var param = window.sessionStorage.getItem('param');
    paraObj = JSON.parse(param);
   // alert(param)
   var poi = window.sessionStorage.getItem('poi');
   poiData = JSON.parse(poi);
/**
 * 解析URL参数逻辑
 */
var aa;
function getUrlParam() {
    // aa = new Date().getTime()
    var url = location.href;
    paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
    if (paraString.length > 0) {
        var i, j;
        for (i = 0; j = paraString[i]; i++) {
            paraObj[j.substring(0, j.indexOf("="))] = encodeHTML(j.substring(j.indexOf("=") + 1, j.length));
        }
        if (paraObj.param) {
            // 安卓端参数从param字段中获取
            var decodeParam = decodeURIComponent(paraObj.param);
            loadedPage(JSON.parse(decodeParam));
        } else {
            // ios端参数从其他字段获取
            loadedPage(paraObj);
        }
    }
}
/**
 * 将客户端传来的数据存入全局变量
 */
loadedPage(paraObj);
function loadedPage(paraObj) {
    // console.log(paraObj)
    if (paraObj) {
        if (paraObj.uid) {
            id = paraObj.uid;
        }
        if (paraObj.type) {
            type = paraObj.type;
        }
        if (paraObj.device) {
            platform = paraObj.device;
        }
        if (paraObj.name) {
            name = decodeURIComponent(paraObj.name);
        }
        if (paraObj.star) {
            star = paraObj.star;
        }
        if (paraObj.category) {
            category = decodeURIComponent(paraObj.category);
        }
        if (paraObj.price) {
            price = paraObj.price;
        }
        if (paraObj.address) {
            address = decodeURIComponent(paraObj.address);
        }
        if (paraObj.distance) {
            distance = decodeURIComponent(paraObj.distance);
        }
        if (paraObj.distanceType != undefined) {
            distanceType = decodeURIComponent(paraObj.distanceType);
        }
        if (paraObj.tel) {
            tel = decodeURIComponent(paraObj.tel);
        }
        if (paraObj.openTime) {
            openTime = decodeURIComponent(paraObj.openTime);
        }
        if (paraObj.businessInfo) {
            businessInfo = paraObj.businessInfo;
        }
        if (paraObj.hasStreetView) {
            hasStreetview = paraObj.hasStreetView;
        }
        if (paraObj.strNPLColor ) {
            operatePlaceColor = decodeURIComponent(paraObj.strNPLColor);
        }
        if ( paraObj.strPOIErrInfo) {
            operatePlaceDes = decodeURIComponent(paraObj.strPOIErrInfo);
        }
        if (paraObj.latitude) {
            latitude = paraObj.latitude.toString();

        }
        if (paraObj.longitude) {
            longitude = paraObj.longitude.toString();
        }
        if (paraObj.imei) {
            imei = paraObj.imei;
        }
        if (paraObj.appVersion) {
            appVersion = paraObj.appVersion;
        }
        if (paraObj && paraObj.heat_info) {
            heat_info = paraObj.heat_info;
        }
        if (paraObj && paraObj.classes) {
            classes = paraObj.classes;
        }
        if (paraObj && paraObj.isOfflineData) {
            isOfflineData = paraObj.isOfflineData;
        }
        if (paraObj && paraObj.isMyLocation) {
            isMyLocation = paraObj.isMyLocation;
        }
        if (paraObj.uid) {
            uid = paraObj.uid;
        }
        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.city) {
            city = paraObj.city;
        }
        if(paraObj.dataSource){
            dataSource = paraObj.dataSource;
        }
    }
    //alert(isMyLocation)
    loadNativeData();
}

//getUrlParam();
/**
 * 渲染客户端基础数据
 */
function loadNativeData() {

    if (operatePlaceDes) {
        //显示提示语
        byClass("credibility").innerText = operatePlaceDes;
        byClass("credibility").style.display = "block";
        byClass("starLevel").style.display = "none";
        byClass("desc").style.display = "none";
        //与提示语颜色保持一致
        if (operatePlaceColor) {
            if (operatePlaceColor.length > 7) {
                var tempColor = operatePlaceColor.substring(operatePlaceColor.length - 6);
                byClass("credibility").style.color = "#" + tempColor;
            } else {
                byClass("credibility").style.color = operatePlaceColor;
            }

            // byClass("credibility").style.color = operatePlaceColor;
        }
    }
    if (name) {
        byClass("poiName").innerText = name;
    }
    if (address) {
        byClass("address").style.display = "block";
        byClass("addressName").innerText = address;
        /*if (distance > 0) {
            byClass("addressDis").style.display = "inline-block";
            byClass("addressDis").innerText = distance2Sring(distance);
        }*/
    }
    if(isMyLocation == '1'){
        byClass("nav").style.display = "block";
        byClass("navText").innerText = "从这走";
    }
    if (distance) {
        if (distance > 0) {
            byClass("address").style.display = "block";
            byClass("addressDis").style.display = "inline-block";
            // if(platform == 'android'){
                // byClass("addressDis").innerText = distance2Sring(distance);
                if (distanceType == '0') {
                    byClass("addressDis").innerText = distance2Sring(distance) + '   ';
                } else if (distanceType == '1') {
                    byClass("addressDis").innerText = '距你' + distance2Sring(distance) + '   ';
                } else {
                    byClass("addressDis").innerText = '距查询位置' + distance2Sring(distance) + '   ';
                }
            // }
            // else{
            //     byClass("addressDis").innerText = distance2String(distance);
            // }
        }
    }
    if (isTrue(hasStreetview)) {
        byId("streetView").classList.remove('hiding');
    }
    if(!isOfflineData){
        //纠错
        if(dataSource=="none"||dataSource=="accurate"||dataSource=="anno"||dataSource=="nearby"||dataSource=="fuzzy"||dataSource==""){
            byId("reportError").style.display="inline-block";
            byId("reportErrorEntrance").style.display="block";
        }
    }else{
        byId("reportErrorEntrance").style.display="none";
    }
    if (!operatePlaceDes) {
        //旧版-打电话
        if (tel) {
            var arr = douhao_dou(tel).split("，");
            var phoneString = "";
            var aLength = arr.length;
            if (aLength) {
                if (aLength == 1) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "</span>"
                } else if (aLength >= 2) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "，</span>";
                    phoneString += "<span class='phone2'>" + arr[1].trim() + "</span>";
                }
                byClass("phones").innerHTML = phoneString;
                byClass("phones").style.display = "block";
            }
            if (aLength > 0) {
                byClass("phone1").addEventListener("click", function () {
                    //alert("打电话");
                    // console.log(byClass("phone1").innerText)
                    nativeDial(platform, byClass("phone1").innerText);
                    statistics(platform, 'foodPoi', 'tel');
                }, false);
                clipCopy(byClass("phone1"));
            }
            if (aLength > 1) {
                byClass("phone2").addEventListener("click", function () {
                    // alert("打电话");
                    // console.log(byClass("phone2").innerText)
                    nativeDial(platform, byClass("phone2").innerText)
                    statistics(platform, 'foodPoi', 'tel');
                }, false);
                clipCopy(byClass("phone2"));
            }
        }
        if (star && star>0 ) {
            byClass("starLevel").style.display = "inline-block";
            star = computerStar(star);
            var num1 = parseInt(star);
            var num2 = parseFloat(star);
            if (num1 <= 5 && num2 <= 5) {
                for (var i = 0; i < num1; i++) {      
                    document.getElementsByClassName("full")[i].src = "img/ic_start.png";
                }
                if (num2 - num1 >= 0.5) {
                    document.getElementsByClassName("full")[num1].src = "img/ic_halfstart.png?" + Math.random();
                }                
            }
        }
        if (category) {
            byClass('category').innerText = category;
        } else {
            //无菜系显示类别
            if (classes) {
                byClass('category').innerText = classes;
            }
        }
        if (price && price != "0") {
            var average = byClass('averagePrice');
            average.innerText = "人均" + parseInt(price) + "元";
            average.style.display = "inline-block";
        }
        //打电话
        if (tel) {
            var arr = douhao_dou(tel).replace(new RegExp('，', 'g'), ';');
            var phoneString = "";
            var aLength = arr.length;
            if (aLength > 0) {
                byId("phone").classList.remove('hiding');
                byId("phone").addEventListener("click", function () {
                    //alert("打电话");
                    nativeDial(platform, arr);
                    statistics(platform, 'foodPoi', 'tel');
                }, false);
            }
        }
        
        //兼容旧版本营业时间
        if (openTime&&(!businessInfo.openTimeDetail||!businessInfo.openTimeDetail[0])) {
            byClass("timeText").innerText = hen(quanjiao(openTime));
            byClass("timeText").style.display = "block";
            byClass("businessTime").style.display = "block";
        }
        
        //新版本营业时间处理逻辑
        if (businessInfo&&businessInfo.openTimeDetail) {
            if( Array.isArray(businessInfo.openTimeDetail) && businessInfo.openTimeDetail[0] ){
                var renderStr = "";
                for( var i = 0 ; i < businessInfo.openTimeDetail.length ; i++ ){
                    //根据空格切分营业时间字符串中的汉字和数字部分
                    var item = businessInfo.openTimeDetail[i].trim(),
                        spaceIndex = item.indexOf(" "),
                        title = "", 
                        period = "";
                    if( spaceIndex < 0 ){//只有时间，没有汉字
                        period = item;
                        renderStr += "<div class='timeText'><span class='timeTitle'>"+title+"</span><div class='timePeriod' style='padding-left:0'>"+period+"</div></div>";
                    }else{//有汉字和时间
                        title = item.substring(0,spaceIndex);
                        period = item.substring(spaceIndex);
                        renderStr += "<div class='timeText'><span class='timeTitle'>"+title+"</span><div class='timePeriod'>"+period+"</div></div>";
                    }   
                }
                byClass("timeInfo").innerHTML = renderStr;
                byClass("businessTime").style.display = "block";
            }
        }
        //访问人数
        if (heat_info) {
            var reviewCount = byClass('visitor');
            reviewCount.innerText = heat_info + "人访问";
            reviewCount.style.display = "inline-block";
        }
        /**
        * poi标签
        * 算法：标签栏总宽度在设计稿固定，所以计算累加起来的tag中字宽、tag内字和边界间隙、tag间间隙这三者的宽度和，
        * 如果没超过总宽度则继续累加，否则终止累加开始渲染。具体参数用变量统一设置，避免魔术字符串耦合。
        */
        if ( (paraObj.categoryTag && paraObj.categoryTag[0]) || (paraObj.reviewTag && paraObj.reviewTag[0]) ) {
            var poiTagStr = '';
            var extremeWidth = 265;//设计稿极限宽度
            var tagsWidth = 0;//已累加的标签总宽度
            var wordWidth = 12;//单个文字宽度
            var tagSpace = 5;//胶囊间隙宽度
            if (paraObj.categoryTag && paraObj.categoryTag[0]) {
                if (paraObj.categoryTag[0].tag_name != '') {
                    var categoryWordNum = paraObj.categoryTag[0].tag_name.length;
                    poiTagStr += '<span class="category">';
                    if(paraObj.categoryTag[0].tagColor != ''){
                        poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.categoryTag[0].tagColor+'">' + paraObj.categoryTag[0].tag_name + '</div>';
                    }else{
                        poiTagStr += '<div class="categoryTxt" style="color:#CCCCCC">' + paraObj.categoryTag[0].tag_name + '</div>';
                    }
                    
                    if(paraObj.categoryTag[0].tagBorderColor != ''){
                        poiTagStr += '<div class="category-border" style="border-color:'+paraObj.categoryTag[0].tagBorderColor+'"></div>';
                    }else{
                        poiTagStr += '<div class="category-border" style="border-color:#CCCCCC"></div>';
                    }
                    poiTagStr += '</span>';
                    tagsWidth += (categoryWordNum * wordWidth + tagSpace * 3);
                }
                
            }
            //子标签
            if (paraObj.reviewTag && paraObj.reviewTag[0]) {
                for (var m = 0; m < paraObj.reviewTag.length; m++) {
                    if (paraObj.reviewTag[m].tag_name != '') {
                        var reviewWordNum = paraObj.reviewTag[m].tag_name.length;
                        if (tagsWidth < extremeWidth) {
                            poiTagStr += '<span class="review">';
                            if(paraObj.reviewTag[m].tagColor != ''){
                                poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.reviewTag[m].tagColor+'">' + paraObj.reviewTag[m].tag_name + '</div>';
                            }else{
                                poiTagStr += '<div class="categoryTxt" style="border-color:#CCCCCC">' + paraObj.reviewTag[m].tag_name + '</div>';
                            }
                           
                            if(paraObj.reviewTag[m].tagBorderColor != ''){
                                poiTagStr += '<div class="review-border" style="border-color:'+paraObj.reviewTag[m].tagBorderColor+'"></div>';
                            }else{
                                poiTagStr += '<div class="review-border" style="border-color:#CCCCCC"></div>';
                            }
                            poiTagStr += '</span>';
                            tagsWidth += (reviewWordNum * wordWidth + tagSpace * 3);
                        }
                    }
                   
                }
            }
            byClass('tags').innerHTML = poiTagStr;
            byClass('tags').classList.remove('hiding');
        }
    }
}
//isTest=true;
/**
 * 网络接口请求
 */
function getNetworkData() {
    //byClass("reportText").innerText=aa + "......" + new Date().getTime()
    if (isTest == "1") {
        requestUrl = "https://maptest.sparta.html5.qq.com/mobilemap?mmtype=rich&source=detail&type=json&ids=" + id + "&from=mobile2&hotel=1&cb=jsonpCallBack&imei=" + imei + "&device=" + platform + "&app_ver=" + appVersion + "&inter_ver=1.0";
        // alert(requestUrl)
    } else {
        requestUrl = "https://syn0.map.qq.com/mobilemap?mmtype=rich&source=detail&type=json&ids=" + id + "&from=mobile2&hotel=1&cb=jsonpCallBack&imei=" + imei + "&device=" + platform + "&app_ver=" + appVersion + "&inter_ver=1.0";
    }
    /****************************2016.06.06新增poi：id为空判断********************************/
    if (id != "") {
        //alert("接口请求"+ requestUrl)
        json.getData(requestUrl, renderData);
    }
}

/**
 * 网络接口请求渲染数据的回调函数
 */
function renderData(data) {
    //  data_data = data;
    //("接口请求成功")
    
    for (var a in data) {
        if (a == "subdetail") {
            /***************************推荐菜展示********************************/
            if (data.subdetail.recommend_menu_new && data.subdetail.recommend_menu_new.length > 0) {
                str = "";
                byId("recommendDishes").style.display = "block";
                menus = data.subdetail.recommend_menu_new;
                // 推荐菜道数
                byClass("dishNumbers").innerText = menus.length + "道";
                var defaultImg = 0;
                for (var com = 0; com < menus.length; com++) {
                    if (com < 3) {
                        str += " <li class='dish radius-border'>";
                        if (menus[com].pic_url != "") {
                            str += "<img class='dishPic' src=" + formatImg(menus[com].pic_url) + " id=" + com + ">";
                        } else {
                            str += "<img class='dishPic defaultImg'  src='img/defaultImg.png' id=" + com + ">";
                            defaultImg++;
                        }
                        if (menus[com].name != "") {
                            str += "<p class='dishName'>" + menus[com].name + "</p>"
                        }
                        if (menus[com].good_num != "") {
                            str += "<p class='dishNum number'><span>" + menus[com].good_num + "</span></p>"
                        }
                        str += "</li>"
                    }
                    if (menus[com].pic_url != "") {
                      //  alert(menus[com].pic_url)
                        menus[com].pic_url=delImgFormat(menus[com].pic_url)
                        //alert(menus[com].pic_url)
                    }
                }
                var menuString = "";
                byClass("dishLists").innerHTML = str;
                //判断
                if (document.getElementsByClassName("dish").length == defaultImg) {
                    byClass("dishLists").style.display = "none";
                    for (var menu1 = 0; menu1 < menus.length; menu1++) {
                        menuString += "<span class='commonMargin1'>" + menus[menu1].name + "</span>";
                    }
                } else {
                    for (var menu = 0; menu < menus.length; menu++) {
                        if (menu > 2) {
                            menuString += "<span class='commonMargin1'>" + menus[menu].name + "</span>";
                        }
                    }
                    byClass("dishNumbers").style.display = "inline-block";
                    /* 点击推荐菜数目，进入推荐菜列表页*/
                    byId("recommendHead").addEventListener("click", function () {
                        // alert("推荐菜列表");
                        // console.log(menu_new);
                        nativeDishList(menus);
                        statistics(platform, 'foodPoi', 'foodNum')
                    }, false);
                }
                byClass("recommendMenu").innerHTML = menuString;
                byClass("recommendMenu").style.display = "-webkit-box";
                /*点击推荐菜图片，进入推荐菜大图*/
                for (var dish = 0; dish < document.getElementsByClassName("dish").length; dish++) {
                    document.getElementsByClassName("dishPic")[dish].addEventListener("click", function () {
                        //alert("推荐菜大图");
                        //alert("index="+this.id);
                        nativeDishBigPic(menus, this.id);
                        statistics(platform, 'foodPoi', 'foodImg');
                    })
                }
            }
            /***************************团购展示********************************/
            if (data.subdetail.group_buy) {
                var str = "";
                var group = data.subdetail.group_buy;
                //销量递减排序
                group.sort(function (o, p) {
                    return p.purchase_count - o.purchase_count
                });
                for (var i = 0; i < group.length; i++) {
                    /******2016年8月3日新增团购分享url参数过滤*********/
                    var wap_url = group[i].wap_url;
                    var pattern = new RegExp("[=?？]");
                    if (pattern.test(wap_url)) {
                        wap_url = wap_url + "&";
                    } else {
                        wap_url = wap_url + "?";
                    }
                    /*************2016年8月23日 确定拼接的type值，type=0的时候客户端会取？前面的地址，type=1的时候客户端会默认打开整个地址***********/
                    /*按销量显示最高的一条*/
                    if (i <= 2) {
                        if(i == 2){
                            str += "<li class='discount ' style='display: block; border:none' id=" + group[i].wap_url + ">"
                        }else{
                            str += "<li class='discount ' style='display: block' id=" + group[i].wap_url + ">"
                        }
                        
                    } else {
                        str += "<li class='discount groupBuyDes' style='display: none' id=" + group[i].wap_url + ">"
                    }
                    str += " <div class='discountName'>" + group[i].title + "</div>";
                    str += "<p class='discountDetail'><span class='price discountPrice'>￥" + group[i].price + "元</span>";
                    str += " <span class='originalPrice commonMargin'>￥" + group[i].value + "元</span>";
                    str += "<span class='soldNumber commonMargin'>已售" + group[i].purchase_count + "</span></p>";
                    str += "<div class='border'></div></li>"
                }
                byClass("discountLists").innerHTML = str;
                byId("discounts").style.display = "block";
                if (group.length > 3) {
                    byId("discountMore").style.display = "block"
                }else{
                    byId("discountMore").style.display = "none"
                }
                //进入某条团购订单
                for (var dis = 0; dis < document.getElementsByClassName("discount").length; dis++) {
                    document.getElementsByClassName("discount")[dis].addEventListener("click", function () {
                        // console.log(this.id);
                        nativeOnlineWebView(this.id)
                        statistics(platform, 'foodPoi', 'foodBuy');
                    })
                }
            }
            /***************************评价标签展示********************************/
            if (data.subdetail.review_tag && data.subdetail.review_tag.length > 0) {
                /* 多个标签，展示多个评价标签+评价条数 */
                byId("comment").style.display = "block";
                var reviewTags = data.subdetail.review_tag;
                // console.log("评价标签数：" + data.subdetail.review_tag.length);
                var commentTagStr = "";
                for (var tag = 0; tag < reviewTags.length; tag++) {
                    if (reviewTags[tag].tag_type == "1") {
                        //好评
                        commentTagStr += "<div class='commentType goodComment'>"
                    } else {
                        // 差评
                        commentTagStr += "<div class='commentType badComment'>"
                    }
                    //评价标签
                    commentTagStr += "  <span class='commentDesc'>" + reviewTags[tag].tag_name + "</span>"
                    //评价条数
                    commentTagStr += " <span class='commentNum number'>" + reviewTags[tag].tag_num + "</span>"
                    commentTagStr += " </div>"
                }
                byClass("commentTags").innerHTML = commentTagStr;
                byClass("commentTags").style.display = "block";
                byClass("tagSplit").style.display = "block";
            }
        }
    }
    /***************************评论展示********************************/
    for (var b in data) {
        if (b == "comments_new") {
            if (data.comments_new != null) {
                if (data.comments_new.comment_info && data.comments_new.comment_info.length > 0) {
                    byId("comment").style.display = "block";
                    if(data.comments_new.comment_info.length>1){
                        byId("mentTitleMore").style.display = "block";
                    }
                    var commentInfo = data.comments_new.comment_info;
                    if (commentInfo[0]) {
                        byClass("commentLi commentOne").style.display = "block";
                        var comments = "";
                        for (var comment = 0; comment < commentInfo[0].comment_content.length; comment++) {
                            comments += commentInfo[0].comment_content[comment]
                        }
                        byClass("commentContentOne").innerText = delKong(comments);
                        byClass("reviewerOne").innerText = commentInfo[0].comment_user;
                        byClass("timeSource").style.display = "block";
                        byClass("commentTimeOne").innerText = formatTime(commentInfo[0].comment_time);

                        byId("dataSouce").innerText=data.comments_new.source_name;
                        var picUrlLists1 = [];
                        /* 评价图片*/
                        if (commentInfo[0].comment_pics.length > 0) {
                            str = "";
                            for (var j = 0; j < commentInfo[0].comment_pics.length; j++) {
                                picUrlLists1.push(delImgFormat(commentInfo[0].comment_pics[j].pic_url))
                                if (j < 4) {
                                    str += "<p class='commentImgs'>"
                                    str += " <img class='commentPic commentPic1' id=" + j + " src=" + formatImg(commentInfo[0].comment_pics[j].pic_url) + " />"
                                    str += "</p>"
                                }
                            }
                            byClass("commentPicsOne").innerHTML = str;
                            byClass("commentPicsOne").style.display = "block";
                        }
                        /* 评价等级*/
                        if (commentInfo[0].comment_score != "") {
                            /* 分数转化成星级（例如100分制，81~90为4.5星，91~100为5星） */
                            var commentStar1 = computerStar(commentInfo[0].comment_score);
                            // console.log("评价分数=" + data.comments_new.comment_info[0].comment_score);
                            // console.log("评价星级=" + commentStar1);
                            byClass("commentLevelOne").style.display = "inline-block";
                            var s1 = parseInt(commentStar1);
                            var s2 = parseFloat(commentStar1);
                            if (s1 <= 5 && s2 <= 5) {
                                for (var oneStar = 0; oneStar < s1; oneStar++) {
                                    //document.getElementsByClassName("starLevelOne full")[oneStar].style.display = "inline-block";
                                    document.getElementsByClassName("starLevelOne full")[oneStar].src = "img/ic_start.png";
                                }
                                if (s2 - s1 > 0) {
                                    document.getElementsByClassName("starLevelOne full")[s1].src = "img/ic_halfstart.png?" + Math.random();
                                    //document.getElementsByClassName("starLevelOne full")[s1].style.display = "inline-block";
                                }
                            }
                        }
                    }
                    if (commentInfo.length > 1) {
                        if (commentInfo[1]) {
                            byClass("commentTwo").style.display = "block";
                            var comments2 = "";
                            for (var comment2 = 0; comment2 < data.comments_new.comment_info[1].comment_content.length; comment2++) {
                                comments2 += data.comments_new.comment_info[1].comment_content[comment2]
                            }
                            byClass("commentContentTwo").innerText = delKong(comments2);
                            byClass("reviewerTwo").innerText = commentInfo[1].comment_user;
                            byClass("commentTimeTwo").innerText = formatTime(commentInfo[1].comment_time);
                            byClass("timeSource2").style.display = "block";
                            byId("dataSouce2").innerText=data.comments_new.source_name;
                            var picUrlLists2 = [];
                            /* 评价图片*/
                            if (commentInfo[1].comment_pics.length > 0) {
                                str = "";
                                for (var comPicsNum = 0; comPicsNum < commentInfo[1].comment_pics.length; comPicsNum++) {
                                    picUrlLists2.push(delImgFormat(commentInfo[1].comment_pics[comPicsNum].pic_url))
                                    if (comPicsNum < 4) {
                                        str += "<p class='commentImgs'>"
                                        str += " <img class='commentPic commentPic2 ' id=" + comPicsNum + " src=" + formatImg(commentInfo[1].comment_pics[comPicsNum].pic_url) + " />"
                                        str += "</p>"
                                    }
                                }
                                byClass("commentPicsTwo").innerHTML = str;
                                byClass("commentPicsTwo").style.display = "block";
                            }
                            if (commentInfo[1].comment_score != "") {
                                /* 分数转化成星级 */
                                var commentStar2 = computerStar(commentInfo[1].comment_score);
                                byClass("commentLevelOne").style.display = "inline-block";
                                var star1 = parseInt(commentStar2);
                                var star2 = parseFloat(commentStar2);
                                if (star1 <= 5 && star2 <= 5) {
                                    for (var twoStar = 0; twoStar < star1; twoStar++) {
                                        //document.getElementsByClassName("starLevelTwo full")[twoStar].style.display = "inline-block";
                                        document.getElementsByClassName("starLevelTwo full")[twoStar].src = "img/ic_start.png";
                                    }
                                    if (star2 - star1 > 0) {
                                        document.getElementsByClassName("starLevelTwo full")[star1].src = "img/ic_halfstart.png?" + Math.random();
                                        // document.getElementsByClassName("starLevelTwo full")[star1].style.display = "inline-block";
                                    }
                                }
                            }
                        }
                    }
                    if (document.getElementsByClassName("commentPic1").length > 0) {
                        //点击评论图片，进入评论大图
                        for (var pic = 0; pic < document.getElementsByClassName("commentPic1").length; pic++) {
                            document.getElementsByClassName("commentPic1")[pic].addEventListener("click", function () {
                                // alert("评论大图");
                                // console.log(picUrlLists1);
                                //console.log(this.id);
                                nativeCommentBigPic(picUrlLists1, this.id);
                            })
                        }
                    }
                    if (document.getElementsByClassName("commentPic2").length > 0) {
                        //点击评论图片，进入评论大图
                        for (var pic2 = 0; pic2 < document.getElementsByClassName("commentPic2").length; pic2++) {
                            document.getElementsByClassName("commentPic2")[pic2].addEventListener("click", function () {
                                // alert("评论大图");
                                //console.log(picUrlLists2);
                                //console.log(this.id);
                                nativeCommentBigPic(picUrlLists2, this.id);
                            })
                        }
                    }
                    /**  数据来源跳转   */
                    for (var one = 0; one < document.getElementsByClassName("fangtianxia").length; one++) {
                        document.getElementsByClassName("fangtianxia")[one].addEventListener("click",function(){
                            mqq.invoke('common', 'gotoPage', {
                                'uri': 'onlineWebViewInteract', // 要跳转的界面唯一标识
                                'param': // 跳转所需的参数，跳转到不同的界面，需要的参数不同
                                {
                                    'url': data.comments_new.comment_url,
                                    'hideBrowserTitle': '0'
                                }
                            });
                        },false)
                    }
                }
            }
        }
    }
    if( isAndroid ){
        var items = document.getElementsByClassName('commentType');
        for( var x = 0 ; x < items.length ; x++ ){
            items[x].style.lineHeight = "0.13rem";
        }
    }
    /*******************新增停车场***********************/
    //alert(JSON.parse(data))
    for(var d in data){
        if(d == "round"){
            if (data.round && data.round.park) {
                if(data.round.park.length > 0){
                    //alert(JSON.stringify(aa))
                    var arr = [];
                    document.getElementById("areaInfo").style.display="block";
                    var str = "";
                    var infoList = data.round.park;

                    if(infoList.length>3){
                        infoList.length=3
                    }
                    for(var i = 0; i<infoList.length;i++){
                        
                        if(infoList[i].park_info){
                            if(infoList[i].park_info.status == "1" && infoList[i].park_info.left){
                                infoList[i].park_info.statusColor = "#ff15BC19"
                            }else if(infoList[i].park_info.status == "1"){
                                infoList[i].park_info.statusColor = "#ffff0000"
                            }else{
                                infoList[i].park_info.statusColor = ""
                            }
                        }
                        var aa = {};
                        aa.addr = infoList[i].address;
                        aa.distance = infoList[i].distance;
                        if(infoList[i].park_info){
                            aa.parkInfo =JSON.parse(change(JSON.stringify(infoList[i].park_info)));
                        }
                        aa.name = infoList[i].name;
                        aa.cotype=1401;
                        aa.uid = infoList[i].rawid;
                        aa.point={
                            "mLatitudeE6": infoList[i].lat * 1000000,
                            "mLongitudeE6": infoList[i].lng * 1000000
                        };
                       
                        if(i>2){
                            str+="<li class='parkAreaInfo hiding' id='"+JSON.stringify(aa)+"'";
                        }else{
                            str+="<li class='parkAreaInfo' id='"+JSON.stringify(aa)+"'";
                        }
                        str+='<div class="titp">'+infoList[i].name+'</div>';
                        str+='<div class="parkDes">';
                        str+='<div>'+ '距此' + distance2Sring(infoList[i].distance)+'</div>';
                        str+='<div class="matingAddr">'+infoList[i].address+'</div>';
                        str+='</div>';
                        if(infoList[i].park_info){
                            var info = infoList[i].park_info;
                                if(info.type || info.charge_now || info.status == "1"){
                                    //alert(JSON.stringify(info.charge_now))
                                   if(info.charge_now || info.status == "1"){
                                        str +='<div class="parkTag">';
                                        if(info.type){
                                            str+='<div class="tipTags">';
                                            str+='<div class="parkTip">'+info.type+'</div>';
                                            str+='<div class="review-border"></div>';
                                            str+='</div>';
                                        }
    
                                        if(info.status == "1"){
                                            if(info.left){
                                                str+="<div class='moreSeats'>剩余车位"+info.left+"</div>"
                                            }else{
                                                str+="<div class='moreSeats' style='color:red'>车位已满</div>"
                                            }
                                        }
                                        if(info.charge_now){
                                            var charge_now=info.charge_now;
                                            str+="<div class='parkFee'>"+charge_now.type+" "+charge_now.time+" "+charge_now.fee+"</div>"
                                        }
                                        str +="</div>"
                                    }                                 
                                }
                            }
                            str +="</li>"
                    }
                    document.getElementById("areaSeatInfo").innerHTML = str;
                    
                    /*******************************点击预定进入第三方页面************************************/
                    for (var one = 0; one < document.getElementsByClassName("parkAreaInfo").length; one++) {

                        document.getElementsByClassName("parkAreaInfo")[one].addEventListener("click", function() {

                            //alert(this.id)
                            mqq.invoke('poi', 'gotoPage', {
                                'uri': 'poiPage',
                                'param': {'poi':JSON.parse(this.id)}
                            });

                        }, false)
                    }
                }
            }
        }
    }
}

window.addEventListener("load", function () {
    // FastClick.attach(document.body);
    byId("aroundPark").addEventListener("click", function() {
        // alert("周边停车场");
        dianxinToPage("停车场","",poiData,"detail");

    }, false);
   
    //周边
    byId("around").addEventListener("click", function () {
        nativeOpenAround();
        // statistics(platform, 'foodPoi', 'streetscape');
    }, false);
    
    //街景
    byId("streetView").addEventListener("click", function () {
        //alert("街景");
        nativeOpenVista(platform);
        statistics(platform, 'foodPoi', 'streetscape');
    }, false);
    //纠错
    byId("reportError").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    byId("reportErrorEntrance").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    //获取是否是测试环境
    nativeIsTest(function (data) {
         /// alert("isTest="+data)
        isTest = data;
    })
    //获取是否零流量,进行后台请求
    nativeIsOffline(function (data) {
        //有网络、高信度后台请求
         //alert("网络状态="+data)
        if (data == 0 && operatePlaceDes == "") {
            getNetworkData();
        }
    })
    //点击评论头部，进入评论详情
    byId("commentTitle").addEventListener("click", function () {
        //alert("评论详情");
        nativeOpenComment(platform, id)
        statistics(platform, 'foodPoi', 'foodCommentAll');
    }, false);
    byId("commentContentTwo").addEventListener("click", function () {
        // alert("评论详情");
        nativeOpenComment(platform, id)
        statistics(platform, 'foodPoi', 'foodComment');
    }, false);
    byId("commentContentOne").addEventListener("click", function () {
        //alert("评论详情");
        nativeOpenComment(platform, id)
        statistics(platform, 'foodPoi', 'foodComment');
    }, false);
    byId("discountMore").addEventListener("click", showMore, false);
    byId("mentTitleMore").addEventListener("click",function(){
        nativeOpenComment(platform, id)
    },false)
    /**
     * 团购点击
     */
    function showMore() {
        if (showOrHide_dian) { 
            showOrHide_dian = false;
            for (var group = 0; group < document.getElementsByClassName("groupBuyDes").length; group++) {
                //byId("discountMore").innerText = "收起";
                // document.getElementsByClassName('discount')[2].style.borderBottom = "1px solid #E5E5E5";
                document.getElementById("discountMore").style.background = "url(img/arrow_up_more.png) no-repeat center center"
                document.getElementById("discountMore").style.backgroundSize = "0.09rem 0.09rem";
                document.getElementsByClassName("discount groupBuyDes")[group].style.display = "block"
            }
        } else {
            showOrHide_dian = true;
            for (var i = 0; i < document.getElementsByClassName("groupBuyDes").length; i++) {
                document.getElementsByClassName('discount')[2].style.borderBottom = "none";
                // byId("discountMore").innerText = "展开全部";
                document.getElementById("discountMore").style.background = "url(img/arrow_down_more.png) no-repeat center center"
                document.getElementById("discountMore").style.backgroundSize = "0.09rem 0.09rem";
                document.getElementsByClassName("discount groupBuyDes")[i].style.display = "none";
                statistics(platform, 'foodPoi', 'foodBuyAll');
            }
        }
    }
    // 禁止鼠标右键、长按选择等事件
    document.oncontextmenu = new Function("event.returnValue=false");
    document.onselectstart = new Function("event.returnValue=false");
    document.documentElement.style.webkitTouchCallout = 'none';
    /**
     * 统计代码
     */
    var _mtac = {
        "performanceMonitor": 1
    };
    (function () {
        var mta = document.createElement("script");
        mta.src = "https://pingjs.qq.com/h5/stats.js?v2.0.4";
        mta.setAttribute("name", "MTAH5");
        mta.onload = function () {
            statistics(platform, 'foodPoi', 'show');
            statistics(platform, 'allPoi', 'show');
        }
        mta.setAttribute("sid", "500093594");
        mta.setAttribute("cid", "500108829");
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(mta, s);
    })();
});