//定义参数
var id = "",
    type = "",
    platform = "",
    paraObj = {},
    paraString = [],
    name = "",
    city = "",
    address = "",
    distance = "",
    distanceType = "",
    hasStreetview = "", //街景
    category = "", // 星级
    price = "",
    heat_info = "",
    operatePlaceColor = "",
    operatePlaceDes = "",
    tel = "",
    openTime = "",
    appVersion = "",
    imei = "",
    in_ma = "",
    isTest = "",
    latitude = "",
    hideStatus = false,
    longitude = "";
    isOfflineData = "",
    isMyLocation = "",
    routeMode = "",
    isFavorite = '',
    uid="",
    isFuzzySearch="",
    city1="",
    poiData = {},
    dataSource="";
    isInside = "";

//更新收藏
mqq.addEventListener("updateData", updateDataCallback);
function updateDataCallback(obj) {
    obj.type = "updateFavorite";
    isFavorite = obj.param.isFavorite;
    id = obj.param.id;
    if (isFavorite == 1) {
        hideStatus = true;
        byClass("collectBtn").style.backgroundPosition = "-0.1rem 0";
        byClass("collectTxt").innerText="已收藏";
    } else {
        hideStatus = false;
        byClass("collectBtn").style.backgroundPosition = "0 0";
        byClass("collectTxt").innerText="收藏";
    }
}

var param = window.sessionStorage.getItem('param');
    paraObj = JSON.parse(param);
    var poi = window.sessionStorage.getItem('poi');
    poiData = JSON.parse(poi);
/**
 * 解析URL参数逻辑
 */
function getUrlParam() {
    var url = location.href;
    paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
    if (paraString.length > 0) {
        var i, j;
        for (i = 0; j = paraString[i]; i++) {
            paraObj[j.substring(0, j.indexOf("="))] = encodeHTML(j.substring(j.indexOf("=") + 1, j.length));
        }
        if (paraObj.param) {
            // 安卓端参数从param字段中获取
            var decodeParam = decodeURIComponent(paraObj.param);
            loadedPage(JSON.parse(decodeParam));
        } else {
            // ios端参数从其他字段获取
            loadedPage(paraObj);
        }
    }
}
/**
 * 加载页面
 */
function loadedPage(paraObj) {
    if (paraObj) {
        if (paraObj.uid) {
            id = paraObj.uid;
        }
        if (paraObj.type != undefined) {
            type = paraObj.type;
        }
        if (paraObj.device) {
            platform = paraObj.device;
        }
        if (paraObj.category) {
            category = decodeURIComponent(paraObj.category);
        }
        if (paraObj.ticketPrice) {
            price = paraObj.ticketPrice;
        }
        if (paraObj && paraObj.heat_info) {
            heat_info = paraObj.heat_info;
        }
        if (paraObj.name) {
            name = decodeURIComponent(paraObj.name);
        }
        if (paraObj.address) {
            address = decodeURIComponent(paraObj.address);
        }
        if (paraObj.distance != undefined) {
            distance = decodeURIComponent(paraObj.distance);
        }
        if (paraObj.distanceType != undefined) {
            distanceType = decodeURIComponent(paraObj.distanceType);
        }
        if (paraObj.hasStreetView) {
            hasStreetView = paraObj.hasStreetView;
        }
        if (paraObj.strNPLColor ) {
            operatePlaceColor = decodeURIComponent(paraObj.strNPLColor);
        }
        if ( paraObj.strPOIErrInfo) {
            operatePlaceDes = decodeURIComponent(paraObj.strPOIErrInfo);
        }
        if (paraObj.tel) {
            tel = decodeURIComponent(paraObj.tel);
        }
        if (paraObj.openTime) {
            openTime = decodeURIComponent(paraObj.openTime);
        }
        if (paraObj.city) {
            city = decodeURIComponent(paraObj.city);
        }
        if ( paraObj.isInside == 0 || paraObj.isInside == false ) {
            isInside = paraObj.isInside;
        }
        if (paraObj.in_ma) {
            in_ma = paraObj.in_ma;
        }
        if (paraObj.latitude) {
            latitude = paraObj.latitude.toString();
        }
        if (paraObj.longitude) {
            longitude = paraObj.longitude.toString();
        }
        if (paraObj.imei) {
            imei = paraObj.imei;
        }
        if (paraObj.appVersion) {
            appVersion = paraObj.appVersion;
        }
        if (paraObj && paraObj.isOfflineData) {
            isOfflineData = paraObj.isOfflineData;
        }
        if (paraObj && paraObj.isMyLocation) {
            isMyLocation = paraObj.isMyLocation;
        }
        if (paraObj.uid) {
            uid = paraObj.uid;
        }
        if (paraObj.isFuzzySearch !== "") {
            isFuzzySearch = paraObj.isFuzzySearch;
        }
        if (paraObj.city) {
            city1 = paraObj.city;
        }
        if(paraObj.dataSource){
            dataSource = paraObj.dataSource;
        }
    }

    loadNativeData();
}

 loadedPage(paraObj);
//getUrlParam();
/**
 * 渲染客户端基础数据
 */
function loadNativeData() {
    if (operatePlaceDes) {
        //显示提示语
        byClass("credibility").innerText = operatePlaceDes;
        byClass("credibility").style.display = "block";

        //byClass("starLevel").style.display = "none";
        //alert(operatePlaceDes)
        //byClass("desc").style.display = "none";

        //与提示语颜色保持一致
        if (operatePlaceColor) {

            if (operatePlaceColor.length > 7) {
                var tempColor = operatePlaceColor.substring(operatePlaceColor.length - 6);
                byClass("credibility").style.color = "#" + tempColor;
            } else {
                byClass("credibility").style.color = operatePlaceColor;
            }

            // byClass("credibility").style.color = operatePlaceColor;
        }
    }
    if (name) {
        byClass("poiName").innerText = name;
    }
    if (address) {
        byClass("address").style.display = "block";
        byClass("addressName").innerText = address;
        /*if (distance > 0) {
            byClass("addressDis").style.display = "inline-block";
            byClass("addressDis").innerText = distance2Sring(distance);
        }*/
    }
     if(isMyLocation == '1'){
        byClass("nav").style.display = "block";
        byClass("navText").innerText = "从这走";
    }
    if(distance){
         if (distance > 0) {
            byClass("address").style.display = "block";
            byClass("addressDis").style.display = "inline-block";
             // if(platform == 'android'){
                //  byClass("addressDis").innerText = distance2Sring(distance);
            if (distanceType == '0') {
                byClass("addressDis").innerText = distance2Sring(distance) + '   ';
            } else if (distanceType == '1') {
                byClass("addressDis").innerText = '距你' + distance2Sring(distance) + '   ';
            } else {
                byClass("addressDis").innerText = '距查询位置' + distance2Sring(distance) + '   ';
            }
             // }
             // else{
             //     byClass("addressDis").innerText = distance2String(distance);
             // }
        }
    }
    
    if(!isOfflineData){
        //纠错
        if(dataSource=="none"||dataSource=="accurate"||dataSource=="anno"||dataSource=="nearby"||dataSource=="fuzzy"||dataSource==""){
            byId("reportError").style.display="inline-block";
            byId("reportErrorEntrance").style.display="block";
        }
    }else{
        byId("reportErrorEntrance").style.display="none";
    }
    if (!operatePlaceDes) {
         //旧版-打电话
        if (tel) {
            var arr = douhao_dou(tel).split("，");
            var phoneString = "";
            var aLength = arr.length;
            if (aLength) {
                if (aLength == 1) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "</span>"
                } else if (aLength >= 2) {
                    phoneString += "<span class='phoneTxt'>电话：</span>";
                    phoneString += "<span class='phone1'>" + arr[0].trim() + "，</span>";
                    phoneString += "<span class='phone2'>" + arr[1].trim() + "</span>";
                }
                byClass("phones").innerHTML = phoneString;
                byClass("phones").style.display = "block";
            }
            if (aLength > 0) {
                byClass("phone1").addEventListener("click", function () {
                    //alert("打电话");
                    // console.log(byClass("phone1").innerText)
                    nativeDial(platform, byClass("phone1").innerText);
                    statistics(platform, 'foodPoi', 'tel');
                }, false);
                clipCopy(byClass("phone1"));
            }
            if (aLength > 1) {
                byClass("phone2").addEventListener("click", function () {
                    // alert("打电话");
                    // console.log(byClass("phone2").innerText)
                    nativeDial(platform, byClass("phone2").innerText)
                    statistics(platform, 'foodPoi', 'tel');
                }, false);
                clipCopy(byClass("phone2"));
            }
        }
        //访问人数
        if (heat_info) {
            var reviewCount = byClass('visitor');
            reviewCount.innerText = heat_info + "人访问";
            reviewCount.style.display = "inline-block";
        }
        //打电话
        if (tel) {
            var arr = douhao_dou(tel).replace(new RegExp('，', 'g'), ';');
            var phoneString = "";
            var aLength = arr.length;
            if (aLength > 0) {
                byId("phone").classList.remove('hiding');
                byId("phone").addEventListener("click", function () {
                    //alert("打电话");
                    nativeDial(platform, arr);
                    statistics(platform, 'marketPoi', 'tel');
                }, false);
            }
        }
        //营业时间
        if (openTime) {
            byClass("timeText").innerText = hen(quanjiao(openTime));
            byClass("businessTime").style.display = "inline-block";
        }
        //街景显示
        if (isTrue(hasStreetview)) {
            byId("streetView").classList.remove('hiding');
        }
        /**
        * poi标签
        * 算法：标签栏总宽度在设计稿固定，所以计算累加起来的tag中字宽、tag内字和边界间隙、tag间间隙这三者的宽度和，
        * 如果没超过总宽度则继续累加，否则终止累加开始渲染。具体参数用变量统一设置，避免魔术字符串耦合。
        */
        if ( (paraObj.categoryTag && paraObj.categoryTag[0]) || (paraObj.reviewTag && paraObj.reviewTag[0]) ) {
            var poiTagStr = '';
            var extremeWidth = 265;//设计稿极限宽度
            var tagsWidth = 0;//已累加的标签总宽度
            var wordWidth = 12;//单个文字宽度
            var tagSpace = 5;//胶囊间隙宽度
            if (paraObj.categoryTag && paraObj.categoryTag[0]) {
                if (paraObj.categoryTag[0].tag_name != '') {
                    var categoryWordNum = paraObj.categoryTag[0].tag_name.length;
                    poiTagStr += '<span class="category">';
                    if(paraObj.categoryTag[0].tagColor != ''){
                        poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.categoryTag[0].tagColor+'">' + paraObj.categoryTag[0].tag_name + '</div>';
                    }else{
                        poiTagStr += '<div class="categoryTxt" style="color:#CCCCCC">' + paraObj.categoryTag[0].tag_name + '</div>';
                    }
                    
                    if(paraObj.categoryTag[0].tagBorderColor != ''){
                        poiTagStr += '<div class="category-border" style="border-color:'+paraObj.categoryTag[0].tagBorderColor+'"></div>';
                    }else{
                        poiTagStr += '<div class="category-border" style="border-color:#CCCCCC"></div>';
                    }
                    poiTagStr += '</span>';
                    tagsWidth += (categoryWordNum * wordWidth + tagSpace * 3);
                }
                
            }
            //子标签
            if (paraObj.reviewTag && paraObj.reviewTag[0]) {
                for (var m = 0; m < paraObj.reviewTag.length; m++) {
                    if (paraObj.reviewTag[m].tag_name != '') {
                        var reviewWordNum = paraObj.reviewTag[m].tag_name.length;
                        if (tagsWidth < extremeWidth) {
                            poiTagStr += '<span class="review">';
                            if(paraObj.reviewTag[m].tagColor != ''){
                                poiTagStr += '<div class="categoryTxt" style="color:'+paraObj.reviewTag[m].tagColor+'">' + paraObj.reviewTag[m].tag_name + '</div>';
                            }else{
                                poiTagStr += '<div class="categoryTxt" style="border-color:#CCCCCC">' + paraObj.reviewTag[m].tag_name + '</div>';
                            }
                           
                            if(paraObj.reviewTag[m].tagBorderColor != ''){
                                poiTagStr += '<div class="review-border" style="border-color:'+paraObj.reviewTag[m].tagBorderColor+'"></div>';
                            }else{
                                poiTagStr += '<div class="review-border" style="border-color:#CCCCCC"></div>';
                            }
                            poiTagStr += '</span>';
                            tagsWidth += (reviewWordNum * wordWidth + tagSpace * 3);
                        }
                    }
                   
                }
            }
            byClass('tags').innerHTML = poiTagStr;
            byClass('tags').classList.remove('hiding');
        }
    }

}
/**
 * 网络接口请求
 */

function getNetworkData() {
    var requestIndoorUrl;
    var requestCommentUrl;
    nativeGetCity(latitude, longitude, function (cityName) {
        if (cityName) {
            city = cityName;
        }
    });
    // alert("in_ma="+in_ma);
    city = encodeURI(city);
    if (isTest == "1") {
        if(in_ma){
            // requestIndoorUrl = 'http://arvinmao.cs0309.3g.qq.com/mobilemap?mmtype=inside&fm=0&c=' + city + '&imei=' + imei + '&in_ma=' + in_ma + '&wd=%e5%ae%a4%e5%86%85%e6%a3%80%e7%b4%a2POI&inter_ver=1.0';
            requestIndoorUrl = "https://maptest.sparta.html5.qq.com/mobilemap?mmtype=inside1&in_ma=" + in_ma;
        }
        requestCommentUrl = "http://maptest.sparta.html5.qq.com/mobilemap?mmtype=rich&source=detail&type=json&ids=" + id + "&from=mobile2&hotel=1&cb=jsonpCallBack&imei=" + imei + "&device=" + platform + "&app_ver=" + appVersion + "&inter_ver=1.0";
    } else {
        if(in_ma){
            // requestIndoorUrl = 'https://syn0.map.qq.com/mobilemap?mmtype=inside&fm=0&c=' + city + '&imei=' + imei + '&in_ma=' + in_ma + '&wd=%e5%ae%a4%e5%86%85%e6%a3%80%e7%b4%a2POI&inter_ver=1.0';
            requestIndoorUrl = "https://syn0.map.qq.com/mobilemap?mmtype=inside1&in_ma=" + in_ma;
        }
        requestCommentUrl = "https://syn0.map.qq.com/mobilemap?mmtype=rich&source=detail&type=json&ids=" + id + "&from=mobile2&hotel=1&cb=jsonpCallBack&imei=" + imei + "&device=" + platform + "&app_ver=" + appVersion + "&inter_ver=1.0";
    }
   
    // json.getData(requestIndoorUrl, renderIndoorData);
    if( in_ma ) {
        json.getData(requestIndoorUrl, renderIndoorData);
    }
    json.getData(requestCommentUrl, renderCommentData);
}

/**
 * 网络接口请求渲染数据的回调函数
 */
function renderIndoorData(data) {
    if(!(data && data.err_no == '0' && data.result)){
        // 请求失败或数据异常，终止
        return;
    }

     //alert("renderIndoorData="+JSON.stringify(data));
    if (data.result.all_cat && data.result.all_cat.length > 0 && ( (paraObj.isInside == 0 || paraObj.isInside == false) && in_ma != "" ) ) {
        var guideClasses = data.result.all_cat;
        byClass("shopGuide").style.display = "block";
        var num = "";
        var str = "";
        if (guideClasses.length <= 9) {
            num = guideClasses.length
        } else {
            num = 9
        }
        for (var i = 0; i < num; i++) {
            str += "<span class='shopType'>" + guideClasses[i] + "</span>"
        }
        byClass("guide").innerHTML = str;
        //点击楼层类别
        for (var c = 0; c < document.getElementsByClassName("shopType").length; c++) {
            document.getElementsByClassName("shopType")[c].addEventListener("click", function () {
                nativeOpenIndoor(in_ma, this.innerText);
                statistics(platform, 'marketPoi', 'typeListsButton');
            }, false)
        }
    }
    if (data.result.floor_info_list && data.result.floor_info_list.length > 0 && ( (paraObj.isInside == 0 || paraObj.isInside == false) && in_ma != "" ) ) {
        var floorLists = data.result.floor_info_list;
        byClass("floorGuide").style.display = "block";
        var sttr = "";
        var floorNum = 0;
        for (var k = 0; k < floorLists.length; k++) {
            if (floorLists[k].name == "F1" || floorLists[k].name == "F2" || floorLists[k].name == "F3") {
                floorNum++;
                sttr += "<li class='floor' id=" + floorLists[k].name + ">";
                sttr += "<p class='floorName'>" + floorLists[k].name + "</p>";
                //楼层类别
                sttr += "<P class='floorAlias'>" + floorLists[k].alias + "</P>";
                //品牌拼接
                var sttrr = "";
                if (floorLists[k].show_list) {
                    for (var j = 0; j < floorLists[k].show_list.length; j++) {
                        if(floorLists[k].show_list[j].name){
                            sttrr += "<span class='commonMargin display-inline-block'>" + floorLists[k].show_list[j].name + "</span>"
                        }

                    }
                }
                sttr += "<P class='shopName'>" + kuoy(kuoz(sttrr)) + "</P>";
                sttr += " </li>"
            }
        }
        if (floorNum < 3) {
            for (var f = floorNum; f < 3; f++) {
                sttr += "<li class='floor' id=" + floorLists[f].name + ">";
                sttr += "<p class='floorName'>" + floorLists[f].name + "</p>";
                //楼层类别
                sttr += "<P class='floorAlias'>" + floorLists[f].alias + "</P>";
                //品牌拼接
                sttrr = "";
                if (floorLists[f].show_list) {
                    for (var o = 0; o < floorLists[f].show_list.length; o++) {
                        if(floorLists[f].show_list[o].name){
                            sttrr += "<span class='commonMargin display-inline-block'>" + floorLists[f].show_list[o].name + "</span>"
                        }
                    }
                }
                sttr += "<P class='shopName'>" + kuoy(kuoz(sttrr)) + "</P>";
                sttr += " <div class='border'></div></li>"
            }
        }
        byClass("floorDetail").innerHTML += sttr;
        //if (floorLists.length> 3) {
        //    byClass("more").style.display = "block";
        //}
        //点击楼层
        for (var n = 0; n < document.getElementsByClassName("floor").length; n++) {
            document.getElementsByClassName("floor")[n].addEventListener("click", function () {
                nativeOpenIndoor(in_ma, '', this.id);
                statistics(platform, 'marketPoi', 'floorTour');
            }, false)
        }
        //点击查看全部
        //byClass("more").addEventListener("click", function (ev) {
        //    ev = ev || window.event;
        //    ev.stopPropagation();
        //    nativeOpenIndoor(platform, in_ma);
        //}, false)
    }

}

function renderCommentData(data) {
    //alert('renderCommentData'+JSON.stringify(data.round))
    /***************************评论展示********************************/
    for (var b in data) {
        if (b == "comments") {
            if (data.comments != null) {
                if (data.comments.comment_info && data.comments.comment_num > 0) {
                    var commentInfo = data.comments.comment_info;
                    //  alert("comment="+JSON.stringify(commentInfo))
                    byId("comment").style.display = "block";
                    if (commentInfo[0]) {
                        byClass("commentLi commentOne").style.display = "block";
                        byClass("commentContentOne").innerHTML = delKong(commentInfo[0].comment_content);
                        byClass("reviewerOne").innerText = commentInfo[0].comment_user;
                        byClass("commentTimeOne").innerText = commentInfo[0].comment_time;
                        /* 评价图片*/
                        //if (commentInfo[0].comment_pic_url) {
                        //    str = "";
                        //    for (var j = 0; j < commentInfo[0].comment_pics.length; j++) {
                        //        str+="<li class='radius-border' style='display: inline-block'>"
                        //        str += " <img class='commentPic commentPic1' id=" + j + " src=" + formatImg(commentInfo[0].comment_pics[j].pic_url) + " />"
                        //        str+="</li'>"
                        //    }
                        //    byClass("commentPicsOne").innerHTML = str;
                        //    byClass("commentPicsOne").style.display = "block";
                        //}
                    }
                    if (commentInfo.length > 1) {
                        if (commentInfo[1]) {
                            byClass("commentTwo").style.display = "block";
                            byClass("commentContentTwo").innerHTML = commentInfo[1].comment_content;
                            byClass("reviewerTwo").innerText = commentInfo[1].comment_user;
                            byClass("commentTimeTwo").innerText = commentInfo[1].comment_time;
                            /* 评价图片*/
                            //if (commentInfo[1].comment_pic_url) {
                            //    str = "";
                            //    for (var comPicsNum = 0; comPicsNum < commentInfo[1].comment_pics.length; comPicsNum++) {
                            //        str+="<li class='radius-border' style='display: inline-block'>"
                            //        str += " <img class='commentPic commentPic2' id=" + comPicsNum + " src=" + formatImg(commentInfo[1].comment_pics[comPicsNum].pic_url) + " />"
                            //        str+="</li'>"
                            //    }
                            //    byClass("commentPicsTwo").innerHTML = str;
                            //    byClass("commentPicsTwo").style.display = "block";
                            //}
                        }
                    }
                }
            }
        }
    }

    //新增停车场
    for(var d in data){
        if(d == "round"){
            if (data.round && data.round.park) {
                if(data.round.park.length > 0){
                    //alert(JSON.stringify(aa))
                    var arr = [];
                    document.getElementById("areaInfo").style.display="block";
                    var str = "";
                    var infoList = data.round.park;

                    if(infoList.length>3){
                        infoList.length=3
                    }
                    for(var i = 0; i<infoList.length;i++){
                        
                        if(infoList[i].park_info){
                            if(infoList[i].park_info.status == "1" && infoList[i].park_info.left){
                                infoList[i].park_info.statusColor = "#ff15BC19"
                            }else if(infoList[i].park_info.status == "1"){
                                infoList[i].park_info.statusColor = "#ffff0000"
                            }else{
                                infoList[i].park_info.statusColor = ""
                            }
                        }
                        var aa = {};
                        aa.addr = infoList[i].address;
                        aa.distance = infoList[i].distance;
                        if(infoList[i].park_info){
                            aa.parkInfo =JSON.parse(change(JSON.stringify(infoList[i].park_info)));
                        }
                        aa.name = infoList[i].name;
                        aa.cotype=1401;
                        aa.uid = infoList[i].rawid;
                        aa.point={
                            "mLatitudeE6": infoList[i].lat * 1000000,
                            "mLongitudeE6": infoList[i].lng * 1000000
                        };
                       
                        if(i>2){
                            str+="<li class='parkAreaInfo hiding' id='"+JSON.stringify(aa)+"'";
                        }else{
                            str+="<li class='parkAreaInfo' id='"+JSON.stringify(aa)+"'";
                        }
                        str+='<div class="titp">'+infoList[i].name+'</div>';
                        str+='<div class="parkDes">';
                        str+='<div>'+ '距此' + distance2Sring(infoList[i].distance)+'</div>';
                        str+='<div class="matingAddr">'+infoList[i].address+'</div>';
                        str+='</div>';
                        if(infoList[i].park_info){
                            var info = infoList[i].park_info;
                                if(info.type || info.charge_now || info.status == "1"){
                                    //alert(JSON.stringify(info.charge_now))
                                   if(info.charge_now || info.status == "1"){
                                        str +='<div class="parkTag">';
                                        if(info.type){
                                            str+='<div class="tipTags">';
                                            str+='<div class="parkTip">'+info.type+'</div>';
                                            str+='<div class="review-border"></div>';
                                            str+='</div>';
                                        }
    
                                        if(info.status == "1"){
                                            if(info.left){
                                                str+="<div class='moreSeats'>剩余车位"+info.left+"</div>"
                                            }else{
                                                str+="<div class='moreSeats' style='color:red'>车位已满</div>"
                                            }
                                        }
                                        if(info.charge_now){
                                            var charge_now=info.charge_now;
                                            str+="<div class='parkFee'>"+charge_now.type+" "+charge_now.time+" "+charge_now.fee+"</div>"
                                        }
                                        str +="</div>"
                                    }                                 
                                }
                            }
                            str +="</li>"
                    }
                    document.getElementById("areaSeatInfo").innerHTML = str;
                    
                    /*******************************点击预定进入第三方页面************************************/
                    for (var one = 0; one < document.getElementsByClassName("parkAreaInfo").length; one++) {

                        document.getElementsByClassName("parkAreaInfo")[one].addEventListener("click", function() {

                            //alert(this.id)
                            mqq.invoke('poi', 'gotoPage', {
                                'uri': 'poiPage',
                                'param': {'poi':JSON.parse(this.id)}
                            });

                        }, false)
                    }
                }
            }
        }
    }

    // 热力图展示  alert(JSON.stringify(data.hotMapUrl));
    for (var e in data) {
        if (e == "hotMapUrl") {
            if (data.hotMapUrl != "") {
                byId("hotMain").style.display = "none";
                //热力图入口曝光埋点
                statistics(platform, 'indoorPoi', 'map_poi_pd_s_he');
                byId("addressMap").innerText = data.subdetail.name;
                
                // 当点击入口时进入对应的热力图展示页面
                byId("hotMain").addEventListener("click",function(){
                    //进行mtaH5埋点，再进行跳转到相对应的热力图页面
                    statistics(platform, 'indoorPoi', 'map_poi_pd_s_hc');
                    mqq.invoke('poi', 'gotoPage', {
                        "uri": "onlineWebView",
                        "param":{url: data.hotMapUrl}
                    });
                },false);
            }
        }
    }
}
/**
 * 点击事件
 */
window.addEventListener("load", function () {

    // FastClick.attach(document.body);
    // getUrlParam();
    byId("around").addEventListener("click", function () {
        nativeOpenAround();
        // statistics(platform, 'foodPoi', 'streetscape');
    }, false);

    byId("aroundPark").addEventListener("click", function() {
        // alert("周边停车场");
        dianxinToPage("停车场","",poiData,"detail");
        
    }, false);

    //街景
    byId("streetView").addEventListener("click", function () {
        //alert("街景");
        nativeOpenVista(platform);
        statistics(platform, 'marketPoi', 'streetscape');
    }, false);
    //纠错
    byId("reportError").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    byId("reportErrorEntrance").addEventListener("click", function () {
        // alert("纠错");
        nativeReportError();
        statistics(platform, 'allPoi', 'error');
    }, false);
    //获取是否是测试环境
    nativeIsTest(function (data) {
         // alert("isTest="+data)
        isTest = data;
    })
    //获取是否零流量,进行后台请求
    nativeIsOffline(function (data) {
        //有网络、高信度后台请求
        //alert("网络状态="+data)
        if (data == 0 && operatePlaceDes == "") {
            getNetworkData();
        }
    })
    //点击评论头部，进入评论详情
    byId("commentTitle").addEventListener("click", function () {
        //alert("评论详情");
        nativeOpenComment(platform, id);
        statistics(platform, 'marketPoi', 'marketCommentAll');
    }, false);
    byId("commentContentTwo").addEventListener("click", function () {
        // alert("评论详情");
        nativeOpenComment(platform, id);
        statistics(platform, 'marketPoi', 'marketComment');
    }, false);
    byId("commentContentOne").addEventListener("click", function () {
        //alert("评论详情");
        nativeOpenComment(platform, id);
        statistics(platform, 'marketPoi', 'marketComment');
    }, false);
    byId("floorGuideTitle").addEventListener("click", function () {
        //全部楼层
        nativeOpenIndoor(in_ma);
        statistics(platform, 'marketPoi', 'floorAll');
    }, false);
    // 禁止鼠标右键、长按选择等事件
    document.oncontextmenu = new Function("event.returnValue=false");
    document.onselectstart = new Function("event.returnValue=false");
    document.documentElement.style.webkitTouchCallout = 'none';
    /**
     * 统计代码
     */
    var _mtac = {
        "performanceMonitor": 1
    };
    (function () {
        var mta = document.createElement("script");
        mta.src = "https://pingjs.qq.com/h5/stats.js?v2.0.4";
        mta.setAttribute("name", "MTAH5");
        mta.onload = function () {
            statistics(platform, 'marketPoi', 'show');
            statistics(platform, 'allPoi', 'show');
        }
        mta.setAttribute("sid", "500093594");
        mta.setAttribute("cid", "500108829");
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(mta, s);
    })();

});